using System;
using System.Collections.Generic;
using Microsoft.Crm.Sdk;
using Microsoft.Crm.SdkTypeProxy;

namespace OrbitOne.CRM.Plugins.PhonenumberCleanupInstaller
{
    class Country
    {
        public Guid Id { get; set; }
        public string Name { get; set; }
        public string TelephonePrefix { get; set; }
        public Guid newId { get; set; }

        public static List<Country> Load()
        {
            return new List<Country>{
                new Country{Id = new Guid("C85A629C-2F89-4437-9828-004DE4FD151A"), Name = "Gambia", TelephonePrefix = "220"},
                new Country{Id = new Guid("C3C6B390-3D79-4F97-B5DE-019FB63D691C"), Name = "Luxembourg", TelephonePrefix = "352"},
                new Country{Id = new Guid("A9A3273A-6251-434E-B0D3-0286B0EC4EFC"), Name = "South Africa", TelephonePrefix = "27"},
                new Country{Id = new Guid("C941DA70-D070-45AC-9B29-029712E1B8FA"), Name = "Swaziland", TelephonePrefix = "268"},
                new Country{Id = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name = "Malaysia", TelephonePrefix = "60"},
                new Country{Id = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name = "Albania", TelephonePrefix = "355"},
                new Country{Id = new Guid("8A878274-6ED5-43B0-B450-04C37EE5ADDC"), Name = "Lesotho", TelephonePrefix = "266"},
                new Country{Id = new Guid("C82CF086-484B-4684-9C85-0599A3FC9F5E"), Name = "Puerto Rico", TelephonePrefix = null},
                new Country{Id = new Guid("C6FFFECA-02E5-4158-B833-05C3DAD25AB2"), Name = "Netherlands", TelephonePrefix = "31"},
                new Country{Id = new Guid("0CA4824C-C2FB-48D8-A47F-06C54FB7C4C7"), Name = "Croatia", TelephonePrefix = "385"},
                new Country{Id = new Guid("F8B2E8D7-1651-4084-83DF-06D9D98EA3CC"), Name = "Marshall Islands", TelephonePrefix = "692"},
                new Country{Id = new Guid("6DA9D23C-DEE1-4FB5-A766-0708240EC3BB"), Name = "Kyrgyzstan", TelephonePrefix = null},
                new Country{Id = new Guid("F91D0E86-2A6D-4328-A390-09B8F2C3E875"), Name = "Falkland Islands", TelephonePrefix = "500"},
                new Country{Id = new Guid("E3DF469C-F7E0-4950-8DD6-09FD27DC3F55"), Name = "Eritrea", TelephonePrefix = "291"},
                new Country{Id = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name = "Belarus", TelephonePrefix = "375"},
                new Country{Id = new Guid("B4C57198-770F-4B4E-B054-0B0C745F855C"), Name = "Kuwait", TelephonePrefix = "965"},
                new Country{Id = new Guid("DADCF19E-53B0-4739-9712-0C80ACA78D41"), Name = "Ethiopia", TelephonePrefix = "251"},
                new Country{Id = new Guid("FF278D9D-6643-4AE3-9023-0D208369C029"), Name = "Senegal", TelephonePrefix = "221"},
                new Country{Id = new Guid("4910D3B0-948C-4FBA-8004-10EF33F1E8DD"), Name = "Israel", TelephonePrefix = "972"},
                new Country{Id = new Guid("ADDAC550-B86C-40CF-B8C4-10F142EBDF66"), Name = "Peru", TelephonePrefix = "51"},
                new Country{Id = new Guid("160DF35F-428B-4579-ABE0-11CD4C3017E4"), Name = "El Salvador", TelephonePrefix = "503"},
                new Country{Id = new Guid("45044628-55D2-4ADB-B3FD-19B2A3748A03"), Name = "Kazakhstan", TelephonePrefix = "7"},
                new Country{Id = new Guid("FDC7FE03-FA61-4D2F-915A-1B9A9482C56C"), Name = "Singapore", TelephonePrefix = "65"},
                new Country{Id = new Guid("58986264-67FE-4428-B004-1C727858F990"), Name = "Lebanon", TelephonePrefix = "961"},
                new Country{Id = new Guid("19384D80-2CBE-482D-A06C-1D8E17F183E5"), Name = "Uganda", TelephonePrefix = "256"},
                new Country{Id = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name = "United States of America", TelephonePrefix = "1"},
                new Country{Id = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name = "Burkina Faso", TelephonePrefix = "226"},
                new Country{Id = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name = "Cuba", TelephonePrefix = "53"},
                new Country{Id = new Guid("037BB64E-0616-43E5-8384-23E54D476974"), Name = "Guinea-Bissau", TelephonePrefix = null},
                new Country{Id = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name = "Guinea", TelephonePrefix = "224"},
                new Country{Id = new Guid("90A4E7CD-53EF-41E1-A0A7-26A8FED6124F"), Name = "Faroe Islands", TelephonePrefix = "298"},
                new Country{Id = new Guid("5A4B23B0-8036-4849-B935-28D9A00B5339"), Name = "Tanzania", TelephonePrefix = "255"},
                new Country{Id = new Guid("B0A1608B-71ED-4763-8EA2-299E5EBE9120"), Name = "Montserrat", TelephonePrefix = null},
                new Country{Id = new Guid("62F04FC0-EB8F-4FE0-BEE9-29B71CEAA6A5"), Name = "Zambia", TelephonePrefix = "260"},
                new Country{Id = new Guid("02F78A72-7B17-4DF4-9C9A-2A6577F412CE"), Name = "Somalia", TelephonePrefix = "252"},
                new Country{Id = new Guid("78693684-30E2-4709-B032-2AD99A39B401"), Name = "Brazil", TelephonePrefix = "55"},
                new Country{Id = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name = "Nigeria", TelephonePrefix = "234"},
                new Country{Id = new Guid("E80F74D3-1AD8-4A11-A006-2DBEA7AB188F"), Name = "Hong Kong", TelephonePrefix = "852"},
                new Country{Id = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name = "Hungary", TelephonePrefix = "36"},
                new Country{Id = new Guid("5F48A24D-C92D-4A7F-84BF-2F518499BFE8"), Name = "Panama", TelephonePrefix = "507"},
                new Country{Id = new Guid("C02106C7-B8A7-46EB-AAC6-2F880BE260CD"), Name = "Chile", TelephonePrefix = "56"},
                new Country{Id = new Guid("28431BD3-731C-4DF6-9765-2F88C08884A3"), Name = "Madagascar", TelephonePrefix = "261"},
                new Country{Id = new Guid("C1C875E1-9CAB-478D-9070-2F90AFC8E8F8"), Name = "Bosnia-Herzegovina", TelephonePrefix = null},
                new Country{Id = new Guid("3744A5E2-1AA7-441D-AE36-30342FEDE0F8"), Name = "Czech Republic", TelephonePrefix = "420"},
                new Country{Id = new Guid("A78D0697-F264-411C-97B9-30AE76593E5C"), Name = "Morocco", TelephonePrefix = "212"},
                new Country{Id = new Guid("EEF4371B-E660-4297-A08E-323FE5693E5B"), Name = "Saint Kitts and Nevis", TelephonePrefix = null},
                new Country{Id = new Guid("C034A3F6-4872-48D4-92E4-3321DA21ACA1"), Name = "Maldives", TelephonePrefix = "960"},
                new Country{Id = new Guid("AFA02048-AB89-43D6-ABD7-363DB4ED09C9"), Name = "Burundi", TelephonePrefix = "257"},
                new Country{Id = new Guid("1ACDD608-0162-4A5F-B832-37548678640A"), Name = "Netherlands Antilles", TelephonePrefix = "599"},
                new Country{Id = new Guid("3F871A15-2B39-4302-AF7C-378192806D8C"), Name = "Micronesia", TelephonePrefix = "691"},
                new Country{Id = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name = "Switzerland", TelephonePrefix = "41"},
                new Country{Id = new Guid("B270D848-0C58-44DF-994B-386F9BA6BD8E"), Name = "Comoros", TelephonePrefix = "269"},
                new Country{Id = new Guid("4044A980-80C9-4614-BE67-38C4B915A412"), Name = "Costa Rica", TelephonePrefix = "506"},
                new Country{Id = new Guid("27FA999C-D07F-4798-A831-3A71524DA4DB"), Name = "Runion", TelephonePrefix = null},
                new Country{Id = new Guid("F78C8099-1023-43D2-B0EB-3BC95DBA4703"), Name = "Serbia", TelephonePrefix = "381"},
                new Country{Id = new Guid("26F89703-E93A-4FBD-ADD7-3BFFB69CDEC3"), Name = "Russia", TelephonePrefix = "7"},
                new Country{Id = new Guid("2EAE0D54-4FCD-49DE-BC34-3C406AE30F7B"), Name = "Tokelau", TelephonePrefix = "690"},
                new Country{Id = new Guid("ADCAEC1D-CE6D-4100-922B-3C5CD1A184AD"), Name = "Gabon", TelephonePrefix = null},
                new Country{Id = new Guid("E37A3F38-92EB-4D6C-A03A-3D7349F44E74"), Name = "Macau", TelephonePrefix = null},
                new Country{Id = new Guid("B3D265D2-0F9D-422F-AF17-3DD706A61DBB"), Name = "Antigua and Barbuda", TelephonePrefix = null},
                new Country{Id = new Guid("A09095D8-9569-40EC-AB1E-3FD46F60C0A3"), Name = "Jamaica", TelephonePrefix = null},
                new Country{Id = new Guid("DF11F7D2-C3FE-4BB6-AD41-4196D470B5A6"), Name = "Western Sahara", TelephonePrefix = null},
                new Country{Id = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name = "Thailand", TelephonePrefix = "66"},
                new Country{Id = new Guid("24F15953-3FA9-41BB-8781-42CE158FB240"), Name = "Palestine", TelephonePrefix = "970"},
                new Country{Id = new Guid("84718E1D-25ED-4B92-B38D-466845FF1BE0"), Name = "Venezuela", TelephonePrefix = "58"},
                new Country{Id = new Guid("2745B68E-B8F8-4924-9588-47CF2E90425F"), Name = "Canada", TelephonePrefix = "1"},
                new Country{Id = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name = "Greece", TelephonePrefix = "30"},
                new Country{Id = new Guid("D23DF192-D24A-4DC1-A592-489D03F3478C"), Name = "Brunei", TelephonePrefix = "673"},
                new Country{Id = new Guid("657E3BD8-205A-4E91-9CBB-4A9A5DC28929"), Name = "United Kingdom", TelephonePrefix = "44"},
                new Country{Id = new Guid("50EADE04-ADE5-4C2C-A62E-4CAC95482D01"), Name = "Mayotte", TelephonePrefix = "269"},
                new Country{Id = new Guid("B43A553F-4496-474E-9E8B-4D4486A909AC"), Name = "Andorra", TelephonePrefix = "376"},
                new Country{Id = new Guid("96AF43F8-0F0A-459D-9433-4DEDD84FB167"), Name = "Vietnam", TelephonePrefix = "84"},
                new Country{Id = new Guid("D1F141AD-99C7-432F-B35E-4EE89F9EF7F5"), Name = "Nicaragua", TelephonePrefix = "505"},
                new Country{Id = new Guid("A8DF1692-825B-496C-BB7D-5021DFCDBFA8"), Name = "Bulgaria", TelephonePrefix = "359"},
                new Country{Id = new Guid("206EC344-2404-4D8E-B53A-504918594F7D"), Name = "Mali", TelephonePrefix = "223"},
                new Country{Id = new Guid("238D82B2-F1F7-4CE1-BC82-50B7817237EE"), Name = "Niue", TelephonePrefix = "683"},
                new Country{Id = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name = "Italy", TelephonePrefix = "39"},
                new Country{Id = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name = "Spain", TelephonePrefix = "34"},
                new Country{Id = new Guid("D7D3F8B9-4DB5-4C71-90CF-59AD0416436C"), Name = "Mauritania", TelephonePrefix = "222"},
                new Country{Id = new Guid("5D7A67BB-CEF8-40E7-8AB7-5B4B729A51A5"), Name = "Sudan", TelephonePrefix = "249"},
                new Country{Id = new Guid("80EC649B-DE55-46E8-9C84-5B84F8252CA4"), Name = "Guyana", TelephonePrefix = "592"},
                new Country{Id = new Guid("22D487AC-0D86-4B62-A4F7-5C084E7751D6"), Name = "Turks and Caicos Islands", TelephonePrefix = null},
                new Country{Id = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name = "Romania", TelephonePrefix = "40"},
                new Country{Id = new Guid("33C0BDA4-D88E-47FA-9919-5E741A45CBD1"), Name = "Monaco", TelephonePrefix = "377"},
                new Country{Id = new Guid("19FB2795-B14C-48D7-A490-5E9856366F99"), Name = "Belize", TelephonePrefix = "501"},
                new Country{Id = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name = "Poland", TelephonePrefix = "48"},
                new Country{Id = new Guid("83210196-CF13-4AC3-BCBE-61FA22B71852"), Name = "Grenada", TelephonePrefix = null},
                new Country{Id = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name = "Latvia", TelephonePrefix = "371"},
                new Country{Id = new Guid("DF285779-2BB8-4280-9C72-630BF4C356FF"), Name = "Slovakia", TelephonePrefix = "421"},
                new Country{Id = new Guid("6B04AC6B-B56E-4022-BE18-6341F2A45F90"), Name = "Ecuador", TelephonePrefix = "593"},
                new Country{Id = new Guid("CCEC3BC3-8630-4D7B-8364-655AEC9F5EE7"), Name = "Malta", TelephonePrefix = "356"},
                new Country{Id = new Guid("C155CBF6-5B5E-4685-B6A6-65E00CEAFBBE"), Name = "Barbados", TelephonePrefix = null},
                new Country{Id = new Guid("FA34FA88-F7A2-46BE-A86F-65F76DE9882B"), Name = "Tibet", TelephonePrefix = null},
                new Country{Id = new Guid("AC2B94BD-C0C8-4548-A4D2-675FB4045436"), Name = "Libya", TelephonePrefix = "218"},
                new Country{Id = new Guid("7ED4C4DC-96E6-419D-A033-67B4526511AF"), Name = "Laos", TelephonePrefix = "856"},
                new Country{Id = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name = "Armenia", TelephonePrefix = "374"},
                new Country{Id = new Guid("E030214A-C85E-40FA-A627-70601272F411"), Name = "Uzbekistan", TelephonePrefix = "998"},
                new Country{Id = new Guid("F896E6E5-3B7A-4109-B515-71BD123F9EDD"), Name = "Botswana", TelephonePrefix = "267"},
                new Country{Id = new Guid("501CBC1E-45D0-4323-9329-727E555A6A1D"), Name = "Liberia", TelephonePrefix = "231"},
                new Country{Id = new Guid("49B130FB-4903-449F-B6E1-743B0C2E3DC0"), Name = "Cape Verde", TelephonePrefix = "238"},
                new Country{Id = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name = "Belgium", TelephonePrefix = "32"},
                new Country{Id = new Guid("DD3B790D-3230-40BE-B717-76C93E297BDC"), Name = "Malawi", TelephonePrefix = "265"},
                new Country{Id = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name = "Bangladesh", TelephonePrefix = "880"},
                new Country{Id = new Guid("6977C8BC-2486-4977-A587-777AE7DE2216"), Name = "Norway", TelephonePrefix = "47"},
                new Country{Id = new Guid("FFAE686C-4A31-40DD-A1C5-7A4551E03212"), Name = "Japan", TelephonePrefix = "81"},
                new Country{Id = new Guid("5E96AEDA-85FC-4AE5-ACA1-7B769792805D"), Name = "Haiti", TelephonePrefix = "509"},
                new Country{Id = new Guid("E04C0643-8FE6-4364-8859-7BB360BA46F4"), Name = "Tajikistan", TelephonePrefix = "992"},
                new Country{Id = new Guid("320DE807-C128-435A-AEA6-7CABBA515418"), Name = "Congo-Kinshasa", TelephonePrefix = "243"},
                new Country{Id = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name = "India", TelephonePrefix = "91"},
                new Country{Id = new Guid("618ADA2C-B185-4A8F-92E1-7DDE938F15F4"), Name = "Qatar", TelephonePrefix = "974"},
                new Country{Id = new Guid("8BCDE667-1797-456E-8BEF-7E1773D88325"), Name = "Benin", TelephonePrefix = "229"},
                new Country{Id = new Guid("276259F3-8709-49EB-B2AF-7F6A560E6AB3"), Name = "Tuvalu", TelephonePrefix = "688"},
                new Country{Id = new Guid("38D04594-C9C6-4A8D-A16F-7FC0D20E5034"), Name = "Korea, North", TelephonePrefix = "850"},
                new Country{Id = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name = "Moldova", TelephonePrefix = "373"},
                new Country{Id = new Guid("13D76790-FBB7-4145-8DBD-80F22CBB0A11"), Name = "Papua New Guinea", TelephonePrefix = "675"},
                new Country{Id = new Guid("4504391C-E9D7-43BF-BC06-832E0A6FB016"), Name = "Philippines", TelephonePrefix = "63"},
                new Country{Id = new Guid("971C8400-1479-410E-87BD-84C35D776B5E"), Name = "Kenya", TelephonePrefix = "254"},
                new Country{Id = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name = "Syria", TelephonePrefix = "963"},
                new Country{Id = new Guid("CECC56A6-A492-4194-950E-86ECA6A8A06F"), Name = "Kosovo", TelephonePrefix = null},
                new Country{Id = new Guid("74E63A81-4CD9-4923-A7F6-86FB4EB75CAD"), Name = "Equatorial Guinea", TelephonePrefix = "240"},
                new Country{Id = new Guid("F49A7F50-EF61-4665-A7B0-88108147C133"), Name = "Mongolia", TelephonePrefix = "976"},
                new Country{Id = new Guid("1FACEEE7-70CD-469A-9A14-8AD120321332"), Name = "Saint Lucia", TelephonePrefix = "1758"},
                new Country{Id = new Guid("34C2F0BC-018C-476A-828C-8C7E086B5529"), Name = "Djibouti", TelephonePrefix = "253"},
                new Country{Id = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name = "Indonesia", TelephonePrefix = "62"},
                new Country{Id = new Guid("B9F63589-7E9C-4EF7-A302-8D73DC827155"), Name = "Vanuatu", TelephonePrefix = "678"},
                new Country{Id = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name = "Sri Lanka", TelephonePrefix = "94"},
                new Country{Id = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name = "Iran", TelephonePrefix = "98"},
                new Country{Id = new Guid("CEC7D0EF-064C-4B24-846E-8FD52A3A6F7A"), Name = "Zimbabwe", TelephonePrefix = "263"},
                new Country{Id = new Guid("FCDE7AF5-C55B-44E8-A0E8-911F86D0E410"), Name = "Ukraine", TelephonePrefix = "380"},
                new Country{Id = new Guid("6CAE5F71-216B-4E1A-A89E-91B2E4189365"), Name = "Bahamas", TelephonePrefix = null},
                new Country{Id = new Guid("38A19469-4D7A-4156-873A-92733BC92C61"), Name = "Jordan", TelephonePrefix = "962"},
                new Country{Id = new Guid("E08E941E-E4E4-40D8-9583-9315910FE472"), Name = "Argentina", TelephonePrefix = "54"},
                new Country{Id = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name = "Turkey", TelephonePrefix = "90"},
                new Country{Id = new Guid("D7B5D847-3199-41FA-B049-96E12B4AEA3C"), Name = "Colombia", TelephonePrefix = "57"},
                new Country{Id = new Guid("283B1B7E-175F-45B4-A09F-98BA8E90A174"), Name = "Bahrain", TelephonePrefix = "973"},
                new Country{Id = new Guid("B8E9EFD7-A3F2-495A-89F6-9E4FDA01D3C0"), Name = "United Arab Emirates", TelephonePrefix = "971"},
                new Country{Id = new Guid("B9963F45-219C-46D9-B105-9E57E69FEC54"), Name = "Saint Helena", TelephonePrefix = "290"},
                new Country{Id = new Guid("C5707C71-191D-4206-86DC-9F33DCE10A24"), Name = "Samoa", TelephonePrefix = null},
                new Country{Id = new Guid("2C443E5E-8531-474E-BCA1-9FC80C72C14A"), Name = "Mozambique", TelephonePrefix = "258"},
                new Country{Id = new Guid("1F6BE91C-B048-4B69-8B58-9FFFEFC60ACF"), Name = "Saint Martin", TelephonePrefix = null},
                new Country{Id = new Guid("CE7B88B5-500D-405F-8C2C-A0436825B851"), Name = "Bermuda", TelephonePrefix = null},
                new Country{Id = new Guid("FA0911EC-E929-4005-A679-A35E889F98FE"), Name = "Afghanistan", TelephonePrefix = "93"},
                new Country{Id = new Guid("A3BEDE9E-A359-49FD-8250-A40F13BCE642"), Name = "Paraguay", TelephonePrefix = "595"},
                new Country{Id = new Guid("3994CF5D-C73C-48DC-9BFA-A44C8BE451C9"), Name = "Trinidad and Tobago", TelephonePrefix = null},
                new Country{Id = new Guid("08E81DF6-8533-4FD7-B909-A4EC6E5D31F0"), Name = "Cambodia", TelephonePrefix = "855"},
                new Country{Id = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name = "Algeria", TelephonePrefix = "213"},
                new Country{Id = new Guid("E3564C78-0BBB-4B0B-9B74-A61DC83815D0"), Name = "Iceland", TelephonePrefix = "354"},
                new Country{Id = new Guid("C29A09C6-FBC9-4EE9-BFF1-A62F54ACC655"), Name = "Solomon Islands", TelephonePrefix = "677"},
                new Country{Id = new Guid("9D49D393-329B-40AF-8A16-A67181A521C5"), Name = "Guatemala", TelephonePrefix = "502"},
                new Country{Id = new Guid("0AE46D3D-CD9A-4478-8E0D-A72A795DCB62"), Name = "Ivory Coast", TelephonePrefix = "225"},
                new Country{Id = new Guid("BF4B4AAC-85A9-4D32-BE21-A8E1A51638AA"), Name = "Slovenia", TelephonePrefix = "386"},
                new Country{Id = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name = "Germany", TelephonePrefix = "49"},
                new Country{Id = new Guid("B7873397-A250-4E26-A371-A9FB32BEF3BC"), Name = "So Tom and Principe", TelephonePrefix = "239"},
                new Country{Id = new Guid("8082809E-57AE-4E2D-8244-AB2CDC0ABC18"), Name = "Bonaire", TelephonePrefix = null},
                new Country{Id = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name = "Mexico", TelephonePrefix = "52"},
                new Country{Id = new Guid("9FF64B6B-828D-4C7F-9C34-AC34EAA78979"), Name = "Cameroon", TelephonePrefix = "237"},
                new Country{Id = new Guid("35CB7CC2-B2D2-4FA7-A8C6-ADC86A206210"), Name = "Montenegro", TelephonePrefix = "382"},
                new Country{Id = new Guid("572DD1AF-B90F-41AC-B10C-ADF568AC82C7"), Name = "Pakistan", TelephonePrefix = "92"},
                new Country{Id = new Guid("26AA8547-5DEE-4E4F-8657-AE6881EBFE2C"), Name = "Guadeloupe", TelephonePrefix = "590"},
                new Country{Id = new Guid("87D64EBC-F6F5-487F-9CBE-AE92A943C83F"), Name = "Mauritius", TelephonePrefix = "230"},
                new Country{Id = new Guid("C04CEA03-B351-4F42-8C39-AF2BD1AEF307"), Name = "New Caledonia", TelephonePrefix = "687"},
                new Country{Id = new Guid("0B8F19DE-4BC9-45B4-8FCC-AF883426174A"), Name = "Fiji", TelephonePrefix = "679"},
                new Country{Id = new Guid("391AAAC1-18B9-4569-9FD1-B0B06B4892F8"), Name = "Estonia", TelephonePrefix = "372"},
                new Country{Id = new Guid("4D3B9898-0876-4D3C-B345-B2F297EFA9FE"), Name = "Saint-Pierre and Miquelon", TelephonePrefix = "508"},
                new Country{Id = new Guid("67EF14F5-78E1-40A7-A732-B518267A4B86"), Name = "Angola", TelephonePrefix = "244"},
                new Country{Id = new Guid("7B2B044D-470B-4BE0-863B-B5D847E51592"), Name = "Myanmar", TelephonePrefix = "95"},
                new Country{Id = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name = "Bhutan", TelephonePrefix = "975"},
                new Country{Id = new Guid("0410F394-C521-48A2-8E24-BD9A6790D104"), Name = "Niger", TelephonePrefix = "227"},
                new Country{Id = new Guid("4D69E0AB-3849-46F9-95E3-BF555E2D78C6"), Name = "Ireland", TelephonePrefix = "353"},
                new Country{Id = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name = "Namibia", TelephonePrefix = "264"},
                new Country{Id = new Guid("D13FF221-3871-4C01-87BC-C21F1AD8CF7E"), Name = "Denmark", TelephonePrefix = "45"},
                new Country{Id = new Guid("748710B5-D2A6-43BF-9612-C377ACDA272A"), Name = "Taiwan", TelephonePrefix = "886"},
                new Country{Id = new Guid("46F74937-0678-4EF7-89F1-C4FE6C0CE3E4"), Name = "Nepal", TelephonePrefix = "977"},
                new Country{Id = new Guid("BD42A40A-1E6D-4495-AB9B-C5D8B850959E"), Name = "Turkmenistan", TelephonePrefix = "993"},
                new Country{Id = new Guid("5ACB7C62-1675-420A-A1F8-C700ECB7F826"), Name = "San Marino", TelephonePrefix = "378"},
                new Country{Id = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name = "Saudi Arabia", TelephonePrefix = "966"},
                new Country{Id = new Guid("48EE4FCE-14F5-4CFE-99BB-C88B4E159F91"), Name = "Yemen", TelephonePrefix = "967"},
                new Country{Id = new Guid("AF1E0AE6-AA9F-4CD3-88D1-CA66218DA9F1"), Name = "Curaao", TelephonePrefix = "599"},
                new Country{Id = new Guid("6E22EFB7-CAC9-4179-B842-CE73EC1D9DBB"), Name = "Australia", TelephonePrefix = "61"},
                new Country{Id = new Guid("430CA84C-0443-4BC3-BC36-CEE6F9D2D1E2"), Name = "Tunisia", TelephonePrefix = "216"},
                new Country{Id = new Guid("BDF46987-543D-4D0D-AD05-CF1302749EF0"), Name = "Timor-Leste", TelephonePrefix = null},
                new Country{Id = new Guid("DC422B1B-33BA-4E86-A31D-D06B00610ADD"), Name = "Cook Islands", TelephonePrefix = "682"},
                new Country{Id = new Guid("814C9C98-64C6-4EC6-9347-D16E11EAA9AB"), Name = "Iraq", TelephonePrefix = "964"},
                new Country{Id = new Guid("645A1B17-973B-4AB2-B851-D1F223817C70"), Name = "Macedonia", TelephonePrefix = "389"},
                new Country{Id = new Guid("ABA66E74-AF34-4105-A846-D2E710AFAF8C"), Name = "Cyprus", TelephonePrefix = "357"},
                new Country{Id = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name = "Georgia", TelephonePrefix = "995"},
                new Country{Id = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name = "Lithuania", TelephonePrefix = "370"},
                new Country{Id = new Guid("CC81E96A-1959-4DA7-A8F0-D7488C5E4DF9"), Name = "Portugal", TelephonePrefix = "351"},
                new Country{Id = new Guid("FC3B7BA6-7AF3-4DEE-BE82-D8C2344C3603"), Name = "Rwanda", TelephonePrefix = "250"},
                new Country{Id = new Guid("628ECF60-BE3C-4242-B48E-D9ABCFB6051F"), Name = "Ghana", TelephonePrefix = "233"},
                new Country{Id = new Guid("EDE00EFD-0261-4A82-AA47-DA188120C9EC"), Name = "Korea, South", TelephonePrefix = "82"},
                new Country{Id = new Guid("DF58FFE7-6339-47ED-ADCC-DB84F7D9EACB"), Name = "Austria", TelephonePrefix = "43"},
                new Country{Id = new Guid("24A13B2B-6638-4457-A454-DD43B4EB7E74"), Name = "Anguilla", TelephonePrefix = null},
                new Country{Id = new Guid("54B2274C-3A51-491B-B9D6-DD7A8ADBEAD5"), Name = "Palau", TelephonePrefix = "680"},
                new Country{Id = new Guid("1A15A94C-26BF-4D42-8A92-DDFA825E3610"), Name = "French Polynesia", TelephonePrefix = "689"},
                new Country{Id = new Guid("5ECFD533-6881-4167-9ECF-DEB70CC65C9F"), Name = "Aruba", TelephonePrefix = "297"},
                new Country{Id = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name = "Sweden", TelephonePrefix = "46"},
                new Country{Id = new Guid("E8CE4BFC-94F6-4D2F-A02D-E0904A9144E5"), Name = "Dominican Republic", TelephonePrefix = null},
                new Country{Id = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name = "Azerbaijan", TelephonePrefix = "994"},
                new Country{Id = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name = "France", TelephonePrefix = "33"},
                new Country{Id = new Guid("CCD17917-76BD-40CA-9FD0-E6F3869D1C8D"), Name = "Oman", TelephonePrefix = "968"},
                new Country{Id = new Guid("77DFB01E-EA52-4E31-BFEC-E7BB158346BE"), Name = "Nauru", TelephonePrefix = "674"},
                new Country{Id = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name = "Finland", TelephonePrefix = "358"},
                new Country{Id = new Guid("2D49B455-13E0-4083-AF09-E7D7D49611E2"), Name = "Tonga", TelephonePrefix = "676"},
                new Country{Id = new Guid("2A2C198B-5682-4D9E-81A9-E9194770ED92"), Name = "Egypt", TelephonePrefix = "20"},
                new Country{Id = new Guid("B94EFCD6-0162-4432-AEF8-EA15AA54D0F5"), Name = "Sierra Leone", TelephonePrefix = "232"},
                new Country{Id = new Guid("3B345B24-58F3-4A5B-9327-EBC96F4D588A"), Name = "British Virgin Islands", TelephonePrefix = null},
                new Country{Id = new Guid("30C0CA4F-A2D1-42E0-BDB3-ECFD85715CEB"), Name = "Bolivia", TelephonePrefix = "591"},
                new Country{Id = new Guid("A70D7560-9C09-4E27-B27A-EE05C967A79B"), Name = "Suriname", TelephonePrefix = "597"},
                new Country{Id = new Guid("F7C765F2-C5B0-4AB2-9DC2-EE721AB9FBCF"), Name = "Seychelles", TelephonePrefix = "248"},
                new Country{Id = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name = "China", TelephonePrefix = "86"},
                new Country{Id = new Guid("911535A7-40E1-470D-8DC8-F0F9AABB818E"), Name = "Uruguay", TelephonePrefix = "598"},
                new Country{Id = new Guid("CD62F5E2-CBDB-4C9A-B108-F32EBF9FF944"), Name = "Liechtenstein", TelephonePrefix = "423"},
                new Country{Id = new Guid("4A5CFA93-BD60-4254-8C4C-F4800960C02B"), Name = "Dominica", TelephonePrefix = null},
                new Country{Id = new Guid("15810649-C6D0-4B4A-8F0D-F4CF8217B22F"), Name = "Saint Vincent and the Grenadines", TelephonePrefix = null},
                new Country{Id = new Guid("A36446C3-997D-44D1-B271-F5065EBDE9B5"), Name = "Central African Republic", TelephonePrefix = "236"},
                new Country{Id = new Guid("1AE8A0D5-5D5A-476D-89B8-F63B5CD11129"), Name = "Chad", TelephonePrefix = "235"},
                new Country{Id = new Guid("0CF83A57-E197-49C0-8C0D-F6A6DD5D9B1D"), Name = "Congo-Brazzaville", TelephonePrefix = "242"},
                new Country{Id = new Guid("98B5E495-150F-4C32-A4C1-F79F25373E16"), Name = "New Zealand", TelephonePrefix = "64"},
                new Country{Id = new Guid("E5C71CBD-11C6-43B7-A78F-F9F233F306BC"), Name = "Honduras", TelephonePrefix = "504"},
                new Country{Id = new Guid("EBA44B16-1769-4C88-9E53-FCD415DA117F"), Name = "Kiribati", TelephonePrefix = "686"},
                new Country{Id = new Guid("0DBAB957-1EAC-49DA-B679-FE3D164A5089"), Name = "Togo", TelephonePrefix = "228"}
            };
        }

        public void UploadEntity(CrmService service)
        {
            var entity = new DynamicEntity("new_country");
            entity.Properties.AddRange(
                new[]
                            {
                                new StringProperty("new_name", System.Security.SecurityElement.Escape(Name)),
                                new StringProperty("new_telephoneprefix", TelephonePrefix ?? ""),
                            }
                );

            newId = service.Create(entity);
        }
    }
}