using System;
using System.Collections.Generic;
using Microsoft.Crm.Sdk;
using Microsoft.Crm.SdkTypeProxy;

namespace OrbitOne.CRM.Plugins.PhonenumberCleanupInstaller
{
    class AreaCode
    {
        public Guid CountryId { get; set; }
        public string Name { get; set; }
        public string Areacode { get; set; }

        public static List<AreaCode> Load()
        {
            return new List<AreaCode>
                       {
                           new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Motala", Areacode="141"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="Andermatt", Areacode="41"},
                    new AreaCode{CountryId = new Guid("430CA84C-0443-4BC3-BC36-CEE6F9D2D1E2"), Name="Beja", Areacode="8"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Al-Naserah", Areacode="31"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Rezekne", Areacode="46"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Zhenjiang - Jiangsu", Areacode="511"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MS", Areacode="228"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Hoyniki", Areacode="2346"},
                    new AreaCode{CountryId = new Guid("38A19469-4D7A-4156-873A-92733BC92C61"), Name="Tafila", Areacode="3"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Mobile Phones", Areacode="691"},
                    new AreaCode{CountryId = new Guid("E04C0643-8FE6-4364-8859-7BB360BA46F4"), Name="Kolkhozabad", Areacode="3771"},
                    new AreaCode{CountryId = new Guid("F8B2E8D7-1651-4084-83DF-06D9D98EA3CC"), Name="Jaluit Atoll", Areacode="525"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Sighisoara", Areacode="265"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Cuernavaca", Areacode="777"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Cantemir", Areacode="273"},
                    new AreaCode{CountryId = new Guid("80EC649B-DE55-46E8-9C84-5B84F8252CA4"), Name="Timehri", Areacode="261"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Piriul Rece", Areacode="268"},
                    new AreaCode{CountryId = new Guid("C02106C7-B8A7-46EB-AAC6-2F880BE260CD"), Name="Concepcin", Areacode="41"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="SFR", Areacode="614"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Gyor", Areacode="96"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Kurle - Xinjiang", Areacode="996"},
                    new AreaCode{CountryId = new Guid("391AAAC1-18B9-4569-9FD1-B0B06B4892F8"), Name="Jgevamaa", Areacode="77"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Iasi", Areacode="232"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Koghb", Areacode="66"},
                    new AreaCode{CountryId = new Guid("4910D3B0-948C-4FBA-8004-10EF33F1E8DD"), Name="Ashkelon", Areacode="8"},
                    new AreaCode{CountryId = new Guid("38A19469-4D7A-4156-873A-92733BC92C61"), Name="Salt", Areacode="5"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="Sotelgui", Areacode="27"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Wuhu - Anhui", Areacode="553"},
                    new AreaCode{CountryId = new Guid("748710B5-D2A6-43BF-9612-C377ACDA272A"), Name="Hsiaying", Areacode="6"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Wenshan - Yunnan", Areacode="876"},
                    new AreaCode{CountryId = new Guid("ADDAC550-B86C-40CF-B8C4-10F142EBDF66"), Name="Tacna", Areacode="54"},
                    new AreaCode{CountryId = new Guid("6B04AC6B-B56E-4022-BE18-6341F2A45F90"), Name="Guayas", Areacode="4"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="VA", Areacode="804"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Brasov", Areacode="268"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Szekszrd", Areacode="74"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Agra", Areacode="562"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Bouygues Telecom", Areacode="663"},
                    new AreaCode{CountryId = new Guid("C02106C7-B8A7-46EB-AAC6-2F880BE260CD"), Name="Los Andes", Areacode="34"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Floro Perez", Areacode="24"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Ronneby", Areacode="457"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Pakruojis", Areacode="421"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Chiang Mai", Areacode="53"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Venice", Areacode="41"},
                    new AreaCode{CountryId = new Guid("B270D848-0C58-44DF-994B-386F9BA6BD8E"), Name="Mutsamudu", Areacode="712"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Trashi Yangtse", Areacode="4"},
                    new AreaCode{CountryId = new Guid("C6FFFECA-02E5-4158-B833-05C3DAD25AB2"), Name="Leiden", Areacode="71"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="TX", Areacode="682"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Mobile", Areacode="336"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Saveni", Areacode="231"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Bals", Areacode="249"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Lerum", Areacode="302"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Baile Felix", Areacode="259"},
                    new AreaCode{CountryId = new Guid("B8E9EFD7-A3F2-495A-89F6-9E4FDA01D3C0"), Name="Abu Dhabi", Areacode="2"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Tintea", Areacode="244"},
                    new AreaCode{CountryId = new Guid("96AF43F8-0F0A-459D-9433-4DEDD84FB167"), Name="Long Xuyen", Areacode="76"},
                    new AreaCode{CountryId = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name="Negambo", Areacode="31"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Moldova Veche", Areacode="255"},
                    new AreaCode{CountryId = new Guid("2745B68E-B8F8-4924-9588-47CF2E90425F"), Name="London", Areacode="519"},
                    new AreaCode{CountryId = new Guid("6B04AC6B-B56E-4022-BE18-6341F2A45F90"), Name="Loja, Caar, Azuay, Zamora, El Oro and Morona Santiago", Areacode="7"},
                    new AreaCode{CountryId = new Guid("3744A5E2-1AA7-441D-AE36-30342FEDE0F8"), Name="O2(GSM 900/1800, 3G 2100)", Areacode="606"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Rangamati", Areacode="351"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Almeria", Areacode="950"},
                    new AreaCode{CountryId = new Guid("4504391C-E9D7-43BF-BC06-832E0A6FB016"), Name="General Santos", Areacode="83"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Solca", Areacode="230"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Cte d'Azur and Ras Al-Basit", Areacode="41"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Arboga", Areacode="589"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Omnitel", Areacode="688"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Lopez Pea", Areacode="85"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="OH", Areacode="234"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="China Mobile(GSM 900)", Areacode="136"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Yixin - Jiangsu", Areacode="5218"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Sascut", Areacode="234"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Nemea", Areacode="2746"},
                    new AreaCode{CountryId = new Guid("38A19469-4D7A-4156-873A-92733BC92C61"), Name="Aqaba", Areacode="3"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="Sotelgui", Areacode="57"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Kars", Areacode="474"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Askersund", Areacode="583"},
                    new AreaCode{CountryId = new Guid("67EF14F5-78E1-40A7-A732-B518267A4B86"), Name="Lubango", Areacode="61"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Matava", Areacode="66"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="FL", Areacode="786"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Ninghua - Fujian", Areacode="598"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="WA", Areacode="206"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Annaba", Areacode="38"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Al-Tel", Areacode="11"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Batumi", Areacode="222"},
                    new AreaCode{CountryId = new Guid("A9A3273A-6251-434E-B0D3-0286B0EC4EFC"), Name="Cape Town", Areacode="21"},
                    new AreaCode{CountryId = new Guid("911535A7-40E1-470D-8DC8-F0F9AABB818E"), Name="San Jose De Carrasco", Areacode="38"},
                    new AreaCode{CountryId = new Guid("28431BD3-731C-4DF6-9765-2F88C08884A3"), Name="Toliaray", Areacode="94"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Zhemgang", Areacode="3"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Safita", Areacode="43"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Sarpang", Areacode="6"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Bouira", Areacode="26"},
                    new AreaCode{CountryId = new Guid("4504391C-E9D7-43BF-BC06-832E0A6FB016"), Name="Caloocan", Areacode="2"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Tohan", Areacode="268"},
                    new AreaCode{CountryId = new Guid("46F74937-0678-4EF7-89F1-C4FE6C0CE3E4"), Name="Bharatput", Areacode="56"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Companigon (Bashurhat)", Areacode="3223"},
                    new AreaCode{CountryId = new Guid("C6FFFECA-02E5-4158-B833-05C3DAD25AB2"), Name="Arnhem", Areacode="26"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Dnestrovsk", Areacode="219"},
                    new AreaCode{CountryId = new Guid("B270D848-0C58-44DF-994B-386F9BA6BD8E"), Name="Fomboni", Areacode="722"},
                    new AreaCode{CountryId = new Guid("2C443E5E-8531-474E-BCA1-9FC80C72C14A"), Name="Tete", Areacode="252"},
                    new AreaCode{CountryId = new Guid("391AAAC1-18B9-4569-9FD1-B0B06B4892F8"), Name="Lnemaa", Areacode="47"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MI", Areacode="810"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Natore", Areacode="771"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Chuxiong - Yunnan", Areacode="878"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Icel (Mersin)", Areacode="324"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="orovod", Areacode="312"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Tipaza", Areacode="24"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="China Unicom (GSM 900)", Areacode="131"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Balvi", Areacode="45"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Tirgu Bujor", Areacode="236"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Etosha Rurtel", Areacode="67"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="AR", Areacode="870"},
                    new AreaCode{CountryId = new Guid("4910D3B0-948C-4FBA-8004-10EF33F1E8DD"), Name="Tsefat", Areacode="4"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="La Louvire", Areacode="64"},
                    new AreaCode{CountryId = new Guid("391AAAC1-18B9-4569-9FD1-B0B06B4892F8"), Name="Viljandimaa", Areacode="43"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Gorodok", Areacode="2139"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Western Azerbayajan", Areacode="443"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Magura", Areacode="234"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Luderitz -Elizabeth Bay", Areacode="63"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="China Unicom (GSM 900)", Areacode="130"},
                    new AreaCode{CountryId = new Guid("572DD1AF-B90F-41AC-B10C-ADF568AC82C7"), Name="Gujranwala", Areacode="431"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Vindeln", Areacode="933"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Kalix", Areacode="923"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Rupea", Areacode="268"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Nyangana", Areacode="66"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Bilbao", Areacode="94"},
                    new AreaCode{CountryId = new Guid("7ED4C4DC-96E6-419D-A033-67B4526511AF"), Name="Vientiane (Capital)", Areacode="21"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Delhi", Areacode="11"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Darmanesti", Areacode="234"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="Sotelgui", Areacode="21"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="OH", Areacode="330"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Hengyang - Hunan", Areacode="734"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Yuanmou - Yunnan", Areacode="8869"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Hedesunda-sterfrnebo", Areacode="291"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MI", Areacode="517"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Santa Cruz del Norte", Areacode="692"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Akure", Areacode="34"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Luderitz", Areacode="63"},
                    new AreaCode{CountryId = new Guid("ABA66E74-AF34-4105-A846-D2E710AFAF8C"), Name="Short MessageService Center", Areacode="997"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Sednaya", Areacode="11"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Treboda-Hova", Areacode="506"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Wudu - Gansu", Areacode="939"},
                    new AreaCode{CountryId = new Guid("80EC649B-DE55-46E8-9C84-5B84F8252CA4"), Name="Anna Regina", Areacode="278"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Bolu", Areacode="374"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Fyties", Areacode="2646"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Harman", Areacode="268"},
                    new AreaCode{CountryId = new Guid("A78D0697-F264-411C-97B9-30AE76593E5C"), Name="Mdi Tlcom(GSM900)", Areacode="66"},
                    new AreaCode{CountryId = new Guid("4910D3B0-948C-4FBA-8004-10EF33F1E8DD"), Name="Nazareth", Areacode="4"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Newfoundland", Areacode="709"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Klein Waterberg", Areacode="67"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Kristianstad", Areacode="44"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Onatel(GSM 900)", Areacode="21"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Kohgelouyeh", Areacode="744"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Aliveri", Areacode="2223"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="TX", Areacode="361"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="Macenta", Areacode="94"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Trakai", Areacode="528"},
                    new AreaCode{CountryId = new Guid("67EF14F5-78E1-40A7-A732-B518267A4B86"), Name="Cubal", Areacode="72"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Rauma", Areacode="2"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Mobile Phones", Areacode="59"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NJ", Areacode="973"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Ptolemaida", Areacode="2463"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="Conakry", Areacode="43"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Hailar - Nei Mongol", Areacode="470"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Karlsborg", Areacode="505"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Dashkesan", Areacode="216"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Ziyuan - Guangxi", Areacode="7852"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Celtel(GSM 900)", Areacode="68"},
                    new AreaCode{CountryId = new Guid("C02106C7-B8A7-46EB-AAC6-2F880BE260CD"), Name="Iquique", Areacode="57"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="PRO XL", Areacode="817"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Neapoli S", Areacode="2734"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Al-Nassr", Areacode="11"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Verona", Areacode="45"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Handan - Hebei", Areacode="310"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Goris", Areacode="84"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Kletsk", Areacode="1793"},
                    new AreaCode{CountryId = new Guid("AFA02048-AB89-43D6-ABD7-363DB4ED09C9"), Name="Bujumbura", Areacode="22"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Fenghuang - Hunan", Areacode="7480"},
                    new AreaCode{CountryId = new Guid("430CA84C-0443-4BC3-BC36-CEE6F9D2D1E2"), Name="Kairouan", Areacode="7"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Sinop", Areacode="368"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Hamadaniyah", Areacode="21"},
                    new AreaCode{CountryId = new Guid("35CB7CC2-B2D2-4FA7-A8C6-ADC86A206210"), Name="Pljevlja", Areacode="89"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Taba", Areacode="2"},
                    new AreaCode{CountryId = new Guid("5A4B23B0-8036-4849-B935-28D9A00B5339"), Name="Arusha", Areacode="27"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Karakerd", Areacode="33"},
                    new AreaCode{CountryId = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name="Medin", Areacode="4"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Daugavpils", Areacode="54"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Tatabnya", Areacode="34"},
                    new AreaCode{CountryId = new Guid("CCEC3BC3-8630-4D7B-8364-655AEC9F5EE7"), Name="Go Mobile", Areacode="79"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Zakynthos", Areacode="2695"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Huizhou - Guangdong", Areacode="752"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Kopparberg", Areacode="580"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Mobistar", Areacode="491"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Caransebes", Areacode="255"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Tizi Ouzou", Areacode="26"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Lattakia", Areacode="41"},
                    new AreaCode{CountryId = new Guid("EDE00EFD-0261-4A82-AA47-DA188120C9EC"), Name="Ulsan", Areacode="52"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Vilnius", Areacode="521"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Gnesta", Areacode="158"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MA", Areacode="774"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Hallsberg", Areacode="582"},
                    new AreaCode{CountryId = new Guid("19384D80-2CBE-482D-A06C-1D8E17F183E5"), Name="Kyambogo", Areacode="41"},
                    new AreaCode{CountryId = new Guid("E04C0643-8FE6-4364-8859-7BB360BA46F4"), Name="Dushanbe", Areacode="372"},
                    new AreaCode{CountryId = new Guid("67EF14F5-78E1-40A7-A732-B518267A4B86"), Name="Xangongo", Areacode="65"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Ontario", Areacode="416"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Mobile Phones", Areacode="693"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Chandigarh", Areacode="172"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Surabaya", Areacode="31"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Vansbro", Areacode="281"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="VA", Areacode="703"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Kemi", Areacode="16"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="LANDS MOBILTELEFON AB", Areacode="4573"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Jszberny", Areacode="57"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Mazandaran", Areacode="151"},
                    new AreaCode{CountryId = new Guid("A8DF1692-825B-496C-BB7D-5021DFCDBFA8"), Name="Blagoevgrad", Areacode="73"},
                    new AreaCode{CountryId = new Guid("2A2C198B-5682-4D9E-81A9-E9194770ED92"), Name="El Mahallah (El Kubra)", Areacode="40"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Bheramara", Areacode="7022"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="SFR", Areacode="603"},
                    new AreaCode{CountryId = new Guid("430CA84C-0443-4BC3-BC36-CEE6F9D2D1E2"), Name="Gafsa", Areacode="6"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="GA", Areacode="404"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="CA", Areacode="650"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="vertorne", Areacode="927"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Bunia", Areacode="66"},
                    new AreaCode{CountryId = new Guid("46F74937-0678-4EF7-89F1-C4FE6C0CE3E4"), Name="Gorkha", Areacode="64"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Tongeren (Tongres)", Areacode="12"},
                    new AreaCode{CountryId = new Guid("38A19469-4D7A-4156-873A-92733BC92C61"), Name="Ramtha", Areacode="2"},
                    new AreaCode{CountryId = new Guid("971C8400-1479-410E-87BD-84C35D776B5E"), Name="Nyeri", Areacode="61"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Kantchari", Areacode="79"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Fier", Areacode="34"},
                    new AreaCode{CountryId = new Guid("645A1B17-973B-4AB2-B851-D1F223817C70"), Name="Vinica", Areacode="33"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Base", Areacode="488"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Klaipeda", Areacode="464"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Jinzhou - Liaoning", Areacode="416"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Asaba", Areacode="56"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Jinan - Shandong", Areacode="531"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Szigetszentmikls", Areacode="24"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Orange France", Areacode="674"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Pucioasa", Areacode="245"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Jaramanah", Areacode="11"},
                    new AreaCode{CountryId = new Guid("26AA8547-5DEE-4E4F-8657-AE6881EBFE2C"), Name="Basse Terre", Areacode="81"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Ripiceni", Areacode="231"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Adrar", Areacode="49"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Tissemsilt", Areacode="46"},
                    new AreaCode{CountryId = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name="Plus GSM (Polkomtel)", Areacode="605"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Chengdu - Sichuan", Areacode="28"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="OH", Areacode="419"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Rustavi", Areacode="335"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Eghvard", Areacode="24"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Alapars", Areacode="23"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NE", Areacode="308"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Burrel", Areacode="217"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Siatista", Areacode="2465"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Celcom (GSM 900/1800, 3G 2100)", Areacode="13"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Fush-Kruj", Areacode="563"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Orange France", Areacode="670"},
                    new AreaCode{CountryId = new Guid("B8E9EFD7-A3F2-495A-89F6-9E4FDA01D3C0"), Name="Ras-al-Khaimah", Areacode="77"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Booshehr", Areacode="773"},
                    new AreaCode{CountryId = new Guid("9FF64B6B-828D-4C7F-9C34-AC34EAA78979"), Name="Camtel (fixed telephony)", Areacode="335"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Chlkidona", Areacode="2391"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="TX", Areacode="903"},
                    new AreaCode{CountryId = new Guid("A9A3273A-6251-434E-B0D3-0286B0EC4EFC"), Name="Gordons Bay", Areacode="24"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Kotka", Areacode="5"},
                    new AreaCode{CountryId = new Guid("C02106C7-B8A7-46EB-AAC6-2F880BE260CD"), Name="Antofagasta", Areacode="55"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="Lenk im Simmental", Areacode="33"},
                    new AreaCode{CountryId = new Guid("B270D848-0C58-44DF-994B-386F9BA6BD8E"), Name="Moroni and Centre of Island", Areacode="73"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Sagarejo", Areacode="351"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Eksj", Areacode="381"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Padova", Areacode="49"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Bulwana", Areacode="668"},
                    new AreaCode{CountryId = new Guid("7B2B044D-470B-4BE0-863B-B5D847E51592"), Name="Hpa-An", Areacode="58"},
                    new AreaCode{CountryId = new Guid("FCDE7AF5-C55B-44E8-A0E8-911F86D0E410"), Name="Odessa", Areacode="48"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="GLOBAL NETWORKS INC.", Areacode="4555"},
                    new AreaCode{CountryId = new Guid("971C8400-1479-410E-87BD-84C35D776B5E"), Name="Kisumu", Areacode="57"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Khashuri", Areacode="368"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Jonava", Areacode="349"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Alberta", Areacode="403"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Frankfurt an der Oder (east)", Areacode="335"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Orange France", Areacode="688"},
                    new AreaCode{CountryId = new Guid("FFAE686C-4A31-40DD-A1C5-7A4551E03212"), Name="Yokohama", Areacode="45"},
                    new AreaCode{CountryId = new Guid("9FF64B6B-828D-4C7F-9C34-AC34EAA78979"), Name="Camtel (fixed telephony)", Areacode="336"},
                    new AreaCode{CountryId = new Guid("98B5E495-150F-4C32-A4C1-F79F25373E16"), Name="Nelson", Areacode="3"},
                    new AreaCode{CountryId = new Guid("A3BEDE9E-A359-49FD-8250-A40F13BCE642"), Name="Stroessner: Ciudad Pte.", Areacode="61"},
                    new AreaCode{CountryId = new Guid("96AF43F8-0F0A-459D-9433-4DEDD84FB167"), Name="Da Nang", Areacode="51"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="CA", Areacode="530"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="DNA FINLAND OY", Areacode="44"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Gutian - Fujian", Areacode="593"},
                    new AreaCode{CountryId = new Guid("971C8400-1479-410E-87BD-84C35D776B5E"), Name="Kakamega", Areacode="56"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Ohandungu", Areacode="65"},
                    new AreaCode{CountryId = new Guid("96AF43F8-0F0A-459D-9433-4DEDD84FB167"), Name="Ho Chi Minh City", Areacode="8"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Sherpur", Areacode="931"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Connex (MobiFon)", Areacode="723"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Tiaret", Areacode="46"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Dorohoi", Areacode="231"},
                    new AreaCode{CountryId = new Guid("AFA02048-AB89-43D6-ABD7-363DB4ED09C9"), Name="Bujumbura", Areacode="26"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Yarual", Areacode="338"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Bauska", Areacode="39"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Renqiu - Hebei", Areacode="3420"},
                    new AreaCode{CountryId = new Guid("45044628-55D2-4ADB-B3FD-19B2A3748A03"), Name="Taldykorgan", Areacode="328"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Telekomsel", Areacode="812"},
                    new AreaCode{CountryId = new Guid("78693684-30E2-4709-B032-2AD99A39B401"), Name="Florianpolis", Areacode="48"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="Interlaken", Areacode="33"},
                    new AreaCode{CountryId = new Guid("971C8400-1479-410E-87BD-84C35D776B5E"), Name="Mombasa", Areacode="41"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Falticeni", Areacode="230"},
                    new AreaCode{CountryId = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name="Szczecin (Stettin)", Areacode="91"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Margineni", Areacode="234"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Zhangzhou - Fujian", Areacode="596"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Tijuana", Areacode="664"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Nzinze", Areacode="66"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Lagadikia", Areacode="2393"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Tiran", Areacode="4"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Kuwatly", Areacode="33"},
                    new AreaCode{CountryId = new Guid("C02106C7-B8A7-46EB-AAC6-2F880BE260CD"), Name="San Antonio", Areacode="35"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Ghazvin", Areacode="281"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Tukums", Areacode="31"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Korpilombolo", Areacode="977"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Sishui - Shandong", Areacode="5483"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Yumen - Gansu", Areacode="9471"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Razoare", Areacode="241"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Ungheni", Areacode="236"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Meghradzor", Areacode="23"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Bloudan", Areacode="13"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Wanxian - Sichuan", Areacode="819"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Kalkrand", Areacode="63"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Cehu Silvaniei", Areacode="260"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Wuwei - Gansu", Areacode="935"},
                    new AreaCode{CountryId = new Guid("45044628-55D2-4ADB-B3FD-19B2A3748A03"), Name="Petropavlovsk", Areacode="315"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Mangalia", Areacode="241"},
                    new AreaCode{CountryId = new Guid("AFA02048-AB89-43D6-ABD7-363DB4ED09C9"), Name="Bujumbura", Areacode="27"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="TX", Areacode="325"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Zardab", Areacode="135"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Bilisht", Areacode="811"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Dibougou", Areacode="86"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Panbang DAMA", Areacode="6"},
                    new AreaCode{CountryId = new Guid("48EE4FCE-14F5-4CFE-99BB-C88B4E159F91"), Name="Taiz", Areacode="4"},
                    new AreaCode{CountryId = new Guid("DF285779-2BB8-4280-9C72-630BF4C356FF"), Name="Poprad", Areacode="52"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Beranang", Areacode="3"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Magdeburg", Areacode="391"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Yalova", Areacode="226"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Ovidiu", Areacode="241"},
                    new AreaCode{CountryId = new Guid("FFAE686C-4A31-40DD-A1C5-7A4551E03212"), Name="Chiba", Areacode="43"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Amfissa", Areacode="2265"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Edundja", Areacode="65"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Peralejo", Areacode="23"},
                    new AreaCode{CountryId = new Guid("D1F141AD-99C7-432F-B35E-4EE89F9EF7F5"), Name="San Marcos", Areacode="43"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Las Martinas", Areacode="84"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Komotini", Areacode="2531"},
                    new AreaCode{CountryId = new Guid("AC2B94BD-C0C8-4548-A4D2-675FB4045436"), Name="Misuratha", Areacode="51"},
                    new AreaCode{CountryId = new Guid("34C2F0BC-018C-476A-828C-8C7E086B5529"), Name="Djibouti City", Areacode="34"},
                    new AreaCode{CountryId = new Guid("E04C0643-8FE6-4364-8859-7BB360BA46F4"), Name="Khujand", Areacode="3422"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Moheshkhali", Areacode="3424"},
                    new AreaCode{CountryId = new Guid("80EC649B-DE55-46E8-9C84-5B84F8252CA4"), Name="Mahaicony", Areacode="221"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Chiang Mai Mobile", Areacode="853"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Gura Sutii", Areacode="245"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Peqin", Areacode="512"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Odobesti", Areacode="237"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Jiangyin - Jiangsu", Areacode="5217"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Corabia", Areacode="249"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Secuieni", Areacode="234"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Vardenis", Areacode="69"},
                    new AreaCode{CountryId = new Guid("A8DF1692-825B-496C-BB7D-5021DFCDBFA8"), Name="Kazanluk", Areacode="431"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Heze - Shandong", Areacode="530"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Izazz", Areacode="21"},
                    new AreaCode{CountryId = new Guid("02F78A72-7B17-4DF4-9C9A-2A6577F412CE"), Name="Hargeysa", Areacode="1"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Erzurum", Areacode="442"},
                    new AreaCode{CountryId = new Guid("572DD1AF-B90F-41AC-B10C-ADF568AC82C7"), Name="Abbotabad", Areacode="992"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Vara-Nossebro", Areacode="512"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Dongfang - Hainan", Areacode="8003"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Lessebo", Areacode="478"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Adapazari", Areacode="264"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Palmyra", Areacode="34"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Riga", Areacode="28"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Braila", Areacode="239"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Primero de Enero", Areacode="33"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Sderkping", Areacode="121"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Meizhou - Guangdong", Areacode="753"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Messini", Areacode="2722"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Amritsar", Areacode="183"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="CO", Areacode="303"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Cluj - Napoca", Areacode="264"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Oravita", Areacode="255"},
                    new AreaCode{CountryId = new Guid("4504391C-E9D7-43BF-BC06-832E0A6FB016"), Name="Dauin", Areacode="3522"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Argos", Areacode="2751"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MN", Areacode="612"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Palma De Mallorca", Areacode="971"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Tel Salhab", Areacode="33"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Grootfontein", Areacode="67"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Endola", Areacode="65"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="CA", Areacode="951"},
                    new AreaCode{CountryId = new Guid("A8DF1692-825B-496C-BB7D-5021DFCDBFA8"), Name="Plovdiv", Areacode="32"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="PA", Areacode="814"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Ouagadougou", Areacode="34"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Kolympari", Areacode="2824"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NY", Areacode="516"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Kermanshah", Areacode="837"},
                    new AreaCode{CountryId = new Guid("AC2B94BD-C0C8-4548-A4D2-675FB4045436"), Name="Tripoli International Airport", Areacode="22"},
                    new AreaCode{CountryId = new Guid("911535A7-40E1-470D-8DC8-F0F9AABB818E"), Name="Mercedes", Areacode="532"},
                    new AreaCode{CountryId = new Guid("26F89703-E93A-4FBD-ADD7-3BFFB69CDEC3"), Name="Moscow (municipal)", Areacode="495"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Pambak", Areacode="51"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Moron", Areacode="335"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Vatra Moldovitei", Areacode="230"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Sveg", Areacode="680"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="TN", Areacode="901"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Zalau", Areacode="260"},
                    new AreaCode{CountryId = new Guid("E030214A-C85E-40FA-A627-70601272F411"), Name="Tashkent", Areacode="71"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Hallen-Oviken", Areacode="643"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Darayah", Areacode="11"},
                    new AreaCode{CountryId = new Guid("748710B5-D2A6-43BF-9612-C377ACDA272A"), Name="Fengyuan", Areacode="4"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Poiana Brasov", Areacode="268"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Hrazdan", Areacode="23"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Al-Fijeh", Areacode="11"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Novaci", Areacode="253"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="CA", Areacode="661"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Kafar Sousseh", Areacode="11"},
                    new AreaCode{CountryId = new Guid("08E81DF6-8533-4FD7-B909-A4EC6E5D31F0"), Name="Takeo", Areacode="32"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="SFR", Areacode="621"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Chemnitz", Areacode="371"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Brescia", Areacode="30"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Tropea", Areacode="2797"},
                    new AreaCode{CountryId = new Guid("98B5E495-150F-4C32-A4C1-F79F25373E16"), Name="North Island (Western)", Areacode="6"},
                    new AreaCode{CountryId = new Guid("2745B68E-B8F8-4924-9588-47CF2E90425F"), Name="Qubec (Montral Island)", Areacode="514"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Alba Iulia", Areacode="258"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Ado Ekiti", Areacode="30"},
                    new AreaCode{CountryId = new Guid("E04C0643-8FE6-4364-8859-7BB360BA46F4"), Name="Khorog", Areacode="35220"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Drimiopsis", Areacode="62"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Szkesfehrvr", Areacode="22"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Minhou - Fujian", Areacode="591"},
                    new AreaCode{CountryId = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name="Galle", Areacode="9"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="Schaffhausen", Areacode="52"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Reggio Emilia", Areacode="522"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="SFR", Areacode="615"},
                    new AreaCode{CountryId = new Guid("48EE4FCE-14F5-4CFE-99BB-C88B4E159F91"), Name="Sana'a", Areacode="1"},
                    new AreaCode{CountryId = new Guid("971C8400-1479-410E-87BD-84C35D776B5E"), Name="Kisii", Areacode="58"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Chandraghona (Kaptai)", Areacode="3529"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Semnan", Areacode="274"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Onitsha", Areacode="46"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Mobile Phones", Areacode="65"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Pisa", Areacode="50"},
                    new AreaCode{CountryId = new Guid("2C443E5E-8531-474E-BCA1-9FC80C72C14A"), Name="Maputo", Areacode="21"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Xuanhua - Hebei", Areacode="313"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Koblenz", Areacode="261"},
                    new AreaCode{CountryId = new Guid("F78C8099-1023-43D2-B0EB-3BC95DBA4703"), Name="Novi Pazar", Areacode="20"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="lmhult", Areacode="476"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Burtrsk", Areacode="914"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Dusseldorf", Areacode="211"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Ubon Ratchathani Mobile", Areacode="845"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NANP area", Areacode="888"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Kilkis", Areacode="2341"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Chifeng - Nei Mongol", Areacode="476"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Dzerzhinsk", Areacode="1716"},
                    new AreaCode{CountryId = new Guid("A9A3273A-6251-434E-B0D3-0286B0EC4EFC"), Name="Cell-C", Areacode="84"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Marghita", Areacode="259"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Tampouria", Areacode="2656"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Oktyabrski", Areacode="2357"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Agrinio", Areacode="2641"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Xin-tai - Shandong", Areacode="5482"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Ahmedabad", Areacode="79"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Leipzig", Areacode="341"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Chambas", Areacode="33"},
                    new AreaCode{CountryId = new Guid("645A1B17-973B-4AB2-B851-D1F223817C70"), Name="Skopje", Areacode="2"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Dabuleni", Areacode="251"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Ancona", Areacode="71"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Barbados", Areacode="246"},
                    new AreaCode{CountryId = new Guid("F78C8099-1023-43D2-B0EB-3BC95DBA4703"), Name="Sremska Mitrovica", Areacode="22"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Saida", Areacode="48"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Melena del Sur", Areacode="62"},
                    new AreaCode{CountryId = new Guid("B270D848-0C58-44DF-994B-386F9BA6BD8E"), Name="Mutsamudu", Areacode="714"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Telsim(GSM 900)", Areacode="54"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Aiud", Areacode="258"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Puerto Padre", Areacode="31"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Valenii De Munte", Areacode="244"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Archagelos", Areacode="2244"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Madaripur", Areacode="661"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MN", Areacode="320"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Meherpur", Areacode="791"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="SUOMEN 3 G OY", Areacode="432"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MI", Areacode="269"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Koski Tl", Areacode="2"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Panzhihua - Sichuan", Areacode="812"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Camarioca", Areacode="5"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Anc. Olympia", Areacode="2624"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Girona", Areacode="972"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="Conakry", Areacode="45"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Bastutrsk", Areacode="915"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Jamalpur", Areacode="981"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Borjomi", Areacode="367"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Erlunchun - Nei Mongol", Areacode="4803"},
                    new AreaCode{CountryId = new Guid("BD42A40A-1E6D-4495-AB9B-C5D8B850959E"), Name="Turkmenbashi (formerly Krasnovodsk)", Areacode="243"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="WV", Areacode="304"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Intorsura Buzaului", Areacode="267"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Gomel", Areacode="2322"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Bender", Areacode="552"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MA", Areacode="339"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Mobile Phones", Areacode="177"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Turku", Areacode="2"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Lida", Areacode="1561"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="Gryon (Yverdon-les-Bains)", Areacode="24"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="Spacetel", Areacode="69"},
                    new AreaCode{CountryId = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name="Ratnapura", Areacode="45"},
                    new AreaCode{CountryId = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name="Kegalle", Areacode="35"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Lycksele", Areacode="950"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="El Bayadh", Areacode="49"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Petrila", Areacode="254"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Babi-Babi", Areacode="62"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Rasinari", Areacode="269"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Sebes", Areacode="258"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="La Boca", Areacode="31"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Zeebrugge", Areacode="50"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Guliu - Xinjiang", Areacode="9097"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Akesu - Xinjiang", Areacode="997"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Mobile Phones", Areacode="67"},
                    new AreaCode{CountryId = new Guid("26AA8547-5DEE-4E4F-8657-AE6881EBFE2C"), Name="Jarry", Areacode="26"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Lattakiah", Areacode="41"},
                    new AreaCode{CountryId = new Guid("62F04FC0-EB8F-4FE0-BEE9-29B71CEAA6A5"), Name="Ndola", Areacode="2"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Playa Garn", Areacode="5"},
                    new AreaCode{CountryId = new Guid("A78D0697-F264-411C-97B9-30AE76593E5C"), Name="Settat", Areacode="23"},
                    new AreaCode{CountryId = new Guid("C02106C7-B8A7-46EB-AAC6-2F880BE260CD"), Name="Arica", Areacode="58"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Gilan", Areacode="182"},
                    new AreaCode{CountryId = new Guid("FFAE686C-4A31-40DD-A1C5-7A4551E03212"), Name="Urasoe", Areacode="98"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="KS", Areacode="913"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Bandarban", Areacode="361"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Budapest", Areacode="1"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Denizli", Areacode="258"},
                    new AreaCode{CountryId = new Guid("7ED4C4DC-96E6-419D-A033-67B4526511AF"), Name="Loungprabang", Areacode="71"},
                    new AreaCode{CountryId = new Guid("572DD1AF-B90F-41AC-B10C-ADF568AC82C7"), Name="Multan", Areacode="61"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Dedoplls Tskaro", Areacode="356"},
                    new AreaCode{CountryId = new Guid("DF58FFE7-6339-47ED-ADCC-DB84F7D9EACB"), Name="One", Areacode="699"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Okurusu", Areacode="67"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Jiujiang - Jiangxi", Areacode="792"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Kunglv", Areacode="303"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Draganesti (judetz: Olt)", Areacode="249"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Quebec", Areacode="581"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="Neuchatel", Areacode="32"},
                    new AreaCode{CountryId = new Guid("CEC7D0EF-064C-4B24-846E-8FD52A3A6F7A"), Name="Telecel Zimbabwe", Areacode="3"},
                    new AreaCode{CountryId = new Guid("A78D0697-F264-411C-97B9-30AE76593E5C"), Name="Oujda", Areacode="56"},
                    new AreaCode{CountryId = new Guid("F78C8099-1023-43D2-B0EB-3BC95DBA4703"), Name="Uzice", Areacode="31"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Trashigang", Areacode="4"},
                    new AreaCode{CountryId = new Guid("4504391C-E9D7-43BF-BC06-832E0A6FB016"), Name="Angeles", Areacode="455"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Gazipur", Areacode="681"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Celtel(GSM 900)", Areacode="63"},
                    new AreaCode{CountryId = new Guid("A9A3273A-6251-434E-B0D3-0286B0EC4EFC"), Name="Durban", Areacode="31"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Agbor", Areacode="55"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="Zug", Areacode="41"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Purwakarta", Areacode="28"},
                    new AreaCode{CountryId = new Guid("58986264-67FE-4428-B004-1C727858F990"), Name="Cellis", Areacode="3"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Amara", Areacode="243"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Hailun - Heilongjiang", Areacode="4652"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="Zurich", Areacode="44"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Genoa", Areacode="10"},
                    new AreaCode{CountryId = new Guid("28431BD3-731C-4DF6-9765-2F88C08884A3"), Name="Sambava", Areacode="88"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Thimphu", Areacode="2"},
                    new AreaCode{CountryId = new Guid("A78D0697-F264-411C-97B9-30AE76593E5C"), Name="Maroc Tlcom(GSM900)", Areacode="64"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Helan - Ningxia", Areacode="951"},
                    new AreaCode{CountryId = new Guid("34C2F0BC-018C-476A-828C-8C7E086B5529"), Name="Djibouti City", Areacode="31"},
                    new AreaCode{CountryId = new Guid("430CA84C-0443-4BC3-BC36-CEE6F9D2D1E2"), Name="Bizerte", Areacode="2"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Nivelles (Nijvel)", Areacode="67"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="PA", Areacode="724"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="FL", Areacode="727"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Manzhouli - Nei Mongol", Areacode="4812"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Korinthos", Areacode="2741"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Ogre", Areacode="50"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Homs", Areacode="31"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="AZ", Areacode="602"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Alexandria", Areacode="247"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Telecel Faso(GSM 900)", Areacode="88"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Phuket", Areacode="76"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Markazi", Areacode="862"},
                    new AreaCode{CountryId = new Guid("78693684-30E2-4709-B032-2AD99A39B401"), Name="Recife", Areacode="81"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Bangkok Mobile", Areacode="82"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Polotsk", Areacode="214"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MI", Areacode="906"},
                    new AreaCode{CountryId = new Guid("3744A5E2-1AA7-441D-AE36-30342FEDE0F8"), Name="Region Vysocina", Areacode="56"},
                    new AreaCode{CountryId = new Guid("5A4B23B0-8036-4849-B935-28D9A00B5339"), Name="Kagera", Areacode="28"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Zestafoni", Areacode="392"},
                    new AreaCode{CountryId = new Guid("911535A7-40E1-470D-8DC8-F0F9AABB818E"), Name="Montevideo", Areacode="2"},
                    new AreaCode{CountryId = new Guid("430CA84C-0443-4BC3-BC36-CEE6F9D2D1E2"), Name="Agareb", Areacode="4"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Buzau", Areacode="238"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Srinagar", Areacode="194"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Vadstena", Areacode="143"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="iauliai", Areacode="415"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Shanghai - Shanghai", Areacode="21"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Liaoyang - Liaoning", Areacode="419"},
                    new AreaCode{CountryId = new Guid("A8DF1692-825B-496C-BB7D-5021DFCDBFA8"), Name="Kardjali", Areacode="361"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Forssa", Areacode="3"},
                    new AreaCode{CountryId = new Guid("FFAE686C-4A31-40DD-A1C5-7A4551E03212"), Name="Fukushima", Areacode="24"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Sinpetru", Areacode="268"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Volos", Areacode="2428"},
                    new AreaCode{CountryId = new Guid("96AF43F8-0F0A-459D-9433-4DEDD84FB167"), Name="An Giang", Areacode="77"},
                    new AreaCode{CountryId = new Guid("3744A5E2-1AA7-441D-AE36-30342FEDE0F8"), Name="T-Mobile(GSM 900/1800)", Areacode="605"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Istanbul Avrupa (Europe side)", Areacode="212"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Cahul", Areacode="299"},
                    new AreaCode{CountryId = new Guid("F896E6E5-3B7A-4109-B515-71BD123F9EDD"), Name="Lobatse", Areacode="53"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Covasna", Areacode="267"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Lazu", Areacode="241"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Levan", Areacode="388"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Beylagan", Areacode="152"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Sistan", Areacode="452"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Bhilwara", Areacode="1482"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="AL", Areacode="205"},
                    new AreaCode{CountryId = new Guid("4D69E0AB-3849-46F9-95E3-BF555E2D78C6"), Name="Galway", Areacode="91"},
                    new AreaCode{CountryId = new Guid("08E81DF6-8533-4FD7-B909-A4EC6E5D31F0"), Name="Banteay Meanchey", Areacode="54"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Chon Buri Mobile", Areacode="838"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Grnna", Areacode="390"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Cuenca", Areacode="969"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Telecel Faso(GSM 900)", Areacode="80"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Drama", Areacode="2521"},
                    new AreaCode{CountryId = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name="Sihat", Areacode="3"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Kaili - Guizhou", Areacode="855"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="LA", Areacode="504"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Delvinaki", Areacode="2657"},
                    new AreaCode{CountryId = new Guid("AC2B94BD-C0C8-4548-A4D2-675FB4045436"), Name="Tripoli", Areacode="21"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Skinnskatteberg", Areacode="222"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Brindisi", Areacode="831"},
                    new AreaCode{CountryId = new Guid("26F89703-E93A-4FBD-ADD7-3BFFB69CDEC3"), Name="Voronezh", Areacode="473"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="IL", Areacode="630"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Lerida", Areacode="973"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Oshogbo", Areacode="35"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Yingkou - Liaoning", Areacode="417"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Bayburt", Areacode="458"},
                    new AreaCode{CountryId = new Guid("3744A5E2-1AA7-441D-AE36-30342FEDE0F8"), Name="Region Liberecky", Areacode="48"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Chalandritsa", Areacode="2694"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Vitina", Areacode="2795"},
                    new AreaCode{CountryId = new Guid("DADCF19E-53B0-4739-9712-0C80ACA78D41"), Name="East Region", Areacode="5"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Gagnef-Floda", Areacode="241"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Manastirea Neamt", Areacode="233"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Razvad", Areacode="245"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Rokikis", Areacode="458"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="PA", Areacode="412"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Senno", Areacode="2135"},
                    new AreaCode{CountryId = new Guid("96AF43F8-0F0A-459D-9433-4DEDD84FB167"), Name="Ben Tre", Areacode="62"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Hede-Funsdalen", Areacode="684"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Canas", Areacode="6929"},
                    new AreaCode{CountryId = new Guid("B270D848-0C58-44DF-994B-386F9BA6BD8E"), Name="Fomboni", Areacode="723"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NE", Areacode="402"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Castellon", Areacode="964"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Jaen", Areacode="953"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Shirakavan", Areacode="42"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Podu Vadului", Areacode="244"},
                    new AreaCode{CountryId = new Guid("48EE4FCE-14F5-4CFE-99BB-C88B4E159F91"), Name="Zabid", Areacode="3"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Los Arabos", Areacode="5"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Bilecik", Areacode="228"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="Intercel", Areacode="10"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Anker", Areacode="67"},
                    new AreaCode{CountryId = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name="Lublin", Areacode="81"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Erlianhaote - Nei Mongol", Areacode="4813"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Proximus", Areacode="477"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Lagadas", Areacode="2394"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Kanpur", Areacode="512"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Ostrovets", Areacode="1591"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NY", Areacode="845"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Mariannelund", Areacode="496"},
                    new AreaCode{CountryId = new Guid("C6FFFECA-02E5-4158-B833-05C3DAD25AB2"), Name="IJsselstein", Areacode="30"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Goageb", Areacode="63"},
                    new AreaCode{CountryId = new Guid("98B5E495-150F-4C32-A4C1-F79F25373E16"), Name="Telecom CDMAOne", Areacode="27"},
                    new AreaCode{CountryId = new Guid("ADDAC550-B86C-40CF-B8C4-10F142EBDF66"), Name="Piura", Areacode="74"},
                    new AreaCode{CountryId = new Guid("19FB2795-B14C-48D7-A490-5E9856366F99"), Name="Benque Viejo", Areacode="93"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Base", Areacode="480"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Entronque de Herradura", Areacode="8"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Ibadan", Areacode="2"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Nanjing - Jiangsu", Areacode="25"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Sjbo", Areacode="416"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Ixtapa", Areacode="961"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Ansari", Areacode="21"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Wamrong", Areacode="4"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Bhairab", Areacode="9424"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Tunceli", Areacode="428"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Ping-xiang - Jiangxi", Areacode="799"},
                    new AreaCode{CountryId = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name="Bialystok", Areacode="85"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Xichang - Sichuan", Areacode="834"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Sibiu", Areacode="269"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Miercurea Miraj", Areacode="265"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Henties Bay", Areacode="64"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Stavroupoli", Areacode="2542"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Base", Areacode="486"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Villa Clara", Areacode="42"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Zhunger - Nei Mongol", Areacode="4873"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NJ", Areacode="908"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Ankara", Areacode="312"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Benxi - Liaoning", Areacode="414"},
                    new AreaCode{CountryId = new Guid("45044628-55D2-4ADB-B3FD-19B2A3748A03"), Name="Karaganda", Areacode="321"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Kopanaki", Areacode="2765"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="FL", Areacode="239"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="AL", Areacode="334"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Xuejiawan- Nei Mongol", Areacode="477"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Najasa", Areacode="32"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Hatay", Areacode="326"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Baile Govora", Areacode="250"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="OK", Areacode="918"},
                    new AreaCode{CountryId = new Guid("748710B5-D2A6-43BF-9612-C377ACDA272A"), Name="Kaohsiung", Areacode="7"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Anxi - Gansu", Areacode="9472"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="North Sumatra", Areacode="6"},
                    new AreaCode{CountryId = new Guid("C02106C7-B8A7-46EB-AAC6-2F880BE260CD"), Name="Osorno", Areacode="64"},
                    new AreaCode{CountryId = new Guid("F896E6E5-3B7A-4109-B515-71BD123F9EDD"), Name="Serowe", Areacode="46"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Airtel GSM", Areacode="607"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Preveza", Areacode="2682"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Medgidia", Areacode="241"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Nawabgonj (Chapai)", Areacode="781"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Vetlanda", Areacode="383"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Katsina", Areacode="65"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="SFR", Areacode="609"},
                    new AreaCode{CountryId = new Guid("A78D0697-F264-411C-97B9-30AE76593E5C"), Name="Mdi Tlcom(GSM900)", Areacode="72"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Okitipupa", Areacode="59"},
                    new AreaCode{CountryId = new Guid("391AAAC1-18B9-4569-9FD1-B0B06B4892F8"), Name="Saaremaa", Areacode="45"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Bayamo", Areacode="23"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Ocna Sibiului", Areacode="269"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Norrkping", Areacode="11"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Ningguo - Anhui", Areacode="5639"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Gotland", Areacode="498"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MO", Areacode="660"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Proximus", Areacode="471"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="OH", Areacode="440"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Chanthaburi Mobile", Areacode="839"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Grodno", Areacode="1522"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Bangalore", Areacode="80"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Sarukhan", Areacode="64"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Snagov", Areacode="2179"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="VA", Areacode="276"},
                    new AreaCode{CountryId = new Guid("DF58FFE7-6339-47ED-ADCC-DB84F7D9EACB"), Name="Linz Donau", Areacode="732"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Astara", Areacode="195"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Joypurhat", Areacode="571"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Shaoshan - Hunan", Areacode="732"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Cologne (Koln)", Areacode="221"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Los Palacios", Areacode="8"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NC", Areacode="910"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Spitak", Areacode="55"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Telecel Faso(GSM 900)", Areacode="84"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Negresti - Oas", Areacode="261"},
                    new AreaCode{CountryId = new Guid("80EC649B-DE55-46E8-9C84-5B84F8252CA4"), Name="Mahaica", Areacode="228"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="VA", Areacode="434"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Xifeng - Guizhou", Areacode="8638"},
                    new AreaCode{CountryId = new Guid("08E81DF6-8533-4FD7-B909-A4EC6E5D31F0"), Name="Camtel AMPS", Areacode="18"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Lidoriki", Areacode="2266"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="Locarno", Areacode="91"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Albacete", Areacode="967"},
                    new AreaCode{CountryId = new Guid("A9A3273A-6251-434E-B0D3-0286B0EC4EFC"), Name="Uitenhage", Areacode="41"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Patna", Areacode="612"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="CO", Areacode="970"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Aizkraukle", Areacode="51"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Markopoulo", Areacode="2299"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Signagi", Areacode="355"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Chechersk", Areacode="2332"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Prundu Birgaului", Areacode="263"},
                    new AreaCode{CountryId = new Guid("572DD1AF-B90F-41AC-B10C-ADF568AC82C7"), Name="Rojhan", Areacode="604"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="Sotelgui", Areacode="33"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Jiangdu - Jiangsu", Areacode="5244"},
                    new AreaCode{CountryId = new Guid("FFAE686C-4A31-40DD-A1C5-7A4551E03212"), Name="PHS phones", Areacode="70"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="irvintos", Areacode="382"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Ipoh", Areacode="5"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Druskininkai", Areacode="313"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Rhodes", Areacode="2241"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Kombat", Areacode="67"},
                    new AreaCode{CountryId = new Guid("A3BEDE9E-A359-49FD-8250-A40F13BCE642"), Name="Asuncion", Areacode="21"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Malaga", Areacode="95"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Doi Mai", Areacode="241"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Los Angeles", Areacode="32"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Banesti", Areacode="244"},
                    new AreaCode{CountryId = new Guid("4504391C-E9D7-43BF-BC06-832E0A6FB016"), Name="Tarlac City", Areacode="452"},
                    new AreaCode{CountryId = new Guid("4910D3B0-948C-4FBA-8004-10EF33F1E8DD"), Name="Afula", Areacode="4"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Feni", Areacode="331"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MI", Areacode="313"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Shaoguan - Guangdong", Areacode="751"},
                    new AreaCode{CountryId = new Guid("3744A5E2-1AA7-441D-AE36-30342FEDE0F8"), Name="Region Ustecky", Areacode="47"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Durbuy", Areacode="86"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Gibara", Areacode="24"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Samtse", Areacode="5"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="OH", Areacode="567"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Gao-an - Jiangxi", Areacode="7056"},
                    new AreaCode{CountryId = new Guid("45044628-55D2-4ADB-B3FD-19B2A3748A03"), Name="Zhezkazgan", Areacode="310"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Isabel Rubio", Areacode="84"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Malu Cu Flori", Areacode="245"},
                    new AreaCode{CountryId = new Guid("28431BD3-731C-4DF6-9765-2F88C08884A3"), Name="Mahajanga", Areacode="62"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Gejiu - Yunnan", Areacode="873"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Filiasi", Areacode="251"},
                    new AreaCode{CountryId = new Guid("DF58FFE7-6339-47ED-ADCC-DB84F7D9EACB"), Name="Vienna (Wien)", Areacode="1"},
                    new AreaCode{CountryId = new Guid("FFAE686C-4A31-40DD-A1C5-7A4551E03212"), Name="Sasebo", Areacode="956"},
                    new AreaCode{CountryId = new Guid("19FB2795-B14C-48D7-A490-5E9856366F99"), Name="Cayo (Includes Belmopan, San Ignacio and Benque Viejo)", Areacode="9"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Medan", Areacode="61"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Al-Rakkah", Areacode="22"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Orhei", Areacode="235"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Faget", Areacode="256"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Botosani", Areacode="231"},
                    new AreaCode{CountryId = new Guid("2A2C198B-5682-4D9E-81A9-E9194770ED92"), Name="Luxor", Areacode="95"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Proshyan", Areacode="24"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Katerini", Areacode="2351"},
                    new AreaCode{CountryId = new Guid("EDE00EFD-0261-4A82-AA47-DA188120C9EC"), Name="Cheju", Areacode="64"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Cugir", Areacode="258"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Calimanesti", Areacode="250"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Niger Sate", Areacode="66"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Al-Waar", Areacode="31"},
                    new AreaCode{CountryId = new Guid("4D69E0AB-3849-46F9-95E3-BF555E2D78C6"), Name="Dingle", Areacode="66"},
                    new AreaCode{CountryId = new Guid("2A2C198B-5682-4D9E-81A9-E9194770ED92"), Name="Hurghada", Areacode="65"},
                    new AreaCode{CountryId = new Guid("D1F141AD-99C7-432F-B35E-4EE89F9EF7F5"), Name="Chinandega", Areacode="341"},
                    new AreaCode{CountryId = new Guid("3744A5E2-1AA7-441D-AE36-30342FEDE0F8"), Name="Region Pardubicky", Areacode="46"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Yuzhong - Gansu", Areacode="9440"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Neapoli S", Areacode="2468"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Proximus", Areacode="478"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Orange France", Areacode="607"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="Gstaad", Areacode="33"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Cotnari", Areacode="232"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Bocsa Romna", Areacode="255"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Cidra", Areacode="5"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Pinsk", Areacode="165"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="FL", Areacode="813"},
                    new AreaCode{CountryId = new Guid("628ECF60-BE3C-4242-B48E-D9ABCFB6051F"), Name="Cape Coast", Areacode="42"},
                    new AreaCode{CountryId = new Guid("C02106C7-B8A7-46EB-AAC6-2F880BE260CD"), Name="Talcahuano", Areacode="41"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Villahermosa", Areacode="993"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Kashi - Xinjiang", Areacode="998"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Comarnic", Areacode="244"},
                    new AreaCode{CountryId = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name="Call-Link", Areacode="78"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MI", Areacode="616"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Brebu", Areacode="255"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Reghin", Areacode="265"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Ouagadougou", Areacode="43"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Ardahan", Areacode="478"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Ogongo", Areacode="65"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Huangyan - Zhejiang", Areacode="576"},
                    new AreaCode{CountryId = new Guid("D1F141AD-99C7-432F-B35E-4EE89F9EF7F5"), Name="Leon", Areacode="311"},
                    new AreaCode{CountryId = new Guid("FFAE686C-4A31-40DD-A1C5-7A4551E03212"), Name="Chita", Areacode="562"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Puk", Areacode="212"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Kvarell", Areacode="352"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Tingsryd", Areacode="477"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Hosea Kutako INT Airport", Areacode="62"},
                    new AreaCode{CountryId = new Guid("C6FFFECA-02E5-4158-B833-05C3DAD25AB2"), Name="Houten", Areacode="30"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Como", Areacode="31"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Qinhuangdao - Hebei", Areacode="335"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Ouahigouya", Areacode="56"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Bahamas", Areacode="242"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Yining - Xinjiang", Areacode="999"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="CA", Areacode="858"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Sirajgonj", Areacode="751"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Helmeringhausen (party line)", Areacode="6362"},
                    new AreaCode{CountryId = new Guid("C02106C7-B8A7-46EB-AAC6-2F880BE260CD"), Name="Valparaso", Areacode="32"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Bouygues Telecom", Areacode="665"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Jinsha - Guizhou", Areacode="8676"},
                    new AreaCode{CountryId = new Guid("2C443E5E-8531-474E-BCA1-9FC80C72C14A"), Name="Beira", Areacode="23"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Adra", Areacode="11"},
                    new AreaCode{CountryId = new Guid("3744A5E2-1AA7-441D-AE36-30342FEDE0F8"), Name="T-Mobile(GSM 900/1800)", Areacode="603"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Nordmaling", Areacode="930"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Olimp", Areacode="241"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Tuquan - Neimengu", Areacode="4858"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="Spacetel", Areacode="67"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Huzhou - Zhejiang", Areacode="572"},
                    new AreaCode{CountryId = new Guid("430CA84C-0443-4BC3-BC36-CEE6F9D2D1E2"), Name="Chebba", Areacode="4"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Karystos", Areacode="2224"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="re-Jrpen", Areacode="647"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Elbasan", Areacode="545"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Pogoanele", Areacode="238"},
                    new AreaCode{CountryId = new Guid("430CA84C-0443-4BC3-BC36-CEE6F9D2D1E2"), Name="Kebili", Areacode="5"},
                    new AreaCode{CountryId = new Guid("0CA4824C-C2FB-48D8-A47F-06C54FB7C4C7"), Name="VIP(GSM 900, 3G 2100)", Areacode="92"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Catau Ludus", Areacode="265"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="IL", Areacode="309"},
                    new AreaCode{CountryId = new Guid("84718E1D-25ED-4B92-B38D-466845FF1BE0"), Name="MovilNet(TDMA 800)", Areacode="416"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Kahenge", Areacode="66"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Marneull", Areacode="357"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Cienfuegos", Areacode="432"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="OR", Areacode="503"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Sofronea", Areacode="257"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Dunhua - Jilin", Areacode="4435"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Mobile Phones", Areacode="171"},
                    new AreaCode{CountryId = new Guid("C02106C7-B8A7-46EB-AAC6-2F880BE260CD"), Name="Via del Mar", Areacode="32"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Sala-Heby", Areacode="224"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Corbu", Areacode="241"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Muonio", Areacode="16"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="MoviStar GSM", Areacode="639"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Port Dickson", Areacode="6"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Celtel(GSM 900)", Areacode="59"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Kemijrvi", Areacode="16"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Rouvesi", Areacode="3"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="OH", Areacode="740"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Sffle", Areacode="533"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Taurage", Areacode="446"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Ljusdal", Areacode="651"},
                    new AreaCode{CountryId = new Guid("3744A5E2-1AA7-441D-AE36-30342FEDE0F8"), Name="Region Jihomoravsky", Areacode="53"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Kapan", Areacode="85"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MI", Areacode="586"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Yancheng - Jiangsu", Areacode="515"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Qingdao - Shandong", Areacode="532"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Zalaegerszeg", Areacode="92"},
                    new AreaCode{CountryId = new Guid("B270D848-0C58-44DF-994B-386F9BA6BD8E"), Name="Domoni", Areacode="719"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Guilin - Guangxi", Areacode="773"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Yanjin - Henan", Areacode="3832"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Orastie", Areacode="254"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Mus", Areacode="436"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Narubis", Areacode="63"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Durrs", Areacode="52"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Puerto Vallarta", Areacode="322"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Kelme", Areacode="427"},
                    new AreaCode{CountryId = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name="Najran", Areacode="7"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Urlati", Areacode="244"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Alaverdi", Areacode="53"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Sitakundu (Barabkundu)", Areacode="3028"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Belunichi", Areacode="2232"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Dragasani", Areacode="250"},
                    new AreaCode{CountryId = new Guid("430CA84C-0443-4BC3-BC36-CEE6F9D2D1E2"), Name="Tunis", Areacode="1"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="GA", Areacode="229"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Berlin", Areacode="30"},
                    new AreaCode{CountryId = new Guid("572DD1AF-B90F-41AC-B10C-ADF568AC82C7"), Name="Hyderabad", Areacode="221"},
                    new AreaCode{CountryId = new Guid("971C8400-1479-410E-87BD-84C35D776B5E"), Name="Celtel(GSM 900)", Areacode="733"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="KS", Areacode="785"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Katrineholm", Areacode="150"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Guayabal", Areacode="31"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Falkenberg", Areacode="346"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Glubokoye", Areacode="2156"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Vanadzor", Areacode="51"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Bacia", Areacode="254"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Rethymno", Areacode="2831"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Khorasan", Areacode="585"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Halle", Areacode="345"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Gulbene", Areacode="44"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="IL", Areacode="312"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Ryd", Areacode="459"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Lindesberg", Areacode="581"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="ID", Areacode="208"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Alingss-Vrgrda", Areacode="322"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Julio Antonio Mella", Areacode="225"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Chlef", Areacode="27"},
                    new AreaCode{CountryId = new Guid("98B5E495-150F-4C32-A4C1-F79F25373E16"), Name="Pokeno", Areacode="9"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Bajram Curri", Areacode="213"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Utena", Areacode="389"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Lijin - Shandong", Areacode="5430"},
                    new AreaCode{CountryId = new Guid("572DD1AF-B90F-41AC-B10C-ADF568AC82C7"), Name="Lahore", Areacode="42"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Machang", Areacode="9"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Lumina", Areacode="241"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Santiago de Cuba", Areacode="226"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Lippo Telecom", Areacode="831"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Lepel", Areacode="2132"},
                    new AreaCode{CountryId = new Guid("A3BEDE9E-A359-49FD-8250-A40F13BCE642"), Name="Hernandarias", Areacode="63"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Tirgu Lapus", Areacode="262"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Joensuu", Areacode="13"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Mangos de Baragua", Areacode="225"},
                    new AreaCode{CountryId = new Guid("F78C8099-1023-43D2-B0EB-3BC95DBA4703"), Name="Krushevac", Areacode="37"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Songkhla Mobile", Areacode="874"},
                    new AreaCode{CountryId = new Guid("AFA02048-AB89-43D6-ABD7-363DB4ED09C9"), Name="Other localities", Areacode="50"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Shchuchin", Areacode="1514"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="IL", Areacode="847"},
                    new AreaCode{CountryId = new Guid("F78C8099-1023-43D2-B0EB-3BC95DBA4703"), Name="Ni (Nish)", Areacode="18"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Seinjoki", Areacode="6"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Hochland", Areacode="62"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Boumerdes", Areacode="24"},
                    new AreaCode{CountryId = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name="Idea", Areacode="501"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="IL", Areacode="708"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MO", Areacode="636"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Esztergom", Areacode="33"},
                    new AreaCode{CountryId = new Guid("28431BD3-731C-4DF6-9765-2F88C08884A3"), Name="Antsiranana (Diego Suarez)", Areacode="82"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Baodin - Hebei", Areacode="312"},
                    new AreaCode{CountryId = new Guid("D1F141AD-99C7-432F-B35E-4EE89F9EF7F5"), Name="Jinotepe", Areacode="41"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Onatel(GSM 900)", Areacode="72"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Putian - Fujian", Areacode="594"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Lindequest", Areacode="67"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Skvde", Areacode="500"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Nanyang - Henan", Areacode="377"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Geokchay", Areacode="167"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="IA", Areacode="515"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Moires", Areacode="2892"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Bjrna", Areacode="662"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Klimovichi", Areacode="2244"},
                    new AreaCode{CountryId = new Guid("D1F141AD-99C7-432F-B35E-4EE89F9EF7F5"), Name="Masatepe", Areacode="44"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Muveke", Areacode="66"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Ezhou - Hubei", Areacode="711"},
                    new AreaCode{CountryId = new Guid("0CA4824C-C2FB-48D8-A47F-06C54FB7C4C7"), Name="Pazin", Areacode="52"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Gusau", Areacode="63"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Karlskrona", Areacode="455"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NY", Areacode="518"},
                    new AreaCode{CountryId = new Guid("78693684-30E2-4709-B032-2AD99A39B401"), Name="Goiania", Areacode="62"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Loev", Areacode="2347"},
                    new AreaCode{CountryId = new Guid("EDE00EFD-0261-4A82-AA47-DA188120C9EC"), Name="Kwangju", Areacode="62"},
                    new AreaCode{CountryId = new Guid("971C8400-1479-410E-87BD-84C35D776B5E"), Name="Anmer", Areacode="25"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Sumedang", Areacode="26"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Dendermonde", Areacode="52"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Nykping-Oxelsund", Areacode="155"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Tongren - Guizhou", Areacode="856"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Mobile", Areacode="238"},
                    new AreaCode{CountryId = new Guid("430CA84C-0443-4BC3-BC36-CEE6F9D2D1E2"), Name="Zaghouan", Areacode="2"},
                    new AreaCode{CountryId = new Guid("96AF43F8-0F0A-459D-9433-4DEDD84FB167"), Name="Mobile Phones", Areacode="90"},
                    new AreaCode{CountryId = new Guid("80EC649B-DE55-46E8-9C84-5B84F8252CA4"), Name="Bartica", Areacode="455"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Ivatsevichi", Areacode="1645"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Analog Mobile (AMPS) - Surabaya", Areacode="823"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Jyvskyl", Areacode="14"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Mysore", Areacode="821"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Mobile", Areacode="330"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="AZ", Areacode="480"},
                    new AreaCode{CountryId = new Guid("80EC649B-DE55-46E8-9C84-5B84F8252CA4"), Name="New Hope", Areacode="266"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Demak", Areacode="29"},
                    new AreaCode{CountryId = new Guid("80EC649B-DE55-46E8-9C84-5B84F8252CA4"), Name="Vreed-En-Hoop", Areacode="264"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="St. Lucia", Areacode="758"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Mobile Phones", Areacode="176"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NJ", Areacode="856"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Floresti", Areacode="250"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Biskra", Areacode="33"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="San Antonio de Los Baos", Areacode="650"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Madona", Areacode="48"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="IL", Areacode="217"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Bharatpur", Areacode="5644"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Tel Refat", Areacode="21"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Mizil", Areacode="244"},
                    new AreaCode{CountryId = new Guid("26AA8547-5DEE-4E4F-8657-AE6881EBFE2C"), Name="Mobile Phones", Areacode="690"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Rechitsa", Areacode="2340"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Onatel(GSM 900)", Areacode="28"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Lax", Areacode="584"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Eastern Azerbayajan", Areacode="423"},
                    new AreaCode{CountryId = new Guid("4910D3B0-948C-4FBA-8004-10EF33F1E8DD"), Name="Jerusalem", Areacode="2"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Oamseb", Areacode="63"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Plaka", Areacode="2352"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Conghua - Guangdong", Areacode="20"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Taraclia", Areacode="294"},
                    new AreaCode{CountryId = new Guid("FFAE686C-4A31-40DD-A1C5-7A4551E03212"), Name="Kobe", Areacode="78"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Linyi - Shandong", Areacode="539"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Vicenza", Areacode="444"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Thermo", Areacode="2644"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="SFR", Areacode="612"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Artemisa", Areacode="63"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Calarasi", Areacode="242"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Kungsbacka", Areacode="300"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Ubon Ratchathani", Areacode="45"},
                    new AreaCode{CountryId = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name="Al Ulaya", Areacode="1"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Kajaani", Areacode="8"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Leoburn", Areacode="64"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Mobile Phones", Areacode="61"},
                    new AreaCode{CountryId = new Guid("C6FFFECA-02E5-4158-B833-05C3DAD25AB2"), Name="Oud Zuilen", Areacode="30"},
                    new AreaCode{CountryId = new Guid("98B5E495-150F-4C32-A4C1-F79F25373E16"), Name="South Island", Areacode="3"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Gobustan", Areacode="150"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Artashat", Areacode="35"},
                    new AreaCode{CountryId = new Guid("96AF43F8-0F0A-459D-9433-4DEDD84FB167"), Name="Soc Trang", Areacode="79"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Kongola", Areacode="66"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Kafar Takharin", Areacode="23"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Deothang", Areacode="7"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Osby", Areacode="479"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Mardin", Areacode="482"},
                    new AreaCode{CountryId = new Guid("C02106C7-B8A7-46EB-AAC6-2F880BE260CD"), Name="Temuco", Areacode="45"},
                    new AreaCode{CountryId = new Guid("F8B2E8D7-1651-4084-83DF-06D9D98EA3CC"), Name="Majuro Island, Majuro Atoll", Areacode="247"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="HI", Areacode="808"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Namphaengphet Mobile", Areacode="855"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Bereza", Areacode="1643"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="Diax", Areacode="76"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Medea", Areacode="25"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Hammerdal", Areacode="644"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Zovuni", Areacode="24"},
                    new AreaCode{CountryId = new Guid("C02106C7-B8A7-46EB-AAC6-2F880BE260CD"), Name="Punta Arenas", Areacode="61"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Baranovichi", Areacode="163"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Alvesta-Rydaholm", Areacode="472"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="Intercel", Areacode="35"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Beipiao - Liaoning", Areacode="421"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Costinesti", Areacode="241"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Kalentzi", Areacode="2659"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Orange France", Areacode="675"},
                    new AreaCode{CountryId = new Guid("2745B68E-B8F8-4924-9588-47CF2E90425F"), Name="Yukon Territory", Areacode="867"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Hrnsand", Areacode="611"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Domokos", Areacode="2232"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Ashtarak", Areacode="32"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Kor", Areacode="82"},
                    new AreaCode{CountryId = new Guid("ABA66E74-AF34-4105-A846-D2E710AFAF8C"), Name="Limassol", Areacode="25"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Wulanhaote - Nei Mongol", Areacode="4814"},
                    new AreaCode{CountryId = new Guid("814C9C98-64C6-4EC6-9347-D16E11EAA9AB"), Name="Mousil", Areacode="60"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Vacaresti", Areacode="245"},
                    new AreaCode{CountryId = new Guid("DF285779-2BB8-4280-9C72-630BF4C356FF"), Name="Martin", Areacode="43"},
                    new AreaCode{CountryId = new Guid("A9A3273A-6251-434E-B0D3-0286B0EC4EFC"), Name="Pretoria", Areacode="12"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Maomin - Guangdong", Areacode="7683"},
                    new AreaCode{CountryId = new Guid("7B2B044D-470B-4BE0-863B-B5D847E51592"), Name="Mandalay", Areacode="90"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Lianyungang - Jiangsu", Areacode="518"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Baoji - Shaanxi", Areacode="917"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Klaipeda", Areacode="463"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Maceo", Areacode="24"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="CA", Areacode="626"},
                    new AreaCode{CountryId = new Guid("EDE00EFD-0261-4A82-AA47-DA188120C9EC"), Name="Cholla namdo", Areacode="61"},
                    new AreaCode{CountryId = new Guid("FA0911EC-E929-4005-A679-A35E889F98FE"), Name="Heart", Areacode="40"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Eretria", Areacode="2229"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Petrikov", Areacode="2350"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Ruijin - Jiangxi", Areacode="7077"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Padang", Areacode="75"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="Ammerswil (Aarau)", Areacode="62"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Venus", Areacode="241"},
                    new AreaCode{CountryId = new Guid("645A1B17-973B-4AB2-B851-D1F223817C70"), Name="T-Mobile(GSM900)", Areacode="70"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Brahmanbaria", Areacode="851"},
                    new AreaCode{CountryId = new Guid("DF285779-2BB8-4280-9C72-630BF4C356FF"), Name="Michalovce", Areacode="56"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Ksamil", Areacode="893"},
                    new AreaCode{CountryId = new Guid("4D69E0AB-3849-46F9-95E3-BF555E2D78C6"), Name="Donegal", Areacode="72"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Zhumadian - Henan", Areacode="3011"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Dirlos", Areacode="269"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Tiraspol", Areacode="533"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Liangcheng - Nei Mongol", Areacode="4848"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="FL", Areacode="904"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Krupki", Areacode="1796"},
                    new AreaCode{CountryId = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name="Era", Areacode="602"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Hamab", Areacode="63"},
                    new AreaCode{CountryId = new Guid("84718E1D-25ED-4B92-B38D-466845FF1BE0"), Name="Cumana", Areacode="293"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Thakurgaon", Areacode="561"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Mobile", Areacode="360"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Ter-Ter", Areacode="246"},
                    new AreaCode{CountryId = new Guid("08E81DF6-8533-4FD7-B909-A4EC6E5D31F0"), Name="Ratanakiri", Areacode="75"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Livezile", Areacode="252"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Sisian", Areacode="83"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Bingol", Areacode="426"},
                    new AreaCode{CountryId = new Guid("A8DF1692-825B-496C-BB7D-5021DFCDBFA8"), Name="Stara Zagora", Areacode="42"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Dongyang - Zhejiang", Areacode="579"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Namgorab", Areacode="6638"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Sistan", Areacode="545"},
                    new AreaCode{CountryId = new Guid("3744A5E2-1AA7-441D-AE36-30342FEDE0F8"), Name="O2(GSM 900/1800, 3G 2100)", Areacode="724"},
                    new AreaCode{CountryId = new Guid("971C8400-1479-410E-87BD-84C35D776B5E"), Name="Naivasha", Areacode="50"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Dumbraveni", Areacode="230"},
                    new AreaCode{CountryId = new Guid("DF285779-2BB8-4280-9C72-630BF4C356FF"), Name="Orange(GSM 900/1800)", Areacode="906"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="Berne", Areacode="31"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Tongliao - Nei Mongol", Areacode="475"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Sibsoo", Areacode="5"},
                    new AreaCode{CountryId = new Guid("B270D848-0C58-44DF-994B-386F9BA6BD8E"), Name="HURI Mobile (GSM 900)", Areacode="3"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Aegio", Areacode="2691"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Xinyu - Jiangxi", Areacode="790"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Florence (Firenze)", Areacode="55"},
                    new AreaCode{CountryId = new Guid("2745B68E-B8F8-4924-9588-47CF2E90425F"), Name="Northwest Territories", Areacode="867"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Mashta", Areacode="43"},
                    new AreaCode{CountryId = new Guid("28431BD3-731C-4DF6-9765-2F88C08884A3"), Name="Ambatolampy", Areacode="42"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Smolevichi", Areacode="1776"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="La Victoria", Areacode="61"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Mikonos", Areacode="2289"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Elazig", Areacode="424"},
                    new AreaCode{CountryId = new Guid("DF58FFE7-6339-47ED-ADCC-DB84F7D9EACB"), Name="Wels", Areacode="7242"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Kastamonu", Areacode="366"},
                    new AreaCode{CountryId = new Guid("D1F141AD-99C7-432F-B35E-4EE89F9EF7F5"), Name="Rivas", Areacode="46"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Fuxin - Liaoning", Areacode="418"},
                    new AreaCode{CountryId = new Guid("0CA4824C-C2FB-48D8-A47F-06C54FB7C4C7"), Name="Slavonski Brod", Areacode="35"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Kaifeng - Henan", Areacode="378"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Pagers", Areacode="746"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Proximus", Areacode="470"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Kuala Terengganu", Areacode="9"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Matanzas", Areacode="52"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Orange France", Areacode="686"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Ararat", Areacode="38"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="??. Viannos", Areacode="2895"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Tirgu Jiu", Areacode="253"},
                    new AreaCode{CountryId = new Guid("A8DF1692-825B-496C-BB7D-5021DFCDBFA8"), Name="Razgrad", Areacode="84"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Malm", Areacode="40"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Bobo-Dioulasso", Areacode="97"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Sola", Areacode="32"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="TN", Areacode="865"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Smorgon", Areacode="1592"},
                    new AreaCode{CountryId = new Guid("4504391C-E9D7-43BF-BC06-832E0A6FB016"), Name="Subic Bay", Areacode="47"},
                    new AreaCode{CountryId = new Guid("F78C8099-1023-43D2-B0EB-3BC95DBA4703"), Name="Kosovska Mitrovica", Areacode="28"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Pecsvarad", Areacode="72"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Gaziantep", Areacode="851"},
                    new AreaCode{CountryId = new Guid("4504391C-E9D7-43BF-BC06-832E0A6FB016"), Name="Pasay", Areacode="2"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Omnitel", Areacode="682"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Manisa", Areacode="236"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="DE", Areacode="302"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Dhaka", Areacode="2"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Riga", Areacode="29"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Otopeni", Areacode="21"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Frankfurt am Main (west)", Areacode="69"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Minas", Areacode="32"},
                    new AreaCode{CountryId = new Guid("38A19469-4D7A-4156-873A-92733BC92C61"), Name="Madaba", Areacode="5"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Bascov", Areacode="248"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Phuntsholing", Areacode="5"},
                    new AreaCode{CountryId = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name="Damman", Areacode="3"},
                    new AreaCode{CountryId = new Guid("572DD1AF-B90F-41AC-B10C-ADF568AC82C7"), Name="Peshawar", Areacode="91"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Miraflores", Areacode="338"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Rrshen", Areacode="216"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Huedin", Areacode="264"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Yuyao - Zhejiang", Areacode="574"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Orange France", Areacode="673"},
                    new AreaCode{CountryId = new Guid("EDE00EFD-0261-4A82-AA47-DA188120C9EC"), Name="LG Telecom", Areacode="19"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Morelia", Areacode="443"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Yingtan - Jiangxi", Areacode="7032"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Hagfors-Munkfors", Areacode="563"},
                    new AreaCode{CountryId = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name="Avissawella", Areacode="36"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Sngerei", Areacode="262"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Suzhou - Jiangsu", Areacode="512"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Kyprinos", Areacode="2556"},
                    new AreaCode{CountryId = new Guid("ABA66E74-AF34-4105-A846-D2E710AFAF8C"), Name="NMT", Areacode="992"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Kusari", Areacode="138"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Barmer", Areacode="2982"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Grenada", Areacode="473"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Eskilstuna-Torshlla", Areacode="16"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Grstorp", Areacode="514"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Lvnger", Areacode="913"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Cainari", Areacode="277"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Sweidaa", Areacode="16"},
                    new AreaCode{CountryId = new Guid("F78C8099-1023-43D2-B0EB-3BC95DBA4703"), Name="Bor", Areacode="30"},
                    new AreaCode{CountryId = new Guid("98B5E495-150F-4C32-A4C1-F79F25373E16"), Name="North Island (North)", Areacode="9"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Sistan", Areacode="546"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Lezh", Areacode="215"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Biatorbgy", Areacode="23"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Pernzashen", Areacode="44"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Apizaco", Areacode="241"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Huesca", Areacode="974"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MA", Areacode="781"},
                    new AreaCode{CountryId = new Guid("5A4B23B0-8036-4849-B935-28D9A00B5339"), Name="Tanga", Areacode="27"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Voulgareli", Areacode="2685"},
                    new AreaCode{CountryId = new Guid("430CA84C-0443-4BC3-BC36-CEE6F9D2D1E2"), Name="Tataouine", Areacode="5"},
                    new AreaCode{CountryId = new Guid("F8B2E8D7-1651-4084-83DF-06D9D98EA3CC"), Name="Majuro Island, Majuro Atoll", Areacode="455"},
                    new AreaCode{CountryId = new Guid("5A4B23B0-8036-4849-B935-28D9A00B5339"), Name="Mbeya", Areacode="25"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Khoozestan", Areacode="692"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Kocaeli", Areacode="262"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Vrnamo", Areacode="370"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Kastri", Areacode="2792"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Zigui - Hubei", Areacode="7278"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Deir Athieh", Areacode="12"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Pontevedra", Areacode="986"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Ontario", Areacode="905"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Seville", Areacode="95"},
                    new AreaCode{CountryId = new Guid("C02106C7-B8A7-46EB-AAC6-2F880BE260CD"), Name="Ovalle", Areacode="53"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Mobile Phones", Areacode="81"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="St. Gallen", Areacode="71"},
                    new AreaCode{CountryId = new Guid("4504391C-E9D7-43BF-BC06-832E0A6FB016"), Name="Bacolod", Areacode="34"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Segovia", Areacode="921"},
                    new AreaCode{CountryId = new Guid("96AF43F8-0F0A-459D-9433-4DEDD84FB167"), Name="Mobile Phones", Areacode="89"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Oradea", Areacode="259"},
                    new AreaCode{CountryId = new Guid("C6FFFECA-02E5-4158-B833-05C3DAD25AB2"), Name="Oud Zuilen is part of Utrecht", Areacode=""},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NC", Areacode="980"},
                    new AreaCode{CountryId = new Guid("C02106C7-B8A7-46EB-AAC6-2F880BE260CD"), Name="Santiago (Metropolitan Region)", Areacode="2"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Orange France", Areacode="687"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Yongxiu - Jiangxi", Areacode="792"},
                    new AreaCode{CountryId = new Guid("3744A5E2-1AA7-441D-AE36-30342FEDE0F8"), Name="Slany", Areacode="31257"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Spili", Areacode="2832"},
                    new AreaCode{CountryId = new Guid("2A2C198B-5682-4D9E-81A9-E9194770ED92"), Name="Click GSM(GSM 900)", Areacode="10"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Deogarh", Areacode="6432"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Khoozestan", Areacode="672"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Kamenets", Areacode="1631"},
                    new AreaCode{CountryId = new Guid("DF58FFE7-6339-47ED-ADCC-DB84F7D9EACB"), Name="Neunkirchen Niederosterreich", Areacode="2635"},
                    new AreaCode{CountryId = new Guid("96AF43F8-0F0A-459D-9433-4DEDD84FB167"), Name="Minh Hai", Areacode="78"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NM", Areacode="575"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Shahbah", Areacode="16"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Yukon, NW Terr., Nunavut", Areacode="867"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Kutaisi", Areacode="331"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Liepaja", Areacode="34"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Amasia", Areacode="46"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Raas Al-Ein", Areacode="52"},
                    new AreaCode{CountryId = new Guid("572DD1AF-B90F-41AC-B10C-ADF568AC82C7"), Name="Sahiwal", Areacode="441"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="lvdalen", Areacode="251"},
                    new AreaCode{CountryId = new Guid("ABA66E74-AF34-4105-A846-D2E710AFAF8C"), Name="CYTA(GSM 900)", Areacode="994"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Tak Mobile", Areacode="855"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Birnin-Kebbi", Areacode="68"},
                    new AreaCode{CountryId = new Guid("A9A3273A-6251-434E-B0D3-0286B0EC4EFC"), Name="Johannesburg CBD", Areacode="103"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Gheraseni", Areacode="238"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Tecuci", Areacode="236"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Ganzhou - Jiangxi", Areacode="797"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Mobile Phones", Areacode="175"},
                    new AreaCode{CountryId = new Guid("E030214A-C85E-40FA-A627-70601272F411"), Name="Andijan", Areacode="74"},
                    new AreaCode{CountryId = new Guid("BF4B4AAC-85A9-4D32-BE21-A8E1A51638AA"), Name="Ljubljana", Areacode="1"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Kuching", Areacode="8"},
                    new AreaCode{CountryId = new Guid("DF58FFE7-6339-47ED-ADCC-DB84F7D9EACB"), Name="A1", Areacode="664"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Damascus", Areacode="11"},
                    new AreaCode{CountryId = new Guid("35CB7CC2-B2D2-4FA7-A8C6-ADC86A206210"), Name="Kotor", Areacode="82"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Chiatura", Areacode="379"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Fars", Areacode="752"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Linxi - Neimengu", Areacode="4868"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="St. Moritz", Areacode="81"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Tumen - Jilin", Areacode="4436"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Patuakhali", Areacode="441"},
                    new AreaCode{CountryId = new Guid("5A4B23B0-8036-4849-B935-28D9A00B5339"), Name="Kigoma", Areacode="28"},
                    new AreaCode{CountryId = new Guid("A8DF1692-825B-496C-BB7D-5021DFCDBFA8"), Name="Haskovo", Areacode="38"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Balti", Areacode="231"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Galachipa", Areacode="4424"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Abeokuta", Areacode="39"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Drochia", Areacode="252"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Codlea", Areacode="268"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Turufan - Xinjiang", Areacode="995"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="TX", Areacode="713"},
                    new AreaCode{CountryId = new Guid("430CA84C-0443-4BC3-BC36-CEE6F9D2D1E2"), Name="Sidi Bouzid", Areacode="6"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Kedah", Areacode="4"},
                    new AreaCode{CountryId = new Guid("C6FFFECA-02E5-4158-B833-05C3DAD25AB2"), Name="Hoogkerk", Areacode="50"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Pascani", Areacode="232"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Mazatlan", Areacode="669"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Jakar", Areacode="3"},
                    new AreaCode{CountryId = new Guid("08E81DF6-8533-4FD7-B909-A4EC6E5D31F0"), Name="Prey Veng", Areacode="43"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Jhalokathhi", Areacode="498"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Ordu", Areacode="452"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Shangqiu - Henan", Areacode="370"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Vnns", Areacode="935"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Etanga", Areacode="65"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Chania", Areacode="2821"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Gibeon", Areacode="63"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Telekomsel", Areacode="813"},
                    new AreaCode{CountryId = new Guid("3744A5E2-1AA7-441D-AE36-30342FEDE0F8"), Name="Capital Praha (Prague)", Areacode="3"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Grenslyn", Areacode="63"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Enugu", Areacode="42"},
                    new AreaCode{CountryId = new Guid("46F74937-0678-4EF7-89F1-C4FE6C0CE3E4"), Name="Dolakha", Areacode="49"},
                    new AreaCode{CountryId = new Guid("EDE00EFD-0261-4A82-AA47-DA188120C9EC"), Name="Kyonggido", Areacode="31"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Eizuli", Areacode="141"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Kepala Batas", Areacode="4"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Kareli", Areacode="369"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Gherla", Areacode="264"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Mezzeh", Areacode="11"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Candido Gonzalez", Areacode="32"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Leonardville", Areacode="62"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Volissos", Areacode="2274"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Jiangling - Hubei", Areacode="716"},
                    new AreaCode{CountryId = new Guid("48EE4FCE-14F5-4CFE-99BB-C88B4E159F91"), Name="Hodeidah", Areacode="3"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Ile Ife", Areacode="36"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Norrtlje", Areacode="176"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Surat Thani Mobile", Areacode="877"},
                    new AreaCode{CountryId = new Guid("96AF43F8-0F0A-459D-9433-4DEDD84FB167"), Name="Mobile Phones", Areacode="91"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Rostock", Areacode="381"},
                    new AreaCode{CountryId = new Guid("4D69E0AB-3849-46F9-95E3-BF555E2D78C6"), Name="Kildare", Areacode="45"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Madiun", Areacode="35"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Cueto", Areacode="24"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Zelva", Areacode="1564"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="iauliai", Areacode="413"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Kecskemt", Areacode="76"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Cirebon", Areacode="23"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Slavgorod", Areacode="2246"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Shishi - Fujian", Areacode="595"},
                    new AreaCode{CountryId = new Guid("38A19469-4D7A-4156-873A-92733BC92C61"), Name="Zarqa", Areacode="5"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Azercell(GSM 900)", Areacode="50"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Curtea De Arges", Areacode="248"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Mnsters", Areacode="499"},
                    new AreaCode{CountryId = new Guid("38A19469-4D7A-4156-873A-92733BC92C61"), Name="Wadi Rum", Areacode="3"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="TX", Areacode="940"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Tetri Tskaro", Areacode="359"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Osipovichi", Areacode="2235"},
                    new AreaCode{CountryId = new Guid("45044628-55D2-4ADB-B3FD-19B2A3748A03"), Name="Zhambyl", Areacode="326"},
                    new AreaCode{CountryId = new Guid("F896E6E5-3B7A-4109-B515-71BD123F9EDD"), Name="Orange(GSM 900)", Areacode="72"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Skara-Gtene", Areacode="511"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Padasjoki", Areacode="3"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Mobile Phones", Areacode="93"},
                    new AreaCode{CountryId = new Guid("B270D848-0C58-44DF-994B-386F9BA6BD8E"), Name="Mutsamudu", Areacode="715"},
                    new AreaCode{CountryId = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name="Yanbou", Areacode="4"},
                    new AreaCode{CountryId = new Guid("26F89703-E93A-4FBD-ADD7-3BFFB69CDEC3"), Name="Belgorod", Areacode="472"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Orsha", Areacode="2161"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Khan Wazir", Areacode="21"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Gullspng", Areacode="551"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Mobile", Areacode="337"},
                    new AreaCode{CountryId = new Guid("A8DF1692-825B-496C-BB7D-5021DFCDBFA8"), Name="Sliven", Areacode="44"},
                    new AreaCode{CountryId = new Guid("B270D848-0C58-44DF-994B-386F9BA6BD8E"), Name="Nioumachoua", Areacode="726"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Lerik", Areacode="157"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Lipova", Areacode="257"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Telekomsel", Areacode="811"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Huayin - Shaanxi", Areacode="9231"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Vaasa", Areacode="6"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Korma", Areacode="2337"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NY", Areacode="631"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Podu Turcului", Areacode="234"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Rovaniemi", Areacode="16"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Basarabi", Areacode="241"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NC", Areacode="919"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Safirah", Areacode="21"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Jhenaidah", Areacode="451"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Amfilochia", Areacode="2642"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Darmstadt", Areacode="6151"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Nudaus", Areacode="63"},
                    new AreaCode{CountryId = new Guid("A78D0697-F264-411C-97B9-30AE76593E5C"), Name="Maroc Tlcom(GSM900)", Areacode="69"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Adiyaman", Areacode="416"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Chisinau", Areacode="22"},
                    new AreaCode{CountryId = new Guid("B270D848-0C58-44DF-994B-386F9BA6BD8E"), Name="Moroni and Centre of Island", Areacode="74"},
                    new AreaCode{CountryId = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name="Layla", Areacode="1"},
                    new AreaCode{CountryId = new Guid("A8DF1692-825B-496C-BB7D-5021DFCDBFA8"), Name="Targovishte", Areacode="601"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Yi-chun - Jiangxi", Areacode="795"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Kanaighat", Areacode="8233"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Orange France", Areacode="630"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Machen - Hubei", Areacode="7232"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Longxi - Gansu", Areacode="9421"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Guang-an - Sichuan", Areacode="8269"},
                    new AreaCode{CountryId = new Guid("AC2B94BD-C0C8-4548-A4D2-675FB4045436"), Name="Sebha", Areacode="71"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Analog Mobile (NMT)", Areacode="828"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="Geneva", Areacode="22"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="TX", Areacode="979"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="TX", Areacode="254"},
                    new AreaCode{CountryId = new Guid("5D7A67BB-CEF8-40E7-8AB7-5B4B729A51A5"), Name="Port Sudan", Areacode="31"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Vayk", Areacode="82"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Chashniki", Areacode="2133"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="Swisscom", Areacode="79"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Tele2", Areacode="683"},
                    new AreaCode{CountryId = new Guid("4D69E0AB-3849-46F9-95E3-BF555E2D78C6"), Name="Drogheda", Areacode="41"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Gaoyou - Jiangsu", Areacode="5247"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Magti Com", Areacode="93"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Eforie Sud", Areacode="241"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Horabe", Areacode="67"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Los Reynaldos", Areacode="22"},
                    new AreaCode{CountryId = new Guid("3744A5E2-1AA7-441D-AE36-30342FEDE0F8"), Name="Vodafone/Oskar(GSM 900/1800)", Areacode="776"},
                    new AreaCode{CountryId = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name="Badulla", Areacode="55"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Kalimantan Islet", Areacode="5"},
                    new AreaCode{CountryId = new Guid("C6FFFECA-02E5-4158-B833-05C3DAD25AB2"), Name="Nieuwegein", Areacode="30"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Mariental (party line)", Areacode="668"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Voronovo", Areacode="1594"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Nikitas", Areacode="2375"},
                    new AreaCode{CountryId = new Guid("628ECF60-BE3C-4242-B48E-D9ABCFB6051F"), Name="Accra", Areacode="21"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Chumey", Areacode="3"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Markazi", Areacode="861"},
                    new AreaCode{CountryId = new Guid("2745B68E-B8F8-4924-9588-47CF2E90425F"), Name="Alberta (Northern)", Areacode="780"},
                    new AreaCode{CountryId = new Guid("C6FFFECA-02E5-4158-B833-05C3DAD25AB2"), Name="Amsterdam", Areacode="20"},
                    new AreaCode{CountryId = new Guid("96AF43F8-0F0A-459D-9433-4DEDD84FB167"), Name="Long An", Areacode="72"},
                    new AreaCode{CountryId = new Guid("7B2B044D-470B-4BE0-863B-B5D847E51592"), Name="Prome", Areacode="53"},
                    new AreaCode{CountryId = new Guid("46F74937-0678-4EF7-89F1-C4FE6C0CE3E4"), Name="Bjojpur", Areacode="29"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Telecel Faso(GSM 900)", Areacode="87"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Aguascalientes", Areacode="449"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Guibis", Areacode="63"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Hizi", Areacode="199"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Semarang", Areacode="24"},
                    new AreaCode{CountryId = new Guid("98B5E495-150F-4C32-A4C1-F79F25373E16"), Name="Vodafone (GSM)", Areacode="21"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Roznov", Areacode="233"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Verdenne", Areacode="84"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="TX", Areacode="210"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Celtel(GSM 900)", Areacode="60"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="Bellinzona", Areacode="91"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Antigua/Barbuda", Areacode="268"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Celtel(GSM 900)", Areacode="69"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Port Harcourt", Areacode="84"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Negeri Sembilan (state)", Areacode="6"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Dholpur", Areacode="5642"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Pilon", Areacode="23"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Guangling - Shanxi", Areacode="3627"},
                    new AreaCode{CountryId = new Guid("ADDAC550-B86C-40CF-B8C4-10F142EBDF66"), Name="Huancayo", Areacode="64"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Jiuquan - Gansu", Areacode="937"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Karlskoga-Degerfors", Areacode="586"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Ashotsk", Areacode="45"},
                    new AreaCode{CountryId = new Guid("748710B5-D2A6-43BF-9612-C377ACDA272A"), Name="Chunghsing-Hsintsun", Areacode="49"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Zhangjiagang - Jiangsu", Areacode="512"},
                    new AreaCode{CountryId = new Guid("A3BEDE9E-A359-49FD-8250-A40F13BCE642"), Name="Coronel Oviedo", Areacode="521"},
                    new AreaCode{CountryId = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name="Hatton", Areacode="51"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Baotou - Nei Mongol", Areacode="472"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Criscior", Areacode="254"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Bolivia", Areacode="33"},
                    new AreaCode{CountryId = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name="Gampaha", Areacode="33"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Faridpur", Areacode="631"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Verhnedvinsk", Areacode="2151"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="TX", Areacode="972"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Maximo Gomez", Areacode="33"},
                    new AreaCode{CountryId = new Guid("EDE00EFD-0261-4A82-AA47-DA188120C9EC"), Name="Kyongsangnamdo", Areacode="55"},
                    new AreaCode{CountryId = new Guid("645A1B17-973B-4AB2-B851-D1F223817C70"), Name="Gostivar", Areacode="42"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Celtel(GSM 900)", Areacode="65"},
                    new AreaCode{CountryId = new Guid("A78D0697-F264-411C-97B9-30AE76593E5C"), Name="Fes", Areacode="55"},
                    new AreaCode{CountryId = new Guid("3744A5E2-1AA7-441D-AE36-30342FEDE0F8"), Name="Region Olomoucky", Areacode="58"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Tirnaveni", Areacode="265"},
                    new AreaCode{CountryId = new Guid("FFAE686C-4A31-40DD-A1C5-7A4551E03212"), Name="Ibakari", Areacode="726"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="SFR", Areacode="613"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Doummar", Areacode="11"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="RillLabe", Areacode="52"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Souran and Kamhana", Areacode="33"},
                    new AreaCode{CountryId = new Guid("430CA84C-0443-4BC3-BC36-CEE6F9D2D1E2"), Name="Sfax", Areacode="4"},
                    new AreaCode{CountryId = new Guid("F49A7F50-EF61-4665-A7B0-88108147C133"), Name="Ulaanbaatar", Areacode="11"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Marijampole", Areacode="343"},
                    new AreaCode{CountryId = new Guid("84718E1D-25ED-4B92-B38D-466845FF1BE0"), Name="Digitel(GSM 900)", Areacode="417"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Caracal", Areacode="249"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Onatel(GSM 900)", Areacode="73"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Tai-hu - Anhui", Areacode="556"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="RADIOLINJA ORIGO OY", Areacode="46"},
                    new AreaCode{CountryId = new Guid("572DD1AF-B90F-41AC-B10C-ADF568AC82C7"), Name="Sarhodha", Areacode="451"},
                    new AreaCode{CountryId = new Guid("46F74937-0678-4EF7-89F1-C4FE6C0CE3E4"), Name="Bhaktapur", Areacode="1"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Camenca", Areacode="216"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Kalamata", Areacode="2721"},
                    new AreaCode{CountryId = new Guid("6E22EFB7-CAC9-4179-B842-CE73EC1D9DBB"), Name="South East Region (Tasmania, most of Victoria and parts of southern New South Wales)", Areacode="3"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Luntai - Xinjiang", Areacode="996"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Hirsova", Areacode="241"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Bucuresci", Areacode="254"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Mobistar", Areacode="495"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Sungei Renggam", Areacode="3"},
                    new AreaCode{CountryId = new Guid("F78C8099-1023-43D2-B0EB-3BC95DBA4703"), Name="Pozarevac", Areacode="12"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Zibo - Shandong", Areacode="533"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Dreikish", Areacode="43"},
                    new AreaCode{CountryId = new Guid("5D7A67BB-CEF8-40E7-8AB7-5B4B729A51A5"), Name="Jedaraf", Areacode="441"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Singeorz-Bai", Areacode="263"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Lagos", Areacode="1"},
                    new AreaCode{CountryId = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name="Hofuf", Areacode="3"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Dali - Yunnan", Areacode="872"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="rjng", Areacode="573"},
                    new AreaCode{CountryId = new Guid("80EC649B-DE55-46E8-9C84-5B84F8252CA4"), Name="Georgetown", Areacode="226"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Saldus", Areacode="38"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Lankao - Henan", Areacode="3881"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Sighetu Marmatiei", Areacode="262"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Ontario", Areacode="289"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Hirlau", Areacode="232"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Stolin", Areacode="1655"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Hang", Areacode="19"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Jaipur", Areacode="141"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Guaimaro", Areacode="32"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Khorasan", Areacode="562"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Maroelaboom", Areacode="67"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Bouygues Telecom", Areacode="662"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Torremolinos", Areacode="952"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Svetlogorsk", Areacode="2342"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Tongchuan - Shaanxi", Areacode="919"},
                    new AreaCode{CountryId = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name="CellTel", Areacode="72"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Birtonas", Areacode="319"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Kirsehir", Areacode="386"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Al-Thawra", Areacode="11"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Soufli", Areacode="2554"},
                    new AreaCode{CountryId = new Guid("430CA84C-0443-4BC3-BC36-CEE6F9D2D1E2"), Name="Jendouba", Areacode="8"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Neftechala", Areacode="153"},
                    new AreaCode{CountryId = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name="Kurunegala", Areacode="37"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Hlipiceni", Areacode="231"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Kerman", Areacode="347"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Lehliu Gara", Areacode="242"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="ml", Areacode="532"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Shimian - Sichuan", Areacode="8437"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Onatel(GSM 900)", Areacode="27"},
                    new AreaCode{CountryId = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name="Kandy", Areacode="8"},
                    new AreaCode{CountryId = new Guid("DF58FFE7-6339-47ED-ADCC-DB84F7D9EACB"), Name="Salzburg", Areacode="662"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Jermuk", Areacode="87"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Milos", Areacode="2287"},
                    new AreaCode{CountryId = new Guid("A8DF1692-825B-496C-BB7D-5021DFCDBFA8"), Name="Pazardjik", Areacode="34"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Las Palmas de Gran Canaria", Areacode="928"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Hasselt", Areacode="11"},
                    new AreaCode{CountryId = new Guid("98B5E495-150F-4C32-A4C1-F79F25373E16"), Name="Whangarei", Areacode="9"},
                    new AreaCode{CountryId = new Guid("0CA4824C-C2FB-48D8-A47F-06C54FB7C4C7"), Name="Gospic", Areacode="53"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Sidi Bel Abbes", Areacode="48"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="UT", Areacode="801"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Nong Khai", Areacode="42"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Tidaholm", Areacode="502"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Al-Karyatein", Areacode="31"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="WY", Areacode="307"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Pieksmki", Areacode="15"},
                    new AreaCode{CountryId = new Guid("3744A5E2-1AA7-441D-AE36-30342FEDE0F8"), Name="Region Ustecky", Areacode="41"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="IL", Areacode="773"},
                    new AreaCode{CountryId = new Guid("26F89703-E93A-4FBD-ADD7-3BFFB69CDEC3"), Name="Smolensk", Areacode="481"},
                    new AreaCode{CountryId = new Guid("C02106C7-B8A7-46EB-AAC6-2F880BE260CD"), Name="Valdivia", Areacode="63"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Focsani", Areacode="237"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Lahti", Areacode="3"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Zhlobin", Areacode="2334"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Dujiangyan - Sichuan", Areacode="8236"},
                    new AreaCode{CountryId = new Guid("430CA84C-0443-4BC3-BC36-CEE6F9D2D1E2"), Name="La Kef", Areacode="8"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="SFR", Areacode="626"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Veroia", Areacode="2331"},
                    new AreaCode{CountryId = new Guid("C6FFFECA-02E5-4158-B833-05C3DAD25AB2"), Name="Haarlem", Areacode="23"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Chaozhou - Guangdong", Areacode="7681"},
                    new AreaCode{CountryId = new Guid("B8E9EFD7-A3F2-495A-89F6-9E4FDA01D3C0"), Name="Dhayd", Areacode="6"},
                    new AreaCode{CountryId = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name="Nawalapitiya", Areacode="542"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Timisu De Jos", Areacode="268"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Wukari", Areacode="41"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Mashare", Areacode="66"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="K. Murangi", Areacode="66"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Nisipari", Areacode="241"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Kelantan (state)", Areacode="9"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Saatli", Areacode="168"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Busteni", Areacode="244"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Yibin - Sichuan", Areacode="831"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Halkida", Areacode="2221"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Orange France", Areacode="672"},
                    new AreaCode{CountryId = new Guid("38A19469-4D7A-4156-873A-92733BC92C61"), Name="Petra", Areacode="3"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Kinna", Areacode="320"},
                    new AreaCode{CountryId = new Guid("DF285779-2BB8-4280-9C72-630BF4C356FF"), Name="Eurotel(GSM 900/1800)", Areacode="904"},
                    new AreaCode{CountryId = new Guid("2745B68E-B8F8-4924-9588-47CF2E90425F"), Name="Nunavut", Areacode="867"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Ddougou", Areacode="52"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Puerto Esperanza", Areacode="8"},
                    new AreaCode{CountryId = new Guid("4910D3B0-948C-4FBA-8004-10EF33F1E8DD"), Name="Holon", Areacode="3"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Limenari", Areacode="2593"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Monza", Areacode="39"},
                    new AreaCode{CountryId = new Guid("ABA66E74-AF34-4105-A846-D2E710AFAF8C"), Name="CYTA(GSM 900)", Areacode="996"},
                    new AreaCode{CountryId = new Guid("38A19469-4D7A-4156-873A-92733BC92C61"), Name="Greater Amman", Areacode="6"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Bjrneborg", Areacode="2"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Livadeia", Areacode="2261"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Awka", Areacode="48"},
                    new AreaCode{CountryId = new Guid("C02106C7-B8A7-46EB-AAC6-2F880BE260CD"), Name="Talca", Areacode="71"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Tebessa", Areacode="37"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Chrysoupoli", Areacode="2591"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Ineu", Areacode="257"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Negureni", Areacode="241"},
                    new AreaCode{CountryId = new Guid("BF4B4AAC-85A9-4D32-BE21-A8E1A51638AA"), Name="ISP providers", Areacode="880"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Dengkil", Areacode="3"},
                    new AreaCode{CountryId = new Guid("A78D0697-F264-411C-97B9-30AE76593E5C"), Name="Mdi Tlcom(GSM900)", Areacode="61"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Bama - Guangxi", Areacode="7808"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Finspng", Areacode="122"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Boden", Areacode="921"},
                    new AreaCode{CountryId = new Guid("67EF14F5-78E1-40A7-A732-B518267A4B86"), Name="Catete", Areacode="34"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Siret", Areacode="230"},
                    new AreaCode{CountryId = new Guid("2C443E5E-8531-474E-BCA1-9FC80C72C14A"), Name="Chimolo", Areacode="251"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Barguna", Areacode="448"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Mart", Areacode="5"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Pabna", Areacode="731"},
                    new AreaCode{CountryId = new Guid("78693684-30E2-4709-B032-2AD99A39B401"), Name="Porto Alegre", Areacode="51"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Loutra Aidipsou", Areacode="2226"},
                    new AreaCode{CountryId = new Guid("5A4B23B0-8036-4849-B935-28D9A00B5339"), Name="Pemba", Areacode="24"},
                    new AreaCode{CountryId = new Guid("C02106C7-B8A7-46EB-AAC6-2F880BE260CD"), Name="Coquimbo", Areacode="51"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Viales", Areacode="8"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Analog Mobile (AMPS) - Medan", Areacode="827"},
                    new AreaCode{CountryId = new Guid("DF285779-2BB8-4280-9C72-630BF4C356FF"), Name="Eurotel(GSM 900/1800)", Areacode="902"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Hechi - Guangxi", Areacode="778"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Heishan - Liaoning", Areacode="416"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Tirgu Frumos", Areacode="232"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Damphu DAMA", Areacode="6"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="KY", Areacode="270"},
                    new AreaCode{CountryId = new Guid("430CA84C-0443-4BC3-BC36-CEE6F9D2D1E2"), Name="Tabarka", Areacode="8"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Fagaras", Areacode="268"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Merida", Areacode="999"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Chhatak", Areacode="8723"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Nora", Areacode="587"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Alto Cedro", Areacode="24"},
                    new AreaCode{CountryId = new Guid("C941DA70-D070-45AC-9B29-029712E1B8FA"), Name="Vilaverde de Guadalimar", Areacode="67"},
                    new AreaCode{CountryId = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name="Plus GSM (Polkomtel)", Areacode="607"},
                    new AreaCode{CountryId = new Guid("FA0911EC-E929-4005-A679-A35E889F98FE"), Name="Mobile Phones", Areacode="70"},
                    new AreaCode{CountryId = new Guid("DF285779-2BB8-4280-9C72-630BF4C356FF"), Name="Trencn", Areacode="32"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Dana", Areacode="23"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Megara", Areacode="2296"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Klein Karas", Areacode="63"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="China Mobile(GSM 900)", Areacode="138"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Breaza", Areacode="244"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Kais", Areacode="63"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Buftea", Areacode="2179"},
                    new AreaCode{CountryId = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name="Lodz", Areacode="42"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Mudanjiang - Heilongjiang", Areacode="467"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Leuven (Louvain)", Areacode="16"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Wangkha", Areacode="8"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Chimay", Areacode="60"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Ain Temouchent", Areacode="43"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Oran", Areacode="41"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Zapp (Telemobil)", Areacode="788"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Dezhou - Shandong", Areacode="534"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Las Mercedes", Areacode="23"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Oluno", Areacode="65"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Stugun", Areacode="695"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Ropotu Mare", Areacode="254"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Eenhana", Areacode="65"},
                    new AreaCode{CountryId = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name="Chilaw", Areacode="32"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Stavelot", Areacode="80"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Marcali", Areacode="85"},
                    new AreaCode{CountryId = new Guid("4504391C-E9D7-43BF-BC06-832E0A6FB016"), Name="Puerto Princesa", Areacode="48"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Mataraga", Areacode="2635"},
                    new AreaCode{CountryId = new Guid("F896E6E5-3B7A-4109-B515-71BD123F9EDD"), Name="Gaborone", Areacode="35"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Kramfors", Areacode="612"},
                    new AreaCode{CountryId = new Guid("EDE00EFD-0261-4A82-AA47-DA188120C9EC"), Name="Pusan", Areacode="51"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="DC", Areacode="202"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Groot  Aub", Areacode="62"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Zhongshan - Guangdong", Areacode="760"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Kunming - Yunnan", Areacode="871"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Qom", Areacode="251"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Nabinagar", Areacode="8525"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Zvartnots", Areacode="31"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Korelichi", Areacode="1596"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="Kissidougou", Areacode="98"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Xinhui - Guangdong", Areacode="750"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="LA", Areacode="225"},
                    new AreaCode{CountryId = new Guid("430CA84C-0443-4BC3-BC36-CEE6F9D2D1E2"), Name="Nabeul", Areacode="2"},
                    new AreaCode{CountryId = new Guid("FFAE686C-4A31-40DD-A1C5-7A4551E03212"), Name="Aomori", Areacode="177"},
                    new AreaCode{CountryId = new Guid("971C8400-1479-410E-87BD-84C35D776B5E"), Name="Garissa", Areacode="46"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Chiang Rai Mobile", Areacode="854"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Helsinki", Areacode="9"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Camino", Areacode="61"},
                    new AreaCode{CountryId = new Guid("A8DF1692-825B-496C-BB7D-5021DFCDBFA8"), Name="Lovetch", Areacode="68"},
                    new AreaCode{CountryId = new Guid("4504391C-E9D7-43BF-BC06-832E0A6FB016"), Name="Masbate", Areacode="56"},
                    new AreaCode{CountryId = new Guid("D1F141AD-99C7-432F-B35E-4EE89F9EF7F5"), Name="Boaco", Areacode="54"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Turkish TelecomNMTS 450)", Areacode="522"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="Gueckedou", Areacode="97"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Krichev", Areacode="2241"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Daudkandi", Areacode="8023"},
                    new AreaCode{CountryId = new Guid("DF285779-2BB8-4280-9C72-630BF4C356FF"), Name="LiptovskMikul", Areacode="44"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Cimpina", Areacode="244"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="K. Nevrokopi", Areacode="2523"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Karlholmsbruk-Skrplinge", Areacode="294"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Ieper", Areacode="57"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Vadu Pasii", Areacode="238"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Prmet", Areacode="813"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Valea Bolvasnita", Areacode="255"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Lin-an - Zhejiang", Areacode="571"},
                    new AreaCode{CountryId = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name="Polonnaruwa", Areacode="27"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Medias", Areacode="269"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="?. Kallisti", Areacode="2535"},
                    new AreaCode{CountryId = new Guid("A9A3273A-6251-434E-B0D3-0286B0EC4EFC"), Name="Vodacom", Areacode="82"},
                    new AreaCode{CountryId = new Guid("645A1B17-973B-4AB2-B851-D1F223817C70"), Name="Krushevo", Areacode="48"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Gelu", Areacode="261"},
                    new AreaCode{CountryId = new Guid("EDE00EFD-0261-4A82-AA47-DA188120C9EC"), Name="Speed(formerly SK Telecom)", Areacode="17"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Mobile Phones", Areacode="68"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Aksaray", Areacode="382"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Kanalaki", Areacode="2684"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Ballsh", Areacode="313"},
                    new AreaCode{CountryId = new Guid("EDE00EFD-0261-4A82-AA47-DA188120C9EC"), Name="Speed(formerly SK Telecom)", Areacode="11"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Huaihua - Hunan", Areacode="7402"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Antilla", Areacode="24"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Onatel(GSM 900)", Areacode="23"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Bagerhat", Areacode="468"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Zlatna", Areacode="258"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Dinxi - Gansu", Areacode="932"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Hssleholm", Areacode="451"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Ontario", Areacode="705"},
                    new AreaCode{CountryId = new Guid("84718E1D-25ED-4B92-B38D-466845FF1BE0"), Name="Digitel(GSM 900)", Areacode="418"},
                    new AreaCode{CountryId = new Guid("430CA84C-0443-4BC3-BC36-CEE6F9D2D1E2"), Name="Ben Arous", Areacode="1"},
                    new AreaCode{CountryId = new Guid("F896E6E5-3B7A-4109-B515-71BD123F9EDD"), Name="Palapye", Areacode="49"},
                    new AreaCode{CountryId = new Guid("430CA84C-0443-4BC3-BC36-CEE6F9D2D1E2"), Name="Carthage", Areacode="1"},
                    new AreaCode{CountryId = new Guid("45044628-55D2-4ADB-B3FD-19B2A3748A03"), Name="Arkalyk", Areacode="330"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Veszprm", Areacode="88"},
                    new AreaCode{CountryId = new Guid("45044628-55D2-4ADB-B3FD-19B2A3748A03"), Name="Kzyl-Orda", Areacode="324"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Saal", Areacode="38223"},
                    new AreaCode{CountryId = new Guid("F896E6E5-3B7A-4109-B515-71BD123F9EDD"), Name="Francistown", Areacode="24"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Leresti", Areacode="248"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Hunedoara", Areacode="254"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Vulcan", Areacode="254"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Ghardaia", Areacode="29"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Bobruysk", Areacode="225"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Vasquez", Areacode="31"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Madonna de Campiglio", Areacode="465"},
                    new AreaCode{CountryId = new Guid("DF58FFE7-6339-47ED-ADCC-DB84F7D9EACB"), Name="Klagenfurt", Areacode="463"},
                    new AreaCode{CountryId = new Guid("748710B5-D2A6-43BF-9612-C377ACDA272A"), Name="Changhua", Areacode="4"},
                    new AreaCode{CountryId = new Guid("3744A5E2-1AA7-441D-AE36-30342FEDE0F8"), Name="O2(GSM 900/1800, 3G 2100)", Areacode="607"},
                    new AreaCode{CountryId = new Guid("E04C0643-8FE6-4364-8859-7BB360BA46F4"), Name="Qurghonteppa", Areacode="3222"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Simtokha", Areacode="2"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Victoria", Areacode="268"},
                    new AreaCode{CountryId = new Guid("430CA84C-0443-4BC3-BC36-CEE6F9D2D1E2"), Name="Mahdia", Areacode="3"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Pasvalys", Areacode="451"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Gera", Areacode="365"},
                    new AreaCode{CountryId = new Guid("391AAAC1-18B9-4569-9FD1-B0B06B4892F8"), Name="Plvamaa", Areacode="79"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Katana", Areacode="11"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Kuusamo", Areacode="8"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Isfahan", Areacode="322"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Kokkola", Areacode="6"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Ystad", Areacode="411"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="New Bussa", Areacode="33"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Andros", Areacode="2282"},
                    new AreaCode{CountryId = new Guid("80EC649B-DE55-46E8-9C84-5B84F8252CA4"), Name="Ituni", Areacode="441"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Sagua de Tanamo", Areacode="24"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Nesvizh", Areacode="1770"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="DNA FINLAND OY", Areacode="41"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Asprovalta", Areacode="2397"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="vencionys", Areacode="387"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Mangetti duin", Areacode="67"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Al-Midan", Areacode="11"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Cixi - Zhejiang", Areacode="574"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Rtan", Areacode="682"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Celtel(GSM 900)", Areacode="62"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="OH", Areacode="614"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Buzias", Areacode="256"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Kassandreia", Areacode="2374"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Orlando Gonzalez", Areacode="33"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Bjni", Areacode="23"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Shuangcheng - Heilongjiang", Areacode="4615"},
                    new AreaCode{CountryId = new Guid("28431BD3-731C-4DF6-9765-2F88C08884A3"), Name="Fianarantsoa", Areacode="75"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="CA", Areacode="818"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NM", Areacode="505"},
                    new AreaCode{CountryId = new Guid("84718E1D-25ED-4B92-B38D-466845FF1BE0"), Name="Caracas", Areacode="212"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Hoktember", Areacode="37"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Valka", Areacode="47"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Kerman", Areacode="346"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="iauliai", Areacode="414"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Kungsr", Areacode="227"},
                    new AreaCode{CountryId = new Guid("3744A5E2-1AA7-441D-AE36-30342FEDE0F8"), Name="Vodafone/Oskar(GSM 900/1800)", Areacode="608"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="TX", Areacode="956"},
                    new AreaCode{CountryId = new Guid("645A1B17-973B-4AB2-B851-D1F223817C70"), Name="Debar", Areacode="46"},
                    new AreaCode{CountryId = new Guid("F78C8099-1023-43D2-B0EB-3BC95DBA4703"), Name="Beograd (Belgrade)", Areacode="11"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Vammala", Areacode="3"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="SUOMEN 2G OY", Areacode="4578"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Zhangjiakou - Hebei", Areacode="313"},
                    new AreaCode{CountryId = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name="Ampara", Areacode="63"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Messologi", Areacode="2631"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Satu Mare", Areacode="261"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Sidirokastro", Areacode="2323"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Birlad", Areacode="235"},
                    new AreaCode{CountryId = new Guid("67EF14F5-78E1-40A7-A732-B518267A4B86"), Name="Lucapa", Areacode="52"},
                    new AreaCode{CountryId = new Guid("3744A5E2-1AA7-441D-AE36-30342FEDE0F8"), Name="Region Moravskoslezsky", Areacode="55"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Plopeni", Areacode="244"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Hanning - Zhejiang", Areacode="573"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Zunyi - Guizhou", Areacode="852"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Gllivare", Areacode="970"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="Nzerekore", Areacode="91"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Mayari", Areacode="24"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Johore (state)", Areacode="7"},
                    new AreaCode{CountryId = new Guid("430CA84C-0443-4BC3-BC36-CEE6F9D2D1E2"), Name="Hamman-Sousse", Areacode="3"},
                    new AreaCode{CountryId = new Guid("4910D3B0-948C-4FBA-8004-10EF33F1E8DD"), Name="Ramat Gan", Areacode="3"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Tekirdag", Areacode="282"},
                    new AreaCode{CountryId = new Guid("A8DF1692-825B-496C-BB7D-5021DFCDBFA8"), Name="Vidin", Areacode="94"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Schwerin", Areacode="385"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Ghatail", Areacode="9225"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Geoagiu Bai", Areacode="254"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Laksham (Daulatgonj)", Areacode="8032"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Dunajvros", Areacode="25"},
                    new AreaCode{CountryId = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name="Bytom", Areacode="32"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Shangrao - Jiangxi", Areacode="793"},
                    new AreaCode{CountryId = new Guid("D1F141AD-99C7-432F-B35E-4EE89F9EF7F5"), Name="Tipitapa", Areacode="53"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Amasya", Areacode="358"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="CBG Kamsar", Areacode="32"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Narsingdi", Areacode="628"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="Chiasso", Areacode="91"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Skikda", Areacode="38"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Otelu Rosu", Areacode="255"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Lampang Mobile", Areacode="854"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Koplik", Areacode="211"},
                    new AreaCode{CountryId = new Guid("98B5E495-150F-4C32-A4C1-F79F25373E16"), Name="Rotorua", Areacode="7"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Bobo-Dioulasso", Areacode="98"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="IN", Areacode="317"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="WA", Areacode="360"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Trosa-Vagnhrad", Areacode="156"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="akiai", Areacode="345"},
                    new AreaCode{CountryId = new Guid("F8B2E8D7-1651-4084-83DF-06D9D98EA3CC"), Name="Ebeye Island, Kwajelien Atoll", Areacode="325"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Fars", Areacode="782"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Dialog (Mobil Rom)", Areacode="745"},
                    new AreaCode{CountryId = new Guid("7B2B044D-470B-4BE0-863B-B5D847E51592"), Name="Yangon", Areacode="99"},
                    new AreaCode{CountryId = new Guid("0CA4824C-C2FB-48D8-A47F-06C54FB7C4C7"), Name="Split", Areacode="21"},
                    new AreaCode{CountryId = new Guid("FCDE7AF5-C55B-44E8-A0E8-911F86D0E410"), Name="Kharkov", Areacode="572"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Certeju De Sus", Areacode="254"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Jiangmen - Guangdong", Areacode="750"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Hanyang - Hubei", Areacode="7212"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Nashabieh", Areacode="11"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Kanchanaburi Mobile", Areacode="834"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Ume", Areacode="90"},
                    new AreaCode{CountryId = new Guid("EDE00EFD-0261-4A82-AA47-DA188120C9EC"), Name="Chungchong namdo", Areacode="41"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Pingliang - Gansu", Areacode="933"},
                    new AreaCode{CountryId = new Guid("A78D0697-F264-411C-97B9-30AE76593E5C"), Name="Ttouan", Areacode="39"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Orange France", Areacode="679"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Cacocum", Areacode="24"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Fertoboz", Areacode="99"},
                    new AreaCode{CountryId = new Guid("A78D0697-F264-411C-97B9-30AE76593E5C"), Name="Maroc Tlcom(GSM900)", Areacode="65"},
                    new AreaCode{CountryId = new Guid("96AF43F8-0F0A-459D-9433-4DEDD84FB167"), Name="Mobile Phones", Areacode="85"},
                    new AreaCode{CountryId = new Guid("748710B5-D2A6-43BF-9612-C377ACDA272A"), Name="Keelung", Areacode="2"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="TN", Areacode="931"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MA", Areacode="508"},
                    new AreaCode{CountryId = new Guid("F78C8099-1023-43D2-B0EB-3BC95DBA4703"), Name="Pec", Areacode="39"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Moinesti", Areacode="234"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="GA", Areacode="706"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Gurjaani", Areacode="353"},
                    new AreaCode{CountryId = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name="Sopot", Areacode="58"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Ji-lin - Jilin", Areacode="432"},
                    new AreaCode{CountryId = new Guid("A3BEDE9E-A359-49FD-8250-A40F13BCE642"), Name="Pilar", Areacode="86"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Elassona", Areacode="2493"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Selenic", Areacode="392"},
                    new AreaCode{CountryId = new Guid("645A1B17-973B-4AB2-B851-D1F223817C70"), Name="Cosmofon(GSM900)", Areacode="75"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Bartin", Areacode="378"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Veurne", Areacode="58"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Cornu", Areacode="244"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Naama", Areacode="49"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Dos Caminos de San Luis", Areacode="22"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Mobile Phones", Areacode="150"},
                    new AreaCode{CountryId = new Guid("EDE00EFD-0261-4A82-AA47-DA188120C9EC"), Name="KTF", Areacode="16"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Sderhamn", Areacode="270"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Martuni", Areacode="62"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="AL", Areacode="251"},
                    new AreaCode{CountryId = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name="Era", Areacode="692"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Piunik", Areacode="23"},
                    new AreaCode{CountryId = new Guid("26F89703-E93A-4FBD-ADD7-3BFFB69CDEC3"), Name="Tambov", Areacode="475"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Al-Kusseir", Areacode="31"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Savirsin", Areacode="257"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Sochos", Areacode="2395"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="Conakry", Areacode="46"},
                    new AreaCode{CountryId = new Guid("645A1B17-973B-4AB2-B851-D1F223817C70"), Name="Kavadarci", Areacode="43"},
                    new AreaCode{CountryId = new Guid("0CA4824C-C2FB-48D8-A47F-06C54FB7C4C7"), Name="Zagreb", Areacode="1"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="CA", Areacode="949"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="FL", Areacode="754"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Lalmonirhat", Areacode="591"},
                    new AreaCode{CountryId = new Guid("58986264-67FE-4428-B004-1C727858F990"), Name="Zahle", Areacode="8"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Hotimsk", Areacode="2247"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Kermanshah", Areacode="838"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Kanchanaburi", Areacode="34"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Prienai", Areacode="319"},
                    new AreaCode{CountryId = new Guid("ABA66E74-AF34-4105-A846-D2E710AFAF8C"), Name="Paphos", Areacode="26"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Ploiesti", Areacode="244"},
                    new AreaCode{CountryId = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name="Riyadh", Areacode="1"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Cox's Bazar", Areacode="341"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Chios", Areacode="2271"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Zhengzhou - Henan", Areacode="371"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Nurnberg", Areacode="911"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Dinyuan - Anhui", Areacode="5604"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Changye - Shanxi", Areacode="355"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Cantabria", Areacode="942"},
                    new AreaCode{CountryId = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name="Idea", Areacode="504"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Rangjung", Areacode="4"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Gobabis", Areacode="62"},
                    new AreaCode{CountryId = new Guid("26AA8547-5DEE-4E4F-8657-AE6881EBFE2C"), Name="Capesterre", Areacode="86"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Ali-Bayramli", Areacode="197"},
                    new AreaCode{CountryId = new Guid("A9A3273A-6251-434E-B0D3-0286B0EC4EFC"), Name="MTN", Areacode="73"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Dribin", Areacode="2248"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Ouagadougou", Areacode="31"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Miercurea Ciuc", Areacode="266"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Mobile", Areacode="329"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Yueyang - Hunan", Areacode="730"},
                    new AreaCode{CountryId = new Guid("F896E6E5-3B7A-4109-B515-71BD123F9EDD"), Name="Gantsi", Areacode="65"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="special", Areacode="78"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Hama", Areacode="33"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Orodara", Areacode="96"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Lavrion", Areacode="2292"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Hobigonj", Areacode="831"},
                    new AreaCode{CountryId = new Guid("4D69E0AB-3849-46F9-95E3-BF555E2D78C6"), Name="Donegal", Areacode="73"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Sumgayit", Areacode="164"},
                    new AreaCode{CountryId = new Guid("DF285779-2BB8-4280-9C72-630BF4C356FF"), Name="Lucenec", Areacode="47"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Kankaanp", Areacode="2"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Leros", Areacode="2247"},
                    new AreaCode{CountryId = new Guid("67EF14F5-78E1-40A7-A732-B518267A4B86"), Name="Ondjiva", Areacode="65"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Constantine", Areacode="31"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Bergsj", Areacode="652"},
                    new AreaCode{CountryId = new Guid("4910D3B0-948C-4FBA-8004-10EF33F1E8DD"), Name="Herzliya", Areacode="9"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Mamurras", Areacode="561"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Cap Aurora", Areacode="241"},
                    new AreaCode{CountryId = new Guid("DADCF19E-53B0-4739-9712-0C80ACA78D41"), Name="North East Region", Areacode="3"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Slanic", Areacode="244"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Mobistar", Areacode="494"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Charentsavan", Areacode="26"},
                    new AreaCode{CountryId = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name="Plus GSM (Polkomtel)", Areacode="601"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Orange France", Areacode="632"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Chisineu Cris", Areacode="257"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Falun", Areacode="23"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Moneasa", Areacode="257"},
                    new AreaCode{CountryId = new Guid("F78C8099-1023-43D2-B0EB-3BC95DBA4703"), Name="MTS", Areacode="65"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Tirgoviste", Areacode="245"},
                    new AreaCode{CountryId = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name="Suntel", Areacode="74"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Okalongo", Areacode="65"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Leova", Areacode="263"},
                    new AreaCode{CountryId = new Guid("ABA66E74-AF34-4105-A846-D2E710AFAF8C"), Name="Soeasy", Areacode="998"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Khulna", Areacode="41"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="alcininkai", Areacode="380"},
                    new AreaCode{CountryId = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name="Poznan", Areacode="61"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Bolintin Vale", Areacode="246"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="Obewil im Simmental", Areacode="33"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Barcanesti (judetz: Prahova)", Areacode="244"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Gyngys", Areacode="37"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NV", Areacode="775"},
                    new AreaCode{CountryId = new Guid("F8B2E8D7-1651-4084-83DF-06D9D98EA3CC"), Name="Kili Island", Areacode="545"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Vinatorii-Neamt", Areacode="233"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Turuel", Areacode="978"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="SC", Areacode="864"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Tenkodogo", Areacode="71"},
                    new AreaCode{CountryId = new Guid("FA0911EC-E929-4005-A679-A35E889F98FE"), Name="Mazar-E-Sherif", Areacode="50"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Maxis(GSM 900/1800)", Areacode="17"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Bari", Areacode="80"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Tapaste", Areacode="64"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Gilan", Areacode="142"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Mugla", Areacode="252"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Larissa", Areacode="241"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="LA", Areacode="985"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Videle", Areacode="247"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Tirgu Neamt", Areacode="233"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Hultsfred-Virserum", Areacode="495"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Boldesti - Scaieni", Areacode="244"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Yangzhou - Jiangsu", Areacode="514"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Cerna Voda", Areacode="241"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Mtszalka", Areacode="44"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="Baden", Areacode="56"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Barcanesti (judetz: Ialomitza)", Areacode="243"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="Spacetel", Areacode="66"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Palamas", Areacode="2444"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Menbej", Areacode="25"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Rogachev", Areacode="2339"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Ariamsvlei", Areacode="63"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="IN", Areacode="812"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Daal", Areacode="15"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Bhandaria", Areacode="4623"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Pagers", Areacode="740"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Stratoni", Areacode="2376"},
                    new AreaCode{CountryId = new Guid("748710B5-D2A6-43BF-9612-C377ACDA272A"), Name="Taoyuan", Areacode="3"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Mobile", Areacode="334"},
                    new AreaCode{CountryId = new Guid("E030214A-C85E-40FA-A627-70601272F411"), Name="Bukara", Areacode="65"},
                    new AreaCode{CountryId = new Guid("28431BD3-731C-4DF6-9765-2F88C08884A3"), Name="Telecom Malagasy (TELMA)", Areacode="20"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Dinajpur", Areacode="531"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Nicaro-Levisa", Areacode="24"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Imias", Areacode="32"},
                    new AreaCode{CountryId = new Guid("645A1B17-973B-4AB2-B851-D1F223817C70"), Name="Kumanovo", Areacode="31"},
                    new AreaCode{CountryId = new Guid("CEC7D0EF-064C-4B24-846E-8FD52A3A6F7A"), Name="Econet", Areacode="1"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="TX", Areacode="830"},
                    new AreaCode{CountryId = new Guid("748710B5-D2A6-43BF-9612-C377ACDA272A"), Name="Hualien", Areacode="38"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Ierapetra", Areacode="2842"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Tougan", Areacode="53"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Sakarya", Areacode="264"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Bouygues Telecom", Areacode="669"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Saarijrvi", Areacode="14"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Fuyang - Zhejiang", Areacode="571"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Qufu - Shandong", Areacode="5473"},
                    new AreaCode{CountryId = new Guid("430CA84C-0443-4BC3-BC36-CEE6F9D2D1E2"), Name="Ariana", Areacode="1"},
                    new AreaCode{CountryId = new Guid("08E81DF6-8533-4FD7-B909-A4EC6E5D31F0"), Name="Kratie", Areacode="72"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Bicaz", Areacode="233"},
                    new AreaCode{CountryId = new Guid("38A19469-4D7A-4156-873A-92733BC92C61"), Name="Ma'an", Areacode="3"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Huachi - Gansu", Areacode="9447"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Bauta", Areacode="680"},
                    new AreaCode{CountryId = new Guid("AC2B94BD-C0C8-4548-A4D2-675FB4045436"), Name="Zuara", Areacode="25"},
                    new AreaCode{CountryId = new Guid("3744A5E2-1AA7-441D-AE36-30342FEDE0F8"), Name="Brno", Areacode="54"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Al-Mayadin", Areacode="51"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Orense", Areacode="988"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Kalinkovichi", Areacode="2345"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Holgun", Areacode="24"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Berettyjfalu", Areacode="54"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Alor Setar", Areacode="4"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Mobile", Areacode="338"},
                    new AreaCode{CountryId = new Guid("D1F141AD-99C7-432F-B35E-4EE89F9EF7F5"), Name="Nandaime", Areacode="4522"},
                    new AreaCode{CountryId = new Guid("96AF43F8-0F0A-459D-9433-4DEDD84FB167"), Name="Dong Nai", Areacode="61"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Jinmen - Hubei", Areacode="724"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Sapes", Areacode="2532"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Sunne", Areacode="565"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Terengganu (state)", Areacode="9"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Backe", Areacode="624"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="deshg", Areacode="144"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Pushkar", Areacode="145"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Palencia", Areacode="979"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Pogradec", Areacode="832"},
                    new AreaCode{CountryId = new Guid("38A19469-4D7A-4156-873A-92733BC92C61"), Name="Fastlink", Areacode="79"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Baia Mare", Areacode="262"},
                    new AreaCode{CountryId = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name="Idea", Areacode="503"},
                    new AreaCode{CountryId = new Guid("2A2C198B-5682-4D9E-81A9-E9194770ED92"), Name="MobiNil(GSM 900)", Areacode="12"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Tianeti", Areacode="348"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Betung", Areacode="22"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Hjo", Areacode="503"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="AR", Areacode="479"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Baja", Areacode="79"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Jiamusi - Heilongjiang", Areacode="454"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Romos", Areacode="254"},
                    new AreaCode{CountryId = new Guid("ADDAC550-B86C-40CF-B8C4-10F142EBDF66"), Name="Huancavelica", Areacode="6495"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Onatel(GSM 900)", Areacode="22"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Corts", Areacode="84"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Saturn", Areacode="241"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="San Luis", Areacode="8"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Kalloni", Areacode="2253"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Corfu", Areacode="2661"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Tangail", Areacode="921"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="British Columbia", Areacode="604"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Guangning - Guangdong", Areacode="758"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Yabrood", Areacode="12"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="TX", Areacode="432"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Tacajo", Areacode="24"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Slatina", Areacode="249"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Mila", Areacode="31"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Hakkari", Areacode="438"},
                    new AreaCode{CountryId = new Guid("38A19469-4D7A-4156-873A-92733BC92C61"), Name="Irbid", Areacode="2"},
                    new AreaCode{CountryId = new Guid("67EF14F5-78E1-40A7-A732-B518267A4B86"), Name="Benguela", Areacode="72"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Lafia", Areacode="47"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="GA", Areacode="478"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Vetel", Areacode="254"},
                    new AreaCode{CountryId = new Guid("A3BEDE9E-A359-49FD-8250-A40F13BCE642"), Name="San Ignacio", Areacode="82"},
                    new AreaCode{CountryId = new Guid("4D69E0AB-3849-46F9-95E3-BF555E2D78C6"), Name="Meteor", Areacode="85"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="SFR", Areacode="623"},
                    new AreaCode{CountryId = new Guid("2745B68E-B8F8-4924-9588-47CF2E90425F"), Name="Ontario (Thunder Bay)", Areacode="807"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NANP area", Areacode="800"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Lyahovichi", Areacode="1633"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Librazhd", Areacode="514"},
                    new AreaCode{CountryId = new Guid("ADDAC550-B86C-40CF-B8C4-10F142EBDF66"), Name="Ica", Areacode="34"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Celtel(GSM 900)", Areacode="64"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Daulatpur", Areacode="7023"},
                    new AreaCode{CountryId = new Guid("BD42A40A-1E6D-4495-AB9B-C5D8B850959E"), Name="Serdarabad (formerly Nebitdag)", Areacode="222"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Zhabinka", Areacode="1641"},
                    new AreaCode{CountryId = new Guid("9FF64B6B-828D-4C7F-9C34-AC34EAA78979"), Name="(GSM 900 mobile)", Areacode="77"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Fu-zhou - Jiangxi", Areacode="794"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="SAUNALAHTI GROUP OYJ", Areacode="456"},
                    new AreaCode{CountryId = new Guid("26F89703-E93A-4FBD-ADD7-3BFFB69CDEC3"), Name="Yaroslavl", Areacode="485"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="SONERA CARRIER NETWORKS OY", Areacode="40"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="CA", Areacode="209"},
                    new AreaCode{CountryId = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name="Bell", Areacode="75"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Chittorgarh", Areacode="8572"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Ptghni", Areacode="22"},
                    new AreaCode{CountryId = new Guid("FFAE686C-4A31-40DD-A1C5-7A4551E03212"), Name="Daito", Areacode="720"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Dej", Areacode="264"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Nakhon Ratchasima", Areacode="44"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Potiya", Areacode="3035"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Shihezi - Xinjiang", Areacode="993"},
                    new AreaCode{CountryId = new Guid("C02106C7-B8A7-46EB-AAC6-2F880BE260CD"), Name="Coyhaique", Areacode="67"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Kaya", Areacode="45"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Oroshza", Areacode="68"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Hui-an - Fujian", Areacode="595"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Surat Thani", Areacode="77"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Rbnita", Areacode="555"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Haapajrvi", Areacode="8"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="IL", Areacode="618"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Nafplion", Areacode="2752"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Bebila", Areacode="11"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Malatya", Areacode="422"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Maryina Gorka", Areacode="1713"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Lingshi DAMA", Areacode="2"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Labuan", Areacode="8"},
                    new AreaCode{CountryId = new Guid("E04C0643-8FE6-4364-8859-7BB360BA46F4"), Name="Kulob", Areacode="3322"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Base", Areacode="483"},
                    new AreaCode{CountryId = new Guid("96AF43F8-0F0A-459D-9433-4DEDD84FB167"), Name="Tra Vinh", Areacode="74"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Sollefte", Areacode="620"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Rajshahi", Areacode="721"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MD", Areacode="240"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Pyrgos (Creta)", Areacode="2893"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Yan-an - Shaanxi", Areacode="911"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Batalla de Las Guasimas", Areacode="32"},
                    new AreaCode{CountryId = new Guid("4504391C-E9D7-43BF-BC06-832E0A6FB016"), Name="Cavite", Areacode="46"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Derbasiah", Areacode="53"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Hegang - Heilongjiang", Areacode="4618"},
                    new AreaCode{CountryId = new Guid("28431BD3-731C-4DF6-9765-2F88C08884A3"), Name="Ambositra", Areacode="47"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Qiongshan - Hainan", Areacode="898"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Naousa", Areacode="2332"},
                    new AreaCode{CountryId = new Guid("A8DF1692-825B-496C-BB7D-5021DFCDBFA8"), Name="Silistra", Areacode="86"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Sancti Spiritus", Areacode="41"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Mobile Phones", Areacode="66"},
                    new AreaCode{CountryId = new Guid("F896E6E5-3B7A-4109-B515-71BD123F9EDD"), Name="Jwaneng", Areacode="58"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Kuitun - Xinjiang", Areacode="992"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Bermuda", Areacode="441"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Gorki", Areacode="2233"},
                    new AreaCode{CountryId = new Guid("80EC649B-DE55-46E8-9C84-5B84F8252CA4"), Name="Mabaruma", Areacode="777"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Siria", Areacode="257"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Bite GSM", Areacode="689"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="SFR", Areacode="620"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Torino", Areacode="11"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="CA", Areacode="213"},
                    new AreaCode{CountryId = new Guid("0CA4824C-C2FB-48D8-A47F-06C54FB7C4C7"), Name="Koprivnica", Areacode="48"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Miri", Areacode="8"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Mobile", Areacode="389"},
                    new AreaCode{CountryId = new Guid("67EF14F5-78E1-40A7-A732-B518267A4B86"), Name="Luena", Areacode="54"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Barzeh", Areacode="11"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Paramythia", Areacode="2666"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Palazu Mare", Areacode="241"},
                    new AreaCode{CountryId = new Guid("46F74937-0678-4EF7-89F1-C4FE6C0CE3E4"), Name="Phidim", Areacode="24"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Sungei Besi", Areacode="3"},
                    new AreaCode{CountryId = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name="Kalmunai", Areacode="67"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Poiana Tapului", Areacode="244"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Yangquan - Shanxi", Areacode="353"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Blue Sodalite Mine", Areacode="65"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Leonidio", Areacode="2757"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Vama Veche", Areacode="241"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Sovata Bai", Areacode="265"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Aurangabad", Areacode="2432"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Alunda", Areacode="174"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Indosat", Areacode="855"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Satu Nou", Areacode="241"},
                    new AreaCode{CountryId = new Guid("FFAE686C-4A31-40DD-A1C5-7A4551E03212"), Name="Nagasaki", Areacode="958"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Saraburi", Areacode="36"},
                    new AreaCode{CountryId = new Guid("A9A3273A-6251-434E-B0D3-0286B0EC4EFC"), Name="Bloemfontein", Areacode="51"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Shenyang - Liaoning", Areacode="24"},
                    new AreaCode{CountryId = new Guid("C6FFFECA-02E5-4158-B833-05C3DAD25AB2"), Name="Eindhoven", Areacode="40"},
                    new AreaCode{CountryId = new Guid("391AAAC1-18B9-4569-9FD1-B0B06B4892F8"), Name="Jrvamaa", Areacode="38"},
                    new AreaCode{CountryId = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name="Bydgoszcz", Areacode="52"},
                    new AreaCode{CountryId = new Guid("26F89703-E93A-4FBD-ADD7-3BFFB69CDEC3"), Name="Tula", Areacode="487"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Tangmachu", Areacode="4"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Konitsa", Areacode="2655"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Haiyandja", Areacode="65"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Khoozestan", Areacode="642"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Magura", Areacode="488"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Mharda", Areacode="33"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="Kindia", Areacode="61"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Amfikleia", Areacode="2234"},
                    new AreaCode{CountryId = new Guid("46F74937-0678-4EF7-89F1-C4FE6C0CE3E4"), Name="Nepalgunj", Areacode="81"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Riau", Areacode="76"},
                    new AreaCode{CountryId = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name="Crakow (Krakow)", Areacode="12"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Arad", Areacode="257"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Isaccea", Areacode="240"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Muar", Areacode="6"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Hormozgan", Areacode="763"},
                    new AreaCode{CountryId = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name="Makkah (Mecca)", Areacode="2"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="El Oued", Areacode="32"},
                    new AreaCode{CountryId = new Guid("78693684-30E2-4709-B032-2AD99A39B401"), Name="Santo Andre", Areacode="11"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Indosat", Areacode="815"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Analog Mobile (AMPS) - Medan", Areacode="826"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="SFR", Areacode="610"},
                    new AreaCode{CountryId = new Guid("A78D0697-F264-411C-97B9-30AE76593E5C"), Name="Mdi Tlcom(GSM900)", Areacode="71"},
                    new AreaCode{CountryId = new Guid("34C2F0BC-018C-476A-828C-8C7E086B5529"), Name="Djibouti Tlcom (GSM 900)", Areacode="80"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Nakhon Sawan", Areacode="56"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Rimnicu Vilcea", Areacode="250"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Mezokvesd", Areacode="49"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Hochfeld", Areacode="62"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Selangor (state)", Areacode="3"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Mobile Phones", Areacode="63"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Irian", Areacode="9"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Gelpoyshing", Areacode="4"},
                    new AreaCode{CountryId = new Guid("C6FFFECA-02E5-4158-B833-05C3DAD25AB2"), Name="Groningen", Areacode="50"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Bretea Romna", Areacode="254"},
                    new AreaCode{CountryId = new Guid("FFAE686C-4A31-40DD-A1C5-7A4551E03212"), Name="Osaka", Areacode="66"},
                    new AreaCode{CountryId = new Guid("67EF14F5-78E1-40A7-A732-B518267A4B86"), Name="Lobito", Areacode="72"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Akmene", Areacode="425"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Cangwu - Guangxi", Areacode="774"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Babeni", Areacode="250"},
                    new AreaCode{CountryId = new Guid("C6FFFECA-02E5-4158-B833-05C3DAD25AB2"), Name="Den Bosch", Areacode="73"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Lohja", Areacode="19"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Parava", Areacode="234"},
                    new AreaCode{CountryId = new Guid("67EF14F5-78E1-40A7-A732-B518267A4B86"), Name="Huila", Areacode="61"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Liuzhou - Guangxi", Areacode="772"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Kuopio", Areacode="17"},
                    new AreaCode{CountryId = new Guid("F78C8099-1023-43D2-B0EB-3BC95DBA4703"), Name="Telenor Serbia", Areacode="62"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Malung", Areacode="280"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Lhamoi Zingkha", Areacode="5"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Hofors-Storvik", Areacode="290"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="Sotelgui", Areacode="29"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Bouygues Telecom", Areacode="667"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Talin", Areacode="49"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Viile Satu Mare", Areacode="261"},
                    new AreaCode{CountryId = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name="Hawiyah", Areacode="2"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="British Virgin Islands", Areacode="284"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Tehran", Areacode="21"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Nebek", Areacode="12"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Namutoni", Areacode="67"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Moreni", Areacode="245"},
                    new AreaCode{CountryId = new Guid("D1F141AD-99C7-432F-B35E-4EE89F9EF7F5"), Name="Esteli", Areacode="71"},
                    new AreaCode{CountryId = new Guid("4504391C-E9D7-43BF-BC06-832E0A6FB016"), Name="Baguio City", Areacode="74"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="SUOMEN 2G OY", Areacode="4579"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="CA", Areacode="310"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Kalimnos", Areacode="2243"},
                    new AreaCode{CountryId = new Guid("DADCF19E-53B0-4739-9712-0C80ACA78D41"), Name="North Region", Areacode="4"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="rebro-Kumla", Areacode="19"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Mobile Phones", Areacode="95"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Sacele", Areacode="268"},
                    new AreaCode{CountryId = new Guid("AFA02048-AB89-43D6-ABD7-363DB4ED09C9"), Name="Bujumbura", Areacode="21"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Jinyuan - Gansu", Areacode="9467"},
                    new AreaCode{CountryId = new Guid("67EF14F5-78E1-40A7-A732-B518267A4B86"), Name="Sumbe", Areacode="36"},
                    new AreaCode{CountryId = new Guid("DF285779-2BB8-4280-9C72-630BF4C356FF"), Name="PovaskBystrica", Areacode="42"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Western Azerbayajan", Areacode="4444"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Ismayilli", Areacode="178"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Kalaroa", Areacode="4724"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Manfredonia", Areacode="884"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Kiskunhalas", Areacode="77"},
                    new AreaCode{CountryId = new Guid("BF4B4AAC-85A9-4D32-BE21-A8E1A51638AA"), Name="Toll-free", Areacode="80"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Imishli", Areacode="154"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Akhalkalaki", Areacode="362"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="CNMI", Areacode="670"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Cottbus", Areacode="355"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Dushetl", Areacode="344"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Dialog (Mobil Rom)", Areacode="740"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Orange France", Areacode="680"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Ji-an - Jiangxi", Areacode="796"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Bite GSM", Areacode="685"},
                    new AreaCode{CountryId = new Guid("DF285779-2BB8-4280-9C72-630BF4C356FF"), Name="Koice", Areacode="55"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Ouagadougou", Areacode="36"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Servia", Areacode="2464"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Rucar", Areacode="248"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Tuzla", Areacode="241"},
                    new AreaCode{CountryId = new Guid("67EF14F5-78E1-40A7-A732-B518267A4B86"), Name="Bela Vista", Areacode="72"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Anshun - Guizhou", Areacode="853"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Perojpur", Areacode="461"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Laghouat", Areacode="29"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Rosiori De Vede", Areacode="247"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Vilnius", Areacode="524"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Kaspi", Areacode="371"},
                    new AreaCode{CountryId = new Guid("A8DF1692-825B-496C-BB7D-5021DFCDBFA8"), Name="Smolyan", Areacode="301"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Elsk", Areacode="2354"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MD", Areacode="301"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Nadlac", Areacode="257"},
                    new AreaCode{CountryId = new Guid("A78D0697-F264-411C-97B9-30AE76593E5C"), Name="Mdi Tlcom(GSM900)", Areacode="67"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Tamenrasset", Areacode="29"},
                    new AreaCode{CountryId = new Guid("C02106C7-B8A7-46EB-AAC6-2F880BE260CD"), Name="Puerto Montt", Areacode="65"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Turks & Caicos Islands", Areacode="649"},
                    new AreaCode{CountryId = new Guid("67EF14F5-78E1-40A7-A732-B518267A4B86"), Name="Ndalatando", Areacode="35"},
                    new AreaCode{CountryId = new Guid("7B2B044D-470B-4BE0-863B-B5D847E51592"), Name="Yangon", Areacode="80"},
                    new AreaCode{CountryId = new Guid("FFAE686C-4A31-40DD-A1C5-7A4551E03212"), Name="Cell Phones", Areacode="90"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Celtel(GSM 900)", Areacode="67"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Satkania", Areacode="3036"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="seda-Lenhovda", Areacode="474"},
                    new AreaCode{CountryId = new Guid("DF285779-2BB8-4280-9C72-630BF4C356FF"), Name="Orange(GSM 900/1800)", Areacode="907"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Silvio Caro", Areacode="63"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Arvika", Areacode="570"},
                    new AreaCode{CountryId = new Guid("A8DF1692-825B-496C-BB7D-5021DFCDBFA8"), Name="Kjustendil", Areacode="78"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Atushi - Xinjiang", Areacode="9081"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Dubasari", Areacode="215"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Jiyuan - Henan", Areacode="391"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Gamleby", Areacode="493"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Nakhon Ratchasima Mobile", Areacode="844"},
                    new AreaCode{CountryId = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name="Taif", Areacode="2"},
                    new AreaCode{CountryId = new Guid("26F89703-E93A-4FBD-ADD7-3BFFB69CDEC3"), Name="Bryansk", Areacode="483"},
                    new AreaCode{CountryId = new Guid("C6FFFECA-02E5-4158-B833-05C3DAD25AB2"), Name="de Meern", Areacode="30"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="TN", Areacode="731"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Jupiter", Areacode="241"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Junsele", Areacode="621"},
                    new AreaCode{CountryId = new Guid("814C9C98-64C6-4EC6-9347-D16E11EAA9AB"), Name="Baghdad", Areacode="1"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Baicoi", Areacode="244"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Khndzoresk", Areacode="84"},
                    new AreaCode{CountryId = new Guid("430CA84C-0443-4BC3-BC36-CEE6F9D2D1E2"), Name="Gabes", Areacode="5"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="WI", Areacode="414"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Acapulco", Areacode="744"},
                    new AreaCode{CountryId = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name="Vavuniya", Areacode="24"},
                    new AreaCode{CountryId = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name="Al Khobar", Areacode="3"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Nantong - Jiangsu", Areacode="513"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Balikesir", Areacode="266"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Ma-anshan - Anhui", Areacode="555"},
                    new AreaCode{CountryId = new Guid("38A19469-4D7A-4156-873A-92733BC92C61"), Name="Mobilecom", Areacode="77"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Kimito", Areacode="2"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Vetka", Areacode="2330"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="Conakry", Areacode="41"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Ende", Areacode="38"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Dori", Areacode="66"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Carei", Areacode="261"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MT", Areacode="406"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Calan", Areacode="254"},
                    new AreaCode{CountryId = new Guid("BF4B4AAC-85A9-4D32-BE21-A8E1A51638AA"), Name="S!MobilGSM 900, 1800", Areacode="40"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Lijiangshi - Yunnan", Areacode="8891"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Eastern Azerbayajan", Areacode="411"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="TX", Areacode="936"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Paros", Areacode="2284"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="Sotelgui", Areacode="22"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Hunjiang - Jilin", Areacode="439"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Cegld", Areacode="53"},
                    new AreaCode{CountryId = new Guid("A8DF1692-825B-496C-BB7D-5021DFCDBFA8"), Name="Gotse Delchev", Areacode="751"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Gam", Areacode="67"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="TX", Areacode="281"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Libohov", Areacode="881"},
                    new AreaCode{CountryId = new Guid("7B2B044D-470B-4BE0-863B-B5D847E51592"), Name="Dawei", Areacode="59"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Vaculesti", Areacode="231"},
                    new AreaCode{CountryId = new Guid("26F89703-E93A-4FBD-ADD7-3BFFB69CDEC3"), Name="Kostroma", Areacode="494"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Keuruu", Areacode="14"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Pruzhanu", Areacode="1632"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Consolacin del Sur", Areacode="8"},
                    new AreaCode{CountryId = new Guid("9FF64B6B-828D-4C7F-9C34-AC34EAA78979"), Name="Camtel (fixed telephony)", Areacode="34"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Lushnj", Areacode="35"},
                    new AreaCode{CountryId = new Guid("84718E1D-25ED-4B92-B38D-466845FF1BE0"), Name="Globalstar(Satiletal)", Areacode="415"},
                    new AreaCode{CountryId = new Guid("B8E9EFD7-A3F2-495A-89F6-9E4FDA01D3C0"), Name="Al Ain", Areacode="3"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Ceahlau", Areacode="233"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Ouagadougou", Areacode="37"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Trinidad & Tobago", Areacode="868"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Mantoudi", Areacode="2227"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Minsk", Areacode="17"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="special", Areacode="70"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Hudiksvall", Areacode="650"},
                    new AreaCode{CountryId = new Guid("98B5E495-150F-4C32-A4C1-F79F25373E16"), Name="New Zealand External Territories", Areacode="24"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Fars", Areacode="732"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Haukipudas", Areacode="8"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Saligny", Areacode="241"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Berat", Areacode="32"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Tolochin", Areacode="2136"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Koudougou", Areacode="44"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Vaslui", Areacode="235"},
                    new AreaCode{CountryId = new Guid("B270D848-0C58-44DF-994B-386F9BA6BD8E"), Name="Mitsamiouli and North of Island", Areacode="78"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Onatel(GSM 900)", Areacode="20"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Kutahya", Areacode="274"},
                    new AreaCode{CountryId = new Guid("971C8400-1479-410E-87BD-84C35D776B5E"), Name="Kericho", Areacode="52"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Paranesti", Areacode="2524"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Okorosave", Areacode="65"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Qujiang - Guangdong", Areacode="751"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Makurdi", Areacode="44"},
                    new AreaCode{CountryId = new Guid("BD42A40A-1E6D-4495-AB9B-C5D8B850959E"), Name="Turkmenabad (formerly Chardzhou)", Areacode="378"},
                    new AreaCode{CountryId = new Guid("19384D80-2CBE-482D-A06C-1D8E17F183E5"), Name="Entebbe", Areacode="42"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Arta", Areacode="2681"},
                    new AreaCode{CountryId = new Guid("A8DF1692-825B-496C-BB7D-5021DFCDBFA8"), Name="Globul(GSM 900/1800)", Areacode="89"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Banias", Areacode="43"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Hakkas", Areacode="975"},
                    new AreaCode{CountryId = new Guid("A8DF1692-825B-496C-BB7D-5021DFCDBFA8"), Name="Dobritch", Areacode="58"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Drogichin", Areacode="1644"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Gaiesti", Areacode="245"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MO", Areacode="816"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Jonikis", Areacode="426"},
                    new AreaCode{CountryId = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name="Qedieyeh", Areacode="3"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="AZ", Areacode="520"},
                    new AreaCode{CountryId = new Guid("9FF64B6B-828D-4C7F-9C34-AC34EAA78979"), Name="SCM (Mobilis)", Areacode="98"},
                    new AreaCode{CountryId = new Guid("A8DF1692-825B-496C-BB7D-5021DFCDBFA8"), Name="Mobikom(NMT-450)", Areacode="48"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Paks", Areacode="75"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Baise - Guangxi", Areacode="776"},
                    new AreaCode{CountryId = new Guid("08E81DF6-8533-4FD7-B909-A4EC6E5D31F0"), Name="Kep", Areacode="36"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Telecel Faso(GSM 900)", Areacode="82"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Agsu", Areacode="198"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Florencia", Areacode="33"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Strngns", Areacode="152"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Braesti", Areacode="231"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Telecel Faso(GSM 900)", Areacode="81"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Verviers", Areacode="87"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Mathabdi", Areacode="6257"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Jijel", Areacode="34"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Vertientes", Areacode="32"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Koski Hl", Areacode="3"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Vinga", Areacode="257"},
                    new AreaCode{CountryId = new Guid("E030214A-C85E-40FA-A627-70601272F411"), Name="Djizak", Areacode="72"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Alicante", Areacode="96"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="rnskldsvik", Areacode="660"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Santa Cruz del Sur", Areacode="32"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Fenjie - Sichuan", Areacode="8286"},
                    new AreaCode{CountryId = new Guid("4D69E0AB-3849-46F9-95E3-BF555E2D78C6"), Name="IRL Vodafone(formerly Eircell)", Areacode="87"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Van", Areacode="432"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Bran", Areacode="268"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Zaria", Areacode="69"},
                    new AreaCode{CountryId = new Guid("645A1B17-973B-4AB2-B851-D1F223817C70"), Name="Cosmofon(GSM900)", Areacode="76"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Ljungby", Areacode="372"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Trieste", Areacode="40"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Gura Ocnitei", Areacode="245"},
                    new AreaCode{CountryId = new Guid("BF4B4AAC-85A9-4D32-BE21-A8E1A51638AA"), Name="VoIP poviders", Areacode="881"},
                    new AreaCode{CountryId = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name="Warsaw", Areacode="22"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Glodeni", Areacode="249"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Naroch", Areacode="1797"},
                    new AreaCode{CountryId = new Guid("B270D848-0C58-44DF-994B-386F9BA6BD8E"), Name="Mutsamudu", Areacode="713"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Kelamayi - Xinjiang", Areacode="990"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Changbai - Jilin", Areacode="4458"},
                    new AreaCode{CountryId = new Guid("FFAE686C-4A31-40DD-A1C5-7A4551E03212"), Name="Imari", Areacode="955"},
                    new AreaCode{CountryId = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name="Trincomalee", Areacode="26"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Tornio", Areacode="16"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Qiqihar - Heilongjiang", Areacode="452"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Tskaltubo", Areacode="340"},
                    new AreaCode{CountryId = new Guid("5D7A67BB-CEF8-40E7-8AB7-5B4B729A51A5"), Name="Kosti", Areacode="71"},
                    new AreaCode{CountryId = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name="Khamis Mushait", Areacode="7"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Solak", Areacode="23"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Kobrin", Areacode="1642"},
                    new AreaCode{CountryId = new Guid("971C8400-1479-410E-87BD-84C35D776B5E"), Name="Kilfi", Areacode="12"},
                    new AreaCode{CountryId = new Guid("AFA02048-AB89-43D6-ABD7-363DB4ED09C9"), Name="Bujumbura", Areacode="24"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Ag. Sotira", Areacode="2293"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Vstervik", Areacode="490"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Almyros", Areacode="2422"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Oum El Bouaghi", Areacode="32"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Marea de Portillo", Areacode="23"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Nelte", Areacode="679"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="KhoriXas", Areacode="67"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Sheki", Areacode="177"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Molaoi", Areacode="2732"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Owerri", Areacode="83"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="FL", Areacode="407"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Byske", Areacode="912"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Mouzaki", Areacode="2445"},
                    new AreaCode{CountryId = new Guid("3744A5E2-1AA7-441D-AE36-30342FEDE0F8"), Name="Plzen", Areacode="377"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Lugo", Areacode="982"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Bechar", Areacode="49"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Omaja", Areacode="31"},
                    new AreaCode{CountryId = new Guid("911535A7-40E1-470D-8DC8-F0F9AABB818E"), Name="Maldonado", Areacode="42"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Mostu", Areacode="1515"},
                    new AreaCode{CountryId = new Guid("748710B5-D2A6-43BF-9612-C377ACDA272A"), Name="Taipei", Areacode="2"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Montserrat", Areacode="664"},
                    new AreaCode{CountryId = new Guid("4D69E0AB-3849-46F9-95E3-BF555E2D78C6"), Name="Wexford", Areacode="53"},
                    new AreaCode{CountryId = new Guid("08E81DF6-8533-4FD7-B909-A4EC6E5D31F0"), Name="Kampong Cham", Areacode="42"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Majibacoa", Areacode="31"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Perico", Areacode="23"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Khorasan", Areacode="529"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Illizi", Areacode="29"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Epikuru", Areacode="62"},
                    new AreaCode{CountryId = new Guid("645A1B17-973B-4AB2-B851-D1F223817C70"), Name="Radovish", Areacode="32"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Ed", Areacode="534"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Maaloula", Areacode="12"},
                    new AreaCode{CountryId = new Guid("971C8400-1479-410E-87BD-84C35D776B5E"), Name="Diani", Areacode="12"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Orange France", Areacode="671"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Airtel GSM", Areacode="670"},
                    new AreaCode{CountryId = new Guid("F8B2E8D7-1651-4084-83DF-06D9D98EA3CC"), Name="Ebeye Island, Kwajelien Atoll", Areacode="329"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="WIRILE OY", Areacode="4550"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="CA", Areacode="323"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Parbatipur", Areacode="5334"},
                    new AreaCode{CountryId = new Guid("4D69E0AB-3849-46F9-95E3-BF555E2D78C6"), Name="Ennis", Areacode="65"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Puerto Rico", Areacode="939"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Chik Badr", Areacode="43"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Khorasan", Areacode="532"},
                    new AreaCode{CountryId = new Guid("45044628-55D2-4ADB-B3FD-19B2A3748A03"), Name="Atyrau", Areacode="312"},
                    new AreaCode{CountryId = new Guid("58986264-67FE-4428-B004-1C727858F990"), Name="Baabda", Areacode="5"},
                    new AreaCode{CountryId = new Guid("971C8400-1479-410E-87BD-84C35D776B5E"), Name="Malindi", Areacode="42"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Starye Dorogi", Areacode="1792"},
                    new AreaCode{CountryId = new Guid("4910D3B0-948C-4FBA-8004-10EF33F1E8DD"), Name="Jaffa", Areacode="3"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Kil", Areacode="554"},
                    new AreaCode{CountryId = new Guid("F78C8099-1023-43D2-B0EB-3BC95DBA4703"), Name="Telenor Serbia", Areacode="63"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Al-Rastan", Areacode="31"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Naples", Areacode="81"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Svenljunga-Tranemo", Areacode="325"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Tianjin - Tianjin", Areacode="22"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Sulawesi Islet", Areacode="4"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Tehran", Areacode="262"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Fada", Areacode="77"},
                    new AreaCode{CountryId = new Guid("84718E1D-25ED-4B92-B38D-466845FF1BE0"), Name="Maracay", Areacode="243"},
                    new AreaCode{CountryId = new Guid("35CB7CC2-B2D2-4FA7-A8C6-ADC86A206210"), Name="Nikshic", Areacode="83"},
                    new AreaCode{CountryId = new Guid("2A2C198B-5682-4D9E-81A9-E9194770ED92"), Name="Dakahlia", Areacode="50"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Axente Sever", Areacode="269"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Raahe", Areacode="8"},
                    new AreaCode{CountryId = new Guid("78693684-30E2-4709-B032-2AD99A39B401"), Name="Salvador", Areacode="71"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Volozhin", Areacode="1772"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Krokom", Areacode="640"},
                    new AreaCode{CountryId = new Guid("A78D0697-F264-411C-97B9-30AE76593E5C"), Name="Maroc Tlcom(GSM900)", Areacode="60"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Voinesti", Areacode="245"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Ocnita", Areacode="271"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Shariatpur", Areacode="601"},
                    new AreaCode{CountryId = new Guid("FFAE686C-4A31-40DD-A1C5-7A4551E03212"), Name="Sapporo", Areacode="11"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Munshigonj", Areacode="691"},
                    new AreaCode{CountryId = new Guid("9FF64B6B-828D-4C7F-9C34-AC34EAA78979"), Name="Camtel (fixed telephony)", Areacode="338"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Oostende (Ostende) Ostend", Areacode="59"},
                    new AreaCode{CountryId = new Guid("BF4B4AAC-85A9-4D32-BE21-A8E1A51638AA"), Name="Koper", Areacode="5"},
                    new AreaCode{CountryId = new Guid("628ECF60-BE3C-4242-B48E-D9ABCFB6051F"), Name="Kumasi", Areacode="51"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Simleul Silvaniei", Areacode="260"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Okamatapati", Areacode="67"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Vaggeryd", Areacode="393"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Kissamos", Areacode="2822"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MI", Areacode="947"},
                    new AreaCode{CountryId = new Guid("5D7A67BB-CEF8-40E7-8AB7-5B4B729A51A5"), Name="Wadmedai", Areacode="51"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Haikou - Hainan", Areacode="898"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Xuchang - Henan", Areacode="374"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Ilorin", Areacode="31"},
                    new AreaCode{CountryId = new Guid("5D7A67BB-CEF8-40E7-8AB7-5B4B729A51A5"), Name="Atbara", Areacode="21"},
                    new AreaCode{CountryId = new Guid("0CA4824C-C2FB-48D8-A47F-06C54FB7C4C7"), Name="Sibenik", Areacode="22"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Liujiang - Guangxi", Areacode="772"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Huelva", Areacode="959"},
                    new AreaCode{CountryId = new Guid("A78D0697-F264-411C-97B9-30AE76593E5C"), Name="Casablanca", Areacode="22"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Mobile Phones", Areacode="64"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Mascara", Areacode="45"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Yevlakh", Areacode="166"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Velasco", Areacode="24"},
                    new AreaCode{CountryId = new Guid("19FB2795-B14C-48D7-A490-5E9856366F99"), Name="Corozal", Areacode="4"},
                    new AreaCode{CountryId = new Guid("98B5E495-150F-4C32-A4C1-F79F25373E16"), Name="Invercargill", Areacode="3"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Blida", Areacode="25"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Naxos", Areacode="2285"},
                    new AreaCode{CountryId = new Guid("78693684-30E2-4709-B032-2AD99A39B401"), Name="Belm", Areacode="91"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Progreso", Areacode="861"},
                    new AreaCode{CountryId = new Guid("5A4B23B0-8036-4849-B935-28D9A00B5339"), Name="Morogoro", Areacode="223"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Dominican Republic", Areacode="829"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Falesti", Areacode="259"},
                    new AreaCode{CountryId = new Guid("DADCF19E-53B0-4739-9712-0C80ACA78D41"), Name="South East Region", Areacode="2"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Vingker", Areacode="151"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Mithamain", Areacode="9435"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Fuzhou - Fujian", Areacode="591"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Zhuzhou - Hunan", Areacode="733"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Edinet", Areacode="246"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Changshu - Jiangsu", Areacode="512"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Calabar", Areacode="87"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Iernut", Areacode="265"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Sarsha (Benapol)", Areacode="4228"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Mymensingh", Areacode="91"},
                    new AreaCode{CountryId = new Guid("78693684-30E2-4709-B032-2AD99A39B401"), Name="Mace", Areacode="24"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Filiates", Areacode="2664"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Slvesborg-Bromlla", Areacode="456"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Linfen - Shanxi", Areacode="357"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Burirum", Areacode="44"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Tindouf", Areacode="49"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Saskatchewan", Areacode="306"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Aliartos", Areacode="2268"},
                    new AreaCode{CountryId = new Guid("C02106C7-B8A7-46EB-AAC6-2F880BE260CD"), Name="Calama", Areacode="55"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Nakayale", Areacode="66"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Many Hills", Areacode="62"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Oamites", Areacode="62"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Vasa", Areacode="6"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Predeal", Areacode="268"},
                    new AreaCode{CountryId = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name="Tabouk", Areacode="4"},
                    new AreaCode{CountryId = new Guid("4504391C-E9D7-43BF-BC06-832E0A6FB016"), Name="Pampanga", Areacode="45"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="San Juan y Martnez", Areacode="8"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Hanlar", Areacode="230"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="verkalix", Areacode="926"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Stilida", Areacode="2238"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Huanglin - Shaanxi", Areacode="911"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Udjar", Areacode="170"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="La Demajagua", Areacode="61"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Playa del Carmen", Areacode="984"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Zugdidi", Areacode="315"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Shaoxing - Zhejiang", Areacode="575"},
                    new AreaCode{CountryId = new Guid("4910D3B0-948C-4FBA-8004-10EF33F1E8DD"), Name="Pelephone", Areacode="50"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Kauhajoki", Areacode="6"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Limonar", Areacode="5"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Zamora", Areacode="980"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Chennai(formerlyMadras)", Areacode="44"},
                    new AreaCode{CountryId = new Guid("7B2B044D-470B-4BE0-863B-B5D847E51592"), Name="Mandalay", Areacode="69"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Al-Kameshli", Areacode="53"},
                    new AreaCode{CountryId = new Guid("D1F141AD-99C7-432F-B35E-4EE89F9EF7F5"), Name="San Juan Del Sur", Areacode="4682"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Linkping", Areacode="13"},
                    new AreaCode{CountryId = new Guid("2A2C198B-5682-4D9E-81A9-E9194770ED92"), Name="Benha", Areacode="13"},
                    new AreaCode{CountryId = new Guid("28431BD3-731C-4DF6-9765-2F88C08884A3"), Name="Orange (GSM 900)", Areacode="32"},
                    new AreaCode{CountryId = new Guid("F78C8099-1023-43D2-B0EB-3BC95DBA4703"), Name="Valjevo", Areacode="14"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Punakha", Areacode="2"},
                    new AreaCode{CountryId = new Guid("2A2C198B-5682-4D9E-81A9-E9194770ED92"), Name="Tanta", Areacode="40"},
                    new AreaCode{CountryId = new Guid("ABA66E74-AF34-4105-A846-D2E710AFAF8C"), Name="Paging", Areacode="997"},
                    new AreaCode{CountryId = new Guid("ADDAC550-B86C-40CF-B8C4-10F142EBDF66"), Name="Lima", Areacode="1"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Damaturu", Areacode="74"},
                    new AreaCode{CountryId = new Guid("4504391C-E9D7-43BF-BC06-832E0A6FB016"), Name="Iligan City", Areacode="63"},
                    new AreaCode{CountryId = new Guid("F78C8099-1023-43D2-B0EB-3BC95DBA4703"), Name="Kraljevo", Areacode="36"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Armavir", Areacode="37"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Ronse", Areacode="55"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Ramsele", Areacode="623"},
                    new AreaCode{CountryId = new Guid("A8DF1692-825B-496C-BB7D-5021DFCDBFA8"), Name="Veliko Tarnovo", Areacode="62"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Panciu", Areacode="237"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Dominican Republic", Areacode="809"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Kozani", Areacode="2461"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Barcani", Areacode="267"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Sifok", Areacode="84"},
                    new AreaCode{CountryId = new Guid("EDE00EFD-0261-4A82-AA47-DA188120C9EC"), Name="Taegu", Areacode="53"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Gvle-Sandviken", Areacode="26"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Simeria", Areacode="254"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Bacau", Areacode="234"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Ivye", Areacode="1595"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Costesti", Areacode="248"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Elektrenai", Areacode="528"},
                    new AreaCode{CountryId = new Guid("DF285779-2BB8-4280-9C72-630BF4C356FF"), Name="SpiskNovVes", Areacode="53"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Kedainiai", Areacode="57"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NJ", Areacode="551"},
                    new AreaCode{CountryId = new Guid("4910D3B0-948C-4FBA-8004-10EF33F1E8DD"), Name="Netanya", Areacode="9"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Giannitsa", Areacode="2382"},
                    new AreaCode{CountryId = new Guid("C02106C7-B8A7-46EB-AAC6-2F880BE260CD"), Name="Los Angeles", Areacode="43"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Bouygues Telecom", Areacode="666"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Mabay", Areacode="23"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Agiasos", Areacode="2252"},
                    new AreaCode{CountryId = new Guid("391AAAC1-18B9-4569-9FD1-B0B06B4892F8"), Name="Hiiumaa", Areacode="46"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Leksand-Insjn", Areacode="247"},
                    new AreaCode{CountryId = new Guid("C6FFFECA-02E5-4158-B833-05C3DAD25AB2"), Name="The Hague (Den Haag)", Areacode="70"},
                    new AreaCode{CountryId = new Guid("ADDAC550-B86C-40CF-B8C4-10F142EBDF66"), Name="Iquitos", Areacode="94"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Siboney", Areacode="32"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Kantanos", Areacode="2823"},
                    new AreaCode{CountryId = new Guid("67EF14F5-78E1-40A7-A732-B518267A4B86"), Name="Namibe", Areacode="64"},
                    new AreaCode{CountryId = new Guid("CEC7D0EF-064C-4B24-846E-8FD52A3A6F7A"), Name="Harare", Areacode="4"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Aydin", Areacode="256"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Komlo", Areacode="72"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Manitoba", Areacode="204"},
                    new AreaCode{CountryId = new Guid("BF4B4AAC-85A9-4D32-BE21-A8E1A51638AA"), Name="Portoroz", Areacode="5"},
                    new AreaCode{CountryId = new Guid("0CA4824C-C2FB-48D8-A47F-06C54FB7C4C7"), Name="Cakovec", Areacode="40"},
                    new AreaCode{CountryId = new Guid("58986264-67FE-4428-B004-1C727858F990"), Name="LibanCell", Areacode="3"},
                    new AreaCode{CountryId = new Guid("AC2B94BD-C0C8-4548-A4D2-675FB4045436"), Name="Agelat", Areacode="282"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Storuman", Areacode="951"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Pingxiang - Guangxi", Areacode="7815"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Kaya", Areacode="49"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Calugareni", Areacode="246"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Geranboy", Areacode="234"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="China Mobile(GSM 900)", Areacode="137"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Baicheng - Jilin", Areacode="436"},
                    new AreaCode{CountryId = new Guid("572DD1AF-B90F-41AC-B10C-ADF568AC82C7"), Name="Bahawalpur", Areacode="621"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Mellerud", Areacode="530"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Puerto Rico", Areacode="787"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="ME", Areacode="207"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Artvin", Areacode="466"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Vimmerby", Areacode="492"},
                    new AreaCode{CountryId = new Guid("7B2B044D-470B-4BE0-863B-B5D847E51592"), Name="Bassein", Areacode="42"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Vileyka", Areacode="1771"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="SONERA CARRIER NETWORKS OY", Areacode="450"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Kazincbarcika", Areacode="48"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Buda-Koshelevo", Areacode="2336"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="KS", Areacode="620"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Pindinshan - Henan", Areacode="375"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Prosotsani", Areacode="2522"},
                    new AreaCode{CountryId = new Guid("430CA84C-0443-4BC3-BC36-CEE6F9D2D1E2"), Name="Khenis", Areacode="3"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Ylivieska", Areacode="8"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Ceiba Nuevo", Areacode="680"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Vodafone(GSM 900/1800)", Areacode="69"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Moa", Areacode="24"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Uyo", Areacode="85"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Torreon", Areacode="871"},
                    new AreaCode{CountryId = new Guid("A78D0697-F264-411C-97B9-30AE76593E5C"), Name="Layoune", Areacode="48"},
                    new AreaCode{CountryId = new Guid("2745B68E-B8F8-4924-9588-47CF2E90425F"), Name="Ontario (Ottawa)", Areacode="613"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Celaya", Areacode="461"},
                    new AreaCode{CountryId = new Guid("F78C8099-1023-43D2-B0EB-3BC95DBA4703"), Name="Prishtina", Areacode="38"},
                    new AreaCode{CountryId = new Guid("9FF64B6B-828D-4C7F-9C34-AC34EAA78979"), Name="Camtel (fixed telephony)", Areacode="22"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Mogosoaia", Areacode="21"},
                    new AreaCode{CountryId = new Guid("4910D3B0-948C-4FBA-8004-10EF33F1E8DD"), Name="Paltel", Areacode="59"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Idre-Srna", Areacode="253"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Leon", Areacode="477"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Santander", Areacode="942"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Laiyang - Hunan", Areacode="7442"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Las Palmas", Areacode="928"},
                    new AreaCode{CountryId = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name="Saudi Telecom", Areacode="50"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Norsj", Areacode="918"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Tenerife", Areacode="922"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="P/Gatshel DAMA", Areacode="7"},
                    new AreaCode{CountryId = new Guid("572DD1AF-B90F-41AC-B10C-ADF568AC82C7"), Name="Islamabad", Areacode="51"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Drujegang", Areacode="6"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Vizcaya", Areacode="94"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Valea Ciorii", Areacode="243"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="Sotelgui", Areacode="58"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Ventspils", Areacode="36"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Vilia", Areacode="2263"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="regrund-sthammar", Areacode="173"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Soroca", Areacode="230"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="SUOMEN 2G OY", Areacode="4577"},
                    new AreaCode{CountryId = new Guid("4D69E0AB-3849-46F9-95E3-BF555E2D78C6"), Name="Cork", Areacode="21"},
                    new AreaCode{CountryId = new Guid("4504391C-E9D7-43BF-BC06-832E0A6FB016"), Name="Ozamis City", Areacode="88"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Valea Calugareasca", Areacode="244"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Coimbator", Areacode="422"},
                    new AreaCode{CountryId = new Guid("98B5E495-150F-4C32-A4C1-F79F25373E16"), Name="Wanganui", Areacode="6"},
                    new AreaCode{CountryId = new Guid("645A1B17-973B-4AB2-B851-D1F223817C70"), Name="Veles", Areacode="43"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Risnov", Areacode="268"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Sintandrei", Areacode="254"},
                    new AreaCode{CountryId = new Guid("78693684-30E2-4709-B032-2AD99A39B401"), Name="Campinas", Areacode="19"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Ukmerge", Areacode="340"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="J. Artouz", Areacode="11"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Rscani", Areacode="256"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Darabani", Areacode="231"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Grunau", Areacode="63"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Celtel(GSM 900)", Areacode="61"},
                    new AreaCode{CountryId = new Guid("628ECF60-BE3C-4242-B48E-D9ABCFB6051F"), Name="Bolgatanga,", Areacode="72"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Dunhuang - Gansu", Areacode="9473"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Tsakhkadzor", Areacode="23"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Chiang Rai", Areacode="54"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Xuzhou - Jiangsu", Areacode="516"},
                    new AreaCode{CountryId = new Guid("45044628-55D2-4ADB-B3FD-19B2A3748A03"), Name="Aktubinsk", Areacode="313"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Meishan - Sichuan", Areacode="8425"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Warri", Areacode="53"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Kirikkale", Areacode="318"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Djelfa", Areacode="27"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Pleshchenitsu", Areacode="1779"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Ockelbo-Hamrnge", Areacode="297"},
                    new AreaCode{CountryId = new Guid("38A19469-4D7A-4156-873A-92733BC92C61"), Name="Ajloun", Areacode="2"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Lit", Areacode="642"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Yangpu - Hainan", Areacode="890"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Katima-Mulilo", Areacode="66"},
                    new AreaCode{CountryId = new Guid("A9A3273A-6251-434E-B0D3-0286B0EC4EFC"), Name="Vodacom", Areacode="72"},
                    new AreaCode{CountryId = new Guid("B270D848-0C58-44DF-994B-386F9BA6BD8E"), Name="Sima", Areacode="718"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Bazitpur", Areacode="9423"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Ain Defla", Areacode="27"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Saltillo", Areacode="844"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Markaryd-Strmsnsbruk", Areacode="433"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Kermanshah", Areacode="832"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Dara", Areacode="15"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NC", Areacode="828"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Yenegoa", Areacode="89"},
                    new AreaCode{CountryId = new Guid("2745B68E-B8F8-4924-9588-47CF2E90425F"), Name="Qubec (Sherbrooke)", Areacode="819"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Robertsfors", Areacode="934"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Gheorghi- Eni", Areacode="266"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Khagrachhari", Areacode="371"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Divjak", Areacode="371"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Mongar", Areacode="4"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Himar", Areacode="393"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Phitsanulok Mobile", Areacode="855"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Guatemala", Areacode="24"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Changfeng - Anhui", Areacode="551"},
                    new AreaCode{CountryId = new Guid("46F74937-0678-4EF7-89F1-C4FE6C0CE3E4"), Name="Pokhara", Areacode="41"},
                    new AreaCode{CountryId = new Guid("A8DF1692-825B-496C-BB7D-5021DFCDBFA8"), Name="Pleven", Areacode="64"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Hajigonj", Areacode="8424"},
                    new AreaCode{CountryId = new Guid("98B5E495-150F-4C32-A4C1-F79F25373E16"), Name="New Plymouth", Areacode="6"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Valea Doftanei", Areacode="244"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Levidi", Areacode="2796"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Mobile Phones", Areacode="62"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Lappeenranta", Areacode="5"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Celtel(GSM 900)", Areacode="58"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="OR", Areacode="541"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="OK", Areacode="580"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Zhodino", Areacode="1775"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Ceballos", Areacode="33"},
                    new AreaCode{CountryId = new Guid("A3BEDE9E-A359-49FD-8250-A40F13BCE642"), Name="Coronel Bogado", Areacode="74"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Siyazan", Areacode="190"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Guipuzcoa", Areacode="943"},
                    new AreaCode{CountryId = new Guid("BF4B4AAC-85A9-4D32-BE21-A8E1A51638AA"), Name="Kranj", Areacode="4"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Lieksa", Areacode="13"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Koroni", Areacode="2725"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Tomelilla", Areacode="417"},
                    new AreaCode{CountryId = new Guid("67EF14F5-78E1-40A7-A732-B518267A4B86"), Name="Uge", Areacode="33"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Nigde", Areacode="388"},
                    new AreaCode{CountryId = new Guid("814C9C98-64C6-4EC6-9347-D16E11EAA9AB"), Name="Basra", Areacode="40"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Mantua", Areacode="84"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Livezi", Areacode="234"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Limanu", Areacode="241"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Lhasa - Xizang (Tibet)", Areacode="891"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Avrig", Areacode="269"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Pietrosita", Areacode="245"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Catalina de Gines", Areacode="62"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Shibganj", Areacode="5033"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Borisov", Areacode="1777"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Chang-an - Shaanxi", Areacode="29"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Stockholm", Areacode="8"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Nor Hajn", Areacode="24"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Dordabis", Areacode="62"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Nganglam", Areacode="7"},
                    new AreaCode{CountryId = new Guid("430CA84C-0443-4BC3-BC36-CEE6F9D2D1E2"), Name="Cell phones", Areacode="9"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Matmyah", Areacode="33"},
                    new AreaCode{CountryId = new Guid("DADCF19E-53B0-4739-9712-0C80ACA78D41"), Name="Western Region", Areacode="7"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Odibo", Areacode="65"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Gent (Gand) Ghent", Areacode="9"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Vsters", Areacode="21"},
                    new AreaCode{CountryId = new Guid("DF285779-2BB8-4280-9C72-630BF4C356FF"), Name="Levice 36", Areacode="36"},
                    new AreaCode{CountryId = new Guid("98B5E495-150F-4C32-A4C1-F79F25373E16"), Name="Dunedin", Areacode="3"},
                    new AreaCode{CountryId = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name="Qassim Region", Areacode="6"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Brezoi", Areacode="250"},
                    new AreaCode{CountryId = new Guid("971C8400-1479-410E-87BD-84C35D776B5E"), Name="Kajiado", Areacode="45"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="GA", Areacode="912"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Saidpur", Areacode="5526"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Rafina", Areacode="2294"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Changsha - Hunan", Areacode="731"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Balatonaliga", Areacode="84"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Gomtu", Areacode="5"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Shamaha", Areacode="176"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="CA", Areacode="562"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Ningcheng - Nei Mongol", Areacode="4862"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Bouygues Telecom", Areacode="668"},
                    new AreaCode{CountryId = new Guid("28431BD3-731C-4DF6-9765-2F88C08884A3"), Name="Farafangana", Areacode="73"},
                    new AreaCode{CountryId = new Guid("C6FFFECA-02E5-4158-B833-05C3DAD25AB2"), Name="Zeist", Areacode="30"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Toledo", Areacode="925"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Kalahariplaas  Party Lines", Areacode="6642"},
                    new AreaCode{CountryId = new Guid("F78C8099-1023-43D2-B0EB-3BC95DBA4703"), Name="Panchevo", Areacode="13"},
                    new AreaCode{CountryId = new Guid("F896E6E5-3B7A-4109-B515-71BD123F9EDD"), Name="Mahalapye", Areacode="47"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Bataban", Areacode="62"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Booyerahmad", Areacode="743"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="El Cristo", Areacode="22"},
                    new AreaCode{CountryId = new Guid("4504391C-E9D7-43BF-BC06-832E0A6FB016"), Name="Iloilo City", Areacode="33"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Xining - Qinghai", Areacode="971"},
                    new AreaCode{CountryId = new Guid("2C443E5E-8531-474E-BCA1-9FC80C72C14A"), Name="Chokwe", Areacode="221"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Jebleh", Areacode="41"},
                    new AreaCode{CountryId = new Guid("3744A5E2-1AA7-441D-AE36-30342FEDE0F8"), Name="Vodafone/Oskar(GSM 900/1800)", Areacode="777"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Huangmei - Hubei", Areacode="7238"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Kisvrda", Areacode="45"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Bouygues Telecom", Areacode="664"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Wavre (Waver)", Areacode="10"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Zunhua - Hebei", Areacode="315"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Eskisehir", Areacode="222"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Basit", Areacode="41"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Onatel(GSM 900)", Areacode="29"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Nicaragua", Areacode="32"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NY", Areacode="607"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Daifam DAMA", Areacode="7"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="West Sumatra", Areacode="75"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Hallstavik-Rimbo", Areacode="175"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Borg", Areacode="19"},
                    new AreaCode{CountryId = new Guid("FFAE686C-4A31-40DD-A1C5-7A4551E03212"), Name="Nagoya", Areacode="52"},
                    new AreaCode{CountryId = new Guid("5A4B23B0-8036-4849-B935-28D9A00B5339"), Name="Iringa", Areacode="26"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="La", Areacode="53"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Mobile Phones", Areacode="179"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Kupang", Areacode="39"},
                    new AreaCode{CountryId = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name="Hambantota", Areacode="47"},
                    new AreaCode{CountryId = new Guid("645A1B17-973B-4AB2-B851-D1F223817C70"), Name="T-Mobile(GSM900)", Areacode="71"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Setif", Areacode="36"},
                    new AreaCode{CountryId = new Guid("4910D3B0-948C-4FBA-8004-10EF33F1E8DD"), Name="Dimona", Areacode="8"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="?. Chalkiopoulo", Areacode="2647"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Tartous", Areacode="43"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Dagana", Areacode="6"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="OH", Areacode="216"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Kohgelouyeh", Areacode="743"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Afyon", Areacode="272"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Debrecen", Areacode="52"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Yola", Areacode="75"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Mstislavl", Areacode="2240"},
                    new AreaCode{CountryId = new Guid("391AAAC1-18B9-4569-9FD1-B0B06B4892F8"), Name="Prnumaa", Areacode="44"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Kavala", Areacode="251"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Haiyan - Zhejiang", Areacode="573"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Vikbolandet", Areacode="125"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Satkhira", Areacode="471"},
                    new AreaCode{CountryId = new Guid("0CA4824C-C2FB-48D8-A47F-06C54FB7C4C7"), Name="Virovitica", Areacode="33"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Lorestan", Areacode="663"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Dumbrava Rosie", Areacode="233"},
                    new AreaCode{CountryId = new Guid("62F04FC0-EB8F-4FE0-BEE9-29B71CEAA6A5"), Name="Chingola", Areacode="2"},
                    new AreaCode{CountryId = new Guid("971C8400-1479-410E-87BD-84C35D776B5E"), Name="Meru", Areacode="64"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Proximus", Areacode="475"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Tavastehus", Areacode="3"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="La Salud", Areacode="66"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Fumin - Yunnan", Areacode="871"},
                    new AreaCode{CountryId = new Guid("08E81DF6-8533-4FD7-B909-A4EC6E5D31F0"), Name="Pursat", Areacode="52"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Delicias", Areacode="315"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Jakobstad", Areacode="6"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Huy (Hoei)", Areacode="85"},
                    new AreaCode{CountryId = new Guid("C6FFFECA-02E5-4158-B833-05C3DAD25AB2"), Name="mobile", Areacode="6"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="A Corua", Areacode="981"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="Basel", Areacode="61"},
                    new AreaCode{CountryId = new Guid("38A19469-4D7A-4156-873A-92733BC92C61"), Name="Karak", Areacode="3"},
                    new AreaCode{CountryId = new Guid("78693684-30E2-4709-B032-2AD99A39B401"), Name="Santos", Areacode="13"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Dmanisi", Areacode="360"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Ouagadougou", Areacode="42"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Johor Bahru", Areacode="7"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="WI", Areacode="608"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Ruili - Yunnan", Areacode="8885"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Nor Gekhi", Areacode="24"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="CALLTOALL OY", Areacode="4558"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Gulang - Gansu", Areacode="9453"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Doumeir", Areacode="11"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Lampang", Areacode="54"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="TX", Areacode="817"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Casin", Areacode="234"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Srimangol", Areacode="8626"},
                    new AreaCode{CountryId = new Guid("2745B68E-B8F8-4924-9588-47CF2E90425F"), Name="Nova Scotia", Areacode="902"},
                    new AreaCode{CountryId = new Guid("19FB2795-B14C-48D7-A490-5E9856366F99"), Name="Dangriga, Stann Creek", Areacode="5"},
                    new AreaCode{CountryId = new Guid("EDE00EFD-0261-4A82-AA47-DA188120C9EC"), Name="Taejon", Areacode="42"},
                    new AreaCode{CountryId = new Guid("84718E1D-25ED-4B92-B38D-466845FF1BE0"), Name="Maracaibo", Areacode="261"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Stefan Voda", Areacode="242"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Kea", Areacode="2288"},
                    new AreaCode{CountryId = new Guid("DF58FFE7-6339-47ED-ADCC-DB84F7D9EACB"), Name="Bludenz", Areacode="5552"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Monterrey", Areacode="81"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Talsi", Areacode="32"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Buey Arriba", Areacode="23"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Palermo", Areacode="91"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Palanga", Areacode="460"},
                    new AreaCode{CountryId = new Guid("B8E9EFD7-A3F2-495A-89F6-9E4FDA01D3C0"), Name="Dubai", Areacode="4"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Neudamm", Areacode="62"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Guelma", Areacode="37"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Selimbar", Areacode="269"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Sitia", Areacode="2843"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Loutraki", Areacode="2744"},
                    new AreaCode{CountryId = new Guid("08E81DF6-8533-4FD7-B909-A4EC6E5D31F0"), Name="Svay Rieng", Areacode="44"},
                    new AreaCode{CountryId = new Guid("4910D3B0-948C-4FBA-8004-10EF33F1E8DD"), Name="Amigo/Mirs", Areacode="57"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Bintulu", Areacode="8"},
                    new AreaCode{CountryId = new Guid("572DD1AF-B90F-41AC-B10C-ADF568AC82C7"), Name="Okara", Areacode="442"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="CA", Areacode="424"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Lazdijai", Areacode="318"},
                    new AreaCode{CountryId = new Guid("F8B2E8D7-1651-4084-83DF-06D9D98EA3CC"), Name="Majuro Island, Majuro Atoll", Areacode="528"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="LANDS MOBILTELEFON AB", Areacode="4575"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Cayman Islands", Areacode="345"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Urbano Noris", Areacode="24"},
                    new AreaCode{CountryId = new Guid("26AA8547-5DEE-4E4F-8657-AE6881EBFE2C"), Name="Gosier", Areacode="84"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Agia", Areacode="2494"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Kemi", Areacode="2"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Base", Areacode="489"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Poros", Areacode="2298"},
                    new AreaCode{CountryId = new Guid("58986264-67FE-4428-B004-1C727858F990"), Name="Jezine", Areacode="7"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Salkin", Areacode="23"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="RATAHALLINTOKESKUS", Areacode="4556"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Coln", Areacode="5"},
                    new AreaCode{CountryId = new Guid("B270D848-0C58-44DF-994B-386F9BA6BD8E"), Name="Wanani", Areacode="728"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="SONERA CARRIER NETWORKS OY", Areacode="42"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Girbovi", Areacode="243"},
                    new AreaCode{CountryId = new Guid("19FB2795-B14C-48D7-A490-5E9856366F99"), Name="Independence (Countrywide Mobile Roaming -- all providers)", Areacode="6"},
                    new AreaCode{CountryId = new Guid("A8DF1692-825B-496C-BB7D-5021DFCDBFA8"), Name="Montana", Areacode="96"},
                    new AreaCode{CountryId = new Guid("B270D848-0C58-44DF-994B-386F9BA6BD8E"), Name="Mbni and East of Island", Areacode="77"},
                    new AreaCode{CountryId = new Guid("6B04AC6B-B56E-4022-BE18-6341F2A45F90"), Name="Manabi, Galpagos and Los Rios", Areacode="5"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="GSM Mobile", Areacode="73"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Baghramian", Areacode="33"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="WI", Areacode="715"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Suifenhe - Heilongjiang", Areacode="4638"},
                    new AreaCode{CountryId = new Guid("84718E1D-25ED-4B92-B38D-466845FF1BE0"), Name="Maturin", Areacode="291"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Fenghua - Zhejiang", Areacode="574"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Lokoja", Areacode="58"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Chandpur", Areacode="841"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Mximo Gomez", Areacode="5"},
                    new AreaCode{CountryId = new Guid("84718E1D-25ED-4B92-B38D-466845FF1BE0"), Name="Ciudad Bolivar", Areacode="285"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Valmiera", Areacode="42"},
                    new AreaCode{CountryId = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name="Rabigh", Areacode="2"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Cuza Voda", Areacode="241"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Neringa", Areacode="469"},
                    new AreaCode{CountryId = new Guid("0CA4824C-C2FB-48D8-A47F-06C54FB7C4C7"), Name="Krapina", Areacode="49"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Wareme", Areacode="19"},
                    new AreaCode{CountryId = new Guid("4504391C-E9D7-43BF-BC06-832E0A6FB016"), Name="Quezon City", Areacode="2"},
                    new AreaCode{CountryId = new Guid("DF285779-2BB8-4280-9C72-630BF4C356FF"), Name="Senica", Areacode="34"},
                    new AreaCode{CountryId = new Guid("98B5E495-150F-4C32-A4C1-F79F25373E16"), Name="Telstra (GSM)", Areacode="29"},
                    new AreaCode{CountryId = new Guid("B8E9EFD7-A3F2-495A-89F6-9E4FDA01D3C0"), Name="Aweir", Areacode="58"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Tirgu Mures", Areacode="265"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="TX", Areacode="469"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="SD", Areacode="605"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Lyuban", Areacode="1794"},
                    new AreaCode{CountryId = new Guid("A78D0697-F264-411C-97B9-30AE76593E5C"), Name="Mkns", Areacode="55"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Jinhua - Zhejiang", Areacode="579"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Prrenjas", Areacode="591"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Simrishamn", Areacode="414"},
                    new AreaCode{CountryId = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name="Idea", Areacode="502"},
                    new AreaCode{CountryId = new Guid("45044628-55D2-4ADB-B3FD-19B2A3748A03"), Name="Almaty", Areacode="327"},
                    new AreaCode{CountryId = new Guid("645A1B17-973B-4AB2-B851-D1F223817C70"), Name="Shtip", Areacode="32"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Baile Herculane", Areacode="255"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Ciudad Juarez", Areacode="656"},
                    new AreaCode{CountryId = new Guid("B43A553F-4496-474E-9E8B-4D4486A909AC"), Name="STA (Mobiland)", Areacode="3"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Huaiyuan - Anhui", Areacode="552"},
                    new AreaCode{CountryId = new Guid("EDE00EFD-0261-4A82-AA47-DA188120C9EC"), Name="Kyongsangbukdo", Areacode="54"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Ariha", Areacode="23"},
                    new AreaCode{CountryId = new Guid("08E81DF6-8533-4FD7-B909-A4EC6E5D31F0"), Name="CamGSM (Mobitel)GSM 900", Areacode="12"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Mir", Areacode="24"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Citadel", Areacode="33"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Nicolae Balcescu", Areacode="234"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Canada", Areacode="600"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Turnu Magurele", Areacode="247"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Changzhou - Jiangsu", Areacode="519"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Brugge (Bruges)", Areacode="50"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Moulavibazar", Areacode="861"},
                    new AreaCode{CountryId = new Guid("FCDE7AF5-C55B-44E8-A0E8-911F86D0E410"), Name="L'viv", Areacode="322"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Vilkavikis", Areacode="342"},
                    new AreaCode{CountryId = new Guid("5A4B23B0-8036-4849-B935-28D9A00B5339"), Name="Rukwa", Areacode="25"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Jokkmokk", Areacode="971"},
                    new AreaCode{CountryId = new Guid("35CB7CC2-B2D2-4FA7-A8C6-ADC86A206210"), Name="Podgorica", Areacode="81"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="CA", Areacode="619"},
                    new AreaCode{CountryId = new Guid("2A2C198B-5682-4D9E-81A9-E9194770ED92"), Name="Alexandria", Areacode="3"},
                    new AreaCode{CountryId = new Guid("A9A3273A-6251-434E-B0D3-0286B0EC4EFC"), Name="Somerset West", Areacode="21"},
                    new AreaCode{CountryId = new Guid("645A1B17-973B-4AB2-B851-D1F223817C70"), Name="Ohrid", Areacode="46"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Proximus", Areacode="474"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Dobrush", Areacode="2333"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Venezuela", Areacode="33"},
                    new AreaCode{CountryId = new Guid("4910D3B0-948C-4FBA-8004-10EF33F1E8DD"), Name="Cellcom", Areacode="52"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Cimislia", Areacode="241"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Cabo San Lucas", Areacode="624"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Argostoli", Areacode="2671"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Chaharmahal", Areacode="772"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="?. Kallikrateia", Areacode="2399"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Mohcs", Areacode="69"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="British Columbia", Areacode="250"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="FL", Areacode="850"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Liozno", Areacode="2138"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="SC", Areacode="803"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Aus", Areacode="63"},
                    new AreaCode{CountryId = new Guid("628ECF60-BE3C-4242-B48E-D9ABCFB6051F"), Name="Takoradi", Areacode="31"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Samukh", Areacode="265"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Kunshan - Jiangsu", Areacode="512"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Karpenisi", Areacode="2237"},
                    new AreaCode{CountryId = new Guid("4910D3B0-948C-4FBA-8004-10EF33F1E8DD"), Name="Bat Iam", Areacode="3"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Kos", Areacode="2242"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Epupa", Areacode="67"},
                    new AreaCode{CountryId = new Guid("26F89703-E93A-4FBD-ADD7-3BFFB69CDEC3"), Name="Vladimir", Areacode="492"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="RI", Areacode="401"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Rukn Edin", Areacode="11"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Scinteia", Areacode="243"},
                    new AreaCode{CountryId = new Guid("7ED4C4DC-96E6-419D-A033-67B4526511AF"), Name="Thakhek", Areacode="51"},
                    new AreaCode{CountryId = new Guid("ABA66E74-AF34-4105-A846-D2E710AFAF8C"), Name="CYTA(GSM 900)", Areacode="995"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Eslv-Hr", Areacode="413"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Guanajay", Areacode="686"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Urziceni", Areacode="243"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Isparta", Areacode="246"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Nahichevan", Areacode="136"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Blumfelde", Areacode="62"},
                    new AreaCode{CountryId = new Guid("572DD1AF-B90F-41AC-B10C-ADF568AC82C7"), Name="Faisalabad", Areacode="41"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Krum", Areacode="214"},
                    new AreaCode{CountryId = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name="Matale", Areacode="66"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Mannheim", Areacode="621"},
                    new AreaCode{CountryId = new Guid("45044628-55D2-4ADB-B3FD-19B2A3748A03"), Name="Leninsk", Areacode="336"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="Fribourg", Areacode="26"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Sintok", Areacode="4"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Koes (party line)", Areacode="632532"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Seitin", Areacode="257"},
                    new AreaCode{CountryId = new Guid("0CA4824C-C2FB-48D8-A47F-06C54FB7C4C7"), Name="T-Mobile(GSM 900, 3G 2100)", Areacode="98"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Xylokastro", Areacode="2743"},
                    new AreaCode{CountryId = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name="Katowice", Areacode="32"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Potsdam", Areacode="331"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Linzhi - Xizang (Tibet)", Areacode="894"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Dorotea", Areacode="942"},
                    new AreaCode{CountryId = new Guid("C02106C7-B8A7-46EB-AAC6-2F880BE260CD"), Name="San Felipe", Areacode="34"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Ag. Nikolaos", Areacode="2841"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Mobile Phones", Areacode="60"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Ashugonj", Areacode="8528"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Kaposvr", Areacode="82"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Tele2", Areacode="684"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Bartle", Areacode="31"},
                    new AreaCode{CountryId = new Guid("5D7A67BB-CEF8-40E7-8AB7-5B4B729A51A5"), Name="Kassala", Areacode="41"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Al-Hameh", Areacode="11"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Vitebsk", Areacode="212"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MI", Areacode="989"},
                    new AreaCode{CountryId = new Guid("84718E1D-25ED-4B92-B38D-466845FF1BE0"), Name="Valencia", Areacode="241"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Dzoraget", Areacode="51"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Jining - Shandong", Areacode="537"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="Intercel", Areacode="40"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Chanthaburi", Areacode="39"},
                    new AreaCode{CountryId = new Guid("B8E9EFD7-A3F2-495A-89F6-9E4FDA01D3C0"), Name="Sharjah", Areacode="6"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Playa Baracoa", Areacode="680"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Anguilla", Areacode="264"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Tingtibi", Areacode="3"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Traian", Areacode="234"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Zhitkovichi", Areacode="2353"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Barcelona", Areacode="93"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Kermanshah", Areacode="835"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Gelephu", Areacode="6"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Soligorsk", Areacode="1710"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Haimen - Jiangsu", Areacode="5231"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Chaudagram", Areacode="8034"},
                    new AreaCode{CountryId = new Guid("28431BD3-731C-4DF6-9765-2F88C08884A3"), Name="Nosy Be Is.", Areacode="86"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Jrn", Areacode="916"},
                    new AreaCode{CountryId = new Guid("9FF64B6B-828D-4C7F-9C34-AC34EAA78979"), Name="Camtel (fixed telephony)", Areacode="334"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MA", Areacode="413"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Jekabpils", Areacode="52"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Majagua", Areacode="33"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NY", Areacode="212"},
                    new AreaCode{CountryId = new Guid("814C9C98-64C6-4EC6-9347-D16E11EAA9AB"), Name="Kirkuk", Areacode="50"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Berestovitsa", Areacode="1511"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Mobistar", Areacode="499"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Klein Aub", Areacode="62"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Ontario", Areacode="647"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Los Mochis", Areacode="668"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="?. Zichni", Areacode="2324"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Khorasan", Areacode="535"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Ha (Damthang)", Areacode="8"},
                    new AreaCode{CountryId = new Guid("46F74937-0678-4EF7-89F1-C4FE6C0CE3E4"), Name="Biratnagar", Areacode="21"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Zarnesti", Areacode="268"},
                    new AreaCode{CountryId = new Guid("911535A7-40E1-470D-8DC8-F0F9AABB818E"), Name="San Jose", Areacode="342"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Khorasan", Areacode="511"},
                    new AreaCode{CountryId = new Guid("67EF14F5-78E1-40A7-A732-B518267A4B86"), Name="Malange", Areacode="51"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Kuteifeh", Areacode="12"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NJ", Areacode="862"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Amari", Areacode="2833"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Feldschuhorn", Areacode="63"},
                    new AreaCode{CountryId = new Guid("814C9C98-64C6-4EC6-9347-D16E11EAA9AB"), Name="Kerbela", Areacode="32"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Mariehamn", Areacode="18"},
                    new AreaCode{CountryId = new Guid("19FB2795-B14C-48D7-A490-5E9856366F99"), Name="Orange Walk", Areacode="3"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NANP area", Areacode="900"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Techirghiol", Areacode="241"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Xi'an - Shaanxi", Areacode="29"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Jaruco", Areacode="64"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Ciro Redondo", Areacode="33"},
                    new AreaCode{CountryId = new Guid("26F89703-E93A-4FBD-ADD7-3BFFB69CDEC3"), Name="Ryazan", Areacode="491"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Bollns", Areacode="278"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MN", Areacode="763"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Zitsa", Areacode="2658"},
                    new AreaCode{CountryId = new Guid("98B5E495-150F-4C32-A4C1-F79F25373E16"), Name="Tauranga", Areacode="7"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Arnea", Areacode="2372"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Beawar", Areacode="1462"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Jingangshan - Jiangxi", Areacode="7060"},
                    new AreaCode{CountryId = new Guid("35CB7CC2-B2D2-4FA7-A8C6-ADC86A206210"), Name="Bijelo Polje", Areacode="84"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Igoumenitsa", Areacode="2665"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Shanggao - Jiangxi", Areacode="7051"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Simla", Areacode="177"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Sinaia", Areacode="244"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Vilhelmina", Areacode="940"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Plenita", Areacode="251"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="FL", Areacode="561"},
                    new AreaCode{CountryId = new Guid("F896E6E5-3B7A-4109-B515-71BD123F9EDD"), Name="Mochudi", Areacode="57"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Varberg", Areacode="340"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Ehomba", Areacode="65"},
                    new AreaCode{CountryId = new Guid("2745B68E-B8F8-4924-9588-47CF2E90425F"), Name="Qubec (Montral north & south shore)", Areacode="450"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Orestiada", Areacode="2552"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Cankiri", Areacode="376"},
                    new AreaCode{CountryId = new Guid("DF285779-2BB8-4280-9C72-630BF4C356FF"), Name="ilina", Areacode="41"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="IN", Areacode="574"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Kruj", Areacode="511"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Bengbu - Anhui", Areacode="552"},
                    new AreaCode{CountryId = new Guid("430CA84C-0443-4BC3-BC36-CEE6F9D2D1E2"), Name="Kef", Areacode="8"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Pattani Mobile", Areacode="873"},
                    new AreaCode{CountryId = new Guid("08E81DF6-8533-4FD7-B909-A4EC6E5D31F0"), Name="Sihanoukville", Areacode="34"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="FL", Areacode="772"},
                    new AreaCode{CountryId = new Guid("84718E1D-25ED-4B92-B38D-466845FF1BE0"), Name="Telcel(CDMA 800)", Areacode="414"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Dobele", Areacode="37"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Peshkopi", Areacode="218"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Crdenas", Areacode="45"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Helsingborg-Hgans", Areacode="42"},
                    new AreaCode{CountryId = new Guid("4504391C-E9D7-43BF-BC06-832E0A6FB016"), Name="Cebu City", Areacode="32"},
                    new AreaCode{CountryId = new Guid("26F89703-E93A-4FBD-ADD7-3BFFB69CDEC3"), Name="Lipetsk", Areacode="474"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Perak (state)", Areacode="4"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Mullsj", Areacode="392"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Piatra Neamt", Areacode="233"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Rttvik", Areacode="248"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Ein Arab", Areacode="25"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Apahida", Areacode="264"},
                    new AreaCode{CountryId = new Guid("3744A5E2-1AA7-441D-AE36-30342FEDE0F8"), Name="Region Karlovarsky", Areacode="35"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Kahramanmaras", Areacode="344"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Vlor", Areacode="33"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Bucecea", Areacode="231"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Tongguan - Shaanxi", Areacode="9233"},
                    new AreaCode{CountryId = new Guid("DF285779-2BB8-4280-9C72-630BF4C356FF"), Name="Bardejov", Areacode="54"},
                    new AreaCode{CountryId = new Guid("67EF14F5-78E1-40A7-A732-B518267A4B86"), Name="Dombe Grande", Areacode="72"},
                    new AreaCode{CountryId = new Guid("30C0CA4F-A2D1-42E0-BDB3-ECFD85715CEB"), Name="Eastern Sector", Areacode="3"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Gaoua", Areacode="87"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Szentendre", Areacode="26"},
                    new AreaCode{CountryId = new Guid("E030214A-C85E-40FA-A627-70601272F411"), Name="Karakalpakia", Areacode="61"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Edleb", Areacode="23"},
                    new AreaCode{CountryId = new Guid("AFA02048-AB89-43D6-ABD7-363DB4ED09C9"), Name="Other localities", Areacode="30"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="IN", Areacode="219"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Sopron", Areacode="99"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Baguanos", Areacode="24"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Tierp-Sderfors", Areacode="293"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Ocna Mures", Areacode="258"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Fu-an - Fujian", Areacode="593"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Bukalo", Areacode="66"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Oltenita", Areacode="242"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Viisoara", Areacode="233"},
                    new AreaCode{CountryId = new Guid("67EF14F5-78E1-40A7-A732-B518267A4B86"), Name="Huambo", Areacode="41"},
                    new AreaCode{CountryId = new Guid("4D69E0AB-3849-46F9-95E3-BF555E2D78C6"), Name="Waterford", Areacode="51"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Hinds", Areacode="301"},
                    new AreaCode{CountryId = new Guid("391AAAC1-18B9-4569-9FD1-B0B06B4892F8"), Name="Ida-Virumaa", Areacode="33"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Agri", Areacode="472"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Igualada", Areacode="93"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Shenmu - Shaanxi", Areacode="9229"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Arandis", Areacode="64"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Yozgat", Areacode="354"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Samos", Areacode="2273"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Oguz", Areacode="111"},
                    new AreaCode{CountryId = new Guid("A3BEDE9E-A359-49FD-8250-A40F13BCE642"), Name="Concepcion", Areacode="31"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Samsun", Areacode="362"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Base", Areacode="481"},
                    new AreaCode{CountryId = new Guid("DF58FFE7-6339-47ED-ADCC-DB84F7D9EACB"), Name="Drei", Areacode="660"},
                    new AreaCode{CountryId = new Guid("C6FFFECA-02E5-4158-B833-05C3DAD25AB2"), Name="Deventer", Areacode="570"},
                    new AreaCode{CountryId = new Guid("2745B68E-B8F8-4924-9588-47CF2E90425F"), Name="New Brunswick", Areacode="506"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Topoloveni", Areacode="248"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MA", Areacode="617"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Telbisseh", Areacode="31"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Edessa", Areacode="2381"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Fars", Areacode="792"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Noordoewer", Areacode="63"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Maltahohe (party line)", Areacode="6638"},
                    new AreaCode{CountryId = new Guid("08E81DF6-8533-4FD7-B909-A4EC6E5D31F0"), Name="Mondul Kiri", Areacode="73"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Paris and Paris Region", Areacode="1"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Deje", Areacode="552"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Hyderabad", Areacode="40"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Zabadani", Areacode="13"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Sibu", Areacode="8"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Marasesti", Areacode="237"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Nueva Paz", Areacode="62"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Guyuan - Ningxia", Areacode="954"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Sarnakhpyur", Areacode="42"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Orust-Tjrn", Areacode="304"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Liuyang - Hunan", Areacode="731"},
                    new AreaCode{CountryId = new Guid("DF58FFE7-6339-47ED-ADCC-DB84F7D9EACB"), Name="Kitzbuhel", Areacode="5356"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Burirum Mobile", Areacode="844"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Kala Nera", Areacode="2423"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Penglai - Shandong", Areacode="5457"},
                    new AreaCode{CountryId = new Guid("BD42A40A-1E6D-4495-AB9B-C5D8B850959E"), Name="Mary", Areacode="522"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Ratchaburi Mobile", Areacode="832"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Mobile Phones", Areacode="91"},
                    new AreaCode{CountryId = new Guid("A9A3273A-6251-434E-B0D3-0286B0EC4EFC"), Name="Sasolburg", Areacode="16"},
                    new AreaCode{CountryId = new Guid("3744A5E2-1AA7-441D-AE36-30342FEDE0F8"), Name="O2(GSM 900/1800, 3G 2100)", Areacode="723"},
                    new AreaCode{CountryId = new Guid("78693684-30E2-4709-B032-2AD99A39B401"), Name="Roraima", Areacode="95"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Yara", Areacode="23"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Lugareo", Areacode="32"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="IL", Areacode="331"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Bhola", Areacode="491"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Gabala", Areacode="160"},
                    new AreaCode{CountryId = new Guid("748710B5-D2A6-43BF-9612-C377ACDA272A"), Name="Taichung", Areacode="4"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="TN", Areacode="615"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Kalabaka", Areacode="2432"},
                    new AreaCode{CountryId = new Guid("4D69E0AB-3849-46F9-95E3-BF555E2D78C6"), Name="Limerick", Areacode="61"},
                    new AreaCode{CountryId = new Guid("28431BD3-731C-4DF6-9765-2F88C08884A3"), Name="Moramanga", Areacode="56"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Margahovit", Areacode="51"},
                    new AreaCode{CountryId = new Guid("DF285779-2BB8-4280-9C72-630BF4C356FF"), Name="NovZmky", Areacode="35"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Szentes", Areacode="63"},
                    new AreaCode{CountryId = new Guid("FFAE686C-4A31-40DD-A1C5-7A4551E03212"), Name="Seto", Areacode="561"},
                    new AreaCode{CountryId = new Guid("645A1B17-973B-4AB2-B851-D1F223817C70"), Name="Gevgelija", Areacode="34"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Agdam", Areacode="192"},
                    new AreaCode{CountryId = new Guid("A8DF1692-825B-496C-BB7D-5021DFCDBFA8"), Name="Rousse", Areacode="82"},
                    new AreaCode{CountryId = new Guid("28431BD3-731C-4DF6-9765-2F88C08884A3"), Name="Mananjary", Areacode="72"},
                    new AreaCode{CountryId = new Guid("2745B68E-B8F8-4924-9588-47CF2E90425F"), Name="Manitoba", Areacode="204"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Lai-yang - Shandong", Areacode="5427"},
                    new AreaCode{CountryId = new Guid("F896E6E5-3B7A-4109-B515-71BD123F9EDD"), Name="Molepolole", Areacode="59"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Karies", Areacode="2653"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="GA", Areacode="770"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Gaibis", Areacode="63"},
                    new AreaCode{CountryId = new Guid("0CA4824C-C2FB-48D8-A47F-06C54FB7C4C7"), Name="Rijeka", Areacode="51"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="AK", Areacode="907"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Menendez", Areacode="31"},
                    new AreaCode{CountryId = new Guid("748710B5-D2A6-43BF-9612-C377ACDA272A"), Name="Tainan", Areacode="6"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Ushachi", Areacode="2158"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Edirne", Areacode="284"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Grebbestad", Areacode="525"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="El Cobre", Areacode="22"},
                    new AreaCode{CountryId = new Guid("645A1B17-973B-4AB2-B851-D1F223817C70"), Name="Kratovo", Areacode="31"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="S/Jongkhar", Areacode="7"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Podari", Areacode="251"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Dagapela", Areacode="6"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Grevena", Areacode="2462"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Kuldiga", Areacode="33"},
                    new AreaCode{CountryId = new Guid("C6FFFECA-02E5-4158-B833-05C3DAD25AB2"), Name="Nijmegen", Areacode="24"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Kamo", Areacode="43"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Gdllo", Areacode="28"},
                    new AreaCode{CountryId = new Guid("391AAAC1-18B9-4569-9FD1-B0B06B4892F8"), Name="Lne-Virumaa", Areacode="32"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Tirgu Ocna", Areacode="234"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Poti", Areacode="393"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Gytheio", Areacode="2733"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Baragua", Areacode="33"},
                    new AreaCode{CountryId = new Guid("62F04FC0-EB8F-4FE0-BEE9-29B71CEAA6A5"), Name="Lusaka", Areacode="1"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="stersund", Areacode="63"},
                    new AreaCode{CountryId = new Guid("F896E6E5-3B7A-4109-B515-71BD123F9EDD"), Name="Selebi-Phikwe", Areacode="26"},
                    new AreaCode{CountryId = new Guid("19384D80-2CBE-482D-A06C-1D8E17F183E5"), Name="Jinja", Areacode="43"},
                    new AreaCode{CountryId = new Guid("E04C0643-8FE6-4364-8859-7BB360BA46F4"), Name="Shartuz", Areacode="3240"},
                    new AreaCode{CountryId = new Guid("E04C0643-8FE6-4364-8859-7BB360BA46F4"), Name="Kairakkum", Areacode="34402"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Dawiab", Areacode="63"},
                    new AreaCode{CountryId = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name="Nuwara Eliya", Areacode="52"},
                    new AreaCode{CountryId = new Guid("B8E9EFD7-A3F2-495A-89F6-9E4FDA01D3C0"), Name="Etisalat(GSM 900/3G 2100)", Areacode="50"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Szeged", Areacode="62"},
                    new AreaCode{CountryId = new Guid("38D04594-C9C6-4A8D-A16F-7FC0D20E5034"), Name="Pyong Yang", Areacode="2"},
                    new AreaCode{CountryId = new Guid("2C443E5E-8531-474E-BCA1-9FC80C72C14A"), Name="Moambique Celular (mCel)", Areacode="82"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Cesis", Areacode="41"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Hamburg", Areacode="40"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Feres", Areacode="2555"},
                    new AreaCode{CountryId = new Guid("A9A3273A-6251-434E-B0D3-0286B0EC4EFC"), Name="East London", Areacode="431"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Kishoregonj", Areacode="941"},
                    new AreaCode{CountryId = new Guid("62F04FC0-EB8F-4FE0-BEE9-29B71CEAA6A5"), Name="Luanshya", Areacode="2"},
                    new AreaCode{CountryId = new Guid("46F74937-0678-4EF7-89F1-C4FE6C0CE3E4"), Name="Kathmandu", Areacode="1"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Tsimasham", Areacode="8"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Xinmin - Liaoning", Areacode="24"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="PRO XL", Areacode="819"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Dalarik", Areacode="33"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Calarasi", Areacode="244"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Lidkping", Areacode="510"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Obombo", Areacode="65"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Mangkang - Xizang", Areacode="8054"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Rongxian - Guangxi", Areacode="775"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Beclean", Areacode="263"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Eforie Nord", Areacode="241"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Amancio", Areacode="31"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Kostyukovichi", Areacode="2245"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Mobile Phones", Areacode="99"},
                    new AreaCode{CountryId = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name="Qatif", Areacode="3"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Kaiyuan - Liaoning", Areacode="410"},
                    new AreaCode{CountryId = new Guid("E030214A-C85E-40FA-A627-70601272F411"), Name="Ferghana", Areacode="73"},
                    new AreaCode{CountryId = new Guid("391AAAC1-18B9-4569-9FD1-B0B06B4892F8"), Name="Tartumaa", Areacode="73"},
                    new AreaCode{CountryId = new Guid("B270D848-0C58-44DF-994B-386F9BA6BD8E"), Name="Fomboni", Areacode="721"},
                    new AreaCode{CountryId = new Guid("2A2C198B-5682-4D9E-81A9-E9194770ED92"), Name="Shebin El Korn", Areacode="48"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Dominica", Areacode="767"},
                    new AreaCode{CountryId = new Guid("DF285779-2BB8-4280-9C72-630BF4C356FF"), Name="Trnava", Areacode="33"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Abakaliki", Areacode="43"},
                    new AreaCode{CountryId = new Guid("9FF64B6B-828D-4C7F-9C34-AC34EAA78979"), Name="Camtel (fixed telephony)", Areacode="332"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Ciney", Areacode="83"},
                    new AreaCode{CountryId = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name="Anuradhapura", Areacode="25"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Tandarei", Areacode="243"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Strehaia", Areacode="252"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Kping", Areacode="221"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Maltahohe", Areacode="63"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Khorasan", Areacode="512"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Luoyang - Henan", Areacode="379"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Shaba", Areacode="8"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Basochu", Areacode="2"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Bauphal", Areacode="4422"},
                    new AreaCode{CountryId = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name="Bandarawella", Areacode="57"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Stefanesti", Areacode="248"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Slonim", Areacode="1562"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Proximus", Areacode="476"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Kerman", Areacode="342"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Mokuti", Areacode="67"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="FL", Areacode="386"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Banshkhali", Areacode="3037"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Moletai", Areacode="383"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Jiangjin - Sichuan", Areacode="8221"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Taicang - Jiangsu", Areacode="512"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Felton", Areacode="24"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Ullnger", Areacode="613"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Kraslava", Areacode="56"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Pajala", Areacode="978"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NJ", Areacode="201"},
                    new AreaCode{CountryId = new Guid("430CA84C-0443-4BC3-BC36-CEE6F9D2D1E2"), Name="Kairouan", Areacode="7"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Kazbegi", Areacode="345"},
                    new AreaCode{CountryId = new Guid("C6FFFECA-02E5-4158-B833-05C3DAD25AB2"), Name="Hoogvliet", Areacode="10"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Sfintu Gheorghe", Areacode="267"},
                    new AreaCode{CountryId = new Guid("C02106C7-B8A7-46EB-AAC6-2F880BE260CD"), Name="Quillota", Areacode="33"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Poiana", Areacode="241"},
                    new AreaCode{CountryId = new Guid("A3BEDE9E-A359-49FD-8250-A40F13BCE642"), Name="Capiata", Areacode="28"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Umuahia", Areacode="88"},
                    new AreaCode{CountryId = new Guid("28431BD3-731C-4DF6-9765-2F88C08884A3"), Name="Antsohihy", Areacode="67"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Ghimpati", Areacode="246"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Paneveys", Areacode="45"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Guangzhou - Guangdong", Areacode="20"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Bahia Honda", Areacode="86"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Elim", Areacode="65"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Mobistar", Areacode="497"},
                    new AreaCode{CountryId = new Guid("26F89703-E93A-4FBD-ADD7-3BFFB69CDEC3"), Name="Oryol", Areacode="486"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="IA", Areacode="641"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Lelchitsu", Areacode="2356"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NC", Areacode="704"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Rajkot", Areacode="281"},
                    new AreaCode{CountryId = new Guid("26F89703-E93A-4FBD-ADD7-3BFFB69CDEC3"), Name="Ivanovo", Areacode="493"},
                    new AreaCode{CountryId = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name="SLT", Areacode="70"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Hefei - Anhui", Areacode="551"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Friedental", Areacode="62"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Al-Maara", Areacode="23"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Bredbyn", Areacode="661"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Novopolotsk", Areacode="214"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Kaihua - Zhejiang", Areacode="570"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Zadareni", Areacode="257"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Scornicesti", Areacode="249"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Dobra", Areacode="254"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Porjus", Areacode="973"},
                    new AreaCode{CountryId = new Guid("3744A5E2-1AA7-441D-AE36-30342FEDE0F8"), Name="Vodafone/Oskar(GSM 900/1800)", Areacode="775"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Quneitra", Areacode="14"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Aitoliko", Areacode="2632"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Andritsena", Areacode="2626"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="land", Areacode="485"},
                    new AreaCode{CountryId = new Guid("48EE4FCE-14F5-4CFE-99BB-C88B4E159F91"), Name="Aden", Areacode="2"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Aegina", Areacode="2297"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Chik Meskin", Areacode="15"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Klippan-Perstorp", Areacode="435"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Patra", Areacode="261"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="FL", Areacode="954"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Corum", Areacode="364"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Flaminzi", Areacode="231"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="MoviStar GSM", Areacode="629"},
                    new AreaCode{CountryId = new Guid("430CA84C-0443-4BC3-BC36-CEE6F9D2D1E2"), Name="Monastir", Areacode="3"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Bilciuresti", Areacode="245"},
                    new AreaCode{CountryId = new Guid("F8B2E8D7-1651-4084-83DF-06D9D98EA3CC"), Name="Rongelap Atoll", Areacode="545"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Xinyi - Guizhou", Areacode="859"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Da-tong - Qinghai", Areacode="971"},
                    new AreaCode{CountryId = new Guid("6E22EFB7-CAC9-4179-B842-CE73EC1D9DBB"), Name="Central East Region (New South Wales, Australian Capital Territory. parts of northern Victoria)", Areacode="2"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Kota Kinabalu", Areacode="8"},
                    new AreaCode{CountryId = new Guid("F78C8099-1023-43D2-B0EB-3BC95DBA4703"), Name="Kragujevac", Areacode="34"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="CA", Areacode="805"},
                    new AreaCode{CountryId = new Guid("FFAE686C-4A31-40DD-A1C5-7A4551E03212"), Name="Yokosuka (Kanagawa)", Areacode="468"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Bhopal", Areacode="755"},
                    new AreaCode{CountryId = new Guid("3744A5E2-1AA7-441D-AE36-30342FEDE0F8"), Name="Region Jihocesky", Areacode="39"},
                    new AreaCode{CountryId = new Guid("67EF14F5-78E1-40A7-A732-B518267A4B86"), Name="Ganda", Areacode="72"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Ludus", Areacode="265"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Strmsund", Areacode="670"},
                    new AreaCode{CountryId = new Guid("80EC649B-DE55-46E8-9C84-5B84F8252CA4"), Name="Cove & John", Areacode="229"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Varkaus", Areacode="17"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Mazandaran", Areacode="192"},
                    new AreaCode{CountryId = new Guid("58986264-67FE-4428-B004-1C727858F990"), Name="Tripoli", Areacode="6"},
                    new AreaCode{CountryId = new Guid("D1F141AD-99C7-432F-B35E-4EE89F9EF7F5"), Name="Granada", Areacode="55"},
                    new AreaCode{CountryId = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name="Era", Areacode="600"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Lipanesti", Areacode="244"},
                    new AreaCode{CountryId = new Guid("F896E6E5-3B7A-4109-B515-71BD123F9EDD"), Name="Gaborone", Areacode="36"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="Sotelgui", Areacode="25"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Irapuato", Areacode="462"},
                    new AreaCode{CountryId = new Guid("78693684-30E2-4709-B032-2AD99A39B401"), Name="Niteroi", Areacode="21"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="Zermatt", Areacode="27"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Rossonu", Areacode="2159"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Alavus", Areacode="6"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Herentals", Areacode="14"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Limin Chersonisou", Areacode="2897"},
                    new AreaCode{CountryId = new Guid("DF58FFE7-6339-47ED-ADCC-DB84F7D9EACB"), Name="Leoben", Areacode="3842"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Balassagyarmat", Areacode="35"},
                    new AreaCode{CountryId = new Guid("B8E9EFD7-A3F2-495A-89F6-9E4FDA01D3C0"), Name="Umm-al-Qaiwain", Areacode="6"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="CA", Areacode="707"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Gumushane", Areacode="456"},
                    new AreaCode{CountryId = new Guid("A3BEDE9E-A359-49FD-8250-A40F13BCE642"), Name="Ayolas", Areacode="72"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Meligalas", Areacode="2724"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Gargalianoi", Areacode="2763"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Al-Hafa", Areacode="41"},
                    new AreaCode{CountryId = new Guid("4504391C-E9D7-43BF-BC06-832E0A6FB016"), Name="Dumaguete City", Areacode="3524"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Zanesti", Areacode="233"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Anamulenge", Areacode="65"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Taiyuan - Shanxi", Areacode="351"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Ohangwena", Areacode="65"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Kota", Areacode="744"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Ppa", Areacode="89"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Cimpeni", Areacode="258"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Konya", Areacode="332"},
                    new AreaCode{CountryId = new Guid("911535A7-40E1-470D-8DC8-F0F9AABB818E"), Name="Canelones", Areacode="32"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Zhanjiang - Guangdong", Areacode="759"},
                    new AreaCode{CountryId = new Guid("BF4B4AAC-85A9-4D32-BE21-A8E1A51638AA"), Name="Maribor", Areacode="2"},
                    new AreaCode{CountryId = new Guid("35CB7CC2-B2D2-4FA7-A8C6-ADC86A206210"), Name="Promonte", Areacode="69"},
                    new AreaCode{CountryId = new Guid("9FF64B6B-828D-4C7F-9C34-AC34EAA78979"), Name="Camtel (fixed telephony)", Areacode="339"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Shijiazhuang - Hebei", Areacode="311"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Mobile Phones", Areacode="796"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Perlis (state)", Areacode="4"},
                    new AreaCode{CountryId = new Guid("628ECF60-BE3C-4242-B48E-D9ABCFB6051F"), Name="Koforidua", Areacode="81"},
                    new AreaCode{CountryId = new Guid("645A1B17-973B-4AB2-B851-D1F223817C70"), Name="Berovo", Areacode="33"},
                    new AreaCode{CountryId = new Guid("A78D0697-F264-411C-97B9-30AE76593E5C"), Name="Rabat", Areacode="37"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Analog Mobile (AMPS) - Kalimantan", Areacode="825"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Hachmaz", Areacode="172"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Weinan - Shaanxi", Areacode="913"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NY", Areacode="917"},
                    new AreaCode{CountryId = new Guid("80EC649B-DE55-46E8-9C84-5B84F8252CA4"), Name="Georgetown", Areacode="227"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Khenchela", Areacode="32"},
                    new AreaCode{CountryId = new Guid("E030214A-C85E-40FA-A627-70601272F411"), Name="Samarkand", Areacode="66"},
                    new AreaCode{CountryId = new Guid("2745B68E-B8F8-4924-9588-47CF2E90425F"), Name="Newfoundland", Areacode="709"},
                    new AreaCode{CountryId = new Guid("80EC649B-DE55-46E8-9C84-5B84F8252CA4"), Name="Rosignol", Areacode="330"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Uzda", Areacode="1718"},
                    new AreaCode{CountryId = new Guid("0CA4824C-C2FB-48D8-A47F-06C54FB7C4C7"), Name="Karlovac", Areacode="47"},
                    new AreaCode{CountryId = new Guid("96AF43F8-0F0A-459D-9433-4DEDD84FB167"), Name="Mobile Phones", Areacode="88"},
                    new AreaCode{CountryId = new Guid("08E81DF6-8533-4FD7-B909-A4EC6E5D31F0"), Name="Casacom (Samart)GSM 900", Areacode="16"},
                    new AreaCode{CountryId = new Guid("9FF64B6B-828D-4C7F-9C34-AC34EAA78979"), Name="Camtel (fixed telephony)", Areacode="333"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Harastah", Areacode="11"},
                    new AreaCode{CountryId = new Guid("19FB2795-B14C-48D7-A490-5E9856366F99"), Name="Punta Gorda, Toledo", Areacode="7"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Shangzhou - Shaanxi", Areacode="914"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Bab Charqui", Areacode="11"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Fenyang - Shanxi", Areacode="3602"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Lefkada", Areacode="2645"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Beihai - Guangxi", Areacode="779"},
                    new AreaCode{CountryId = new Guid("0CA4824C-C2FB-48D8-A47F-06C54FB7C4C7"), Name="T-Mobile(GSM 900, 3G 2100)", Areacode="99"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Merei", Areacode="238"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Mobile Syria", Areacode="9"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MD", Areacode="410"},
                    new AreaCode{CountryId = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name="Tarut Island - Mina and Darin", Areacode="3"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="WI", Areacode="920"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Shaoyang - Hunan", Areacode="739"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Kerman", Areacode="349"},
                    new AreaCode{CountryId = new Guid("58986264-67FE-4428-B004-1C727858F990"), Name="Beirut", Areacode="1"},
                    new AreaCode{CountryId = new Guid("971C8400-1479-410E-87BD-84C35D776B5E"), Name="Uthiru", Areacode="20"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Trabzon", Areacode="462"},
                    new AreaCode{CountryId = new Guid("DF285779-2BB8-4280-9C72-630BF4C356FF"), Name="Topol'cany", Areacode="38"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Harem", Areacode="23"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Zhijiang - Hunan", Areacode="7420"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Vilnius", Areacode="526"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Kedabek", Areacode="232"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Mora-Orsa", Areacode="250"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Aluksne", Areacode="43"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Barisal", Areacode="431"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Vxj", Areacode="470"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Dumbraveni", Areacode="269"},
                    new AreaCode{CountryId = new Guid("A78D0697-F264-411C-97B9-30AE76593E5C"), Name="Mdi Tlcom(GSM900)", Areacode="70"},
                    new AreaCode{CountryId = new Guid("6B04AC6B-B56E-4022-BE18-6341F2A45F90"), Name="Carchi, Imbabura, Esmeraldas, Sucumbios, Napo and Orellana", Areacode="6"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="San Andres", Areacode="24"},
                    new AreaCode{CountryId = new Guid("645A1B17-973B-4AB2-B851-D1F223817C70"), Name="Pehchevo", Areacode="33"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Echmiadzin", Areacode="31"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Philippiada", Areacode="2683"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Perea", Areacode="2392"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Hrby", Areacode="415"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="TX", Areacode="214"},
                    new AreaCode{CountryId = new Guid("34C2F0BC-018C-476A-828C-8C7E086B5529"), Name="Djibouti City", Areacode="25"},
                    new AreaCode{CountryId = new Guid("4910D3B0-948C-4FBA-8004-10EF33F1E8DD"), Name="Hadera", Areacode="4"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Molodechno", Areacode="1773"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Szombathely", Areacode="94"},
                    new AreaCode{CountryId = new Guid("C6FFFECA-02E5-4158-B833-05C3DAD25AB2"), Name="Heemstede", Areacode="23"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Murcia", Areacode="968"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Sasciori", Areacode="258"},
                    new AreaCode{CountryId = new Guid("748710B5-D2A6-43BF-9612-C377ACDA272A"), Name="Taitung", Areacode="89"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Proximus", Areacode="479"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Kalkfeld (party lines)", Areacode="6642"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Kota Bharu", Areacode="9"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Podu Iloaiei", Areacode="232"},
                    new AreaCode{CountryId = new Guid("5D7A67BB-CEF8-40E7-8AB7-5B4B729A51A5"), Name="Elobeid", Areacode="81"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Kiruna", Areacode="980"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="Sotelgui", Areacode="28"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Constanta", Areacode="241"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Keetmanshoop (party line)", Areacode="638"},
                    new AreaCode{CountryId = new Guid("ADDAC550-B86C-40CF-B8C4-10F142EBDF66"), Name="Callao", Areacode="14"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Tel-Kalakh", Areacode="31"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Nanning - Guangxi", Areacode="771"},
                    new AreaCode{CountryId = new Guid("84718E1D-25ED-4B92-B38D-466845FF1BE0"), Name="Los Teques", Areacode="212"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Klaipeda", Areacode="462"},
                    new AreaCode{CountryId = new Guid("CEC7D0EF-064C-4B24-846E-8FD52A3A6F7A"), Name="NetOne", Areacode="1"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="AS", Areacode="684"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Runan - Henan", Areacode="3013"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Mobile Phones", Areacode="98"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Halmstad", Areacode="35"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Sunamgonj", Areacode="871"},
                    new AreaCode{CountryId = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name="Ras Tanurah", Areacode="3"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Bite GSM", Areacode="699"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Kerman", Areacode="392"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="AL", Areacode="256"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Kara", Areacode="12"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="LefkimiCorfu", Areacode="2662"},
                    new AreaCode{CountryId = new Guid("748710B5-D2A6-43BF-9612-C377ACDA272A"), Name="Chunan", Areacode="37"},
                    new AreaCode{CountryId = new Guid("98B5E495-150F-4C32-A4C1-F79F25373E16"), Name="Christchurch", Areacode="3"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Hangzhou - Zhejiang", Areacode="571"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="FL", Areacode="941"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Kafanchau", Areacode="61"},
                    new AreaCode{CountryId = new Guid("A9A3273A-6251-434E-B0D3-0286B0EC4EFC"), Name="MTN", Areacode="83"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Nenjiang - Heilongjiang", Areacode="4665"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Akhmeta", Areacode="349"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Oyo", Areacode="38"},
                    new AreaCode{CountryId = new Guid("A8DF1692-825B-496C-BB7D-5021DFCDBFA8"), Name="Bourgas", Areacode="56"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Wuchuan - Nei Mongol", Areacode="4817"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Falkping", Areacode="515"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Gilan", Areacode="132"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Asturias", Areacode="985"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="IA", Areacode="563"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Ludvika-Smedjebacken", Areacode="240"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Velestino", Areacode="2425"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Oskarshamn-Hgsby", Areacode="491"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Kuantan", Areacode="9"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Sariska", Areacode="144"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Efrin", Areacode="21"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Malekiha", Areacode="53"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="New Delhi", Areacode="11"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Stei", Areacode="259"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Sami", Areacode="2674"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="TX", Areacode="430"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Nina", Areacode="62"},
                    new AreaCode{CountryId = new Guid("67EF14F5-78E1-40A7-A732-B518267A4B86"), Name="Cabinda", Areacode="31"},
                    new AreaCode{CountryId = new Guid("34C2F0BC-018C-476A-828C-8C7E086B5529"), Name="Djibouti City", Areacode="35"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Analog Mobile (AMPS) - Jakarta", Areacode="821"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Balaken", Areacode="119"},
                    new AreaCode{CountryId = new Guid("3744A5E2-1AA7-441D-AE36-30342FEDE0F8"), Name="O2(GSM 900/1800, 3G 2100)", Areacode="602"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Hadejia", Areacode="78"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Alger", Areacode="21"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Souk Ahras", Areacode="37"},
                    new AreaCode{CountryId = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name="Colombo Central", Areacode="1"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Ankang - Shaanxi", Areacode="915"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Hami - Xinjiang", Areacode="9022"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Harbin - Heilongjiang", Areacode="451"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Florina", Areacode="2385"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Volos", Areacode="2421"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Sanya - Hainan", Areacode="898"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Glodeanu Silistea", Areacode="238"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Salkhad", Areacode="16"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Ouargla", Areacode="29"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Piatra", Areacode="241"},
                    new AreaCode{CountryId = new Guid("EDE00EFD-0261-4A82-AA47-DA188120C9EC"), Name="KT TRS (Trunked Radio System", Areacode="13"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Yiyang - Jiangxi", Areacode="7038"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Vatra Dornei", Areacode="230"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Bole - Xinjiang", Areacode="9093"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Porvoo", Areacode="19"},
                    new AreaCode{CountryId = new Guid("0CA4824C-C2FB-48D8-A47F-06C54FB7C4C7"), Name="Tele 2(GSM 1800)", Areacode="95"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Caimito del Guayabal", Areacode="680"},
                    new AreaCode{CountryId = new Guid("28431BD3-731C-4DF6-9765-2F88C08884A3"), Name="Maintirano", Areacode="69"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="PA", Areacode="267"},
                    new AreaCode{CountryId = new Guid("A9A3273A-6251-434E-B0D3-0286B0EC4EFC"), Name="La Lucia", Areacode="31"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="TELESTET(GSM 900)", Areacode="693"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Ouagadougou", Areacode="38"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Gombe", Areacode="72"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Xanthi", Areacode="2541"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Dehradun", Areacode="135"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Amouda", Areacode="53"},
                    new AreaCode{CountryId = new Guid("3744A5E2-1AA7-441D-AE36-30342FEDE0F8"), Name="Region Stredocesky", Areacode="32"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Giurgiu", Areacode="246"},
                    new AreaCode{CountryId = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name="Era", Areacode="608"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Surat", Areacode="261"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Xi-feng - Gansu", Areacode="934"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Aalst (Alost)", Areacode="53"},
                    new AreaCode{CountryId = new Guid("1AE8A0D5-5D5A-476D-89B8-F63B5CD11129"), Name="N'djamena", Areacode="51"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Sapele", Areacode="54"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Calimete", Areacode="5"},
                    new AreaCode{CountryId = new Guid("2C443E5E-8531-474E-BCA1-9FC80C72C14A"), Name="Xai-Xai", Areacode="222"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="China Mobile(GSM 900)", Areacode="139"},
                    new AreaCode{CountryId = new Guid("0CA4824C-C2FB-48D8-A47F-06C54FB7C4C7"), Name="VIP(GSM 900, 3G 2100)", Areacode="91"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Lermontov", Areacode="51"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="Dalaba", Areacode="69"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Slutsk", Areacode="1795"},
                    new AreaCode{CountryId = new Guid("80EC649B-DE55-46E8-9C84-5B84F8252CA4"), Name="Linden", Areacode="444"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Cespedes", Areacode="32"},
                    new AreaCode{CountryId = new Guid("DF285779-2BB8-4280-9C72-630BF4C356FF"), Name="Preov", Areacode="51"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Cascorro", Areacode="32"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Slobozia", Areacode="243"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Heshuo - Xinjiang", Areacode="996"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Los", Areacode="657"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Hyltebruk-Torup", Areacode="345"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Xinyuan - Xinjiang", Areacode="9096"},
                    new AreaCode{CountryId = new Guid("5A4B23B0-8036-4849-B935-28D9A00B5339"), Name="Pwani", Areacode="23"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="?. Moudania", Areacode="2373"},
                    new AreaCode{CountryId = new Guid("DF58FFE7-6339-47ED-ADCC-DB84F7D9EACB"), Name="Graz", Areacode="316"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="Boke", Areacode="31"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Arlon", Areacode="63"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Zarasai", Areacode="385"},
                    new AreaCode{CountryId = new Guid("5A4B23B0-8036-4849-B935-28D9A00B5339"), Name="Zanzibar", Areacode="24"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NANP area", Areacode="456"},
                    new AreaCode{CountryId = new Guid("28431BD3-731C-4DF6-9765-2F88C08884A3"), Name="Sainte Marie", Areacode="57"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MS", Areacode="662"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Ion Luca Caragiale", Areacode="245"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Liancheng - Fujian", Areacode="597"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="PRO XL", Areacode="818"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Lenkaran", Areacode="171"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="TX", Areacode="409"},
                    new AreaCode{CountryId = new Guid("A78D0697-F264-411C-97B9-30AE76593E5C"), Name="Mdi Tlcom(GSM900)", Areacode="62"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Devechi", Areacode="115"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Dialog (Mobil Rom)", Areacode="744"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="Mamou", Areacode="68"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Mobile Phones", Areacode="163"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Kuov", Areacode="311"},
                    new AreaCode{CountryId = new Guid("DF285779-2BB8-4280-9C72-630BF4C356FF"), Name="Orange(GSM 900/1800)", Areacode="905"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Kaunas", Areacode="37"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Trikala", Areacode="2431"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Eland", Areacode="62"},
                    new AreaCode{CountryId = new Guid("2745B68E-B8F8-4924-9588-47CF2E90425F"), Name="Alberta (Southern)", Areacode="403"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Baile Olanesti", Areacode="250"},
                    new AreaCode{CountryId = new Guid("DF285779-2BB8-4280-9C72-630BF4C356FF"), Name="Eurotel(GSM 900/1800)", Areacode="903"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Tovuz", Areacode="231"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Mobile", Areacode="348"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Adigeni", Areacode="366"},
                    new AreaCode{CountryId = new Guid("78693684-30E2-4709-B032-2AD99A39B401"), Name="Rio de Janeiro", Areacode="21"},
                    new AreaCode{CountryId = new Guid("430CA84C-0443-4BC3-BC36-CEE6F9D2D1E2"), Name="Medenine", Areacode="5"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Titu", Areacode="245"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Tropoj", Areacode="213"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Husum", Areacode="663"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Jamaica", Areacode="876"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Scurtesti", Areacode="238"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MS", Areacode="769"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="China Mobile(GSM 900)", Areacode="135"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Ratchaburi", Areacode="32"},
                    new AreaCode{CountryId = new Guid("DF58FFE7-6339-47ED-ADCC-DB84F7D9EACB"), Name="Max", Areacode="676"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Turkcell(GSM 900)", Areacode="53"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Capri", Areacode="81"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Bragin", Areacode="2344"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Mazandaran", Areacode="152"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Okahao", Areacode="65"},
                    new AreaCode{CountryId = new Guid("2745B68E-B8F8-4924-9588-47CF2E90425F"), Name="British Columbia (Vancouver area)", Areacode="604"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Ialoveni", Areacode="268"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="nekoski", Areacode="14"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Wenzhou - Zhejiang", Areacode="577"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Bucov", Areacode="244"},
                    new AreaCode{CountryId = new Guid("34C2F0BC-018C-476A-828C-8C7E086B5529"), Name="Djibouti Tlcom (GSM 900)", Areacode="83"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Mobile", Areacode="333"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Kastoria", Areacode="2467"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Reynosa", Areacode="899"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Donduseni", Areacode="251"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Argel", Areacode="24"},
                    new AreaCode{CountryId = new Guid("4504391C-E9D7-43BF-BC06-832E0A6FB016"), Name="Dagupan", Areacode="75"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="SFR", Areacode="625"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Shangdu - Nei Mongol", Areacode="4843"},
                    new AreaCode{CountryId = new Guid("DADCF19E-53B0-4739-9712-0C80ACA78D41"), Name="Southern Region", Areacode="6"},
                    new AreaCode{CountryId = new Guid("ADDAC550-B86C-40CF-B8C4-10F142EBDF66"), Name="Cajamarca", Areacode="44"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Burdur", Areacode="248"},
                    new AreaCode{CountryId = new Guid("4504391C-E9D7-43BF-BC06-832E0A6FB016"), Name="Naga City", Areacode="5421"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Wuhai - Nei Mongol", Areacode="473"},
                    new AreaCode{CountryId = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name="Gliwice", Areacode="32"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Muladi", Areacode="4326"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Nanchang - Jiangxi", Areacode="791"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Mozur", Areacode="2351"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="San Cristbal", Areacode="85"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Macin", Areacode="240"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Taherpur", Areacode="8732"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="CA", Areacode="510"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Trnaby", Areacode="954"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Bordj Bou Arreridj", Areacode="35"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Fars", Areacode="712"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Pincesti", Areacode="234"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Ellezelles", Areacode="68"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Chambarak", Areacode="65"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Pcs", Areacode="72"},
                    new AreaCode{CountryId = new Guid("BD42A40A-1E6D-4495-AB9B-C5D8B850959E"), Name="Ashgabat", Areacode="12"},
                    new AreaCode{CountryId = new Guid("971C8400-1479-410E-87BD-84C35D776B5E"), Name="Murang'a", Areacode="60"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Zigong - Sichuan", Areacode="813"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Ealam (Ilam)", Areacode="842"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="TX", Areacode="512"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Mexico City", Areacode="55"},
                    new AreaCode{CountryId = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name="Hawtah", Areacode="1"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Poduri", Areacode="234"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Nouas", Areacode="62"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Miquan - Xinjiang", Areacode="9041"},
                    new AreaCode{CountryId = new Guid("3744A5E2-1AA7-441D-AE36-30342FEDE0F8"), Name="Region Jihomoravsky", Areacode="51"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Bkscsaba", Areacode="66"},
                    new AreaCode{CountryId = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name="Mobitel", Areacode="71"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Ivanovo", Areacode="1652"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Okahandja", Areacode="62"},
                    new AreaCode{CountryId = new Guid("34C2F0BC-018C-476A-828C-8C7E086B5529"), Name="Djibouti Tlcom (GSM 900)", Areacode="81"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="GA", Areacode="678"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Afidnes", Areacode="2295"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Tsenkharla", Areacode="4"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Boca de Jaruco", Areacode="6929"},
                    new AreaCode{CountryId = new Guid("08E81DF6-8533-4FD7-B909-A4EC6E5D31F0"), Name="Battambang", Areacode="53"},
                    new AreaCode{CountryId = new Guid("FFAE686C-4A31-40DD-A1C5-7A4551E03212"), Name="Kyoto", Areacode="75"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="DiGi(GSM 1800)", Areacode="16"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Quanzhou - Fujian", Areacode="595"},
                    new AreaCode{CountryId = new Guid("BF4B4AAC-85A9-4D32-BE21-A8E1A51638AA"), Name="MobitelGSM 900, 1800", Areacode="41"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Imatra", Areacode="5"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Nasaud", Areacode="263"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Tashir", Areacode="54"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Hammarstrand", Areacode="696"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="CA", Areacode="916"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Kumakams", Areacode="6638"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Logoysk", Areacode="1774"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Husi", Areacode="235"},
                    new AreaCode{CountryId = new Guid("C02106C7-B8A7-46EB-AAC6-2F880BE260CD"), Name="Copiac", Areacode="52"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Orange France", Areacode="689"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Maxis(GSM 900/1800)", Areacode="12"},
                    new AreaCode{CountryId = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name="Era", Areacode="606"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Lugoj", Areacode="256"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Mobile Phones", Areacode="178"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Baneasa", Areacode="241"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Yichun - Heilongjiang", Areacode="4652"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Santa Cruz de Tenerife", Areacode="922"},
                    new AreaCode{CountryId = new Guid("A8DF1692-825B-496C-BB7D-5021DFCDBFA8"), Name="Gabrovo", Areacode="66"},
                    new AreaCode{CountryId = new Guid("7ED4C4DC-96E6-419D-A033-67B4526511AF"), Name="Pakse", Areacode="31"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Udaipur", Areacode="294"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Karlstad", Areacode="54"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Guardalavaca", Areacode="24"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Jagey Grande", Areacode="59"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="San Antonio de Las Vegas", Areacode="64"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Jakarta", Areacode="21"},
                    new AreaCode{CountryId = new Guid("B8E9EFD7-A3F2-495A-89F6-9E4FDA01D3C0"), Name="Falaj-al-Moalla", Areacode="6"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Sanamein", Areacode="15"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Khepupara", Areacode="4425"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Cagliari", Areacode="70"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Muktagacha", Areacode="9028"},
                    new AreaCode{CountryId = new Guid("4504391C-E9D7-43BF-BC06-832E0A6FB016"), Name="Albay", Areacode="52"},
                    new AreaCode{CountryId = new Guid("971C8400-1479-410E-87BD-84C35D776B5E"), Name="Nakuru", Areacode="51"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Cabaas", Areacode="63"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Raseiniai", Areacode="428"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Calixto Garcia", Areacode="24"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Lule", Areacode="920"},
                    new AreaCode{CountryId = new Guid("FFAE686C-4A31-40DD-A1C5-7A4551E03212"), Name="Naha", Areacode="98"},
                    new AreaCode{CountryId = new Guid("35CB7CC2-B2D2-4FA7-A8C6-ADC86A206210"), Name="T-Mobile Montenegro", Areacode="67"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Jibou", Areacode="260"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="IL", Areacode="779"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Plulpur", Areacode="9033"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Avila", Areacode="920"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Fathepur Sikri", Areacode="5619"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Turnhout", Areacode="14"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Rize", Areacode="464"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Jiayuguan - Gansu", Areacode="9477"},
                    new AreaCode{CountryId = new Guid("EDE00EFD-0261-4A82-AA47-DA188120C9EC"), Name="Cholla bukdo", Areacode="63"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Karditsa", Areacode="2441"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Yimin - Nei Mongol", Areacode="4890"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Sbalo", Areacode="84"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Al-Boukamal", Areacode="51"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Hanzhong - Shaanxi", Areacode="916"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MN", Areacode="651"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="OR", Areacode="971"},
                    new AreaCode{CountryId = new Guid("A9A3273A-6251-434E-B0D3-0286B0EC4EFC"), Name="Welkom", Areacode="57"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Booshehr", Areacode="772"},
                    new AreaCode{CountryId = new Guid("80EC649B-DE55-46E8-9C84-5B84F8252CA4"), Name="Georgetown", Areacode="224"},
                    new AreaCode{CountryId = new Guid("FFAE686C-4A31-40DD-A1C5-7A4551E03212"), Name="Okinawa", Areacode="98"},
                    new AreaCode{CountryId = new Guid("A3BEDE9E-A359-49FD-8250-A40F13BCE642"), Name="Encarnacion", Areacode="71"},
                    new AreaCode{CountryId = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name="Abqaiq", Areacode="3"},
                    new AreaCode{CountryId = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name="Plus GSM (Polkomtel)", Areacode="691"},
                    new AreaCode{CountryId = new Guid("B8E9EFD7-A3F2-495A-89F6-9E4FDA01D3C0"), Name="Ajman", Areacode="6"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Ha", Areacode="8"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Petrosani", Areacode="254"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="zd", Areacode="48"},
                    new AreaCode{CountryId = new Guid("0CA4824C-C2FB-48D8-A47F-06C54FB7C4C7"), Name="Bjelovar", Areacode="43"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Karaman", Areacode="338"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Tel Abiad", Areacode="22"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Zhemgang DAMA", Areacode="3"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Keetmanshoop", Areacode="63"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="ND", Areacode="701"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="IA", Areacode="319"},
                    new AreaCode{CountryId = new Guid("FFAE686C-4A31-40DD-A1C5-7A4551E03212"), Name="Kawasaki (Kanagawa)", Areacode="44"},
                    new AreaCode{CountryId = new Guid("4D69E0AB-3849-46F9-95E3-BF555E2D78C6"), Name="Donegal", Areacode="75"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Oaxaca de Juarez", Areacode="951"},
                    new AreaCode{CountryId = new Guid("4910D3B0-948C-4FBA-8004-10EF33F1E8DD"), Name="Carmiel", Areacode="4"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Mirina", Areacode="2254"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Yongfu - Guangxi", Areacode="7848"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Hunchun - Jilin", Areacode="4437"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="La Coloma", Areacode="8"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Timisoara", Areacode="256"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Ceba Mocha", Areacode="5"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="IL", Areacode="815"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="TX", Areacode="806"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Onatel(GSM 900)", Areacode="26"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Quebec", Areacode="450"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Mobile", Areacode="380"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Banaripara", Areacode="4332"},
                    new AreaCode{CountryId = new Guid("7B2B044D-470B-4BE0-863B-B5D847E51592"), Name="Thaton", Areacode="57"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="Orange", Areacode="78"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Jullundur", Areacode="181"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Braslav", Areacode="2153"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Marangi", Areacode="66"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Mobile Phones", Areacode="61"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="?. Peramos", Areacode="2594"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Sarand", Areacode="852"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Essen", Areacode="201"},
                    new AreaCode{CountryId = new Guid("0CA4824C-C2FB-48D8-A47F-06C54FB7C4C7"), Name="Zadar", Areacode="23"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Tirgu Secuiesc", Areacode="267"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Birai", Areacode="450"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="Sotelgui", Areacode="26"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="CA", Areacode="559"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Sarawak (state)", Areacode="8"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Jiaozuo - Henan", Areacode="391"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="San Nicols de Bari", Areacode="62"},
                    new AreaCode{CountryId = new Guid("98B5E495-150F-4C32-A4C1-F79F25373E16"), Name="Napier", Areacode="6"},
                    new AreaCode{CountryId = new Guid("A9A3273A-6251-434E-B0D3-0286B0EC4EFC"), Name="Port Elizabeth", Areacode="41"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Mongla New Port", Areacode="4662"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Ninove", Areacode="54"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Etunda", Areacode="65"},
                    new AreaCode{CountryId = new Guid("3744A5E2-1AA7-441D-AE36-30342FEDE0F8"), Name="Region Kralovehradecky", Areacode="49"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Juye - Shandong", Areacode="5401"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="FL", Areacode="863"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Jiaxin - Zhejiang", Areacode="573"},
                    new AreaCode{CountryId = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name="Bukayriyah", Areacode="6"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Akhalgori", Areacode="342"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Zamalkah", Areacode="11"},
                    new AreaCode{CountryId = new Guid("26F89703-E93A-4FBD-ADD7-3BFFB69CDEC3"), Name="Kursk", Areacode="471"},
                    new AreaCode{CountryId = new Guid("BF4B4AAC-85A9-4D32-BE21-A8E1A51638AA"), Name="ISP providers", Areacode="889"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Tougan", Areacode="54"},
                    new AreaCode{CountryId = new Guid("78693684-30E2-4709-B032-2AD99A39B401"), Name="Braslia", Areacode="61"},
                    new AreaCode{CountryId = new Guid("E3DF469C-F7E0-4950-8DD6-09FD27DC3F55"), Name="All", Areacode="1"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Liaoyuan - Jilin", Areacode="437"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Kajang", Areacode="3"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Hmeenlinna", Areacode="3"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Maiduguri", Areacode="76"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Guantnamo", Areacode="21"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Pattaya Mobile", Areacode="838"},
                    new AreaCode{CountryId = new Guid("911535A7-40E1-470D-8DC8-F0F9AABB818E"), Name="Las Piedras", Areacode="324"},
                    new AreaCode{CountryId = new Guid("6E22EFB7-CAC9-4179-B842-CE73EC1D9DBB"), Name="Central and West Region (South Australia, Northern Territory and Western Australia)", Areacode="8"},
                    new AreaCode{CountryId = new Guid("08E81DF6-8533-4FD7-B909-A4EC6E5D31F0"), Name="Siem Riep", Areacode="63"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Vnersborg", Areacode="521"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="Winterthur", Areacode="52"},
                    new AreaCode{CountryId = new Guid("BD42A40A-1E6D-4495-AB9B-C5D8B850959E"), Name="Dashkhouvuz", Areacode="322"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Al-Mauhatta", Areacode="31"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Telecel Faso(GSM 900)", Areacode="83"},
                    new AreaCode{CountryId = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name="Mannar", Areacode="23"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Henshan - Hunan", Areacode="7446"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Keszthely", Areacode="83"},
                    new AreaCode{CountryId = new Guid("67EF14F5-78E1-40A7-A732-B518267A4B86"), Name="Saurimo", Areacode="53"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Pielesti", Areacode="251"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Batman", Areacode="488"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Gira de Melena", Areacode="67"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Lakatrsk", Areacode="925"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Karleby", Areacode="6"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Caciulata", Areacode="250"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Neuvitas", Areacode="32"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Goalanda", Areacode="6423"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Tortoman", Areacode="241"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Ulebrg", Areacode="8"},
                    new AreaCode{CountryId = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name="Radom", Areacode="48"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Kirovsk", Areacode="2237"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Akhurian", Areacode="43"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Khorasan", Areacode="582"},
                    new AreaCode{CountryId = new Guid("A9A3273A-6251-434E-B0D3-0286B0EC4EFC"), Name="De Aar", Areacode="571"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Munkedal", Areacode="524"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Tibro", Areacode="504"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Orange France", Areacode="631"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Kalianoi", Areacode="2747"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Noyemberian", Areacode="66"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Libramont", Areacode="61"},
                    new AreaCode{CountryId = new Guid("B270D848-0C58-44DF-994B-386F9BA6BD8E"), Name="Mutsamudu", Areacode="711"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Mohe - Heilongjiang", Areacode="457"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Teliucu Inferior", Areacode="254"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MN", Areacode="507"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Saraburi Mobile", Areacode="836"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Paro", Areacode="8"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Petresti (judetz: Dambovita)", Areacode="245"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Rrogozhin", Areacode="577"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Zhuhai - Guangdong", Areacode="756"},
                    new AreaCode{CountryId = new Guid("971C8400-1479-410E-87BD-84C35D776B5E"), Name="Nyahururu", Areacode="65"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Chon Buri", Areacode="38"},
                    new AreaCode{CountryId = new Guid("BF4B4AAC-85A9-4D32-BE21-A8E1A51638AA"), Name="Commercial calls", Areacode="90"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Pedro Betancourt", Areacode="5"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="CO", Areacode="719"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Sanliurfa", Areacode="414"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Horezu", Areacode="250"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Weifang - Shandong", Areacode="536"},
                    new AreaCode{CountryId = new Guid("C6FFFECA-02E5-4158-B833-05C3DAD25AB2"), Name="Vught", Areacode="73"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="MTN Nigeria(GSM 900/1800)", Areacode="803"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Caceres", Areacode="927"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Maxis(GSM 900/1800)", Areacode="14"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Dyatlovo", Areacode="1563"},
                    new AreaCode{CountryId = new Guid("58986264-67FE-4428-B004-1C727858F990"), Name="Jounieh", Areacode="9"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Haiti", Areacode="32"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Kanglung", Areacode="4"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Hateg", Areacode="254"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Mingechevir", Areacode="147"},
                    new AreaCode{CountryId = new Guid("4D69E0AB-3849-46F9-95E3-BF555E2D78C6"), Name="Dundalk", Areacode="42"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Soria", Areacode="954"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Media Luna", Areacode="23"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Changchun - Jilin", Areacode="431"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Grigoriopol", Areacode="210"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Torpshammar", Areacode="691"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Semnan", Areacode="232"},
                    new AreaCode{CountryId = new Guid("C6FFFECA-02E5-4158-B833-05C3DAD25AB2"), Name="Hoensbroek", Areacode="45"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Echinos", Areacode="2544"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Madrid", Areacode="91"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Okangwati", Areacode="65"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Khorasan", Areacode="572"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Fetesti", Areacode="243"},
                    new AreaCode{CountryId = new Guid("08E81DF6-8533-4FD7-B909-A4EC6E5D31F0"), Name="Kampot", Areacode="33"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Letea Veche", Areacode="234"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Jasem", Areacode="15"},
                    new AreaCode{CountryId = new Guid("67EF14F5-78E1-40A7-A732-B518267A4B86"), Name="Tombwa", Areacode="64"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Lucknow", Areacode="522"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Gramsh", Areacode="513"},
                    new AreaCode{CountryId = new Guid("6E22EFB7-CAC9-4179-B842-CE73EC1D9DBB"), Name="North East Region (Queensland)", Areacode="7"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="GSM Mobile", Areacode="70"},
                    new AreaCode{CountryId = new Guid("78693684-30E2-4709-B032-2AD99A39B401"), Name="Fortaleza", Areacode="85"},
                    new AreaCode{CountryId = new Guid("645A1B17-973B-4AB2-B851-D1F223817C70"), Name="Struga", Areacode="46"},
                    new AreaCode{CountryId = new Guid("FFAE686C-4A31-40DD-A1C5-7A4551E03212"), Name="Tachikawa (Tokyo)", Areacode="425"},
                    new AreaCode{CountryId = new Guid("2A2C198B-5682-4D9E-81A9-E9194770ED92"), Name="Aswan", Areacode="97"},
                    new AreaCode{CountryId = new Guid("FA0911EC-E929-4005-A679-A35E889F98FE"), Name="Kabul", Areacode="20"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Helmeringhausen", Areacode="63"},
                    new AreaCode{CountryId = new Guid("98B5E495-150F-4C32-A4C1-F79F25373E16"), Name="Telecom Minicall Pager", Areacode="89"},
                    new AreaCode{CountryId = new Guid("E030214A-C85E-40FA-A627-70601272F411"), Name="Kashkadaria", Areacode="75"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Brussel/Bruxelles Brussels", Areacode="2"},
                    new AreaCode{CountryId = new Guid("628ECF60-BE3C-4242-B48E-D9ABCFB6051F"), Name="Tema", Areacode="22"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Agstafa", Areacode="244"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Furudal", Areacode="258"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Bobo-Dioulasso", Areacode="99"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="KY", Areacode="606"},
                    new AreaCode{CountryId = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name="Ambalangoda", Areacode="97"},
                    new AreaCode{CountryId = new Guid("A8DF1692-825B-496C-BB7D-5021DFCDBFA8"), Name="Varna", Areacode="52"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Sevan", Areacode="61"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Liden", Areacode="692"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Carpinis", Areacode="241"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Negresti", Areacode="235"},
                    new AreaCode{CountryId = new Guid("748710B5-D2A6-43BF-9612-C377ACDA272A"), Name="Lotung", Areacode="39"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Ozurgeti", Areacode="396"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Sistan", Areacode="544"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Rezina", Areacode="254"},
                    new AreaCode{CountryId = new Guid("35CB7CC2-B2D2-4FA7-A8C6-ADC86A206210"), Name="Herceg Novi", Areacode="88"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Bagani", Areacode="66"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Auchi", Areacode="57"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Mobile phones", Areacode="911"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Hermosillo", Areacode="662"},
                    new AreaCode{CountryId = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name="Zabrze", Areacode="32"},
                    new AreaCode{CountryId = new Guid("645A1B17-973B-4AB2-B851-D1F223817C70"), Name="Probistip", Areacode="32"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Liesti", Areacode="236"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Mitilini", Areacode="2251"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Pyli", Areacode="2434"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Ghazalah", Areacode="15"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Samtredia", Areacode="311"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Messina", Areacode="90"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Quivicn", Areacode="67"},
                    new AreaCode{CountryId = new Guid("26F89703-E93A-4FBD-ADD7-3BFFB69CDEC3"), Name="Tver", Areacode="482"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Kordestan", Areacode="875"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Ceuta", Areacode="952"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Arkalochori", Areacode="2891"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Espoo-Esbo", Areacode="9"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="FL", Areacode="352"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Telecel Faso(GSM 900)", Areacode="85"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Fintinele", Areacode="257"},
                    new AreaCode{CountryId = new Guid("4910D3B0-948C-4FBA-8004-10EF33F1E8DD"), Name="Haifa", Areacode="4"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Laholm", Areacode="430"},
                    new AreaCode{CountryId = new Guid("96AF43F8-0F0A-459D-9433-4DEDD84FB167"), Name="Hanoi", Areacode="4"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="San Antonio", Areacode="32"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Ura Vajgurore", Areacode="361"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Bad Homburg", Areacode="6172"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Mamaia", Areacode="241"},
                    new AreaCode{CountryId = new Guid("CEC7D0EF-064C-4B24-846E-8FD52A3A6F7A"), Name="Mutare", Areacode="20"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Xiangfan - Hubei", Areacode="710"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Bilesuvar", Areacode="159"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="CA", Areacode="760"},
                    new AreaCode{CountryId = new Guid("748710B5-D2A6-43BF-9612-C377ACDA272A"), Name="Pingtung", Areacode="8"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Racaciuni", Areacode="234"},
                    new AreaCode{CountryId = new Guid("84718E1D-25ED-4B92-B38D-466845FF1BE0"), Name="Coro", Areacode="268"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Baku", Areacode="12"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Maran", Areacode="9"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Jember", Areacode="33"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="La Reforma", Areacode="61"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Western Azerbayajan", Areacode="482"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Sibioara", Areacode="241"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Camilo Cienfuegos", Areacode="692"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Akrata", Areacode="2696"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Uddevalla", Areacode="522"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Sistan", Areacode="548"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="OH", Areacode="513"},
                    new AreaCode{CountryId = new Guid("ABA66E74-AF34-4105-A846-D2E710AFAF8C"), Name="Larnaca", Areacode="24"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Bailesti", Areacode="251"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Mobile Phones", Areacode="692"},
                    new AreaCode{CountryId = new Guid("28431BD3-731C-4DF6-9765-2F88C08884A3"), Name="Toamasina", Areacode="53"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Shamkir", Areacode="241"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Mobile", Areacode="347"},
                    new AreaCode{CountryId = new Guid("DF285779-2BB8-4280-9C72-630BF4C356FF"), Name="Dujansk Streda", Areacode="31"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Changde - Hunan", Areacode="736"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Tarragona", Areacode="977"},
                    new AreaCode{CountryId = new Guid("ADDAC550-B86C-40CF-B8C4-10F142EBDF66"), Name="Cuzco", Areacode="84"},
                    new AreaCode{CountryId = new Guid("E04C0643-8FE6-4364-8859-7BB360BA46F4"), Name="Bokhtar", Areacode="37745"},
                    new AreaCode{CountryId = new Guid("4504391C-E9D7-43BF-BC06-832E0A6FB016"), Name="Zamboanga", Areacode="62"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Chaharmahal", Areacode="773"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Celtel(GSM 900)", Areacode="57"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Kirklareli", Areacode="288"},
                    new AreaCode{CountryId = new Guid("3744A5E2-1AA7-441D-AE36-30342FEDE0F8"), Name="Region Jihocesky", Areacode="38"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Tonghua - Jilin", Areacode="435"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Puebla", Areacode="222"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Telega", Areacode="244"},
                    new AreaCode{CountryId = new Guid("A3BEDE9E-A359-49FD-8250-A40F13BCE642"), Name="Pedro J Caballero", Areacode="36"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Aridea", Areacode="2384"},
                    new AreaCode{CountryId = new Guid("B270D848-0C58-44DF-994B-386F9BA6BD8E"), Name="Foumbouni and South of Island", Areacode="79"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Hamedan", Areacode="852"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Landskrona-Svalv", Areacode="418"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Thira", Areacode="2286"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MA", Areacode="351"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Tripoli", Areacode="271"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Fanyu - Guangdong", Areacode="20"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Quebec", Areacode="514"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Frgelanda", Areacode="528"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="WI", Areacode="262"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Valladolid", Areacode="983"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Cristian", Areacode="269"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Serres", Areacode="2321"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Tammerfors", Areacode="3"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Bethanie", Areacode="63"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Siping - Jilin", Areacode="434"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Erzincan", Areacode="446"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Salakos", Areacode="2246"},
                    new AreaCode{CountryId = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name="Plus GSM (Polkomtel)", Areacode="609"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Hobas", Areacode="6342"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Briceni", Areacode="247"},
                    new AreaCode{CountryId = new Guid("AC2B94BD-C0C8-4548-A4D2-675FB4045436"), Name="Sabratha", Areacode="24"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Mostaganem", Areacode="45"},
                    new AreaCode{CountryId = new Guid("F78C8099-1023-43D2-B0EB-3BC95DBA4703"), Name="Novi Sad", Areacode="21"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Jiyang - Shandong", Areacode="5448"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Dongwan - Guangdong", Areacode="7620"},
                    new AreaCode{CountryId = new Guid("6E22EFB7-CAC9-4179-B842-CE73EC1D9DBB"), Name="Digital GSM Mobile phones (All States)", Areacode="4"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Dechencholing", Areacode="2"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MI", Areacode="248"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="nge", Areacode="690"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="SFR", Areacode="617"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Castelu", Areacode="241"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Orange France", Areacode="677"},
                    new AreaCode{CountryId = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name="Olsztyn", Areacode="89"},
                    new AreaCode{CountryId = new Guid("84718E1D-25ED-4B92-B38D-466845FF1BE0"), Name="Barquisimeto", Areacode="251"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="La Chaux-de-Fonds", Areacode="32"},
                    new AreaCode{CountryId = new Guid("CCEC3BC3-8630-4D7B-8364-655AEC9F5EE7"), Name="Vodaphone", Areacode="99"},
                    new AreaCode{CountryId = new Guid("ADDAC550-B86C-40CF-B8C4-10F142EBDF66"), Name="Chiclayo", Areacode="74"},
                    new AreaCode{CountryId = new Guid("08E81DF6-8533-4FD7-B909-A4EC6E5D31F0"), Name="Casacom (Samart) NMT 900", Areacode="15"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Molkom", Areacode="553"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Erfurt", Areacode="361"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Asau", Areacode="234"},
                    new AreaCode{CountryId = new Guid("28431BD3-731C-4DF6-9765-2F88C08884A3"), Name="TELECEL (AMPS Cellular)", Areacode="30"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Djalilabad", Areacode="114"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Vamos", Areacode="2825"},
                    new AreaCode{CountryId = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name="Mubarraz", Areacode="1"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Ontario", Areacode="226"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Quebec", Areacode="819"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Bonn", Areacode="228"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Kuraya", Areacode="16"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Mumbai (formerlyBombay )", Areacode="22"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Phuket Mobile", Areacode="876"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MI", Areacode="231"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Odorheiu Secuiesc", Areacode="266"},
                    new AreaCode{CountryId = new Guid("67EF14F5-78E1-40A7-A732-B518267A4B86"), Name="Cunene", Areacode="65"},
                    new AreaCode{CountryId = new Guid("78693684-30E2-4709-B032-2AD99A39B401"), Name="Curitiba", Areacode="41"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Eastern Azerbayajan", Areacode="412"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Deurstamp", Areacode="63"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Tounai", Areacode="69"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Bjurholm", Areacode="932"},
                    new AreaCode{CountryId = new Guid("80EC649B-DE55-46E8-9C84-5B84F8252CA4"), Name="New Amsterdam", Areacode="333"},
                    new AreaCode{CountryId = new Guid("4504391C-E9D7-43BF-BC06-832E0A6FB016"), Name="Manila", Areacode="2"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Ardebil", Areacode="452"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Slobozia", Areacode="557"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Buhov", Areacode="2231"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Khoozestan", Areacode="612"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Chihuahua", Areacode="614"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Abuja", Areacode="9"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Kermanshah", Areacode="831"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Sofades", Areacode="2443"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Magti Com", Areacode="99"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Kayseri", Areacode="352"},
                    new AreaCode{CountryId = new Guid("B270D848-0C58-44DF-994B-386F9BA6BD8E"), Name="Fomboni", Areacode="720"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Lhuntse", Areacode="4"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="AR", Areacode="501"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Ya-an - Sichuan", Areacode="835"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Thessaloniki", Areacode="231"},
                    new AreaCode{CountryId = new Guid("645A1B17-973B-4AB2-B851-D1F223817C70"), Name="Dojran", Areacode="34"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Hetian - Xinjiang", Areacode="9032"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Iraklion", Areacode="281"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Racari", Areacode="245"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Sleimaniyah", Areacode="21"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NY", Areacode="315"},
                    new AreaCode{CountryId = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name="Medina Region", Areacode="4"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Kupikis", Areacode="459"},
                    new AreaCode{CountryId = new Guid("19384D80-2CBE-482D-A06C-1D8E17F183E5"), Name="Kampala", Areacode="41"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Comrat", Areacode="298"},
                    new AreaCode{CountryId = new Guid("F8B2E8D7-1651-4084-83DF-06D9D98EA3CC"), Name="Majuro Island, Majuro Atoll", Areacode="625"},
                    new AreaCode{CountryId = new Guid("B8E9EFD7-A3F2-495A-89F6-9E4FDA01D3C0"), Name="Tarif", Areacode="88"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="KY", Areacode="859"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Changle - Fujian", Areacode="591"},
                    new AreaCode{CountryId = new Guid("4910D3B0-948C-4FBA-8004-10EF33F1E8DD"), Name="Akko (Acre)", Areacode="4"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Omnitel", Areacode="686"},
                    new AreaCode{CountryId = new Guid("26F89703-E93A-4FBD-ADD7-3BFFB69CDEC3"), Name="Kaluga", Areacode="484"},
                    new AreaCode{CountryId = new Guid("F896E6E5-3B7A-4109-B515-71BD123F9EDD"), Name="Mascom(GSM 900)", Areacode="71"},
                    new AreaCode{CountryId = new Guid("4910D3B0-948C-4FBA-8004-10EF33F1E8DD"), Name="Tiberias", Areacode="4"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Dandong - Liaoning", Areacode="415"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Golestan", Areacode="173"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Sibanicu", Areacode="32"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Malang", Areacode="34"},
                    new AreaCode{CountryId = new Guid("A8DF1692-825B-496C-BB7D-5021DFCDBFA8"), Name="Pernik", Areacode="76"},
                    new AreaCode{CountryId = new Guid("08E81DF6-8533-4FD7-B909-A4EC6E5D31F0"), Name="Camshin (Shinawatra)GSM 900/1800", Areacode="11"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Postavu", Areacode="2155"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Jhikargacha", Areacode="4225"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Orange France", Areacode="682"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Chuadanga", Areacode="761"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Klichev", Areacode="2236"},
                    new AreaCode{CountryId = new Guid("BF4B4AAC-85A9-4D32-BE21-A8E1A51638AA"), Name="Novo mesto", Areacode="7"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Aroab", Areacode="63"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Miskolc", Areacode="46"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Tiantai - Zhejiang", Areacode="576"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Pahang", Areacode="9"},
                    new AreaCode{CountryId = new Guid("F8B2E8D7-1651-4084-83DF-06D9D98EA3CC"), Name="Wotje Atoll", Areacode="535"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Gislaved-Anderstorp", Areacode="371"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Barda", Areacode="110"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Sandakan", Areacode="8"},
                    new AreaCode{CountryId = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name="Batticaloa", Areacode="65"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Floresti (judetz: Prahova)", Areacode="244"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="Zurich", Areacode="43"},
                    new AreaCode{CountryId = new Guid("96AF43F8-0F0A-459D-9433-4DEDD84FB167"), Name="Mobile Phones", Areacode="81"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Solo", Areacode="27"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Alamdanga", Areacode="7622"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Tinos", Areacode="2283"},
                    new AreaCode{CountryId = new Guid("572DD1AF-B90F-41AC-B10C-ADF568AC82C7"), Name="Sukkur", Areacode="71"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Teliai", Areacode="444"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="Lugano", Areacode="91"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Mpacha", Areacode="66"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MO", Areacode="314"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Okatope", Areacode="65"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Babadag", Areacode="240"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Svrdsj-Enviken", Areacode="246"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Taizhou - Jiangsu", Areacode="5241"},
                    new AreaCode{CountryId = new Guid("FA0911EC-E929-4005-A679-A35E889F98FE"), Name="Kandahar", Areacode="30"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Munich", Areacode="89"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Gibeon party line", Areacode="668"},
                    new AreaCode{CountryId = new Guid("5A4B23B0-8036-4849-B935-28D9A00B5339"), Name="Mwanza", Areacode="28"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="CA", Areacode="415"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Chengde - Hebei", Areacode="314"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="Labe", Areacode="51"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Eger", Areacode="36"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Vmobile Nigeria(GSM 900/1800)", Areacode="802"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Arapi", Areacode="43"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Kohgelouyeh", Areacode="742"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Guaro", Areacode="24"},
                    new AreaCode{CountryId = new Guid("B270D848-0C58-44DF-994B-386F9BA6BD8E"), Name="Fomboni", Areacode="724"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Analogue Mobile", Areacode="10"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Sylhet", Areacode="821"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Ontario", Areacode="519"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Stolnici", Areacode="248"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Abovian", Areacode="22"},
                    new AreaCode{CountryId = new Guid("0CA4824C-C2FB-48D8-A47F-06C54FB7C4C7"), Name="Pozega", Areacode="34"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Kalavrita", Areacode="2692"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="CO", Areacode="720"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Deir Ezzour", Areacode="51"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="JesrCheghour", Areacode="23"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Beius", Areacode="259"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Artik", Areacode="44"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Beshenkovichi", Areacode="2131"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Mobile Phones", Areacode="97"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Canakkale", Areacode="286"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Yogyakarta", Areacode="27"},
                    new AreaCode{CountryId = new Guid("EDE00EFD-0261-4A82-AA47-DA188120C9EC"), Name="Seoul", Areacode="2"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Fengzhen - Nei Mongol", Areacode="4841"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Loimaa", Areacode="2"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Biran", Areacode="24"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Ulricehamn", Areacode="321"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Kolkatta(formerlyCalcutta)", Areacode="33"},
                    new AreaCode{CountryId = new Guid("2745B68E-B8F8-4924-9588-47CF2E90425F"), Name="Ontario (Toronto Metro)", Areacode="416"},
                    new AreaCode{CountryId = new Guid("5A4B23B0-8036-4849-B935-28D9A00B5339"), Name="Mtara", Areacode="23"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Chile", Areacode="22"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Songkhla", Areacode="74"},
                    new AreaCode{CountryId = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name="Gdansk", Areacode="58"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Communidad Pueblo Nuevo", Areacode="32"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Ouagadougou", Areacode="33"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="FL", Areacode="305"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Camalote", Areacode="32"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Bangkok", Areacode="2"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Grums", Areacode="555"},
                    new AreaCode{CountryId = new Guid("A8DF1692-825B-496C-BB7D-5021DFCDBFA8"), Name="Sofia", Areacode="2"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="IA", Areacode="712"},
                    new AreaCode{CountryId = new Guid("96AF43F8-0F0A-459D-9433-4DEDD84FB167"), Name="Can Tho", Areacode="71"},
                    new AreaCode{CountryId = new Guid("645A1B17-973B-4AB2-B851-D1F223817C70"), Name="Tetovo", Areacode="44"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Joutsa", Areacode="14"},
                    new AreaCode{CountryId = new Guid("4D69E0AB-3849-46F9-95E3-BF555E2D78C6"), Name="Tralee", Areacode="66"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Veracruz", Areacode="229"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Anqiu - Shandong", Areacode="5467"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Karpathos", Areacode="2245"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Rafael Freyre", Areacode="24"},
                    new AreaCode{CountryId = new Guid("DF285779-2BB8-4280-9C72-630BF4C356FF"), Name="Nitra", Areacode="37"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Pori", Areacode="2"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Julu - Hebei", Areacode="3276"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Boussra", Areacode="15"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="UT", Areacode="435"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Paikgacha", Areacode="4027"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Jixi - Heilongjiang", Areacode="4617"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Telenesti", Areacode="258"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Orange France", Areacode="684"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Special Service for Indosat", Areacode="870"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Bejaia", Areacode="34"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Nueva Gerona", Areacode="61"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Sanmenxia - Henan", Areacode="3891"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Guadalajara", Areacode="949"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="WA", Areacode="253"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Kangdin - Sichuan", Areacode="836"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Mazandaran", Areacode="112"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Salonta", Areacode="259"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Lamia", Areacode="2231"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Globacom(GSM 900/1800)", Areacode="805"},
                    new AreaCode{CountryId = new Guid("2745B68E-B8F8-4924-9588-47CF2E90425F"), Name="Ontario (North Bay)", Areacode="705"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Buhoci", Areacode="234"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Perdika", Areacode="2654"},
                    new AreaCode{CountryId = new Guid("38A19469-4D7A-4156-873A-92733BC92C61"), Name="Balqa", Areacode="5"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="LANDS MOBILTELEFON AB", Areacode="4570"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Orivesi", Areacode="3"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Aria(GSM 1800)", Areacode="55"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Mazandaran", Areacode="122"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Bors", Areacode="33"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="PA", Areacode="717"},
                    new AreaCode{CountryId = new Guid("46F74937-0678-4EF7-89F1-C4FE6C0CE3E4"), Name="Sarlahi", Areacode="46"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Base", Areacode="487"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Nagykanizsa", Areacode="93"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Qin-an - Gansu", Areacode="938"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Orange France", Areacode="676"},
                    new AreaCode{CountryId = new Guid("7B2B044D-470B-4BE0-863B-B5D847E51592"), Name="Yangon (Rangoon)", Areacode="1"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Zhicheng - Hubei", Areacode="27"},
                    new AreaCode{CountryId = new Guid("D1F141AD-99C7-432F-B35E-4EE89F9EF7F5"), Name="Diriamba", Areacode="4222"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Alberta", Areacode="780"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Shimen - Hunan", Areacode="7462"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Tokat", Areacode="356"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Semnan", Areacode="231"},
                    new AreaCode{CountryId = new Guid("62F04FC0-EB8F-4FE0-BEE9-29B71CEAA6A5"), Name="Kitwe", Areacode="2"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Athens", Areacode="21"},
                    new AreaCode{CountryId = new Guid("645A1B17-973B-4AB2-B851-D1F223817C70"), Name="Sveti Nikole", Areacode="32"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Mobistar", Areacode="490"},
                    new AreaCode{CountryId = new Guid("96AF43F8-0F0A-459D-9433-4DEDD84FB167"), Name="Cuu Long", Areacode="70"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Szolnok", Areacode="56"},
                    new AreaCode{CountryId = new Guid("26AA8547-5DEE-4E4F-8657-AE6881EBFE2C"), Name="Pointe A Pitre", Areacode="8"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="ilale", Areacode="449"},
                    new AreaCode{CountryId = new Guid("28431BD3-731C-4DF6-9765-2F88C08884A3"), Name="Manakara", Areacode="72"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Mobile Phones", Areacode="92"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Northwest France", Areacode="2"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Akhaltsikhe", Areacode="365"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Shkodr", Areacode="22"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Okakarara", Areacode="67"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Farkadona", Areacode="2433"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Relizane", Areacode="46"},
                    new AreaCode{CountryId = new Guid("96AF43F8-0F0A-459D-9433-4DEDD84FB167"), Name="Mobile Phones", Areacode="993"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Astros", Areacode="2755"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Longquan - Zhejiang", Areacode="5885"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Charlottenberg-motfors", Areacode="571"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Borlnge", Areacode="243"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Savona", Areacode="19"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Kardamila", Areacode="2272"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Pablo de Torriente", Areacode="86"},
                    new AreaCode{CountryId = new Guid("AC2B94BD-C0C8-4548-A4D2-675FB4045436"), Name="Derna", Areacode="81"},
                    new AreaCode{CountryId = new Guid("4504391C-E9D7-43BF-BC06-832E0A6FB016"), Name="Batangas", Areacode="43"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Cochirleni", Areacode="241"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Mount Abu", Areacode="2974"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Naftalan", Areacode="255"},
                    new AreaCode{CountryId = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name="Era", Areacode="604"},
                    new AreaCode{CountryId = new Guid("3744A5E2-1AA7-441D-AE36-30342FEDE0F8"), Name="Region Zlinsky", Areacode="57"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Koupla", Areacode="70"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Anyang - Henan", Areacode="372"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Sistan", Areacode="543"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Orange France", Areacode="683"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Agdjabedi", Areacode="113"},
                    new AreaCode{CountryId = new Guid("C6FFFECA-02E5-4158-B833-05C3DAD25AB2"), Name="Rotterdam", Areacode="10"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Guisa", Areacode="23"},
                    new AreaCode{CountryId = new Guid("C02106C7-B8A7-46EB-AAC6-2F880BE260CD"), Name="La Serena", Areacode="51"},
                    new AreaCode{CountryId = new Guid("E04C0643-8FE6-4364-8859-7BB360BA46F4"), Name="Gharm", Areacode="3131"},
                    new AreaCode{CountryId = new Guid("971C8400-1479-410E-87BD-84C35D776B5E"), Name="Marsabit", Areacode="69"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Makrakomi", Areacode="2236"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Radvilikis", Areacode="422"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Anykciai", Areacode="381"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Senaki", Areacode="313"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="TX", Areacode="832"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Nong Khai Mobile", Areacode="842"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Oulu", Areacode="8"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Rimnicu Sarat", Areacode="238"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Volkovusk", Areacode="1512"},
                    new AreaCode{CountryId = new Guid("ADDAC550-B86C-40CF-B8C4-10F142EBDF66"), Name="Trujillo", Areacode="44"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Onesti", Areacode="234"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Jalingo", Areacode="79"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Mobile", Areacode="368"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Herrljunga", Areacode="513"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Vilnius", Areacode="527"},
                    new AreaCode{CountryId = new Guid("C6FFFECA-02E5-4158-B833-05C3DAD25AB2"), Name="Hilversum", Areacode="35"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Baleares", Areacode="971"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Ierissos", Areacode="2377"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Zonguldak", Areacode="372"},
                    new AreaCode{CountryId = new Guid("645A1B17-973B-4AB2-B851-D1F223817C70"), Name="Delchevo", Areacode="33"},
                    new AreaCode{CountryId = new Guid("430CA84C-0443-4BC3-BC36-CEE6F9D2D1E2"), Name="Siliana", Areacode="8"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Frasin", Areacode="230"},
                    new AreaCode{CountryId = new Guid("628ECF60-BE3C-4242-B48E-D9ABCFB6051F"), Name="Tamale", Areacode="71"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Kontagora", Areacode="67"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Isfahan", Areacode="311"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Florida", Areacode="32"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="Sotelgui", Areacode="54"},
                    new AreaCode{CountryId = new Guid("ADDAC550-B86C-40CF-B8C4-10F142EBDF66"), Name="Chimbote", Areacode="44"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Yuxi - Yunnan", Areacode="877"},
                    new AreaCode{CountryId = new Guid("391AAAC1-18B9-4569-9FD1-B0B06B4892F8"), Name="Vrumaa", Areacode="78"},
                    new AreaCode{CountryId = new Guid("F78C8099-1023-43D2-B0EB-3BC95DBA4703"), Name="Zajechar", Areacode="19"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Ghelari", Areacode="254"},
                    new AreaCode{CountryId = new Guid("08E81DF6-8533-4FD7-B909-A4EC6E5D31F0"), Name="Kandal", Areacode="24"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Tepelen", Areacode="814"},
                    new AreaCode{CountryId = new Guid("28431BD3-731C-4DF6-9765-2F88C08884A3"), Name="Antananarivo", Areacode="22"},
                    new AreaCode{CountryId = new Guid("98B5E495-150F-4C32-A4C1-F79F25373E16"), Name="Auckland", Areacode="9"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Jombang", Areacode="32"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Hadjigabul", Areacode="140"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Ouahigouya", Areacode="55"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Mobile Phones", Areacode="160"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Krasnopolye", Areacode="2238"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Vasilika", Areacode="2396"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NANP area", Areacode="877"},
                    new AreaCode{CountryId = new Guid("0CA4824C-C2FB-48D8-A47F-06C54FB7C4C7"), Name="Dubrovnik", Areacode="20"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Bistrita", Areacode="263"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Pune (formerlyPoona)", Areacode="20"},
                    new AreaCode{CountryId = new Guid("7ED4C4DC-96E6-419D-A033-67B4526511AF"), Name="Pakxan", Areacode="54"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Arvidsjaur", Areacode="960"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Limbazi", Areacode="40"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Stepanavan", Areacode="56"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Xintai - Hebei", Areacode="319"},
                    new AreaCode{CountryId = new Guid("C02106C7-B8A7-46EB-AAC6-2F880BE260CD"), Name="Curic", Areacode="75"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Didymoticho", Areacode="2553"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Cordoba", Areacode="957"},
                    new AreaCode{CountryId = new Guid("D1F141AD-99C7-432F-B35E-4EE89F9EF7F5"), Name="Masaya", Areacode="52"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Ahoada", Areacode="86"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Kavaj", Areacode="554"},
                    new AreaCode{CountryId = new Guid("911535A7-40E1-470D-8DC8-F0F9AABB818E"), Name="Paysandu", Areacode="722"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Noakhali", Areacode="321"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Nieuwpoort (Nieuport)", Areacode="58"},
                    new AreaCode{CountryId = new Guid("572DD1AF-B90F-41AC-B10C-ADF568AC82C7"), Name="Quetta", Areacode="81"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Huangshanshi - Anhui", Areacode="559"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Calafat", Areacode="251"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="GU", Areacode="671"},
                    new AreaCode{CountryId = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name="Anak", Areacode="3"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="CA", Areacode="831"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Baia Sprie", Areacode="262"},
                    new AreaCode{CountryId = new Guid("B270D848-0C58-44DF-994B-386F9BA6BD8E"), Name="Mutsamudu", Areacode="710"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Manikgonj", Areacode="651"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Aranos", Areacode="63"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Glusk", Areacode="2230"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Jurbarkas", Areacode="447"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Quebec", Areacode="438"},
                    new AreaCode{CountryId = new Guid("4D69E0AB-3849-46F9-95E3-BF555E2D78C6"), Name="Tullamore", Areacode="506"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="St. Kitts & Nevis", Areacode="869"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Haparanda", Areacode="922"},
                    new AreaCode{CountryId = new Guid("80EC649B-DE55-46E8-9C84-5B84F8252CA4"), Name="Georgetown", Areacode="225"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Kiel", Areacode="431"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Badagry", Areacode="1"},
                    new AreaCode{CountryId = new Guid("46F74937-0678-4EF7-89F1-C4FE6C0CE3E4"), Name="Dhangadi", Areacode="91"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Bucuresti (Bucharest)", Areacode="21"},
                    new AreaCode{CountryId = new Guid("F78C8099-1023-43D2-B0EB-3BC95DBA4703"), Name="MTS", Areacode="64"},
                    new AreaCode{CountryId = new Guid("3744A5E2-1AA7-441D-AE36-30342FEDE0F8"), Name="Region Stredocesky", Areacode="31"},
                    new AreaCode{CountryId = new Guid("78693684-30E2-4709-B032-2AD99A39B401"), Name="So Jos dos Campos", Areacode="12"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Xianju - Zhejiang", Areacode="576"},
                    new AreaCode{CountryId = new Guid("971C8400-1479-410E-87BD-84C35D776B5E"), Name="Embu", Areacode="68"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Wangdue", Areacode="2"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Tyrnavos", Areacode="2492"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Talmaciu", Areacode="269"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="TX", Areacode="915"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Nkurenkuru", Areacode="66"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="Faranah", Areacode="81"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Pank Shin", Areacode="70"},
                    new AreaCode{CountryId = new Guid("35CB7CC2-B2D2-4FA7-A8C6-ADC86A206210"), Name="Cetinje", Areacode="86"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Timisu De Sus", Areacode="268"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Kyparissia", Areacode="2761"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Isla de la Juventud", Areacode="61"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Cherikov", Areacode="2243"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Petresti (judetz: Alba)", Areacode="258"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Tzermiades", Areacode="2844"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Mjlby-Sknninge-Boxholm", Areacode="142"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Sakteng DAMA", Areacode="4"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Marcane", Areacode="24"},
                    new AreaCode{CountryId = new Guid("BF4B4AAC-85A9-4D32-BE21-A8E1A51638AA"), Name="VegaGSM 1800", Areacode="70"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Mobile", Areacode="335"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Sheen", Areacode="31"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Al-Kessweh", Areacode="11"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="Kankan", Areacode="71"},
                    new AreaCode{CountryId = new Guid("A78D0697-F264-411C-97B9-30AE76593E5C"), Name="Tanger (Tangiers)", Areacode="39"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Navodari", Areacode="241"},
                    new AreaCode{CountryId = new Guid("ADDAC550-B86C-40CF-B8C4-10F142EBDF66"), Name="Arequipa", Areacode="54"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Sysslebck", Areacode="564"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Nagaur", Areacode="1582"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Nagarpur", Areacode="9233"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Nehoiu", Areacode="238"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Helsingfors", Areacode="9"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Saliste", Areacode="269"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Sleinfah", Areacode="41"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="SUOMEN 2G OY", Areacode="4576"},
                    new AreaCode{CountryId = new Guid("30C0CA4F-A2D1-42E0-BDB3-ECFD85715CEB"), Name="Central Sector", Areacode="4"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Alquzar", Areacode="67"},
                    new AreaCode{CountryId = new Guid("2745B68E-B8F8-4924-9588-47CF2E90425F"), Name="Fort William", Areacode="807"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Bite GSM", Areacode="681"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Batam", Areacode="77"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="Montreux", Areacode="21"},
                    new AreaCode{CountryId = new Guid("45044628-55D2-4ADB-B3FD-19B2A3748A03"), Name="Aktau", Areacode="329"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Base", Areacode="485"},
                    new AreaCode{CountryId = new Guid("C02106C7-B8A7-46EB-AAC6-2F880BE260CD"), Name="San Fernando", Areacode="72"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Istanbul Asya (Asia side)", Areacode="216"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Bitus", Areacode="434"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Orange France", Areacode="681"},
                    new AreaCode{CountryId = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name="Kalutara", Areacode="34"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Kes", Areacode="63"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Trongsa", Areacode="3"},
                    new AreaCode{CountryId = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name="Wroclaw", Areacode="71"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Kustia", Areacode="71"},
                    new AreaCode{CountryId = new Guid("48EE4FCE-14F5-4CFE-99BB-C88B4E159F91"), Name="Amran", Areacode="7"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Rodopoli", Areacode="2327"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Svenstavik", Areacode="687"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Sanmen - Zhejiang", Areacode="576"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Playa Santa Lucia", Areacode="32"},
                    new AreaCode{CountryId = new Guid("EDE00EFD-0261-4A82-AA47-DA188120C9EC"), Name="Kangwondo", Areacode="33"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Sistan", Areacode="547"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Kam.Vourla", Areacode="2235"},
                    new AreaCode{CountryId = new Guid("DF58FFE7-6339-47ED-ADCC-DB84F7D9EACB"), Name="Telering", Areacode="650"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Hamedan", Areacode="812"},
                    new AreaCode{CountryId = new Guid("9FF64B6B-828D-4C7F-9C34-AC34EAA78979"), Name="Camtel (fixed telephony)", Areacode="337"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="TN", Areacode="423"},
                    new AreaCode{CountryId = new Guid("6B04AC6B-B56E-4022-BE18-6341F2A45F90"), Name="Pichincha", Areacode="2"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Lorelei", Areacode="63"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Khorasan", Areacode="552"},
                    new AreaCode{CountryId = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name="Gdynia", Areacode="58"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Datong - Shanxi", Areacode="352"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="Sotelgui", Areacode="59"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Shantou - Guangdong", Areacode="754"},
                    new AreaCode{CountryId = new Guid("971C8400-1479-410E-87BD-84C35D776B5E"), Name="Lamu", Areacode="12"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Booyerahmad", Areacode="742"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Msila", Areacode="35"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Kalahariplaas", Areacode="63"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Polian", Areacode="368"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Eastern Azerbayajan", Areacode="422"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Krugloye", Areacode="2234"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="San Jose de Las Lajas", Areacode="64"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Kharsadrapchu", Areacode="2"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Bintan", Areacode="770"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Saucesti", Areacode="234"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Fredrika", Areacode="943"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Fieni", Areacode="245"},
                    new AreaCode{CountryId = new Guid("FFAE686C-4A31-40DD-A1C5-7A4551E03212"), Name="Fuchu (Tokyo)", Areacode="423"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Beit Yashoot", Areacode="41"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Tak", Areacode="55"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Tehran", Areacode="292"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Albania Mobile Communications(GSM 900)", Areacode="68"},
                    new AreaCode{CountryId = new Guid("E030214A-C85E-40FA-A627-70601272F411"), Name="Syrdariya", Areacode="67"},
                    new AreaCode{CountryId = new Guid("AC2B94BD-C0C8-4548-A4D2-675FB4045436"), Name="Taigura", Areacode="26"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Xingguo - Jiangxi", Areacode="7073"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Karlshamn-Olofstrm", Areacode="454"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Tamarindo", Areacode="33"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Tasnad", Areacode="261"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Gjirokastr", Areacode="84"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Orange France", Areacode="678"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Zhangshu - Jiangxi", Areacode="7052"},
                    new AreaCode{CountryId = new Guid("DF285779-2BB8-4280-9C72-630BF4C356FF"), Name="Zvolen", Areacode="45"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Al-Dimas", Areacode="11"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Soimus", Areacode="254"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Gedu/Tala/Padechu/ Sinchekha", Areacode="5"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Telekomsel", Areacode="852"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Camagey", Areacode="32"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Flen-Malmkping", Areacode="157"},
                    new AreaCode{CountryId = new Guid("9FF64B6B-828D-4C7F-9C34-AC34EAA78979"), Name="Camtel (fixed telephony)", Areacode="230"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Pite", Areacode="911"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Mobile Phones", Areacode="94"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="Davos", Areacode="81"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Nevsehir", Areacode="384"},
                    new AreaCode{CountryId = new Guid("35CB7CC2-B2D2-4FA7-A8C6-ADC86A206210"), Name="Bar", Areacode="85"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Vedi", Areacode="34"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Mechelen (Malines)", Areacode="15"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Zagora", Areacode="2426"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Fuopin - Shaanxi", Areacode="9263"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Luninets", Areacode="1647"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Seimenii Mici", Areacode="241"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Namphaengphet", Areacode="55"},
                    new AreaCode{CountryId = new Guid("F78C8099-1023-43D2-B0EB-3BC95DBA4703"), Name="Sombor", Areacode="25"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Plunge", Areacode="448"},
                    new AreaCode{CountryId = new Guid("2745B68E-B8F8-4924-9588-47CF2E90425F"), Name="Ontario (Toronto Vicinity)", Areacode="905"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Kopul", Areacode="1719"},
                    new AreaCode{CountryId = new Guid("645A1B17-973B-4AB2-B851-D1F223817C70"), Name="Strumica", Areacode="34"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Manati", Areacode="31"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Mobile", Areacode="339"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Germu - Qinghai", Areacode="979"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="MoviStar GSM", Areacode="609"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="AZ", Areacode="928"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Mariel", Areacode="63"},
                    new AreaCode{CountryId = new Guid("F896E6E5-3B7A-4109-B515-71BD123F9EDD"), Name="Gaborone", Areacode="31"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Huangshi - Hubei", Areacode="714"},
                    new AreaCode{CountryId = new Guid("DF285779-2BB8-4280-9C72-630BF4C356FF"), Name="Eurotel(NMT 450))", Areacode="901"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Rangpur", Areacode="521"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Isfahan", Areacode="324"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Savinesti", Areacode="233"},
                    new AreaCode{CountryId = new Guid("4504391C-E9D7-43BF-BC06-832E0A6FB016"), Name="Lipa", Areacode="43"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="P/Gatshel", Areacode="7"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Corbeni", Areacode="248"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Kuala Lumpur", Areacode="3"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Ranthambhore Natl. Park", Areacode="7462"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Mazandaran", Areacode="111"},
                    new AreaCode{CountryId = new Guid("67EF14F5-78E1-40A7-A732-B518267A4B86"), Name="Catumbela", Areacode="72"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Yongchuan - Sichuan", Areacode="814"},
                    new AreaCode{CountryId = new Guid("5A4B23B0-8036-4849-B935-28D9A00B5339"), Name="Kilimanjao", Areacode="27"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Granada", Areacode="958"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Kretinga", Areacode="445"},
                    new AreaCode{CountryId = new Guid("4504391C-E9D7-43BF-BC06-832E0A6FB016"), Name="San Fernando: La Union", Areacode="72"},
                    new AreaCode{CountryId = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name="Idea", Areacode="505"},
                    new AreaCode{CountryId = new Guid("0CA4824C-C2FB-48D8-A47F-06C54FB7C4C7"), Name="Sisak", Areacode="44"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Baiculesti", Areacode="248"},
                    new AreaCode{CountryId = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name="Jaffna", Areacode="21"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Onatel(GSM 900)", Areacode="24"},
                    new AreaCode{CountryId = new Guid("B8E9EFD7-A3F2-495A-89F6-9E4FDA01D3C0"), Name="Dibba", Areacode="9"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Qom", Areacode="252"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Tanjungkarang", Areacode="72"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Minna", Areacode="66"},
                    new AreaCode{CountryId = new Guid("4504391C-E9D7-43BF-BC06-832E0A6FB016"), Name="Lucena", Areacode="42"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Gddede", Areacode="672"},
                    new AreaCode{CountryId = new Guid("971C8400-1479-410E-87BD-84C35D776B5E"), Name="Homa Bay", Areacode="59"},
                    new AreaCode{CountryId = new Guid("5D7A67BB-CEF8-40E7-8AB7-5B4B729A51A5"), Name="Modurman", Areacode="11"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Wiesbaden", Areacode="611"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Fushun - Liaoning", Areacode="413"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Bulqiz", Areacode="219"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Yushu - Qinghai", Areacode="976"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Palash (Ghorashal)", Areacode="6254"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Nafpaktos", Areacode="2634"},
                    new AreaCode{CountryId = new Guid("2A2C198B-5682-4D9E-81A9-E9194770ED92"), Name="Sohag", Areacode="93"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Kyurdamir", Areacode="145"},
                    new AreaCode{CountryId = new Guid("DF58FFE7-6339-47ED-ADCC-DB84F7D9EACB"), Name="Innsbruck", Areacode="512"},
                    new AreaCode{CountryId = new Guid("2745B68E-B8F8-4924-9588-47CF2E90425F"), Name="British Columbia (Except Vancouver)", Areacode="250"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Jovellanos", Areacode="5"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Seini", Areacode="262"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="KS", Areacode="316"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Ouagadougou", Areacode="30"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Karibib", Areacode="64"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NC", Areacode="336"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Sivas", Areacode="346"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Salyan", Areacode="163"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="CA", Areacode="925"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Soldanesti", Areacode="272"},
                    new AreaCode{CountryId = new Guid("F896E6E5-3B7A-4109-B515-71BD123F9EDD"), Name="Gaborone", Areacode="39"},
                    new AreaCode{CountryId = new Guid("A8DF1692-825B-496C-BB7D-5021DFCDBFA8"), Name="Vratsa", Areacode="92"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Meghri", Areacode="86"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="SFR", Areacode="622"},
                    new AreaCode{CountryId = new Guid("572DD1AF-B90F-41AC-B10C-ADF568AC82C7"), Name="Ghourghushi", Areacode="5799"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Gavar", Areacode="64"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Eastern Azerbayajan", Areacode="426"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Namasvrede", Areacode="63"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Gyandia", Areacode="22"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Sundsvall-Timr", Areacode="60"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Yu-shu - Jilin", Areacode="4415"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Banes", Areacode="24"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Andara", Areacode="67"},
                    new AreaCode{CountryId = new Guid("645A1B17-973B-4AB2-B851-D1F223817C70"), Name="Kocani", Areacode="33"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Adjud", Areacode="237"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="FL", Areacode="321"},
                    new AreaCode{CountryId = new Guid("26AA8547-5DEE-4E4F-8657-AE6881EBFE2C"), Name="Grand Bourg", Areacode="97"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Mobile Phones", Areacode="96"},
                    new AreaCode{CountryId = new Guid("DADCF19E-53B0-4739-9712-0C80ACA78D41"), Name="Mobile Phones", Areacode="9"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Yantai - Shandong", Areacode="535"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Leu", Areacode="251"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Brest", Areacode="162"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Trollhttan", Areacode="520"},
                    new AreaCode{CountryId = new Guid("28431BD3-731C-4DF6-9765-2F88C08884A3"), Name="Morondava", Areacode="95"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Sinnicolau-Mare", Areacode="256"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Amaliada", Areacode="2622"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Semenyih", Areacode="3"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Trnsj-stervla", Areacode="292"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Lige (Luik)", Areacode="4"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Karasburg", Areacode="63"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="Sotelgui", Areacode="55"},
                    new AreaCode{CountryId = new Guid("45044628-55D2-4ADB-B3FD-19B2A3748A03"), Name="Kostanai", Areacode="314"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Straseni", Areacode="237"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Cayo Largo del Sur", Areacode="5"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Srvr", Areacode="95"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Cimpia Turzii", Areacode="264"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Cayo Coco", Areacode="33"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Bolnisi", Areacode="358"},
                    new AreaCode{CountryId = new Guid("971C8400-1479-410E-87BD-84C35D776B5E"), Name="Bungoma", Areacode="55"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Salgtarjn", Areacode="32"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Drobeta - Turnu Severin", Areacode="252"},
                    new AreaCode{CountryId = new Guid("FFAE686C-4A31-40DD-A1C5-7A4551E03212"), Name="Ginowan", Areacode="98"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Yulin - Shaanxi", Areacode="912"},
                    new AreaCode{CountryId = new Guid("84718E1D-25ED-4B92-B38D-466845FF1BE0"), Name="San Cristobal", Areacode="276"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Sabirabad", Areacode="143"},
                    new AreaCode{CountryId = new Guid("78693684-30E2-4709-B032-2AD99A39B401"), Name="Vitria", Areacode="27"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Mariental", Areacode="63"},
                    new AreaCode{CountryId = new Guid("4910D3B0-948C-4FBA-8004-10EF33F1E8DD"), Name="Partner (Orange)", Areacode="54"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Curtici", Areacode="257"},
                    new AreaCode{CountryId = new Guid("B94EFCD6-0162-4432-AEF8-EA15AA54D0F5"), Name="Freetown", Areacode="22"},
                    new AreaCode{CountryId = new Guid("67EF14F5-78E1-40A7-A732-B518267A4B86"), Name="Luanda", Areacode="2"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Bauchi", Areacode="77"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Heidelberg", Areacode="6221"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Zimnicea", Areacode="247"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Sulina", Areacode="240"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Sumbawa", Areacode="37"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Herakleia", Areacode="2325"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Pamplona", Areacode="948"},
                    new AreaCode{CountryId = new Guid("2745B68E-B8F8-4924-9588-47CF2E90425F"), Name="Qubec (Qubec City)", Areacode="418"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Sabil", Areacode="21"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Lanzhou - Gansu", Areacode="931"},
                    new AreaCode{CountryId = new Guid("F896E6E5-3B7A-4109-B515-71BD123F9EDD"), Name="Maun", Areacode="68"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Culiacan", Areacode="667"},
                    new AreaCode{CountryId = new Guid("08E81DF6-8533-4FD7-B909-A4EC6E5D31F0"), Name="Preah Vihear", Areacode="64"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Adana", Areacode="322"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Charleroi", Areacode="71"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Avesta-Krylbo", Areacode="226"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Connex (MobiFon)", Areacode="722"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Bouygues Telecom", Areacode="661"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Gopalgonj", Areacode="423"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Badajoz", Areacode="924"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Yiwu - Zhejiang", Areacode="579"},
                    new AreaCode{CountryId = new Guid("48EE4FCE-14F5-4CFE-99BB-C88B4E159F91"), Name="Yarim", Areacode="4"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Masalli", Areacode="151"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Tehran", Areacode="299"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Nganglam DAMA", Areacode="7"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Las Ovas", Areacode="8"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Sokobo", Areacode="60"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Poiana Marului", Areacode="268"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Vuollerim", Areacode="976"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Xiamen - Fujian", Areacode="592"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Milan", Areacode="2"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Wuyishan - Fujian", Areacode="599"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Houma - Shanxi", Areacode="3651"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NANP area", Areacode="500"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="WA", Areacode="425"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NY", Areacode="914"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Leon", Areacode="987"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Weili - Xinjiang", Areacode="996"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="El Tarf", Areacode="38"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Kiskors", Areacode="78"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Mazandaran", Areacode="124"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Yerevan", Areacode="1"},
                    new AreaCode{CountryId = new Guid("4504391C-E9D7-43BF-BC06-832E0A6FB016"), Name="Cacayan de Oro", Areacode="8822"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Ignalina", Areacode="386"},
                    new AreaCode{CountryId = new Guid("98B5E495-150F-4C32-A4C1-F79F25373E16"), Name="Hamilton", Areacode="7"},
                    new AreaCode{CountryId = new Guid("26F89703-E93A-4FBD-ADD7-3BFFB69CDEC3"), Name="Kaliningrad", Areacode="401"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Eastern Azerbayajan", Areacode="427"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Fars", Areacode="722"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Jnkping-Huskvarna", Areacode="36"},
                    new AreaCode{CountryId = new Guid("B8E9EFD7-A3F2-495A-89F6-9E4FDA01D3C0"), Name="DU(GSM 900/1800)", Areacode="55"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Qidong - Jiangsu", Areacode="5232"},
                    new AreaCode{CountryId = new Guid("DF285779-2BB8-4280-9C72-630BF4C356FF"), Name="Bansk Bystrica", Areacode="48"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Wuxian - Jiangsu", Areacode="512"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Aspindza", Areacode="364"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Pasakha", Areacode="5"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Guba", Areacode="169"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Huai-an - Jiangsu", Areacode="517"},
                    new AreaCode{CountryId = new Guid("4504391C-E9D7-43BF-BC06-832E0A6FB016"), Name="Tacloban", Areacode="53"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Bologna", Areacode="51"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Mouhajerin", Areacode="11"},
                    new AreaCode{CountryId = new Guid("C6FFFECA-02E5-4158-B833-05C3DAD25AB2"), Name="Loosduinen is part of Den Haag", Areacode=""},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="PA", Areacode="610"},
                    new AreaCode{CountryId = new Guid("B270D848-0C58-44DF-994B-386F9BA6BD8E"), Name="Mutsamudu", Areacode="716"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Polikastro", Areacode="2343"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Lupeni", Areacode="254"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NC", Areacode="252"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Phitsanulok", Areacode="55"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Tsirang(Damphu)", Areacode="6"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Nsker", Areacode="622"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Blaj", Areacode="258"},
                    new AreaCode{CountryId = new Guid("84718E1D-25ED-4B92-B38D-466845FF1BE0"), Name="Puerto Cabello", Areacode="242"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Zanjan", Areacode="242"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Sukhumi", Areacode="122"},
                    new AreaCode{CountryId = new Guid("ABA66E74-AF34-4105-A846-D2E710AFAF8C"), Name="Nicosia", Areacode="22"},
                    new AreaCode{CountryId = new Guid("971C8400-1479-410E-87BD-84C35D776B5E"), Name="Kitale", Areacode="54"},
                    new AreaCode{CountryId = new Guid("4504391C-E9D7-43BF-BC06-832E0A6FB016"), Name="Davao", Areacode="82"},
                    new AreaCode{CountryId = new Guid("E04C0643-8FE6-4364-8859-7BB360BA46F4"), Name="Panjakent", Areacode="3475"},
                    new AreaCode{CountryId = new Guid("46F74937-0678-4EF7-89F1-C4FE6C0CE3E4"), Name="Jhapa", Areacode="23"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Skellefte", Areacode="910"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Mioru", Areacode="2152"},
                    new AreaCode{CountryId = new Guid("DF58FFE7-6339-47ED-ADCC-DB84F7D9EACB"), Name="Wiener Neustadt", Areacode="2622"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Ruta Invasora", Areacode="33"},
                    new AreaCode{CountryId = new Guid("3744A5E2-1AA7-441D-AE36-30342FEDE0F8"), Name="Region Plzensky", Areacode="37"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Salamanca", Areacode="923"},
                    new AreaCode{CountryId = new Guid("96AF43F8-0F0A-459D-9433-4DEDD84FB167"), Name="Tien Giang", Areacode="73"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="rbyhus-Dannemora", Areacode="295"},
                    new AreaCode{CountryId = new Guid("9FF64B6B-828D-4C7F-9C34-AC34EAA78979"), Name="(GSM 900 mobile)", Areacode="99"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Yi-yang - Hunan", Areacode="737"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Khoozestan", Areacode="632"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="Sotelgui", Areacode="34"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Draganu", Areacode="248"},
                    new AreaCode{CountryId = new Guid("FCDE7AF5-C55B-44E8-A0E8-911F86D0E410"), Name="Dnepropetrovsk", Areacode="562"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Aleppo", Areacode="21"},
                    new AreaCode{CountryId = new Guid("748710B5-D2A6-43BF-9612-C377ACDA272A"), Name="Chungli", Areacode="3"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="lvsbyn", Areacode="929"},
                    new AreaCode{CountryId = new Guid("CEC7D0EF-064C-4B24-846E-8FD52A3A6F7A"), Name="Bulawayo", Areacode="9"},
                    new AreaCode{CountryId = new Guid("DF58FFE7-6339-47ED-ADCC-DB84F7D9EACB"), Name="St. Polten", Areacode="2742"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="Wengen", Areacode="33"},
                    new AreaCode{CountryId = new Guid("98B5E495-150F-4C32-A4C1-F79F25373E16"), Name="Telecom Pager", Areacode="26"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Vc", Areacode="27"},
                    new AreaCode{CountryId = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name="Jeddah", Areacode="2"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Draganesti - Vlasca (judetz: Teleorman)", Areacode="247"},
                    new AreaCode{CountryId = new Guid("5A4B23B0-8036-4849-B935-28D9A00B5339"), Name="Dar Es Salaam", Areacode="22"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Suray", Areacode="6"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Ouagadougou", Areacode="32"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NY", Areacode="718"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Ein Hour", Areacode="12"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Cinaga de Zapata", Areacode="59"},
                    new AreaCode{CountryId = new Guid("F896E6E5-3B7A-4109-B515-71BD123F9EDD"), Name="Kasane", Areacode="62"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Aeginio", Areacode="2353"},
                    new AreaCode{CountryId = new Guid("645A1B17-973B-4AB2-B851-D1F223817C70"), Name="Negotino", Areacode="43"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Jimaguayu", Areacode="32"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Ensenada", Areacode="646"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Penang (state)", Areacode="4"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Bundi", Areacode="747"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Rio Cauto", Areacode="23"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Yeghegnadzor", Areacode="81"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Chandigarh", Areacode="172"},
                    new AreaCode{CountryId = new Guid("4910D3B0-948C-4FBA-8004-10EF33F1E8DD"), Name="Rehovot", Areacode="8"},
                    new AreaCode{CountryId = new Guid("F896E6E5-3B7A-4109-B515-71BD123F9EDD"), Name="Ramotswa", Areacode="53"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Turceni", Areacode="253"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Lysekil", Areacode="523"},
                    new AreaCode{CountryId = new Guid("2A2C198B-5682-4D9E-81A9-E9194770ED92"), Name="Damanhour", Areacode="45"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Mobile Phones", Areacode="170"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Merisani", Areacode="248"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Alberta", Areacode="587"},
                    new AreaCode{CountryId = new Guid("38A19469-4D7A-4156-873A-92733BC92C61"), Name="Jerash", Areacode="2"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Skiathos", Areacode="2427"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Gazakh", Areacode="279"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Dorgicse", Areacode="80"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Fagersta-Norberg", Areacode="223"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="Lausanne", Areacode="21"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Al-Bab", Areacode="21"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Sarmisege- Tuza", Areacode="254"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Bajz", Areacode="211"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Agnita", Areacode="269"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Deta", Areacode="256"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="Biel (Bienne)", Areacode="32"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Gakh", Areacode="144"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Stuttgart", Areacode="711"},
                    new AreaCode{CountryId = new Guid("C6FFFECA-02E5-4158-B833-05C3DAD25AB2"), Name="Hillegersberg", Areacode="10"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Nigrita", Areacode="2322"},
                    new AreaCode{CountryId = new Guid("A9A3273A-6251-434E-B0D3-0286B0EC4EFC"), Name="Johannesburg", Areacode="11"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Baba Ana", Areacode="244"},
                    new AreaCode{CountryId = new Guid("26F89703-E93A-4FBD-ADD7-3BFFB69CDEC3"), Name="Moscow (regional)", Areacode="496"},
                    new AreaCode{CountryId = new Guid("EDE00EFD-0261-4A82-AA47-DA188120C9EC"), Name="KTF", Areacode="18"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Tbilisi", Areacode="32"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Colibasi", Areacode="248"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Eghegnut", Areacode="51"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Bangtar DAMA", Areacode="7"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Gyumri", Areacode="41"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Bengtsfors", Areacode="531"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Brcke-Gll", Areacode="693"},
                    new AreaCode{CountryId = new Guid("645A1B17-973B-4AB2-B851-D1F223817C70"), Name="Demir Hisar", Areacode="47"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Bogor", Areacode="25"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Svsj", Areacode="382"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Antalya", Areacode="242"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Ag. Varvara", Areacode="2894"},
                    new AreaCode{CountryId = new Guid("A8DF1692-825B-496C-BB7D-5021DFCDBFA8"), Name="Yambol", Areacode="46"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Bobruysk", Areacode="2251"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Okandjatu", Areacode="62"},
                    new AreaCode{CountryId = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name="Khafji", Areacode="3"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Bralano", Areacode="6642"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Aycell(GSM 1800)", Areacode="505"},
                    new AreaCode{CountryId = new Guid("84718E1D-25ED-4B92-B38D-466845FF1BE0"), Name="Digitel(GSM 900)", Areacode="412"},
                    new AreaCode{CountryId = new Guid("5A4B23B0-8036-4849-B935-28D9A00B5339"), Name="Mara", Areacode="28"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Dresden", Areacode="351"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Minas de Matahumbre", Areacode="8"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="La Jagua", Areacode="32"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Mobile Phones", Areacode="156"},
                    new AreaCode{CountryId = new Guid("9FF64B6B-828D-4C7F-9C34-AC34EAA78979"), Name="Camtel (fixed telephony)", Areacode="231"},
                    new AreaCode{CountryId = new Guid("4504391C-E9D7-43BF-BC06-832E0A6FB016"), Name="Mobile Phones", Areacode="9"},
                    new AreaCode{CountryId = new Guid("3744A5E2-1AA7-441D-AE36-30342FEDE0F8"), Name="Region Moravskoslezsky", Areacode="59"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Valdemarsvik", Areacode="123"},
                    new AreaCode{CountryId = new Guid("80EC649B-DE55-46E8-9C84-5B84F8252CA4"), Name="Whim", Areacode="337"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Bikaner", Areacode="151"},
                    new AreaCode{CountryId = new Guid("C6FFFECA-02E5-4158-B833-05C3DAD25AB2"), Name="Utrecht", Areacode="30"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Remus Opreanu", Areacode="241"},
                    new AreaCode{CountryId = new Guid("28431BD3-731C-4DF6-9765-2F88C08884A3"), Name="Mideast Region", Areacode="13"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Nuevo Laredo", Areacode="867"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Radauti", Areacode="230"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Omnitel", Areacode="698"},
                    new AreaCode{CountryId = new Guid("B270D848-0C58-44DF-994B-386F9BA6BD8E"), Name="Fomboni", Areacode="725"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Vilnius", Areacode="523"},
                    new AreaCode{CountryId = new Guid("98B5E495-150F-4C32-A4C1-F79F25373E16"), Name="Hastings", Areacode="6"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="VT", Areacode="802"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Teremia Mare", Areacode="256"},
                    new AreaCode{CountryId = new Guid("971C8400-1479-410E-87BD-84C35D776B5E"), Name="Voi", Areacode="43"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Peilin - Sichuan", Areacode="810"},
                    new AreaCode{CountryId = new Guid("A78D0697-F264-411C-97B9-30AE76593E5C"), Name="Mdi Tlcom(GSM900)", Areacode="68"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Aoba", Areacode="67"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Chausu", Areacode="2242"},
                    new AreaCode{CountryId = new Guid("F896E6E5-3B7A-4109-B515-71BD123F9EDD"), Name="Barolong/Ngwaketse", Areacode="54"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Pinle - Guangxi", Areacode="7847"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Anqing - Anhui", Areacode="556"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Puerto Marti", Areacode="31"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Faurei (judetz: Braila)", Areacode="239"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Domvrena", Areacode="2264"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Paulis", Areacode="257"},
                    new AreaCode{CountryId = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name="Panadura", Areacode="34"},
                    new AreaCode{CountryId = new Guid("748710B5-D2A6-43BF-9612-C377ACDA272A"), Name="Chiayi County", Areacode="5"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Kordestan", Areacode="872"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Kasab", Areacode="41"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Navarra", Areacode="948"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Szerencs", Areacode="47"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Orikum", Areacode="391"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="SFR", Areacode="618"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Dalian - Liaoning", Areacode="411"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Xinxiang - Henan", Areacode="373"},
                    new AreaCode{CountryId = new Guid("A8DF1692-825B-496C-BB7D-5021DFCDBFA8"), Name="Mobiltel(GSM 900/1800, 3G 2100)", Areacode="88"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="Arosa", Areacode="81"},
                    new AreaCode{CountryId = new Guid("971C8400-1479-410E-87BD-84C35D776B5E"), Name="Kabete", Areacode="20"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Jarabless", Areacode="25"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Jerood", Areacode="12"},
                    new AreaCode{CountryId = new Guid("02F78A72-7B17-4DF4-9C9A-2A6577F412CE"), Name="Magidiscio", Areacode="61"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Vilnius", Areacode="525"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Orange France", Areacode="608"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Fulbari", Areacode="5327"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Diest", Areacode="13"},
                    new AreaCode{CountryId = new Guid("BF4B4AAC-85A9-4D32-BE21-A8E1A51638AA"), Name="Mobitel NMT(analogue)", Areacode="50"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Al-Daliyah", Areacode="41"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Base", Areacode="484"},
                    new AreaCode{CountryId = new Guid("45044628-55D2-4ADB-B3FD-19B2A3748A03"), Name="Semipalatinsk", Areacode="322"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Deva", Areacode="254"},
                    new AreaCode{CountryId = new Guid("645A1B17-973B-4AB2-B851-D1F223817C70"), Name="Makedonski Brod", Areacode="48"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Khaling", Areacode="4"},
                    new AreaCode{CountryId = new Guid("DF285779-2BB8-4280-9C72-630BF4C356FF"), Name="Orange(GSM 900/1800)", Areacode="908"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Lushanshi - Jiangxi", Areacode="792"},
                    new AreaCode{CountryId = new Guid("AC2B94BD-C0C8-4548-A4D2-675FB4045436"), Name="Zawai", Areacode="23"},
                    new AreaCode{CountryId = new Guid("19FB2795-B14C-48D7-A490-5E9856366F99"), Name="Belize City", Areacode="2"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Malaku Islets", Areacode="5"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Ramgoti (Char Alexander)", Areacode="3823"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Southeast France and Corsica", Areacode="4"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Resita", Areacode="255"},
                    new AreaCode{CountryId = new Guid("7B2B044D-470B-4BE0-863B-B5D847E51592"), Name="Myeik", Areacode="59"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Brad", Areacode="254"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Haifeng - Guangdong", Areacode="7647"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Tai-an - Shandong", Areacode="538"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Miasnikian", Areacode="33"},
                    new AreaCode{CountryId = new Guid("78693684-30E2-4709-B032-2AD99A39B401"), Name="So Paulo", Areacode="11"},
                    new AreaCode{CountryId = new Guid("08E81DF6-8533-4FD7-B909-A4EC6E5D31F0"), Name="Stung Treng", Areacode="74"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Jos", Areacode="73"},
                    new AreaCode{CountryId = new Guid("2745B68E-B8F8-4924-9588-47CF2E90425F"), Name="Prince Edward Island", Areacode="902"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Jinxi - Liaoning", Areacode="429"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Namur (Namen)", Areacode="81"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Kymi", Areacode="2222"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Tapolca", Areacode="87"},
                    new AreaCode{CountryId = new Guid("A78D0697-F264-411C-97B9-30AE76593E5C"), Name="Maroc Tlcom(GSM900)", Areacode="63"},
                    new AreaCode{CountryId = new Guid("645A1B17-973B-4AB2-B851-D1F223817C70"), Name="Valandovo", Areacode="34"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Maralik", Areacode="42"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Nybro", Areacode="481"},
                    new AreaCode{CountryId = new Guid("DADCF19E-53B0-4739-9712-0C80ACA78D41"), Name="North West Region", Areacode="8"},
                    new AreaCode{CountryId = new Guid("4504391C-E9D7-43BF-BC06-832E0A6FB016"), Name="Cotabato", Areacode="64"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Izraa", Areacode="15"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Esmeralda", Areacode="32"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Maliq", Areacode="861"},
                    new AreaCode{CountryId = new Guid("911535A7-40E1-470D-8DC8-F0F9AABB818E"), Name="Punta Del Este", Areacode="42"},
                    new AreaCode{CountryId = new Guid("5A4B23B0-8036-4849-B935-28D9A00B5339"), Name="Lindi", Areacode="23"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Kamanjab", Areacode="67"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="La Palma", Areacode="8"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Suceava", Areacode="230"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Heinola", Areacode="3"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MD", Areacode="443"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Vadu Oii", Areacode="241"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="JianOu - Fujian", Areacode="599"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Ocnita", Areacode="245"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Bouygues Telecom", Areacode="660"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Hoachanas", Areacode="63"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Baghdad", Areacode="11"},
                    new AreaCode{CountryId = new Guid("F78C8099-1023-43D2-B0EB-3BC95DBA4703"), Name="Jagodina", Areacode="35"},
                    new AreaCode{CountryId = new Guid("84718E1D-25ED-4B92-B38D-466845FF1BE0"), Name="Maiquetia", Areacode="212"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Jamiliyah", Areacode="33"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Shenzhen - Guangdong", Areacode="755"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Al-Kasaka", Areacode="52"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Segarcea", Areacode="251"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Pattani", Areacode="73"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Oshmyanu", Areacode="1593"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Halali", Areacode="67"},
                    new AreaCode{CountryId = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name="Southern Region", Areacode="7"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Delvin", Areacode="815"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Psachna", Areacode="2228"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Kiato", Areacode="2742"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Western Azerbayajan", Areacode="444"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Skala", Areacode="2735"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Moeciu De Jos", Areacode="268"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Causeni", Areacode="243"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Batna", Areacode="33"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Farsala", Areacode="2491"},
                    new AreaCode{CountryId = new Guid("46F74937-0678-4EF7-89F1-C4FE6C0CE3E4"), Name="Dhankuta", Areacode="26"},
                    new AreaCode{CountryId = new Guid("971C8400-1479-410E-87BD-84C35D776B5E"), Name="Safaricom(GSM 900/1800)", Areacode="722"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Oabis", Areacode="6342"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Pylos", Areacode="2723"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Tulcea", Areacode="240"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="PA", Areacode="484"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Lanxi - Zhejiang", Areacode="579"},
                    new AreaCode{CountryId = new Guid("971C8400-1479-410E-87BD-84C35D776B5E"), Name="Nairobi", Areacode="20"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Mobile Phones", Areacode="794"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Lund", Areacode="46"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Sebis", Areacode="257"},
                    new AreaCode{CountryId = new Guid("AFA02048-AB89-43D6-ABD7-363DB4ED09C9"), Name="Bujumbura", Areacode="23"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Trans", Areacode="140"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="WA", Areacode="509"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Telavi", Areacode="350"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Linhai - Zhejiang", Areacode="576"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MN", Areacode="952"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Chittagong", Areacode="31"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="SFR", Areacode="624"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Jessore", Areacode="421"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Wuhan - Hubei", Areacode="27"},
                    new AreaCode{CountryId = new Guid("645A1B17-973B-4AB2-B851-D1F223817C70"), Name="Bitola", Areacode="47"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Base", Areacode="482"},
                    new AreaCode{CountryId = new Guid("2A2C198B-5682-4D9E-81A9-E9194770ED92"), Name="Port Said", Areacode="66"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Colombia", Areacode="31"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Luminita", Areacode="241"},
                    new AreaCode{CountryId = new Guid("45044628-55D2-4ADB-B3FD-19B2A3748A03"), Name="Shymkent", Areacode="325"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Malorita", Areacode="1651"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MA", Areacode="857"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Giresun", Areacode="454"},
                    new AreaCode{CountryId = new Guid("34C2F0BC-018C-476A-828C-8C7E086B5529"), Name="Djibouti City", Areacode="30"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Mariestad", Areacode="501"},
                    new AreaCode{CountryId = new Guid("66E7BA44-B57F-4D47-9D04-A5E3A8121684"), Name="Tlemcen", Areacode="43"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Panchagar", Areacode="568"},
                    new AreaCode{CountryId = new Guid("430CA84C-0443-4BC3-BC36-CEE6F9D2D1E2"), Name="Kasserine", Areacode="7"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="CT", Areacode="860"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="PANAFON(GSM 900)", Areacode="694"},
                    new AreaCode{CountryId = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name="Dhahran (Aramco)", Areacode="3"},
                    new AreaCode{CountryId = new Guid("DADCF19E-53B0-4739-9712-0C80ACA78D41"), Name="Addis Ababa", Areacode="1"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Mariefred", Areacode="159"},
                    new AreaCode{CountryId = new Guid("2A2C198B-5682-4D9E-81A9-E9194770ED92"), Name="International Directory phone inquiries", Areacode="120"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Memaliaj", Areacode="885"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Jimbolia", Areacode="256"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Aminuis", Areacode="63"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="USVI", Areacode="340"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Varadero", Areacode="5"},
                    new AreaCode{CountryId = new Guid("3744A5E2-1AA7-441D-AE36-30342FEDE0F8"), Name="Region Jihomoravsky", Areacode="54"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Pattaya", Areacode="38"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Suonenjoki", Areacode="17"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Niquero", Areacode="23"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Roeselare (Roulers)", Areacode="51"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Rome", Areacode="6"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Cancun", Areacode="998"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="AZ", Areacode="623"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Patirla Gele", Areacode="238"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Contramaestre", Areacode="22"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Jinxian - Jiangxi", Areacode="791"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Hatiya (Oshkhali)", Areacode="3224"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Jiangyou - Sichuan", Areacode="8244"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Craiova", Areacode="251"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="Lucerne", Areacode="41"},
                    new AreaCode{CountryId = new Guid("430CA84C-0443-4BC3-BC36-CEE6F9D2D1E2"), Name="Sousse", Areacode="3"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Bursa", Areacode="224"},
                    new AreaCode{CountryId = new Guid("67EF14F5-78E1-40A7-A732-B518267A4B86"), Name="Angola Telecom (AMPS800)", Areacode="91"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Vladimirescu", Areacode="257"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Lakshmipur", Areacode="381"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NJ", Areacode="609"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Mobistar", Areacode="498"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Agdash", Areacode="193"},
                    new AreaCode{CountryId = new Guid("2C443E5E-8531-474E-BCA1-9FC80C72C14A"), Name="Nampula", Areacode="26"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Benin", Areacode="52"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Mazandaran", Areacode="123"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Ceadr  Lunga", Areacode="291"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Orsova", Areacode="252"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Mogilev", Areacode="222"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Karl-Stadt", Areacode="9353"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Geocell", Areacode="77"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Stolbtsu", Areacode="1717"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Nanfeng - Jiangxi", Areacode="7048"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Al-Jalaa", Areacode="11"},
                    new AreaCode{CountryId = new Guid("34C2F0BC-018C-476A-828C-8C7E086B5529"), Name="Interior districts", Areacode="42"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Mobile", Areacode="349"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Giarmata", Areacode="256"},
                    new AreaCode{CountryId = new Guid("5A4B23B0-8036-4849-B935-28D9A00B5339"), Name="Singida", Areacode="26"},
                    new AreaCode{CountryId = new Guid("FCDE7AF5-C55B-44E8-A0E8-911F86D0E410"), Name="Kiev", Areacode="44"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Roman", Areacode="233"},
                    new AreaCode{CountryId = new Guid("30C0CA4F-A2D1-42E0-BDB3-ECFD85715CEB"), Name="Western Sector", Areacode="2"},
                    new AreaCode{CountryId = new Guid("911535A7-40E1-470D-8DC8-F0F9AABB818E"), Name="Minas", Areacode="442"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Mons (Bergen)", Areacode="65"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Fars", Areacode="729"},
                    new AreaCode{CountryId = new Guid("84718E1D-25ED-4B92-B38D-466845FF1BE0"), Name="Merida", Areacode="274"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Trelleborg", Areacode="410"},
                    new AreaCode{CountryId = new Guid("98B5E495-150F-4C32-A4C1-F79F25373E16"), Name="Palmerston North", Areacode="6"},
                    new AreaCode{CountryId = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name="Mathara", Areacode="41"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Voicesti", Areacode="250"},
                    new AreaCode{CountryId = new Guid("971C8400-1479-410E-87BD-84C35D776B5E"), Name="Nanyuki", Areacode="62"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="tvidaberg", Areacode="120"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Nilphamari", Areacode="551"},
                    new AreaCode{CountryId = new Guid("971C8400-1479-410E-87BD-84C35D776B5E"), Name="Gigiri", Areacode="20"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Parkano", Areacode="3"},
                    new AreaCode{CountryId = new Guid("FA0911EC-E929-4005-A679-A35E889F98FE"), Name="Jalalabad", Areacode="60"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Ciudad del Carmen", Areacode="938"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Fllinge", Areacode="645"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Insuratei", Areacode="239"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Kristinehamn", Areacode="550"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Pyrgos", Areacode="2621"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Gaibandha", Areacode="541"},
                    new AreaCode{CountryId = new Guid("971C8400-1479-410E-87BD-84C35D776B5E"), Name="Kwale", Areacode="40"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Guane", Areacode="84"},
                    new AreaCode{CountryId = new Guid("AFA02048-AB89-43D6-ABD7-363DB4ED09C9"), Name="Other localities", Areacode="40"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Kythira", Areacode="2736"},
                    new AreaCode{CountryId = new Guid("08E81DF6-8533-4FD7-B909-A4EC6E5D31F0"), Name="Pailin", Areacode="55"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Delsbo", Areacode="653"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Xylagani", Areacode="2533"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Izmir", Areacode="232"},
                    new AreaCode{CountryId = new Guid("C6FFFECA-02E5-4158-B833-05C3DAD25AB2"), Name="Loosduinen", Areacode="70"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Ontario", Areacode="613"},
                    new AreaCode{CountryId = new Guid("B270D848-0C58-44DF-994B-386F9BA6BD8E"), Name="Internet and special numbers", Areacode="76"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="IN", Areacode="765"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Unin de Reyes", Areacode="5"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MN", Areacode="218"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Matamoros", Areacode="871"},
                    new AreaCode{CountryId = new Guid("58986264-67FE-4428-B004-1C727858F990"), Name="Saida", Areacode="7"},
                    new AreaCode{CountryId = new Guid("F896E6E5-3B7A-4109-B515-71BD123F9EDD"), Name="Letlhakane/Orapa", Areacode="29"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MO", Areacode="417"},
                    new AreaCode{CountryId = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name="Al Markazi", Areacode="2"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Sita Buzaului", Areacode="267"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Maeikiai", Areacode="443"},
                    new AreaCode{CountryId = new Guid("35CB7CC2-B2D2-4FA7-A8C6-ADC86A206210"), Name="Berane", Areacode="87"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Denpasar", Areacode="36"},
                    new AreaCode{CountryId = new Guid("78693684-30E2-4709-B032-2AD99A39B401"), Name="Belo Horizonte", Areacode="31"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Branisca", Areacode="254"},
                    new AreaCode{CountryId = new Guid("F78C8099-1023-43D2-B0EB-3BC95DBA4703"), Name="Subotica", Areacode="24"},
                    new AreaCode{CountryId = new Guid("08E81DF6-8533-4FD7-B909-A4EC6E5D31F0"), Name="Kampong Speu", Areacode="25"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Kalkfeld", Areacode="67"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Sharkovshchina", Areacode="2154"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Jobabo", Areacode="31"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Izmit", Areacode="262"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Vatican City", Areacode="6"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Chargary", Areacode="5"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Usak", Areacode="276"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Bartolome Maso", Areacode="23"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Cauto Cristo", Areacode="23"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Ijevan", Areacode="63"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Vonitsa", Areacode="2643"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Floresti (judetz: Cluj)", Areacode="264"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="CT", Areacode="203"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="GA", Areacode="762"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Campechuela", Areacode="23"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Changji - Xinjiang", Areacode="994"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Ikare", Areacode="50"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="PA", Areacode="215"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Cadiz", Areacode="956"},
                    new AreaCode{CountryId = new Guid("971C8400-1479-410E-87BD-84C35D776B5E"), Name="Eldoret", Areacode="53"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Diyarbakir", Areacode="412"},
                    new AreaCode{CountryId = new Guid("4D69E0AB-3849-46F9-95E3-BF555E2D78C6"), Name="Arklow", Areacode="402"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="IN", Areacode="260"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Moroeni", Areacode="245"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="CA", Areacode="909"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Ishwardi", Areacode="732"},
                    new AreaCode{CountryId = new Guid("84718E1D-25ED-4B92-B38D-466845FF1BE0"), Name="Barcelona", Areacode="281"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Gori", Areacode="370"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Mianyang - Sichuan", Areacode="816"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Monor", Areacode="29"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Sirnak", Areacode="486"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Aguacate", Areacode="64"},
                    new AreaCode{CountryId = new Guid("7B2B044D-470B-4BE0-863B-B5D847E51592"), Name="Mandalay", Areacode="2"},
                    new AreaCode{CountryId = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name="Safwa", Areacode="3"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Mobistar", Areacode="492"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Eastern Azerbayajan", Areacode="492"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Southwest France", Areacode="5"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Shijak", Areacode="571"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Edo", Areacode="52"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Vantaa", Areacode="9"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="sele", Areacode="941"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Siros", Areacode="2281"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="British Columbia", Areacode="778"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="ilute", Areacode="441"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Iasmos", Areacode="2534"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Emmaboda", Areacode="471"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Faurei (judetz: Constanta)", Areacode="241"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Turda", Areacode="264"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Ouagadougou", Areacode="35"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Candelaria", Areacode="85"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Alytus", Areacode="315"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="rrik", Areacode="581"},
                    new AreaCode{CountryId = new Guid("FFAE686C-4A31-40DD-A1C5-7A4551E03212"), Name="Tokyo", Areacode="3"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="COSMOTE(GSM 1800)", Areacode="697"},
                    new AreaCode{CountryId = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name="Jubail", Areacode="3"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Bejucal", Areacode="66"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Patos", Areacode="342"},
                    new AreaCode{CountryId = new Guid("391AAAC1-18B9-4569-9FD1-B0B06B4892F8"), Name="Raplamaa", Areacode="48"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Naogaon", Areacode="741"},
                    new AreaCode{CountryId = new Guid("4504391C-E9D7-43BF-BC06-832E0A6FB016"), Name="Dalaguete", Areacode="32"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Vadodara", Areacode="265"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MA", Areacode="978"},
                    new AreaCode{CountryId = new Guid("F78C8099-1023-43D2-B0EB-3BC95DBA4703"), Name="Pirot", Areacode="10"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="VA", Areacode="757"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Galati", Areacode="236"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Preili", Areacode="53"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Sparti", Areacode="2731"},
                    new AreaCode{CountryId = new Guid("971C8400-1479-410E-87BD-84C35D776B5E"), Name="Karuri", Areacode="66"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Siminoc", Areacode="241"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Antu - Jilin", Areacode="4434"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="Conakry", Areacode="42"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Gaspar", Areacode="33"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Hallstahammar-Surahammar", Areacode="220"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="VA", Areacode="540"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Quebec", Areacode="418"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Huaxian - Guangdong", Areacode="20"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Schitu", Areacode="241"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Tsaghkahovit", Areacode="57"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Ghazvin", Areacode="282"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Thiva", Areacode="2262"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Ontario", Areacode="807"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Narovlya", Areacode="2355"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Cosereni", Areacode="243"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Bazhong - Sichuan", Areacode="8279"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Masis", Areacode="36"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Siirt", Areacode="484"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Eastern Azerbayajan", Areacode="432"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="TURUN PUHELIN OY", Areacode="438"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="SkriperoCorfu", Areacode="2663"},
                    new AreaCode{CountryId = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name="Plus GSM (Polkomtel)", Areacode="603"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Cristur", Areacode="254"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="SFR", Areacode="611"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Madruga", Areacode="64"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Northeast France", Areacode="3"},
                    new AreaCode{CountryId = new Guid("4910D3B0-948C-4FBA-8004-10EF33F1E8DD"), Name="Eilat", Areacode="8"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Lintong - Shaanxi", Areacode="29"},
                    new AreaCode{CountryId = new Guid("5D7A67BB-CEF8-40E7-8AB7-5B4B729A51A5"), Name="Shetnzi", Areacode="616"},
                    new AreaCode{CountryId = new Guid("34C2F0BC-018C-476A-828C-8C7E086B5529"), Name="Djibouti Tlcom (GSM 900)", Areacode="82"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Baroda", Areacode="265"},
                    new AreaCode{CountryId = new Guid("A3BEDE9E-A359-49FD-8250-A40F13BCE642"), Name="Villeta", Areacode="25"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Copsa Mica", Areacode="269"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="KY", Areacode="502"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Seremban", Areacode="6"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Jingdezhen - Jiangxi", Areacode="798"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Lechena", Areacode="2623"},
                    new AreaCode{CountryId = new Guid("FFAE686C-4A31-40DD-A1C5-7A4551E03212"), Name="Gushikawa", Areacode="98"},
                    new AreaCode{CountryId = new Guid("A8DF1692-825B-496C-BB7D-5021DFCDBFA8"), Name="Shoumen", Areacode="54"},
                    new AreaCode{CountryId = new Guid("A9A3273A-6251-434E-B0D3-0286B0EC4EFC"), Name="Johannesburg CBD", Areacode="102"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Juchita", Areacode="971"},
                    new AreaCode{CountryId = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name="Abha", Areacode="7"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Indosat", Areacode="816"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Messiaf", Areacode="33"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Bakcell (GSM 900)", Areacode="55"},
                    new AreaCode{CountryId = new Guid("ABA66E74-AF34-4105-A846-D2E710AFAF8C"), Name="Famagusta", Areacode="23"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Ludza", Areacode="57"},
                    new AreaCode{CountryId = new Guid("96AF43F8-0F0A-459D-9433-4DEDD84FB167"), Name="Kien Giang", Areacode="77"},
                    new AreaCode{CountryId = new Guid("08E81DF6-8533-4FD7-B909-A4EC6E5D31F0"), Name="Phnom Penh", Areacode="23"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Mobile Phones", Areacode="9"},
                    new AreaCode{CountryId = new Guid("45044628-55D2-4ADB-B3FD-19B2A3748A03"), Name="Akmola", Areacode="317"},
                    new AreaCode{CountryId = new Guid("AFA02048-AB89-43D6-ABD7-363DB4ED09C9"), Name="Mobile Phones", Areacode="29"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Cimpulung Muscel", Areacode="248"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="OK", Areacode="405"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Azare", Areacode="71"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Kunene River Lodge", Areacode="65"},
                    new AreaCode{CountryId = new Guid("572DD1AF-B90F-41AC-B10C-ADF568AC82C7"), Name="Sialkot", Areacode="524"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Khoozestan", Areacode="652"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Mobile Phones", Areacode="795"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Vittangi", Areacode="981"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Celtel(GSM 900)", Areacode="66"},
                    new AreaCode{CountryId = new Guid("67EF14F5-78E1-40A7-A732-B518267A4B86"), Name="Caxito", Areacode="34"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Biermanskool", Areacode="67"},
                    new AreaCode{CountryId = new Guid("D1F141AD-99C7-432F-B35E-4EE89F9EF7F5"), Name="Managua", Areacode="2"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Onatel(GSM 900)", Areacode="25"},
                    new AreaCode{CountryId = new Guid("1AE8A0D5-5D5A-476D-89B8-F63B5CD11129"), Name="Moudou", Areacode="69"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Vahagni", Areacode="51"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Torsby", Areacode="560"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NY", Areacode="646"},
                    new AreaCode{CountryId = new Guid("08E81DF6-8533-4FD7-B909-A4EC6E5D31F0"), Name="Koh Kong", Areacode="35"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Sorsele", Areacode="952"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Berezino", Areacode="1715"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Manipal", Areacode="8252"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Skelbya and Madikk", Areacode="33"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Nssj", Areacode="380"},
                    new AreaCode{CountryId = new Guid("4910D3B0-948C-4FBA-8004-10EF33F1E8DD"), Name="Qiryat Shmona", Areacode="4"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Drukgyel Dzong", Areacode="8"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Badargonj", Areacode="5222"},
                    new AreaCode{CountryId = new Guid("08E81DF6-8533-4FD7-B909-A4EC6E5D31F0"), Name="Camtel CDMA (not use at present )", Areacode="14"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Mahanene", Areacode="65"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Mussooree", Areacode="1362"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Connex (MobiFon)", Areacode="721"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Avaynagar (Noapara)", Areacode="4222"},
                    new AreaCode{CountryId = new Guid("C02106C7-B8A7-46EB-AAC6-2F880BE260CD"), Name="Rancagua", Areacode="72"},
                    new AreaCode{CountryId = new Guid("67EF14F5-78E1-40A7-A732-B518267A4B86"), Name="Kuito", Areacode="48"},
                    new AreaCode{CountryId = new Guid("80EC649B-DE55-46E8-9C84-5B84F8252CA4"), Name="Georgetown", Areacode="223"},
                    new AreaCode{CountryId = new Guid("58986264-67FE-4428-B004-1C727858F990"), Name="Antelias", Areacode="4"},
                    new AreaCode{CountryId = new Guid("430CA84C-0443-4BC3-BC36-CEE6F9D2D1E2"), Name="Tozeur", Areacode="6"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Shklov", Areacode="2239"},
                    new AreaCode{CountryId = new Guid("F896E6E5-3B7A-4109-B515-71BD123F9EDD"), Name="Kanye", Areacode="340"},
                    new AreaCode{CountryId = new Guid("DF285779-2BB8-4280-9C72-630BF4C356FF"), Name="Prievidza", Areacode="46"},
                    new AreaCode{CountryId = new Guid("4D69E0AB-3849-46F9-95E3-BF555E2D78C6"), Name="Killarney", Areacode="64"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Ciego de vila", Areacode="33"},
                    new AreaCode{CountryId = new Guid("28431BD3-731C-4DF6-9765-2F88C08884A3"), Name="Ambotondrazaka", Areacode="54"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Tesshrin", Areacode="41"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Karcag", Areacode="59"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Alfta-Edsbyn", Areacode="271"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Tzalka", Areacode="363"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Nyregyhza", Areacode="42"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Sarakeb", Areacode="23"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Kouvola", Areacode="5"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Sabah (state)", Areacode="8"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Gines", Areacode="62"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Kuks", Areacode="242"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="CA", Areacode="714"},
                    new AreaCode{CountryId = new Guid("4D69E0AB-3849-46F9-95E3-BF555E2D78C6"), Name="Tipperary", Areacode="52"},
                    new AreaCode{CountryId = new Guid("4910D3B0-948C-4FBA-8004-10EF33F1E8DD"), Name="Beersheva", Areacode="8"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Markazi", Areacode="256"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Yado del Yeso", Areacode="23"},
                    new AreaCode{CountryId = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name="GSM Dialog", Areacode="77"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Melaka (state)", Areacode="6"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Banfora", Areacode="88"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Mtel(GSM 900/1800)", Areacode="804"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Mikkeli", Areacode="15"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Narail", Areacode="481"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Changdu - Xizang (Tibet)", Areacode="895"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Rodolfo Ramirez Esquivel", Areacode="32"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Dubrova", Areacode="2137"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Slanic Moldova", Areacode="234"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Zaragoza", Areacode="976"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Yuhang - Zhejiang", Areacode="571"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Mobile Phones", Areacode="152"},
                    new AreaCode{CountryId = new Guid("0CA4824C-C2FB-48D8-A47F-06C54FB7C4C7"), Name="Osijek", Areacode="31"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Chongqing - Sichuan", Areacode="23"},
                    new AreaCode{CountryId = new Guid("4D69E0AB-3849-46F9-95E3-BF555E2D78C6"), Name="Sligo", Areacode="71"},
                    new AreaCode{CountryId = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name="Shaqra", Areacode="1"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Vinju Mare", Areacode="252"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Dinant", Areacode="82"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Tongling - Anhui", Areacode="5612"},
                    new AreaCode{CountryId = new Guid("BF4B4AAC-85A9-4D32-BE21-A8E1A51638AA"), Name="MobitelGSM 900, 1800", Areacode="31"},
                    new AreaCode{CountryId = new Guid("1DA211E9-68FB-4954-B4AE-420AE299BBF3"), Name="Nakhon Sawan Mobile", Areacode="856"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Q-TELECOM(GSM1800)", Areacode="699"},
                    new AreaCode{CountryId = new Guid("0CA4824C-C2FB-48D8-A47F-06C54FB7C4C7"), Name="Vinkovci", Areacode="32"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Wuyuan - Neimengu", Areacode="4881"},
                    new AreaCode{CountryId = new Guid("7B2B044D-470B-4BE0-863B-B5D847E51592"), Name="Monywa", Areacode="71"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Asab", Areacode="668"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Valencia", Areacode="96"},
                    new AreaCode{CountryId = new Guid("A3BEDE9E-A359-49FD-8250-A40F13BCE642"), Name="San Antonio", Areacode="27"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Toplita", Areacode="266"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Szigetvr", Areacode="73"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Rajbari", Areacode="641"},
                    new AreaCode{CountryId = new Guid("98B5E495-150F-4C32-A4C1-F79F25373E16"), Name="Wellington Region", Areacode="4"},
                    new AreaCode{CountryId = new Guid("7ED4C4DC-96E6-419D-A033-67B4526511AF"), Name="Svannakhet", Areacode="41"},
                    new AreaCode{CountryId = new Guid("430CA84C-0443-4BC3-BC36-CEE6F9D2D1E2"), Name="Haffouz", Areacode="7"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Shiyan - Hubei", Areacode="719"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Kalmar", Areacode="480"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NANP area", Areacode="700"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="ngelholm-Bstad", Areacode="431"},
                    new AreaCode{CountryId = new Guid("2C443E5E-8531-474E-BCA1-9FC80C72C14A"), Name="Matola", Areacode="24"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Gteborg", Areacode="31"},
                    new AreaCode{CountryId = new Guid("DF285779-2BB8-4280-9C72-630BF4C356FF"), Name="Bratislava", Areacode="2"},
                    new AreaCode{CountryId = new Guid("96AF43F8-0F0A-459D-9433-4DEDD84FB167"), Name="Binh Duong", Areacode="65"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="New Brunswick", Areacode="506"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Orange France", Areacode="654"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="St. Vincent & Grenadines", Areacode="784"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Hohhot - Nei Mongol", Areacode="471"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Valea Dacilor", Areacode="241"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Lagodekhi", Areacode="335"},
                    new AreaCode{CountryId = new Guid("AC2B94BD-C0C8-4548-A4D2-675FB4045436"), Name="Benghazi", Areacode="61"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Ajmer", Areacode="145"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Abrud", Areacode="258"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Aba", Areacode="82"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Langstrand", Areacode="64"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Gancevichi", Areacode="1646"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Tangshan - Hebei", Areacode="315"},
                    new AreaCode{CountryId = new Guid("3744A5E2-1AA7-441D-AE36-30342FEDE0F8"), Name="T-Mobile(GSM 900/1800)", Areacode="604"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Jiaozhou - Shandong", Areacode="5422"},
                    new AreaCode{CountryId = new Guid("A3BEDE9E-A359-49FD-8250-A40F13BCE642"), Name="Villarrica", Areacode="541"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="RADIOLINJA ORIGO OY", Areacode="50"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="SC", Areacode="843"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Enrique Varona", Areacode="33"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Tampico", Areacode="833"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Manzanillo", Areacode="23"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Filipstad", Areacode="590"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NV", Areacode="702"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Ukhia", Areacode="3427"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Proximus", Areacode="472"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Sri Aman", Areacode="8"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Foshan - Guangdong", Areacode="757"},
                    new AreaCode{CountryId = new Guid("67EF14F5-78E1-40A7-A732-B518267A4B86"), Name="Menongue", Areacode="49"},
                    new AreaCode{CountryId = new Guid("5A4B23B0-8036-4849-B935-28D9A00B5339"), Name="Tabora", Areacode="26"},
                    new AreaCode{CountryId = new Guid("4504391C-E9D7-43BF-BC06-832E0A6FB016"), Name="San Pablo", Areacode="93"},
                    new AreaCode{CountryId = new Guid("2745B68E-B8F8-4924-9588-47CF2E90425F"), Name="Ontario (London)", Areacode="519"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Xianyang - Shaanxi", Areacode="910"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Antwerpen (Anvers) Antwerp", Areacode="3"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Las Tunas", Areacode="31"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Ersek", Areacode="812"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Arjeplog", Areacode="961"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Alesd", Areacode="259"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Mal", Areacode="953"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Broga", Areacode="3"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="LA", Areacode="318"},
                    new AreaCode{CountryId = new Guid("45044628-55D2-4ADB-B3FD-19B2A3748A03"), Name="Pavlodar", Areacode="318"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Gochas", Areacode="63"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Cosmorom", Areacode="766"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="VA", Areacode="571"},
                    new AreaCode{CountryId = new Guid("96AF43F8-0F0A-459D-9433-4DEDD84FB167"), Name="Tay Ninh", Areacode="66"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Okaukuejo", Areacode="67"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Nobogrudok", Areacode="1597"},
                    new AreaCode{CountryId = new Guid("645A1B17-973B-4AB2-B851-D1F223817C70"), Name="Resen", Areacode="47"},
                    new AreaCode{CountryId = new Guid("AC2B94BD-C0C8-4548-A4D2-675FB4045436"), Name="Benina", Areacode="63"},
                    new AreaCode{CountryId = new Guid("391AAAC1-18B9-4569-9FD1-B0B06B4892F8"), Name="Valgamaa", Areacode="76"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Mobile Phones", Areacode="162"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Indosat", Areacode="856"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Varias", Areacode="256"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Buitepos", Areacode="62"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="US", Areacode="710"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Mobistar", Areacode="496"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Melilla", Areacode="952"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Ekens", Areacode="19"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Criuleni", Areacode="248"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Guayacanas", Areacode="33"},
                    new AreaCode{CountryId = new Guid("645A1B17-973B-4AB2-B851-D1F223817C70"), Name="Kriva Palanka", Areacode="31"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Beijing - Beijing", Areacode="10"},
                    new AreaCode{CountryId = new Guid("ADDAC550-B86C-40CF-B8C4-10F142EBDF66"), Name="Ayacucho", Areacode="64"},
                    new AreaCode{CountryId = new Guid("DF58FFE7-6339-47ED-ADCC-DB84F7D9EACB"), Name="Villach", Areacode="4242"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="Nova Scotia, Prince Edward Island", Areacode="902"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Tskhinvall", Areacode="341"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Verishen", Areacode="84"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="PA", Areacode="570"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Lygourgio", Areacode="2753"},
                    new AreaCode{CountryId = new Guid("5D7A67BB-CEF8-40E7-8AB7-5B4B729A51A5"), Name="Khartoum", Areacode="183"},
                    new AreaCode{CountryId = new Guid("645A1B17-973B-4AB2-B851-D1F223817C70"), Name="Kichevo", Areacode="45"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Poiana Cimpina", Areacode="244"},
                    new AreaCode{CountryId = new Guid("7CB42FE9-B7F6-4DFF-85D7-93DF7041431A"), Name="Igdir", Areacode="476"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Maracineni", Areacode="238"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NY", Areacode="347"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="La Rioja", Areacode="941"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Mohanganj", Areacode="9524"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="SFR", Areacode="616"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Tafass", Areacode="15"},
                    new AreaCode{CountryId = new Guid("2C443E5E-8531-474E-BCA1-9FC80C72C14A"), Name="Quelimane", Areacode="24"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="China Unicom (GSM 900)", Areacode="133"},
                    new AreaCode{CountryId = new Guid("DF58FFE7-6339-47ED-ADCC-DB84F7D9EACB"), Name="Wolfsberg", Areacode="4352"},
                    new AreaCode{CountryId = new Guid("911535A7-40E1-470D-8DC8-F0F9AABB818E"), Name="Florida", Areacode="352"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Jms", Areacode="14"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Agigea", Areacode="241"},
                    new AreaCode{CountryId = new Guid("E030214A-C85E-40FA-A627-70601272F411"), Name="Surkhandaria", Areacode="76"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Mobile Phones", Areacode="172"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Polygyros", Areacode="2371"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Kisa", Areacode="494"},
                    new AreaCode{CountryId = new Guid("4910D3B0-948C-4FBA-8004-10EF33F1E8DD"), Name="Raanana", Areacode="9"},
                    new AreaCode{CountryId = new Guid("C02106C7-B8A7-46EB-AAC6-2F880BE260CD"), Name="Linares", Areacode="73"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NY", Areacode="716"},
                    new AreaCode{CountryId = new Guid("98B5E495-150F-4C32-A4C1-F79F25373E16"), Name="Telecom Mobile (AMPS/DAMPS)", Areacode="25"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Jelgava", Areacode="30"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Guadalajara", Areacode="33"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Jalapa", Areacode="932"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Harads", Areacode="928"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Leshan - Sichuan", Areacode="833"},
                    new AreaCode{CountryId = new Guid("28431BD3-731C-4DF6-9765-2F88C08884A3"), Name="MADACOM (GSM 900)", Areacode="33"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="LA", Areacode="337"},
                    new AreaCode{CountryId = new Guid("C02106C7-B8A7-46EB-AAC6-2F880BE260CD"), Name="Chilln", Areacode="42"},
                    new AreaCode{CountryId = new Guid("08E81DF6-8533-4FD7-B909-A4EC6E5D31F0"), Name="Udar Meanchey", Areacode="65"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Mobile", Areacode="388"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Hncesti", Areacode="269"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NY", Areacode="585"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Bogra", Areacode="51"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Distomo", Areacode="2267"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Aparan", Areacode="52"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Kurigram", Areacode="581"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Sekurang", Areacode="778"},
                    new AreaCode{CountryId = new Guid("F8BA25B9-7158-4851-9F4A-8DC8F21239C2"), Name="Katagastota", Areacode="8"},
                    new AreaCode{CountryId = new Guid("48EE4FCE-14F5-4CFE-99BB-C88B4E159F91"), Name="Almahrah", Areacode="5"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Savonlinna", Areacode="15"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Yishui - Shandong", Areacode="5492"},
                    new AreaCode{CountryId = new Guid("6B04AC6B-B56E-4022-BE18-6341F2A45F90"), Name="Tungurahua, Cotopaxi, Pastaza, Bolivar and Chimborazo", Areacode="3"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Bali", Areacode="36"},
                    new AreaCode{CountryId = new Guid("4D69E0AB-3849-46F9-95E3-BF555E2D78C6"), Name="O2formerly Digifone", Areacode="86"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Valkeakoski", Areacode="3"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Ji-ning - Nei Mongol", Areacode="474"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Pitesti", Areacode="248"},
                    new AreaCode{CountryId = new Guid("98B5E495-150F-4C32-A4C1-F79F25373E16"), Name="North Island (Central and Eastern)", Areacode="7"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Motru", Areacode="253"},
                    new AreaCode{CountryId = new Guid("5D7A67BB-CEF8-40E7-8AB7-5B4B729A51A5"), Name="Sennar", Areacode="61"},
                    new AreaCode{CountryId = new Guid("EDE00EFD-0261-4A82-AA47-DA188120C9EC"), Name="Chungchong bukdo", Areacode="43"},
                    new AreaCode{CountryId = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name="Sosnowiec", Areacode="32"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="CA", Areacode="657"},
                    new AreaCode{CountryId = new Guid("E04C0643-8FE6-4364-8859-7BB360BA46F4"), Name="Dusti", Areacode="3249"},
                    new AreaCode{CountryId = new Guid("84718E1D-25ED-4B92-B38D-466845FF1BE0"), Name="Cabimas", Areacode="264"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Guyang - Neimengu", Areacode="4823"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="Klosters", Areacode="81"},
                    new AreaCode{CountryId = new Guid("38A19469-4D7A-4156-873A-92733BC92C61"), Name="Azraq", Areacode="5"},
                    new AreaCode{CountryId = new Guid("2745B68E-B8F8-4924-9588-47CF2E90425F"), Name="Saskatchewan", Areacode="306"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Ijebu Ode", Areacode="37"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Kortrijk (Courtrai)", Areacode="56"},
                    new AreaCode{CountryId = new Guid("A3BEDE9E-A359-49FD-8250-A40F13BCE642"), Name="Ita", Areacode="24"},
                    new AreaCode{CountryId = new Guid("5A4B23B0-8036-4849-B935-28D9A00B5339"), Name="Shinyanga", Areacode="28"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NH", Areacode="603"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Bakhtiari", Areacode="382"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Eleftheroupoli", Areacode="2592"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Uppsala", Areacode="18"},
                    new AreaCode{CountryId = new Guid("98B5E495-150F-4C32-A4C1-F79F25373E16"), Name="Timaru", Areacode="3"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Abenab", Areacode="67"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Sintimbru", Areacode="258"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Cherven", Areacode="1714"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Khoozestan", Areacode="682"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Burgos", Areacode="947"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Hormozgan", Areacode="764"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="MoviLine", Areacode="608"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Netrokona", Areacode="951"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Owo", Areacode="51"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Kempele", Areacode="8"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="M. Kogalniceanu", Areacode="243"},
                    new AreaCode{CountryId = new Guid("7DAC291B-42F3-4CE4-A74C-21EE8472D04B"), Name="Telecel Faso(GSM 900)", Areacode="86"},
                    new AreaCode{CountryId = new Guid("5A4B23B0-8036-4849-B935-28D9A00B5339"), Name="Ruvuma", Areacode="25"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Nagykanizsa", Areacode="93"},
                    new AreaCode{CountryId = new Guid("971C8400-1479-410E-87BD-84C35D776B5E"), Name="Thika", Areacode="67"},
                    new AreaCode{CountryId = new Guid("38A19469-4D7A-4156-873A-92733BC92C61"), Name="Mafraq", Areacode="2"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Buhusi", Areacode="234"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Markazi", Areacode="866"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Tismana", Areacode="253"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Douma", Areacode="11"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Sehnayah", Areacode="11"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Svisloch", Areacode="1513"},
                    new AreaCode{CountryId = new Guid("4D69E0AB-3849-46F9-95E3-BF555E2D78C6"), Name="Dublin", Areacode="1"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Comilla", Areacode="81"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Kranidi", Areacode="2754"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Celcom (GSM 900/1800, 3G 2100)", Areacode="19"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Rikeze - Xizang (Tibet)", Areacode="892"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Cerat", Areacode="251"},
                    new AreaCode{CountryId = new Guid("08E81DF6-8533-4FD7-B909-A4EC6E5D31F0"), Name="Kampong Chhnang", Areacode="26"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Anenii Noi", Areacode="265"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="CA", Areacode="408"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="Crans-sur-Sierre", Areacode="27"},
                    new AreaCode{CountryId = new Guid("67EF14F5-78E1-40A7-A732-B518267A4B86"), Name="Baia Farta", Areacode="72"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Yanji - Jilin", Areacode="433"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Proximus", Areacode="473"},
                    new AreaCode{CountryId = new Guid("0CA4824C-C2FB-48D8-A47F-06C54FB7C4C7"), Name="Varazdin", Areacode="42"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Zagatala", Areacode="174"},
                    new AreaCode{CountryId = new Guid("DF285779-2BB8-4280-9C72-630BF4C356FF"), Name="Humenn", Areacode="57"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Hakasembe", Areacode="66"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Jiguani", Areacode="23"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Ruheibeh", Areacode="12"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Mobile Phones", Areacode="690"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Brasil", Areacode="32"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Alexandria", Areacode="2333"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Analog Mobile (AMPS) - Irian", Areacode="829"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Las Parras", Areacode="31"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Urumqi - Xinjiang", Areacode="991"},
                    new AreaCode{CountryId = new Guid("13262E71-E025-49A3-ACAD-3858F9B227CF"), Name="Vevey", Areacode="21"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Mexicali", Areacode="686"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Mahatta", Areacode="33"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Vulcanesti", Areacode="293"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Yardimli", Areacode="175"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Dokshitsu", Areacode="2157"},
                    new AreaCode{CountryId = new Guid("2A2C198B-5682-4D9E-81A9-E9194770ED92"), Name="Cairo", Areacode="2"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Strmstad", Areacode="526"},
                    new AreaCode{CountryId = new Guid("08E81DF6-8533-4FD7-B909-A4EC6E5D31F0"), Name="Kampong Thom", Areacode="62"},
                    new AreaCode{CountryId = new Guid("2A2C198B-5682-4D9E-81A9-E9194770ED92"), Name="Domestic directory phone inquiries", Areacode="140"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Neubrandenburg", Areacode="395"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Ath", Areacode="67"},
                    new AreaCode{CountryId = new Guid("DF58FFE7-6339-47ED-ADCC-DB84F7D9EACB"), Name="Krems An Der Donau", Areacode="2732"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Daqing - Heilongjiang", Areacode="459"},
                    new AreaCode{CountryId = new Guid("4D69E0AB-3849-46F9-95E3-BF555E2D78C6"), Name="Donegal", Areacode="74"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Yinchuan - Ningxia", Areacode="951"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Cisnadie", Areacode="269"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Branesti", Areacode="2179"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Kaolo Otavi", Areacode="65"},
                    new AreaCode{CountryId = new Guid("4910D3B0-948C-4FBA-8004-10EF33F1E8DD"), Name="Tel Aviv", Areacode="3"},
                    new AreaCode{CountryId = new Guid("28431BD3-731C-4DF6-9765-2F88C08884A3"), Name="Antsirabe", Areacode="44"},
                    new AreaCode{CountryId = new Guid("E1512587-B63E-4AC5-B2F2-5850C3F4CEFA"), Name="Alava", Areacode="945"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Booyerahmad", Areacode="744"},
                    new AreaCode{CountryId = new Guid("5A4B23B0-8036-4849-B935-28D9A00B5339"), Name="Dodoma", Areacode="26"},
                    new AreaCode{CountryId = new Guid("B8E9EFD7-A3F2-495A-89F6-9E4FDA01D3C0"), Name="Khawanij", Areacode="48"},
                    new AreaCode{CountryId = new Guid("5DF33CA0-1FCF-4A23-A413-2E22796CF85B"), Name="Abasar", Areacode="37"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Nogales", Areacode="631"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Danyang - Jiangsu", Areacode="5211"},
                    new AreaCode{CountryId = new Guid("4910D3B0-948C-4FBA-8004-10EF33F1E8DD"), Name="Ashdod", Areacode="8"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Babic", Areacode="394"},
                    new AreaCode{CountryId = new Guid("A9A3273A-6251-434E-B0D3-0286B0EC4EFC"), Name="Pietermaritzburg", Areacode="331"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Aguada de Pasajeros", Areacode="43"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Golestan", Areacode="174"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Wuxue - Hubei", Areacode="7239"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Amynteo", Areacode="2386"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Gura Humorului", Areacode="230"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="Sotelgui", Areacode="23"},
                    new AreaCode{CountryId = new Guid("EDE00EFD-0261-4A82-AA47-DA188120C9EC"), Name="Inchon", Areacode="32"},
                    new AreaCode{CountryId = new Guid("DE01C701-18B1-4DE9-A1DF-D38A4AB8512E"), Name="Ninotsminda", Areacode="361"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Kaiiadorys", Areacode="346"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MI", Areacode="734"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NANP area", Areacode="866"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Bremen", Areacode="421"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Wuxi - Jiangsu", Areacode="510"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Nisporeni", Areacode="264"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Palembang", Areacode="71"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Alhasakah", Areacode="52"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Bergamo", Areacode="35"},
                    new AreaCode{CountryId = new Guid("BDFE52D6-18C0-4C85-86E2-E32E36A4A077"), Name="Bakcell (Analogue)", Areacode="55"},
                    new AreaCode{CountryId = new Guid("96AF43F8-0F0A-459D-9433-4DEDD84FB167"), Name="Vung Tau", Areacode="64"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Western Azerbayajan", Areacode="462"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="Durango", Areacode="618"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Maar Tamsareen", Areacode="23"},
                    new AreaCode{CountryId = new Guid("EFB624A4-698C-4EBC-B683-AC24DD4C3509"), Name="San Luis Potosi", Areacode="444"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Lodrai", Areacode="6"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Mongla", Areacode="402"},
                    new AreaCode{CountryId = new Guid("9FF64B6B-828D-4C7F-9C34-AC34EAA78979"), Name="MTN-Cameroon", Areacode="76"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Comanesti", Areacode="234"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Ag.Kirikos", Areacode="2275"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Visaginas", Areacode="386"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Catania", Areacode="95"},
                    new AreaCode{CountryId = new Guid("A78D0697-F264-411C-97B9-30AE76593E5C"), Name="Marrakech", Areacode="44"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Fenqiu - Henan", Areacode="3836"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Kaduna", Areacode="62"},
                    new AreaCode{CountryId = new Guid("82FB56DE-70AE-4B14-953E-628D2167B656"), Name="Riga", Areacode="7"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Tianshui - Gansu", Areacode="938"},
                    new AreaCode{CountryId = new Guid("814C9C98-64C6-4EC6-9347-D16E11EAA9AB"), Name="Najaf", Areacode="33"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="Orange France", Areacode="685"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Kano", Areacode="64"},
                    new AreaCode{CountryId = new Guid("3744A5E2-1AA7-441D-AE36-30342FEDE0F8"), Name="Vodafone/Oskar(GSM 900/1800)", Areacode="774"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Chapcha", Areacode="8"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Skopelos", Areacode="2424"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Hedemora-Ster", Areacode="225"},
                    new AreaCode{CountryId = new Guid("67EF14F5-78E1-40A7-A732-B518267A4B86"), Name="Unitel (GSM900)", Areacode="92"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Ianca", Areacode="239"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Shumilino", Areacode="2130"},
                    new AreaCode{CountryId = new Guid("419A964A-9DE7-455D-9642-037B95295353"), Name="Cakran", Areacode="387"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Megalopoli", Areacode="2791"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Tacheng - Xinjiang", Areacode="9003"},
                    new AreaCode{CountryId = new Guid("971C8400-1479-410E-87BD-84C35D776B5E"), Name="Machakos", Areacode="44"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Tampere", Areacode="3"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Neptun", Areacode="241"},
                    new AreaCode{CountryId = new Guid("FFAE686C-4A31-40DD-A1C5-7A4551E03212"), Name="Hiroshima", Areacode="82"},
                    new AreaCode{CountryId = new Guid("78693684-30E2-4709-B032-2AD99A39B401"), Name="Blumenau", Areacode="47"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Lagonisi", Areacode="2291"},
                    new AreaCode{CountryId = new Guid("DF2B4AE5-C69B-47AC-A7A4-BCEB77FA1337"), Name="Gasa", Areacode="2"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Sistan", Areacode="541"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Frank Pais", Areacode="24"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Aranos (party line)", Areacode="6642"},
                    new AreaCode{CountryId = new Guid("28431BD3-731C-4DF6-9765-2F88C08884A3"), Name="Tolagnaro", Areacode="92"},
                    new AreaCode{CountryId = new Guid("67FBED64-87FA-49BA-A5C7-02CFD773880C"), Name="Cheras", Areacode="3"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Enkping", Areacode="171"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Al-Yarmook", Areacode="11"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Atalanti", Areacode="2233"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Hllefors-Grythyttan", Areacode="591"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Torss", Areacode="486"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Taldo", Areacode="31"},
                    new AreaCode{CountryId = new Guid("572DD1AF-B90F-41AC-B10C-ADF568AC82C7"), Name="Karachi", Areacode="21"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Sanguili", Areacode="33"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Genk", Areacode="89"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="IL", Areacode="224"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Metsamor", Areacode="37"},
                    new AreaCode{CountryId = new Guid("6454BAD7-BF30-451A-BA7F-25D063BC1212"), Name="Pita", Areacode="53"},
                    new AreaCode{CountryId = new Guid("2A2C198B-5682-4D9E-81A9-E9194770ED92"), Name="Asyut", Areacode="88"},
                    new AreaCode{CountryId = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name="Centertel", Areacode="90"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Gramma", Areacode="23"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Omnitel", Areacode="680"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Perama", Areacode="2834"},
                    new AreaCode{CountryId = new Guid("26AA8547-5DEE-4E4F-8657-AE6881EBFE2C"), Name="Pointe A Pitre", Areacode="9"},
                    new AreaCode{CountryId = new Guid("BF4B4AAC-85A9-4D32-BE21-A8E1A51638AA"), Name="Celje", Areacode="3"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Azuga", Areacode="244"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="PA", Areacode="878"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Hoting", Areacode="671"},
                    new AreaCode{CountryId = new Guid("23FDFE0A-C707-4F0C-AC2B-80ACC181DF47"), Name="Basarabeasca", Areacode="297"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Qitai - Xinjiang", Areacode="994"},
                    new AreaCode{CountryId = new Guid("78693684-30E2-4709-B032-2AD99A39B401"), Name="Manaus", Areacode="92"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Krestena", Areacode="2625"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Cimpulung Moldovenesc", Areacode="230"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MS", Areacode="601"},
                    new AreaCode{CountryId = new Guid("E030214A-C85E-40FA-A627-70601272F411"), Name="Khorezm", Areacode="62"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Okaputa", Areacode="67"},
                    new AreaCode{CountryId = new Guid("6BB62201-104D-44A6-B993-52DEB4C483CE"), Name="Rimini", Areacode="541"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Al-Kurdahah", Areacode="41"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="La F", Areacode="61"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="OH", Areacode="937"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Al-Hrak", Areacode="15"},
                    new AreaCode{CountryId = new Guid("55F57B0A-98AB-4F73-8FBF-6C29548F15F8"), Name="Kadjaran", Areacode="85"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Mobile phones", Areacode="913"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NJ", Areacode="848"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Syedpur", Areacode="552"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="FINNET COM OY", Areacode="4559"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Huocheng - Xinjiang", Areacode="9091"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="NJ", Areacode="732"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Pinar del Ro", Areacode="82"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="nocharge", Areacode="800"},
                    new AreaCode{CountryId = new Guid("269AD3F8-9EC9-4306-BD1A-2CD9B60EE6EA"), Name="Ogoja", Areacode="45"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Puhovichi", Areacode="1713"},
                    new AreaCode{CountryId = new Guid("7B2B044D-470B-4BE0-863B-B5D847E51592"), Name="Mawlamyine", Areacode="57"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Hanano", Areacode="21"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Ningbo - Zhejiang", Areacode="574"},
                    new AreaCode{CountryId = new Guid("84F6EDDD-27FA-4109-B261-C723DF8D48CA"), Name="Hail", Areacode="6"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Mobile Phones", Areacode="173"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Cristino Naranjo", Areacode="24"},
                    new AreaCode{CountryId = new Guid("E0885886-3AB9-4B91-9EDB-75B9BE65AEF6"), Name="Mobistar", Areacode="493"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Alexandroupoli", Areacode="2551"},
                    new AreaCode{CountryId = new Guid("B30A968A-9CFE-4BCA-8EAB-610B1E52EBF8"), Name="Torun", Areacode="56"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Xiangtan - Hunan", Areacode="732"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="TURUN PUHELIN OY", Areacode="439"},
                    new AreaCode{CountryId = new Guid("88AA04B1-4D33-456E-B648-773E6E5C65AD"), Name="Savar", Areacode="2"},
                    new AreaCode{CountryId = new Guid("B8E9EFD7-A3F2-495A-89F6-9E4FDA01D3C0"), Name="Fujairah", Areacode="70"},
                    new AreaCode{CountryId = new Guid("7ED4C4DC-96E6-419D-A033-67B4526511AF"), Name="Mobile Phones", Areacode="20"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Grodno", Areacode="152"},
                    new AreaCode{CountryId = new Guid("11D1E4C3-D059-4017-B59D-8C8B0D3FD1E2"), Name="Analog Mobile (AMPS) - Sulawesi", Areacode="824"},
                    new AreaCode{CountryId = new Guid("2A0DEF8E-3EB0-450C-90A0-E5952459A5FB"), Name="SFR", Areacode="619"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Guiyang - Guizhou", Areacode="851"},
                    new AreaCode{CountryId = new Guid("830021C9-FE26-4A37-A159-F0C3749D6902"), Name="Songyuan - Jilin", Areacode="438"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Jucaro", Areacode="33"},
                    new AreaCode{CountryId = new Guid("645A1B17-973B-4AB2-B851-D1F223817C70"), Name="Prilep", Areacode="48"},
                    new AreaCode{CountryId = new Guid("3ECD7D89-45FD-44D2-8706-8F1F50DF36A5"), Name="Yazd", Areacode="352"},
                    new AreaCode{CountryId = new Guid("33360FDB-D492-40A9-A653-5C987FFD19E1"), Name="Birca", Areacode="251"},
                    new AreaCode{CountryId = new Guid("28932778-BFB7-4B56-9D0F-215D6C18205E"), Name="MO", Areacode="573"},
                    new AreaCode{CountryId = new Guid("2B984B19-99C8-4C7C-830E-A90CB3C3D934"), Name="Hanover", Areacode="511"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Fjugesta-Svart", Areacode="585"},
                    new AreaCode{CountryId = new Guid("2A3F4C68-0F71-4116-81A9-7DA408EC8330"), Name="Alwar", Areacode="144"},
                    new AreaCode{CountryId = new Guid("45044628-55D2-4ADB-B3FD-19B2A3748A03"), Name="Uralsk", Areacode="311"},
                    new AreaCode{CountryId = new Guid("6A07AFE1-AD1A-4D7A-A556-0A9D31318B18"), Name="Myadel", Areacode="1797"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Alajrvi", Areacode="6"},
                    new AreaCode{CountryId = new Guid("DF285779-2BB8-4280-9C72-630BF4C356FF"), Name="Ronava", Areacode="58"},
                    new AreaCode{CountryId = new Guid("2C443E5E-8531-474E-BCA1-9FC80C72C14A"), Name="Vodacom", Areacode="84"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Palma Soriano", Areacode="225"},
                    new AreaCode{CountryId = new Guid("840EB4DC-8659-454E-B647-C14E70F80B53"), Name="Namib Grens", Areacode="62"},
                    new AreaCode{CountryId = new Guid("66760A00-4D1B-4012-B884-D63FC589C271"), Name="Varena", Areacode="310"},
                    new AreaCode{CountryId = new Guid("D0D86E06-E964-4564-BF82-E7C178AFACE5"), Name="Vanda", Areacode="9"},
                    new AreaCode{CountryId = new Guid("FF7C7F75-B21F-490E-A251-E076083C27A5"), Name="Rne", Areacode="924"},
                    new AreaCode{CountryId = new Guid("45044628-55D2-4ADB-B3FD-19B2A3748A03"), Name="Ust-Kamenogorsk", Areacode="323"},
                    new AreaCode{CountryId = new Guid("F859325D-6E83-4CDB-B11F-47E9AC1ED736"), Name="Makrychori", Areacode="2495"},
                    new AreaCode{CountryId = new Guid("15AACDD0-E8A6-43C8-99A6-853E03110A0C"), Name="Al-Mokharam", Areacode="31"},
                    new AreaCode{CountryId = new Guid("2933F400-43A4-4B98-9277-22BCAF698834"), Name="Havana (Ciudad La Habana)", Areacode="7"}
                       };
        }

        public void UploadEntity(CrmService service)
        {
            var entity = new DynamicEntity("new_areacode");
            entity.Properties.AddRange(
                new Property[]
                            {
                                new StringProperty("new_name", Name),
                                new StringProperty("new_areacode", Areacode),
                                new LookupProperty("new_countryid", new Lookup("new_country", CountryId))
                            }
                );

            service.Create(entity); 
        }
    }
}